<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class Controller_Subscriber extends Controller_api implements SWIFT_REST_Interface {  public function __construct() { parent::__construct(); $this->Load->Library('XML:XML'); return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function ProcessNewsSubscribers($_newsSubscriberID = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_subscriberContainer = array(); if (!empty($_newsSubscriberID)) { $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "newssubscribers WHERE newssubscriberid = '" . intval($_newsSubscriberID) . "'"); } else { $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "newssubscribers ORDER BY newssubscriberid ASC"); } while ($this->Database->NextRecord()) { $_subscriberContainer[$this->Database->Record['newssubscriberid']] = $this->Database->Record; } $this->XML->AddParentTag('newssubscribers'); foreach ($_subscriberContainer as $_newsSubscriberID => $_subscriber) { $this->XML->AddParentTag('newssubscriber'); $this->XML->AddTag('id', $_newsSubscriberID); $this->XML->AddTag('tgroupid', $_subscriber['tgroupid']); $this->XML->AddTag('userid', $_subscriber['userid']); $this->XML->AddTag('email', $_subscriber['email']); $this->XML->AddTag('isvalidated', $_subscriber['isvalidated']); $this->XML->AddTag('usergroupid', $_subscriber['usergroupid']); $this->XML->EndParentTag('newssubscriber'); } $this->XML->EndParentTag('newssubscribers'); return true; }  public function GetList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ProcessNewsSubscribers(false); $this->XML->EchoXML(); return true; }  public function Get($_newsSubscriberID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ProcessNewsSubscribers(intval($_newsSubscriberID)); $this->XML->EchoXML(); return true; }  public function Post() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!isset($_POST['email']) || trim($_POST['email']) == '') { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Email field is empty'); return false; } if (!IsEmailValid($_POST['email'])) { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Invalid email address'); return false; } $_isValidated = '0'; if (isset($_POST['isvalidated']) && !empty($_POST['isvalidated'])) { $_isValidated = '1'; } $_SWIFT_NewsSubscriberObject = false; try { $_SWIFT_NewsSubscriberObject = SWIFT_NewsSubscriber::Create($_POST['email'], $_isValidated); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Subscription failed, please check if already subscribed'); return false; } $this->ProcessNewsSubscribers($_SWIFT_NewsSubscriberObject); $this->XML->EchoXML(); return true; }  public function Put($_newsSubscriberID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_NewsSubscriberObject = false; try { $_SWIFT_NewsSubscriberObject = new SWIFT_NewsSubscriber($_newsSubscriberID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Invalid news subscriber ID'); return false; } $_email = $_SWIFT_NewsSubscriberObject->GetProperty('email'); if (isset($_POST['email']) && trim($_POST['email']) != '') { if (!IsEmailValid($_POST['email'])) { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Invalid email address'); return false; } else { $_email = $_POST['email']; } } $_SWIFT_NewsSubscriberObject->Update($_email); $this->ProcessNewsSubscribers($_SWIFT_NewsSubscriberObject->GetNewsSubscriberID()); $this->XML->EchoXML(); return true; }  public function Delete($_newsSubscriberID) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_NewsSubscriberObject = false; try { $_SWIFT_NewsSubscriberObject = new SWIFT_NewsSubscriber($_newsSubscriberID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $this->RESTServer->DispatchStatus(SWIFT_RESTServer::HTTP_BADREQUEST, 'Invalid news subscriber ID'); } SWIFT_NewsSubscriber::DeleteList(array($_newsSubscriberID)); return true; } } ?>