<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class Controller_Subscriber extends Controller_client {  public function __construct() { parent::__construct();  if (!SWIFT_App::IsInstalled(APP_NEWS) || !SWIFT_Widget::IsWidgetVisible(APP_NEWS)) { $this->UserInterface->Error(true, $this->Language->Get('nopermission')); $this->Load->Controller('Default', 'Core')->Load->Index(); exit; } $this->Language->Load('news'); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Subscribe() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!isset($_POST['subscribeemail']) || empty($_POST['subscribeemail']) || !IsEmailValid($_POST['subscribeemail'])) { $this->UserInterface->CheckFields('subscribeemail'); $this->UserInterface->Error(true, $this->Language->Get('requiredfieldempty')); $this->Load->Controller('Default', 'Base')->Load->Index(); return false; } if (SWIFT_NewsSubscriber::IsSubscribed($_POST['subscribeemail'])) { $this->UserInterface->CheckFields('subscribeemail'); $this->UserInterface->Error(true, sprintf($this->Language->Get('subscriberregistered'), htmlspecialchars($_POST['subscribeemail']))); $this->Load->Controller('Default', 'Base')->Load->Index(); return false; } $_userID = false; if ($_SWIFT->User instanceof SWIFT_User && $_SWIFT->User->GetIsClassLoaded()) { $_userID = $_SWIFT->User->GetUserID(); } $_requireValidation = false; $_isValidated = true; if ($this->Settings->Get('nw_svalidate') == '1') { $_requireValidation = true; $_isValidated = false; } SWIFT_NewsSubscriber::Create($_POST['subscribeemail'], $_isValidated, $_userID, $_SWIFT->TemplateGroup->GetTemplateGroupID(), true, SWIFT::Get('usergroupid')); if ($_requireValidation) { $this->UserInterface->Info(true, $this->Language->Get('thankyousubscribervalidate')); } else { $this->UserInterface->Info(true, $this->Language->Get('thankyousubscriber')); } $this->Load->Controller('Default', 'Base')->Load->Index(); return true; }  public function Validate($_hash) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_NewsSubscriberHashObject = SWIFT_NewsSubscriberHash::Retrieve($_hash); if (!$_SWIFT_NewsSubscriberHashObject instanceof SWIFT_NewsSubscriberHash || !$_SWIFT_NewsSubscriberHashObject->GetIsClassLoaded()) { $this->UserInterface->Error(true, $this->Language->Get('invalidsubscriberhash')); $this->Load->Controller('Default', 'Base')->Load->Index(); return false; } $_newsSubscriberID = $_SWIFT_NewsSubscriberHashObject->GetProperty('newssubscriberid'); $_SWIFT_NewsSubscriberObject = new SWIFT_NewsSubscriber($_newsSubscriberID); if (!$_SWIFT_NewsSubscriberObject instanceof SWIFT_NewsSubscriber || !$_SWIFT_NewsSubscriberObject->GetIsClassLoaded()) { $this->UserInterface->Error(true, $this->Language->Get('invalidsubscriberhash')); $this->Load->Controller('Default', 'Base')->Load->Index(); return false; } $_SWIFT_NewsSubscriberObject->MarkAsValidated(); $_SWIFT_NewsSubscriberHashObject->Delete(); $this->UserInterface->Info(true, $this->Language->Get('thankyousubscriber')); $this->Load->Controller('Default', 'Base')->Load->Index(); return true; }  public function Unsubscribe($_newsSubscriberID, $_incomingSubscriberHash) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_NewsSubscriberObject = false; try { $_SWIFT_NewsSubscriberObject = new SWIFT_NewsSubscriber($_newsSubscriberID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } if (!$_SWIFT_NewsSubscriberObject instanceof SWIFT_NewsSubscriber || !$_SWIFT_NewsSubscriberObject->GetIsClassLoaded()) { return false; } $_subscriberHash = substr(md5(SWIFT::Get('installationhash') . $_SWIFT_NewsSubscriberObject->GetProperty('email')), 0, 20); if ($_subscriberHash != $_incomingSubscriberHash) { return false; } $_SWIFT_NewsSubscriberObject->Delete(); $this->UserInterface->Info(true, $this->Language->Get('thankyouunsubscriber')); $this->Load->Controller('Default', 'Base')->Load->Index(); return true; } } ?>