<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_EmailQueueType extends SWIFT_Library { private $_queueType = false; private $_valueContainer = array(); protected $EmailQueue = false;  const TYPE_TICKETS = APP_TICKETS; const TYPE_NEWS = APP_NEWS; const TYPE_BACKEND = APP_BACKEND;  public function __construct($_queueType) { if (!$this->SetQueueType($_queueType)) { return false; } parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function GetFromEmailQueueObject(SWIFT_EmailQueue $_SWIFT_EmailQueueObject) { if (!$_SWIFT_EmailQueueObject->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception('Invalid Email Queue Object'); return false; } $_queueType = $_SWIFT_EmailQueueObject->GetProperty('type'); if (!self::IsValidType($_queueType)) { throw new SWIFT_EmailQueue_Exception('Invalid Email Queue Type Data'); return false; } switch ($_queueType) { case self::TYPE_TICKETS: $_SWIFT_EmailQueueTypeObject = new SWIFT_EmailQueueType_Tickets($_SWIFT_EmailQueueObject->GetProperty('tgroupid'), $_SWIFT_EmailQueueObject->GetProperty('departmentid'), $_SWIFT_EmailQueueObject->GetProperty('tickettypeid'), $_SWIFT_EmailQueueObject->GetProperty('priorityid'), $_SWIFT_EmailQueueObject->GetProperty('ticketstatusid'), $_SWIFT_EmailQueueObject->GetProperty('ticketautoresponder')); $_SWIFT_EmailQueueTypeObject->SetEmailQueue($_SWIFT_EmailQueueObject); return $_SWIFT_EmailQueueTypeObject; break; case self::TYPE_NEWS: $_SWIFT_EmailQueueTypeObject = new SWIFT_EmailQueueType_News(); $_SWIFT_EmailQueueTypeObject->SetEmailQueue($_SWIFT_EmailQueueObject); return $_SWIFT_EmailQueueTypeObject; break; case self::TYPE_BACKEND: $_SWIFT_EmailQueueTypeObject = new SWIFT_EmailQueueType_Backend(); $_SWIFT_EmailQueueTypeObject->SetEmailQueue($_SWIFT_EmailQueueObject); return $_SWIFT_EmailQueueTypeObject; break; break; } return false; }  static public function IsValidType($_queueType) { if ($_queueType == self::TYPE_TICKETS || $_queueType == self::TYPE_NEWS || $_queueType == self::TYPE_BACKEND) { return true; } return false; }  protected function SetQueueType($_queueType) { if (!self::IsValidType($_queueType)) { return false; } $this->_queueType = $_queueType; return true; }  public function GetQueueType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_queueType; }  protected function SetValue($_key, $_value) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_key)) { throw new SWIFT_EmailQueue_Exception('Invalid Data Provided'); return false; } $this->_valueContainer[$_key] = $_value; return true; }  public function GetValue($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_key)) { throw new SWIFT_EmailQueue_Exception('Invalid Data Provided'); return false; } if (!isset($this->_valueContainer[$_key])) { return ''; } return $this->_valueContainer[$_key]; }  public function GetValueContainer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_valueContainer; }  protected function SetEmailQueue(SWIFT_EmailQueue $_SWIFT_EmailQueueObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!$_SWIFT_EmailQueueObject instanceof SWIFT_EmailQueue || !$_SWIFT_EmailQueueObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->EmailQueue = $_SWIFT_EmailQueueObject; return true; }  public function GetEmailQueue() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->EmailQueue; } } ?>