<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UnifiedSearch_parser extends SWIFT_UnifiedSearchBase {  public function __construct($_query, $_interfaceType, SWIFT_Staff $_SWIFT_StaffObject, $_maxResults) { parent::__construct($_query, $_interfaceType, $_SWIFT_StaffObject, $_maxResults); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Search() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_finalSearchResults = array();  if ($this->GetInterface() == SWIFT_Interface::INTERFACE_ADMIN) {  $_finalSearchResults[$this->Language->Get('us_parserqueue')] = $this->SearchQueues();  $_finalSearchResults[$this->Language->Get('us_parserrules')] = $this->SearchRules(); } return $_finalSearchResults; }  protected function SearchRules() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetStaff()->GetPermission('admin_mpcanviewrules') == '0') { return array(); } $_searchResults = array(); $this->Database->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "parserrules
			WHERE (" . BuildSQLSearch('title', $this->GetQuery(), false, false) . ")
			ORDER BY title ASC", $this->GetMaxResults()); while ($this->Database->NextRecord()) { $_searchResults[] = array(htmlspecialchars($this->Database->Record['title']), SWIFT::Get('basename') . '/Parser/Rule/Edit/' . $this->Database->Record['parserruleid']); } return $_searchResults; }  protected function SearchQueues() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetStaff()->GetPermission('admin_mpcanviewqueues') == '0') { return array(); } $_searchResults = array(); $this->Database->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "emailqueues
			WHERE (" . BuildSQLSearch('email', $this->GetQuery(), false, false) . ") OR (" . BuildSQLSearch('customfromname', $this->GetQuery(), false, false) . ") OR (" . BuildSQLSearch('customfromemail', $this->GetQuery(), false, false) . ")
			ORDER BY email ASC", $this->GetMaxResults()); while ($this->Database->NextRecord()) { $_searchResults[] = array($this->Database->Record['email'], SWIFT::Get('basename') . '/Parser/EmailQueue/Edit/' . $this->Database->Record['emailqueueid']); } return $_searchResults; } } ?>