<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_EmailQueueMailbox extends SWIFT_EmailQueue {  const SMTP_NONSSL = 'nonssl'; const SMTP_TLS = 'tls'; const SMTP_SSL = 'ssl'; const SMTP_SSLV2 = 'sslv2'; const SMTP_SSLV3 = 'sslv3';  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct($_SWIFT_DataObject); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function IsValidSMTPType($_smtpType) { if ($_smtpType == self::SMTP_TLS || $_smtpType == self::SMTP_SSL || $_smtpType == self::SMTP_SSLV2 || $_smtpType == self::SMTP_SSLV3 || $_smtpType == self::SMTP_NONSSL) { return true; } return false; }  static public function Create($_queueEmail, SWIFT_EmailQueueType $_EmailQueueTypeObject, $_fetchType, $_queuePrefix, $_customFromName, $_customFromEmail, $_queueSignature, $_registrationRequired, $_isEnabled, $_hostName, $_port, $_userName, $_userPassword, $_leaveCopyOnServer, $_useQueueSMTP, $_smtpType, $_forceQueue = true) { if (!self::IsValidSMTPType($_smtpType) || $_fetchType == self::FETCH_PIPE) { throw new SWIFT_EmailQueue_Exception('Invalid Data Specified'); return false; } $_emailQueueID = parent::Create($_queueEmail, $_fetchType, $_EmailQueueTypeObject, $_queuePrefix, $_customFromName, $_customFromEmail, $_queueSignature, $_registrationRequired, $_isEnabled, false); $_SWIFT_EmailQueueMailboxObject = new SWIFT_EmailQueueMailbox(new SWIFT_DataID($_emailQueueID)); if (!$_SWIFT_EmailQueueMailboxObject instanceof SWIFT_EmailQueueMailbox || !$_SWIFT_EmailQueueMailboxObject->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception('Unable to Load Email Queue (MAILBOX)'); return false; } $_SWIFT_EmailQueueMailboxObject->UpdatePool('host', $_hostName); $_SWIFT_EmailQueueMailboxObject->UpdatePool('port', intval($_port)); $_SWIFT_EmailQueueMailboxObject->UpdatePool('username', $_userName); $_SWIFT_EmailQueueMailboxObject->UpdatePool('userpassword', $_userPassword); $_SWIFT_EmailQueueMailboxObject->UpdatePool('leavecopyonserver', intval($_leaveCopyOnServer)); $_SWIFT_EmailQueueMailboxObject->UpdatePool('usequeuesmtp', intval($_useQueueSMTP)); $_SWIFT_EmailQueueMailboxObject->UpdatePool('forcequeue', intval($_forceQueue)); $_SWIFT_EmailQueueMailboxObject->UpdatePool('smtptype', $_smtpType); $_SWIFT_EmailQueueMailboxObject->ProcessUpdatePool(); self::RebuildCache(); return $_SWIFT_EmailQueueMailboxObject; }  public function Update($_queueEmail, SWIFT_EmailQueueType $_EmailQueueTypeObject, $_fetchType, $_queuePrefix, $_customFromName, $_customFromEmail, $_queueSignature, $_registrationRequired, $_isEnabled, $_hostName, $_port, $_userName, $_userPassword, $_leaveCopyOnServer, $_useQueueSMTP, $_smtpType, $_forceQueue = true) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_EmailQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidSMTPType($_smtpType) || $this->GetProperty('fetchtype') == self::FETCH_PIPE) { throw new SWIFT_EmailQueue_Exception('Invalid Data Specified'); return false; } $_updateResult = parent::Update($_queueEmail, $_EmailQueueTypeObject, $_queuePrefix, $_customFromName, $_customFromEmail, $_queueSignature, $_registrationRequired, $_isEnabled, false); if (!$_updateResult) { throw new SWIFT_EmailQueue_Exception('Failed to Update Email Queue (MAILBOX)'); return false; } $this->UpdatePool('host', $_hostName); $this->UpdatePool('port', intval($_port)); $this->UpdatePool('username', $_userName); $this->UpdatePool('fetchtype', $_fetchType); $this->UpdatePool('userpassword', $_userPassword); $this->UpdatePool('leavecopyonserver', intval($_leaveCopyOnServer)); $this->UpdatePool('usequeuesmtp', intval($_useQueueSMTP)); $this->UpdatePool('forcequeue', intval($_forceQueue)); $this->UpdatePool('smtptype', $_smtpType); $this->ProcessUpdatePool(); self::RebuildCache(); return true; } } ?>