<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_LoopHit extends SWIFT_Model { const TABLE_NAME = 'parserloophits'; const PRIMARY_KEY = 'parserloophitid'; const TABLE_STRUCTURE = "parserloophitid I PRIMARY AUTO NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								emailaddress C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'dateline'; const INDEX_2 = 'emailaddress'; protected $_dataStore = array();  public function __construct($_parserLoopHitID) { parent::__construct(); if (!$this->LoadData($_parserLoopHitID)) { throw new SWIFT_Exception('Failed to load Parser Loop Hit ID: ' . intval($_parserLoopHitID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'parserloophits', $this->GetUpdatePool(), 'UPDATE', "parserloophitid = '" . intval($this->GetLoopHitID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetLoopHitID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['parserloophitid']; }  protected function LoadData($_parserLoopHitID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "parserloophits WHERE parserloophitid = '" . intval($_parserLoopHitID) . "'"); if (isset($_dataStore['parserloophitid']) && !empty($_dataStore['parserloophitid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_emailAddress) { $_SWIFT = SWIFT::GetInstance(); if (empty($_emailAddress)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'parserloophits', array('emailaddress' => $_emailAddress, 'dateline' => DATENOW), 'INSERT'); $_loopHitID = $_SWIFT->Database->Insert_ID(); if (!$_loopHitID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_loopHitID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetLoopHitID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_parserLoopHitIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_parserLoopHitIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "parserloophits WHERE parserloophitid IN (" . BuildIN($_parserLoopHitIDList) . ")"); return true; }  static public function DeleteOnTime($_timeThreshold) { $_SWIFT = SWIFT::GetInstance(); $_threshold = DATENOW - $_timeThreshold; $_parserLoopHitIDList = array(); $_SWIFT->Database->Query("SELECT parserloophitid FROM " . TABLE_PREFIX . "parserloophits WHERE dateline < '" . intval($_threshold) . "'"); while ($_SWIFT->Database->NextRecord()) { $_parserLoopHitIDList[] = intval($_SWIFT->Database->Record['parserloophitid']); } if (!count($_parserLoopHitIDList)) { return false; } self::DeleteList($_parserLoopHitIDList); return true; }  static public function RetrieveOnAddress($_emailAddress) { $_SWIFT = SWIFT::GetInstance(); if (empty($_emailAddress)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_datelineList = array(); $_SWIFT->Database->Query("SELECT dateline FROM " . TABLE_PREFIX . "parserloophits WHERE emailaddress = '" . $_SWIFT->Database->Escape($_emailAddress) . "'"); while ($_SWIFT->Database->NextRecord()) { $_datelineList[] = intval($_SWIFT->Database->Record['dateline']); } return $_datelineList; } } ?>