<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class Controller_TicketStatus extends Controller_api implements SWIFT_REST_Interface {  public function __construct() { parent::__construct(); $this->Load->Library('XML:XML'); return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function ProcessTicketStatuses($_ticketStatusID = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ticketStatusContainer = $_ticketStatusIDList = array(); if (!empty($_ticketStatusID)) { $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketstatus WHERE ticketstatusid = '" . intval($_ticketStatusID) . "'"); } else { $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketstatus ORDER BY ticketstatusid ASC"); } while ($this->Database->NextRecord()) { $_ticketStatusContainer[$this->Database->Record['ticketstatusid']] = $this->Database->Record; $_ticketStatusIDList[] = $this->Database->Record['ticketstatusid']; } $_staffGroupLinkMap = SWIFT_StaffGroupLink::RetrieveMap(SWIFT_StaffGroupLink::TYPE_TICKETSTATUS, $_ticketStatusIDList); $this->XML->AddParentTag('ticketstatuses'); foreach ($_ticketStatusContainer as $_ticketStatusID => $_ticketStatus) { $this->XML->AddParentTag('ticketstatus'); $this->XML->AddTag('id', $_ticketStatusID); $this->XML->AddTag('title', $_ticketStatus['title']); $this->XML->AddTag('displayorder', $_ticketStatus['displayorder']); $this->XML->AddTag('departmentid', $_ticketStatus['departmentid']); $this->XML->AddTag('displayicon', $_ticketStatus['displayicon']); $this->XML->AddTag('type', $_ticketStatus['statustype']); $this->XML->AddTag('displayinmainlist', $_ticketStatus['displayinmainlist']); $this->XML->AddTag('markasresolved', $_ticketStatus['markasresolved']); $this->XML->AddTag('displaycount', $_ticketStatus['displaycount']); $this->XML->AddTag('statuscolor', $_ticketStatus['statuscolor']); $this->XML->AddTag('statusbgcolor', $_ticketStatus['statusbgcolor']); $this->XML->AddTag('resetduetime', $_ticketStatus['resetduetime']); $this->XML->AddTag('triggersurvey', $_ticketStatus['triggersurvey']); $this->XML->AddTag('staffvisibilitycustom', $_ticketStatus['staffvisibilitycustom']); if (isset($_staffGroupLinkMap[$_ticketStatusID]) && _is_array($_staffGroupLinkMap[$_ticketStatusID])) { foreach ($_staffGroupLinkMap[$_ticketStatusID] as $_staffGroupID) { $this->XML->AddTag('staffgroupid', $_staffGroupID); } } $this->XML->EndParentTag('ticketstatus'); } $this->XML->EndParentTag('ticketstatuses'); return true; }  public function GetList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ProcessTicketStatuses(false); $this->XML->EchoXML(); return true; }  public function Get($_ticketStatusID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ProcessTicketStatuses(intval($_ticketStatusID)); $this->XML->EchoXML(); return true; } } ?>