<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketLock extends SWIFT_Model { const TABLE_NAME = 'ticketlocks'; const PRIMARY_KEY = 'ticketid'; const TABLE_STRUCTURE = "ticketid I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL"; const INDEX_1 = 'ticketid'; const INDEXTYPE_1 = 'UNIQUE'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Lock_Exception('Failed to load Ticket Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function GetTicketID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Lock_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['ticketid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "ticketlocks WHERE ticketid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['ticketid']) && !empty($_dataStore['ticketid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['ticketid']) || empty($this->_dataStore['ticketid'])) { throw new SWIFT_Lock_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Lock_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Lock_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Lock_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Lock_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create(SWIFT_Ticket $_SWIFT_TicketObject, SWIFT_Staff $_SWIFT_StaffObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded() || !$_SWIFT_StaffObject instanceof SWIFT_Staff) { throw new SWIFT_Lock_Exception(SWIFT_INVALIDDATA); return false; } $_queryResult = $_SWIFT->Database->Replace(TABLE_PREFIX . 'ticketlocks', array('ticketid' => intval($_SWIFT_TicketObject->GetTicketID()), 'staffid' => intval($_SWIFT_StaffObject->GetStaffID()), 'dateline' => DATENOW), array('ticketid')); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Lock_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTicketID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_ticketIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketlocks WHERE ticketid IN (" . BuildIN($_ticketIDList) . ")"); return true; }  static public function DeleteOnTicket($_ticketIDList) { $_SWIFT = SWIFT::GetInstance(); self::DeleteList($_ticketIDList); }  static public function RetrieveOnTicket(SWIFT_Ticket $_SWIFT_TicketObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Lock_Exception(SWIFT_INVALIDDATA); } $_SWIFT_TicketLockObject = false; try { $_SWIFT_TicketLockObject = new SWIFT_TicketLock(new SWIFT_DataID($_SWIFT_TicketObject->GetTicketID())); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } return $_SWIFT_TicketLockObject; } } ?>