<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketTimeTrackNote extends SWIFT_Model { const TABLE_NAME = 'tickettimetracknotes'; const PRIMARY_KEY = 'tickettimetracknoteid'; const TABLE_STRUCTURE = "tickettimetracknoteid I PRIMARY AUTO NOTNULL,
								tickettimetrackid I DEFAULT '0' NOTNULL,
								notes X2"; const INDEX_1 = 'tickettimetrackid'; protected $_dataStore = array();  public function __construct($_ticketTimeTrackNoteID) { parent::__construct(); if (!$this->LoadData($_ticketTimeTrackNoteID)) { throw new SWIFT_TimeTrack_Exception('Failed to load Ticket Time Track Note ID: ' . intval($_ticketTimeTrackNoteID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracknotes', $this->GetUpdatePool(), 'UPDATE', "tickettimetracknoteid = '" . intval($this->GetTicketTimeTrackNoteID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetTicketTimeTrackNoteID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['tickettimetracknoteid']; }  protected function LoadData($_ticketTimeTrackNoteID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "tickettimetracknotes WHERE tickettimetracknoteid = '" . intval($_ticketTimeTrackNoteID) . "'"); if (isset($_dataStore['tickettimetracknoteid']) && !empty($_dataStore['tickettimetracknoteid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create(SWIFT_TicketTimeTrack $_SWIFT_TicketTimeTrackObject, $_noteContents) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketTimeTrackObject instanceof SWIFT_TicketTimeTrack || !$_SWIFT_TicketTimeTrackObject->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracknotes', array( 'tickettimetrackid' => intval($_SWIFT_TicketTimeTrackObject->GetTicketTimeTrackID()), 'notes' => $_noteContents), 'INSERT'); $_ticketTimeTrackNoteID = $_SWIFT->Database->Insert_ID(); if (!$_ticketTimeTrackNoteID) { throw new SWIFT_TimeTrack_Exception(SWIFT_CREATEFAILED); return false; } return $_ticketTimeTrackNoteID; }  public function Update($_noteContents) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('notes', $_noteContents); $this->ProcessUpdatePool(); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTicketTimeTrackNoteID())); $this->SetIsClassLoaded(false); return true; }  static public function RetrieveObjectOnTicketTimeTrackID(SWIFT_TicketTimeTrack $_SWIFT_TicketTimeTrackObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketTimeTrackObject instanceof SWIFT_TicketTimeTrack || !$_SWIFT_TicketTimeTrackObject->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); } $_ticketTimeTrackNoteContainer = $_SWIFT->Database->QueryFetch("SELECT tickettimetracknoteid FROM " . TABLE_PREFIX . "tickettimetracknotes
			WHERE tickettimetrackid = '" . intval($_SWIFT_TicketTimeTrackObject->GetTicketTimeTrackID()) . "'"); if (isset($_ticketTimeTrackNoteContainer['tickettimetracknoteid']) && !empty($_ticketTimeTrackNoteContainer['tickettimetracknoteid'])) { return new SWIFT_TicketTimeTrackNote($_ticketTimeTrackNoteContainer['tickettimetracknoteid']); } return false; }  static public function DeleteList($_ticketTimeTrackNoteIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketTimeTrackNoteIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "tickettimetracknotes WHERE tickettimetracknoteid IN (" . BuildIN($_ticketTimeTrackNoteIDList) . ")"); return true; }  static public function DeleteOnTicketTimeTrack($_ticketTimeTrackIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketTimeTrackIDList)) { return false; } $_ticketTimeTrackNoteIDList = array(); $_SWIFT->Database->Query("SELECT tickettimetracknoteid FROM " . TABLE_PREFIX . "tickettimetracknotes WHERE tickettimetrackid IN (" . BuildIN($_ticketTimeTrackIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_ticketTimeTrackNoteIDList[] = intval($_SWIFT->Database->Record['tickettimetracknoteid']); } if (!count($_ticketTimeTrackNoteIDList)) { return false; } self::DeleteList($_ticketTimeTrackNoteIDList); return true; } } ?>