<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketWatcher extends SWIFT_Model { const TABLE_NAME = 'ticketwatchers'; const PRIMARY_KEY = 'ticketwatcherid'; const TABLE_STRUCTURE = "ticketwatcherid I PRIMARY AUTO NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								ticketid I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL"; const INDEX_1 = 'ticketid, staffid'; const INDEXTYPE_1 = 'UNIQUE'; protected $_dataStore = array();  public function __construct($_ticketWatcherID) { parent::__construct(); if (!$this->LoadData($_ticketWatcherID)) { throw new SWIFT_Exception('Failed to load Ticket Watcher ID: ' . intval($_ticketWatcherID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketwatchers', $this->GetUpdatePool(), 'UPDATE', "ticketwatcherid = '" . intval($this->GetTicketWatcherID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetTicketWatcherID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['ticketwatcherid']; }  protected function LoadData($_ticketWatcherID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "ticketwatchers WHERE ticketwatcherid = '" . intval($_ticketWatcherID) . "'"); if (isset($_dataStore['ticketwatcherid']) && !empty($_dataStore['ticketwatcherid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function RetrieveOnTicket(SWIFT_Ticket $_SWIFT_TicketObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_ticketWatchContainer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketwatchers WHERE ticketid = '" . intval($_SWIFT_TicketObject->GetTicketID()) . "'"); while ($_SWIFT->Database->NextRecord()) { $_ticketWatchContainer[$_SWIFT->Database->Record['staffid']] = $_SWIFT->Database->Record; } return $_ticketWatchContainer; }  static public function Create(SWIFT_Ticket $_SWIFT_TicketObject, SWIFT_Staff $_SWIFT_StaffObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded() || !$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->Replace(TABLE_PREFIX . 'ticketwatchers', array('ticketid' => intval($_SWIFT_TicketObject->GetTicketID()), 'staffid' => intval($_SWIFT_StaffObject->GetStaffID()), 'dateline' => DATENOW), array('ticketid', 'staffid')); $_ticketWatcherID = $_SWIFT->Database->Insert_ID(); if (!$_ticketWatcherID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT_TicketObject->MarkAsWatched(); return $_ticketWatcherID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTABLENAMEID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_ticketWatcherIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketWatcherIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketwatchers WHERE ticketwatcherid IN (" . BuildIN($_ticketWatcherIDList) . ")"); return true; }  static public function DeleteOnTicket($_ticketIDList, $_staffIDList = array()) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketIDList)) { return false; } $_staffFilter = ''; if (_is_array($_staffIDList)) { $_staffFilter = " AND staffid IN (" . BuildIN($_staffIDList) . ")"; } $_ticketWatcherIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketwatchers WHERE ticketid IN (" . BuildIN($_ticketIDList) . ")" . $_staffFilter); while ($_SWIFT->Database->NextRecord()) { $_ticketWatcherIDList[] = intval($_SWIFT->Database->Record['ticketwatcherid']); } if (!count($_ticketWatcherIDList)) { return false; } self::DeleteList($_ticketWatcherIDList); return true; } } ?>
