<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_NewsData extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'NewsData'); if (!$this->TableExists(TABLE_PREFIX . 'newsdata')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadLibrary('NewsItem:NewsItem', APP_NEWS); SWIFT_Loader::LoadLibrary('Category:NewsCategory', APP_NEWS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "newsitemdata"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "newsdata ORDER BY newsdataid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newNewsID = $this->ImportManager->GetImportRegistry()->GetKey('news', $this->DatabaseImport->Record['newsid']); if ($_newNewsID == false) { $this->GetImportManager()->AddToLog('News data import failed due to non existant news id (incomplete old deletion)', SWIFT_ImportManager::LOG_WARNING); continue; } $_contents = $this->DatabaseImport->Record['contents']; $_finalContents = $_contents; if (!stristr($_contents, '<br>') && !stristr($_contents, '<br />') && !stristr($_contents, '<p>')) { $_finalContents = nl2br($_contents); } $this->GetImportManager()->AddToLog('Importing News Data for News ID: ' . intval($_newNewsID), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'newsitemdata', array('newsitemid' => intval($_newNewsID), 'contents' => $_finalContents), 'INSERT'); $_newsDataID = $this->Database->InsertID(); $this->Database->AutoExecute(TABLE_PREFIX . 'newsitems', array('contentshash' => md5($_finalContents)), 'UPDATE', "newsitemid = '" . intval($_newNewsID) . "'"); } SWIFT_NewsCategory::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "newsdata"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>