<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Quickreply extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Quickreply'); if (!$this->TableExists('quickreply')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Macro:MacroCategory', APP_TICKETS); SWIFT_Loader::LoadModel('Macro:MacroReply', APP_TICKETS); SWIFT_Loader::LoadLibrary('Macro:MacroManager', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM quickreply ORDER BY id ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newMacroCategoryID = $this->ImportManager->GetImportRegistry()->GetKey('macrocategory', $this->DatabaseImport->Record['category']); $_newStaffID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['techid']); $this->GetImportManager()->AddToLog('Importing Predefined Reply: ' . htmlspecialchars($this->DatabaseImport->Record['name']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'macroreplies', array('macrocategoryid' => intval($_newMacroCategoryID), 'staffid' => intval($_newStaffID), 'subject' => $this->DatabaseImport->Record['name'], 'dateline' => DATENOW, 'totalhits' => '0', 'lastusage' => '0', 'departmentid' => '-1', 'ownerstaffid' => '-1', 'tickettypeid' => '-1', 'ticketstatusid' => '-1', 'priorityid' => '-1'), 'INSERT'); $_macroReplyID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('macroreply', $this->DatabaseImport->Record['id'], $_macroReplyID); $this->GetImportManager()->AddToLog('Importing Predefined Reply Data: ' . htmlspecialchars($this->DatabaseImport->Record['name']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'macroreplydata', array('macroreplyid' => intval($_macroReplyID), 'contents' => $this->DatabaseImport->Record['response'], 'tagcontents' => serialize(array())), 'INSERT'); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM quickreply"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>