<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Ticket_workflow extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Ticket_workflow'); if (!$this->TableExists('ticket_workflow')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Status:TicketStatus', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }   if ($this->GetOffset() == 0) { $_existingStatusesContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketstatus ORDER BY ticketstatusid ASC"); while ($this->Database->NextRecord()) { $_existingStatusesContainer[$this->Database->Record['ticketstatusid']] = $this->Database->Record; } foreach ($_existingStatusesContainer as $_eStatusContainer) { $this->ImportManager->GetImportRegistry()->UpdateKey('statustitle', mb_strtolower(trim($_eStatusContainer['title'])), '1'); } } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM ticket_workflow ORDER BY id ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_titleSuffix = ''; $_existingStatusTitle = $this->ImportManager->GetImportRegistry()->GetKey('statustitle', mb_strtolower(trim($this->DatabaseImport->Record['name'])));  if ($_existingStatusTitle != false) { $_titleSuffix .= ' (Import)'; } $_newDepartmentID = 0; $this->GetImportManager()->AddToLog('Importing Ticket Status: ' . htmlspecialchars($this->DatabaseImport->Record['name']), SWIFT_ImportManager::LOG_SUCCESS); $_statusType = SWIFT_PUBLIC;  $_markAsResolved = false;  $_displayIcon = '{$themepath}icon_ticketstatusopen.png'; $_statusBackgroundColor = '#8BB467'; if ($_markAsResolved == true) { $_statusBackgroundColor = '#5f5f5f'; $_displayIcon = '{$themepath}icon_ticketstatusclosed.png'; } $_triggerSurvey = false; if ($_markAsResolved == true) { $_triggerSurvey = true; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketstatus', array('title' => $this->DatabaseImport->Record['name']. $_titleSuffix, 'displayorder' => intval($this->DatabaseImport->Record['displayorder']), 'iscustom' => '1', 'displayinmainlist' => '1', 'ismaster' => '0', 'displaycount' => '1', 'statuscolor' => '#333333', 'departmentid' => intval($_newDepartmentID), 'statustype' => $_statusType, 'resetduetime' => '0', 'markasresolved' => intval($_markAsResolved), 'statusbgcolor' => $_statusBackgroundColor, 'displayicon' => $_displayIcon, 'triggersurvey' => intval($_triggerSurvey), 'staffvisibilitycustom' => '0', 'type' => $_statusType), 'INSERT'); $_ticketStatusID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('ticketstatus', $this->DatabaseImport->Record['id'], $_ticketStatusID); } SWIFT_TicketStatus::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM ticket_workflow"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>