<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CannedResponse extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CannedResponse'); if (!$this->TableExists(TABLE_PREFIX . 'cannedresponses')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Canned:CannedCategory', APP_LIVECHAT); SWIFT_Loader::LoadModel('Canned:CannedResponse', APP_LIVECHAT); SWIFT_Loader::LoadLibrary('Canned:CannedManager', APP_LIVECHAT); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "cannedresponses"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "cannedresponses ORDER BY cannedresponseid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newCannedCategoryID = $this->ImportManager->GetImportRegistry()->GetKey('cannedcategory', $this->DatabaseImport->Record['cannedcategoryid']); $_newStaffID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['staffid']); $_responseType = SWIFT_CannedResponse::TYPE_NONE; if ($this->DatabaseImport->Record['responsetype'] == 'text') { $_responseType = SWIFT_CannedResponse::TYPE_MESSAGE; } else if ($this->DatabaseImport->Record['responsetype'] == 'code') { $_responseType = SWIFT_CannedResponse::TYPE_CODE; } $this->GetImportManager()->AddToLog('Importing Canned Response: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'cannedresponses', array('cannedcategoryid' => intval($_newCannedCategoryID), 'staffid' => intval($_newStaffID), 'title' => $this->DatabaseImport->Record['title'], 'urldata' => '', 'imagedata' => '', 'responsetype' => intval($_responseType), 'dateline' => $this->DatabaseImport->Record['dateline']), 'INSERT'); $_cannedResponseID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('cannedresponse', $this->DatabaseImport->Record['cannedresponseid'], $_cannedResponseID); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "cannedresponses"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>