<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CatchAllRule extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CatchAllRule'); if (!$this->TableExists(TABLE_PREFIX . 'catchallrules')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('CatchAll:CatchAllRule', APP_PARSER); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "catchallrules"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "catchallrules ORDER BY catchallruleid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newEmailQueueID = $this->ImportManager->GetImportRegistry()->GetKey('emailqueue', $this->DatabaseImport->Record['emailqueueid']); if ($_newEmailQueueID == false) { $this->GetImportManager()->AddToLog('Catch-All rule import failed for "' . htmlspecialchars($this->DatabaseImport->Record['title']) . '" due to non existant email queue id (incomplete old deletion)', SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Catch-All Rule: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'catchallrules', array('title' => $this->DatabaseImport->Record['title'], 'ruleexpr' => $this->DatabaseImport->Record['ruleexpr'], 'emailqueueid' => intval($_newEmailQueueID), 'dateline' => intval($this->DatabaseImport->Record['dateline']), 'sortorder' => intval($this->DatabaseImport->Record['sortorder'])), 'INSERT'); $_catchAllRuleID = $this->Database->InsertID(); } SWIFT_CatchAllRule::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "catchallrules"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>