<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CommentData extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CommentData'); if (!$this->TableExists(TABLE_PREFIX . 'commentdata')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "commentdata"); } $_count = 0; $_oldCommentIDList = $_commentDataContainer = array(); $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "commentdata ORDER BY commentid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_commentDataContainer[$this->DatabaseImport->Record['commentid']] = $this->DatabaseImport->Record; $_oldCommentIDList[] = $this->DatabaseImport->Record['commentid']; } $_newCommentIDList = $this->ImportManager->GetImportRegistry()->GetNonCached('comment', $_oldCommentIDList); foreach ($_commentDataContainer as $_commentData) { $_count++; if (!isset($_newCommentIDList[$_commentData['commentid']])) { $this->GetImportManager()->AddToLog('Failed to Import Comment Data due to non existent Comment: ' . htmlspecialchars($_commentData['commentid']) . ' (Probable Explanation: Incomplete old deletion)', SWIFT_ImportManager::LOG_WARNING); continue; } $_commentID = intval($_newCommentIDList[$_commentData['commentid']]); $this->Database->AutoExecute(TABLE_PREFIX . 'commentdata', array('commentid' => intval($_commentID), 'contents' => $_commentData['contents']), 'INSERT'); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "commentdata"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>