<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CustomFieldDepartmentLink extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CustomFieldDepartmentLink'); if (!$this->TableExists(TABLE_PREFIX . 'customfielddeplinks')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "customfielddeplinks"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "customfielddeplinks", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_customFieldGroupID = $this->GetImportManager()->GetImportRegistry()->GetKey('customfieldgroup', $this->DatabaseImport->Record['customfieldgroupid']); if ($_customFieldGroupID == false) { $this->GetImportManager()->AddToLog('Ignoring Custom Field Department Link due to non existant custom field group (' . intval($this->DatabaseImport->Record['customfieldgroupid']) . ')', SWIFT_ImportManager::LOG_WARNING); continue; } $_departmentID = $this->GetImportManager()->GetImportRegistry()->GetKey('department', $this->DatabaseImport->Record['departmentid']); if ($_departmentID == false) { $this->GetImportManager()->AddToLog('Ignoring Custom Field Department Link due to non existant department (' . intval($this->DatabaseImport->Record['departmentid']) . ')', SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Custom Field Department Link ' . htmlspecialchars($this->DatabaseImport->Record['customfieldgroupid']) . ' (Custom Field Group) <> ' . htmlspecialchars($this->DatabaseImport->Record['departmentid']) . ' (Department)', SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'customfielddeplinks', array('customfieldgroupid' => intval($_customFieldGroupID), 'departmentid' => intval($_departmentID)), 'INSERT'); } SWIFT_CustomFieldManager::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "customfielddeplinks"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>