<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Department extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Department'); if (!$this->TableExists(TABLE_PREFIX . 'departments')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  if ($this->GetOffset() == 0) { $_existingDepartmentContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "departments ORDER BY departmentid ASC"); while ($this->Database->NextRecord()) { $_existingDepartmentContainer[$this->Database->Record['departmentid']] = $this->Database->Record; } foreach ($_existingDepartmentContainer as $_departmentContainer) { $this->ImportManager->GetImportRegistry()->UpdateKey('departmenttitle', mb_strtolower(trim($_departmentContainer['title'])), '1'); } } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "departments ORDER BY title ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_titleSuffix = ''; $_existingDepartmentTitle = $this->ImportManager->GetImportRegistry()->GetKey('departmenttitle', mb_strtolower(trim($this->DatabaseImport->Record['title'])));  if ($_existingDepartmentTitle != false) { $_titleSuffix .= ' (Import)'; } if ($this->DatabaseImport->Record['departmentmodule'] == 'livesupport') { $this->DatabaseImport->Record['departmentmodule'] = 'livechat'; } $this->GetImportManager()->AddToLog('Importing Department: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'departments', array('title' => $this->DatabaseImport->Record['title'] . $_titleSuffix, 'departmenttype' => $this->DatabaseImport->Record['departmenttype'], 'departmentapp' => $this->DatabaseImport->Record['departmentmodule'], 'displayorder' => $this->DatabaseImport->Record['displayorder']), 'INSERT'); $_departmentID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('department', $this->DatabaseImport->Record['departmentid'], $_departmentID); } SWIFT_Department::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "departments"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 20; } } ?>