<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_KBCategoryRebuild extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'KBCategoryRebuild'); if (!$this->TableExists(TABLE_PREFIX . 'kbcategories')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadLibrary('Category:KnowledgebaseCategoryManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Category:KnowledgebaseCategory', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadLibrary('Article:KnowledgebaseArticleManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticle', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticleLink', APP_KNOWLEDGEBASE); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_count = 0; $_kbCategoryContainer = array(); $this->Database->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "kbcategories ORDER BY kbcategoryid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->Database->NextRecord()) { $_count++; $_kbCategoryContainer[$this->Database->Record['kbcategoryid']] = $this->Database->Record; } foreach ($_kbCategoryContainer as $_kbCategoryID => $_kbCategory) { $_newParentKBCategoryID = $this->ImportManager->GetImportRegistry()->GetKey('kbcategory', $_kbCategory['parentkbcategoryid']); $this->GetImportManager()->AddToLog('Importing Knowledgebase Category Relationship: ' . htmlspecialchars($_kbCategory['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'kbcategories', array('parentkbcategoryid' => intval($_newParentKBCategoryID)), 'UPDATE', "kbcategoryid = '" . intval($_kbCategoryID) . "'"); } SWIFT_KnowledgebaseCategory::RebuildCache(true); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "kbcategories"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>