<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_NewsSubscriber extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'NewsSubscriber'); if (!$this->TableExists(TABLE_PREFIX . 'newssubscribers')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "newssubscribers"); }  $_masterTemplateGroupID = false; $_masterTemplateGroupContainer = $this->Database->QueryFetch("SELECT tgroupid FROM " . TABLE_PREFIX . "templategroups WHERE ismaster = '1'"); if (isset($_masterTemplateGroupContainer['tgroupid']) && !empty($_masterTemplateGroupContainer['tgroupid'])) { $_masterTemplateGroupID = intval($_masterTemplateGroupContainer['tgroupid']); } else { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  $_masterGuestUserGroupID = false; $_guestUserGroupContainer = $this->Database->QueryFetch("SELECT usergroupid FROM " . TABLE_PREFIX . "usergroups
			WHERE grouptype = '" . SWIFT_UserGroup::TYPE_GUEST . "' ORDER BY usergroupid ASC"); if (isset($_guestUserGroupContainer['usergroupid']) && !empty($_guestUserGroupContainer['usergroupid'])) { $_masterGuestUserGroupID = intval($_guestUserGroupContainer['usergroupid']); } else { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "newssubscribers ORDER BY newssubscriberid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_templateGroupID = $this->ImportManager->GetImportRegistry()->GetKey('templategroup', $this->DatabaseImport->Record['tgroupid']); if ($_templateGroupID == false) { $_templateGroupID = $_masterTemplateGroupID; } if ($this->DatabaseImport->Record['validated'] != '1') { $this->GetImportManager()->AddToLog('Ignoring Unvalidated Subscriber: ' . htmlspecialchars($this->DatabaseImport->Record['email']), SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Subscriber: ' . htmlspecialchars($this->DatabaseImport->Record['email']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'newssubscribers', array('tgroupid' => intval($_templateGroupID), 'userid' => '0', 'email' => $this->DatabaseImport->Record['email'], 'dateline' => $this->DatabaseImport->Record['dateline'], 'isvalidated' => '1', 'usergroupid' => intval($_masterGuestUserGroupID)), 'INSERT'); $_newsSubscriberID = $this->Database->InsertID(); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "newssubscribers"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>