<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_ParserRuleAction extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'ParserRuleAction'); if (!$this->TableExists(TABLE_PREFIX . 'ruleactions')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Rule:ParserRule', APP_PARSER); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "parserruleactions"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ruleactions ORDER BY ruleactionid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newParserRuleID = $this->ImportManager->GetImportRegistry()->GetKey('parserrule', $this->DatabaseImport->Record['parserruleid']); if ($_newParserRuleID == false) { $this->GetImportManager()->AddToLog('Parser rule action import failed due to non existant parser rule id (incomplete old deletion)', SWIFT_ImportManager::LOG_WARNING); continue; }  $_typeID = '0'; $_typeChar = $this->DatabaseImport->Record['typechar']; $_typeData = $this->DatabaseImport->Record['typedata']; if ($this->DatabaseImport->Record['name'] == 'department') { $_typeID = $this->ImportManager->GetImportRegistry()->GetKey('department', $this->DatabaseImport->Record['typeid']); } else if ($this->DatabaseImport->Record['name'] == 'owner') { $_typeID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['typeid']); } else if ($this->DatabaseImport->Record['name'] == 'status') { $_typeID = $this->ImportManager->GetImportRegistry()->GetKey('ticketstatus', $this->DatabaseImport->Record['typeid']); } else if ($this->DatabaseImport->Record['name'] == 'priority') { $_typeID = $this->ImportManager->GetImportRegistry()->GetKey('ticketpriority', $this->DatabaseImport->Record['typeid']); } else if ($this->DatabaseImport->Record['name'] == 'slaplan') { $_typeID = $this->ImportManager->GetImportRegistry()->GetKey('slaplan', $this->DatabaseImport->Record['typeid']); } else if ($this->DatabaseImport->Record['name'] == 'flagticket') { $_typeID = intval($this->DatabaseImport->Record['typeid']); } $this->GetImportManager()->AddToLog('Importing Parser Rule Action ID: ' . htmlspecialchars($this->DatabaseImport->Record['ruleactionid']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'parserruleactions', array('parserruleid' => intval($_newParserRuleID), 'name' => $this->DatabaseImport->Record['name'], 'typeid' => intval($_typeID), 'typedata' => $_typeData, 'typechar' => $_typeChar), 'INSERT'); $_parserRuleActionID = $this->Database->InsertID(); } SWIFT_ParserRule::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ruleactions"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>