<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TicketEmail extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TicketEmail'); if (!$this->TableExists(TABLE_PREFIX . 'ticketemails')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Ticket:Ticket', APP_TICKETS); SWIFT_Loader::LoadModel('Ticket:TicketPost', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketemails"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ticketemails ORDER BY ticketemailid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_countContainer = $this->Database->QueryFetch("SELECT COUNT(*) AS emailcount FROM " . TABLE_PREFIX . "ticketemails WHERE email = '".$this->DatabaseImport->Record['email']."'"); if (isset($_countContainer['emailcount']) && $_countContainer['emailcount'] == 1) { continue; } $this->GetImportManager()->AddToLog('Importing Ticket Email: ' . htmlspecialchars($this->DatabaseImport->Record['email']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'ticketemails', array('ticketemailid' => $this->DatabaseImport->Record['ticketemailid'], 'email' => $this->DatabaseImport->Record['email']), 'INSERT'); $_ticketEmailID = $this->Database->InsertID(); if ($_ticketEmailID != $this->DatabaseImport->Record['ticketemailid']) { $this->GetImportManager()->AddToLog('Import for Ticket Email ID #: ' . intval($this->DatabaseImport->Record['ticketemalid']) . ' failed due to invalid autoincrement result, make sure that this desk is not live and no tickets are being created during the import process', SWIFT_ImportManager::LOG_FAILURE); break; } } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ticketemails"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 1000; } } ?>