<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TicketLabel extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TicketLabel'); if (!$this->TableExists(TABLE_PREFIX . 'ticketlabels')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Ticket:Ticket', APP_TICKETS); SWIFT_Loader::LoadModel('Ticket:TicketPost', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ticketlabels ORDER BY ticketlabelid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_finalLabel = mb_strtolower(str_replace(' ', '', CleanTag($this->DatabaseImport->Record['title']))); if ($this->DatabaseImport->Record['labeltype'] == 'private') { $this->GetImportManager()->AddToLog('Ignoring PRIVATE Ticket Label: ' . htmlspecialchars($_finalLabel), SWIFT_ImportManager::LOG_SUCCESS); continue; } $_newStaffID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['staffid']); $this->GetImportManager()->AddToLog('Importing Ticket Label: ' . htmlspecialchars($_finalLabel), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'tags', array('staffid' => intval($_newStaffID), 'dateline' => $this->DatabaseImport->Record['dateline'], 'tagname' => $_finalLabel ), 'INSERT'); $_tagID = $this->Database->Insert_ID(); $this->ImportManager->GetImportRegistry()->UpdateKey('label', $this->DatabaseImport->Record['ticketlabelid'], $_tagID); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ticketlabels"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>