<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportManager_Zendesk extends SWIFT_ImportManager { private $dwk_zendeskUrlImport = false;  public function __construct() { parent::__construct('Zendesk', 'Zendesk'); return true; }  public function __destruct() { parent::__destruct(); return true; } public function dwk_getZendeskUrl(){ return $this->dwk_zendeskUrlImport; }  public function GetImportTables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_tableList = array(); $_tableList[] = 'UserOrganization'; $_tableList[] = 'User'; $_tableList[] = 'Staff'; $_tableList[] = 'Department'; $_tableList[] = 'Ticket'; return $_tableList; }  public function RenderForm(SWIFT_UserInterfaceTab $_TabObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } parent::RenderForm($_TabObject); $_TabObject->Text('url', 'URL path to the xml file', 'E.g. www.yoursite.com/zendesk/', ''); return true; }  public function ProcessForm() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } parent::ProcessForm(); $this->ImportRegistry->UpdateKey('zendeskurl', 'url', $_POST['url']); return true; }  public function ImportPre() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_dwk_zendeskUrl = $this->ImportRegistry->GetKey('zendeskurl', 'url');  $dwk_filename = $_dwk_zendeskUrl.'tickets.xml'; $dwk_AgetHeaders = @get_headers($dwk_filename); if (preg_match("|200|", $dwk_AgetHeaders[0])) {  } else { SWIFT::Error('The file '. $filename .' doesn\'t exist', 'Unable to read the file using the provided url.'); return false; }  $dwk_filename = $_dwk_zendeskUrl.'organizations.xml'; $dwk_AgetHeaders = @get_headers($dwk_filename); if (preg_match("|200|", $dwk_AgetHeaders[0])) {  } else { SWIFT::Error('The file '. $filename .' doesn\'t exist', 'Unable to read the file using the provided url.'); return false; }  $dwk_filename = $_dwk_zendeskUrl.'users.xml'; $dwk_AgetHeaders = @get_headers($dwk_filename); if (preg_match("|200|", $dwk_AgetHeaders[0])) {  } else { SWIFT::Error('The file '. $filename .' doesn\'t exist', 'Unable to read the file using the provided url.'); return false; }  $dwk_filename = $_dwk_zendeskUrl.'groups.xml'; $dwk_AgetHeaders = @get_headers($dwk_filename); if (preg_match("|200|", $dwk_AgetHeaders[0])) {  } else { SWIFT::Error('The file '. $filename .' doesn\'t exist', 'Unable to read the file using the provided url.'); return false; } $this->dwk_zendeskUrlImport = $_dwk_zendeskUrl; return true; } } ?>