<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserInterface extends SWIFT_Library { protected $_interfaceStarted = false;  const FORM_SUFFIX = 'form'; const MODE_EDIT = 1; const MODE_INSERT = 2;  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function IsAjax() { if (!$this->GetIsClassLoaded()) { return false; } if ((isset($_POST['isajax']) && $_POST['isajax'] == 1) || (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest')) { return true; } return false; }  public function Error($_title, $_message, $_divID = '') { if (!$this->GetIsClassLoaded()) { return false; } SWIFT::Error($_title, $_message); return true; }  public function Alert($_title, $_message, $_divID = '') { if (!$this->GetIsClassLoaded()) { return false; } SWIFT::Alert($_title, $_message); return true; }  public function Info($_title, $_message, $_divID = '') { if (!$this->GetIsClassLoaded()) { return false; } SWIFT::Info($_title, $_message); return true; }  public function CheckFields() { $_fieldList = func_get_args(); if (!_is_array($_fieldList)) { return false; } foreach ($_fieldList as $_key=>$_val) { if (!isset($_POST[$_val]) || (isset($_POST[$_val]) && !is_array($_POST[$_val]) && trim($_POST[$_val]) == '') || (isset($_POST[$_val]) && is_array($_POST[$_val]) && !count($_POST[$_val]))) { SWIFT::ErrorField($_val); } } return true; }  static public function GetMultipleInputValues($_fieldName, $_isCheckbox = false) { $_SWIFT = SWIFT::GetInstance(); $_mainFieldName = 'taginput_' . $_fieldName; $_fieldContainerName = 'container' . $_mainFieldName; if ($_isCheckbox) { $_fieldContainerName = 'taginputcheck_' . $_fieldName; } if (!isset($_POST[$_mainFieldName])) { return false; } $_fieldValues = array(); if (isset($_POST[$_mainFieldName]) && !empty($_POST[$_mainFieldName]) && $_POST[$_mainFieldName] != $_SWIFT->Language->Get('starttypingtags')) { $_fieldValues[] = CleanTag($_POST[$_mainFieldName]); } if (isset($_POST[$_fieldContainerName]) && _is_array($_POST[$_fieldContainerName])) { $_fieldValues = array_merge($_fieldValues, $_POST[$_fieldContainerName]); } return $_fieldValues; }  static public function GetIconURL($_fieldName) {  $_uploadedFieldName = 'file_' . $_fieldName; if (isset($_FILES[$_uploadedFieldName]) && isset($_FILES[$_uploadedFieldName]['tmp_name']) && is_uploaded_file($_FILES[$_uploadedFieldName]['tmp_name'])) { $_fileID = SWIFT_FileManager::Create($_FILES[$_uploadedFieldName]['tmp_name'], $_FILES[$_uploadedFieldName]['name']); if (!empty($_fileID)) { $_SWIFT_FileManagerObject = new SWIFT_FileManager($_fileID); if ($_SWIFT_FileManagerObject->GetIsClassLoaded()) { return $_SWIFT_FileManagerObject->GetURL(); } } } if (!isset($_POST['url_' . $_fieldName])) { return ''; } return $_POST['url_' . $_fieldName]; } } ?>