<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserInterfaceClient extends SWIFT_UserInterface { protected $_defaultWidget = false;  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function InitializeClient() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Template->Assign('_widgetContainer', SWIFT_Widget::GetWidgetListForUser()); return true; }  public function SetWidget($_defaultWidget) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_defaultWidget)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $this->_defaultWidget = $_defaultWidget; return true; }  public function GetWidget() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_defaultWidget; }  public function Header($_defaultWidget = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!empty($_defaultWidget)) { $this->SetWidget($_defaultWidget); } $this->InitializeClient(); $this->ProcessDialogs(); $this->Template->Render('header'); return true; }  public function Footer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } echo $this->GetFooterScript(); $this->Template->Render('footer'); return true; }  public function GetFooterScript() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_scriptHTML = '';  $_scriptHTML = '<script type="text/javascript"> $(function(){ $(\'.dialogerror, .dialoginfo, .dialogalert\').fadeIn(\'slow\');'; foreach (SWIFT::GetErrorFieldContainer() as $_key => $_val) { $_scriptHTML .= '$(\'input[name="' . Clean($_val) . '"]\').addClass(\'swifttexterror\');'; $_scriptHTML .= '$(\'textarea[name="' . Clean($_val) . '"]\').addClass(\'swifttexterror\');'; $_scriptHTML .= '$(\'select[name="' . Clean($_val) . '"]\').addClass(\'swifttexterror\');'; } $_scriptHTML .= '});</script>'; return $_scriptHTML; }  public function ProcessDialogs() { if (!$this->GetIsClassLoaded()) { return false; } $_errorContainer = $_infoContainer = $_alertContainer = array(); if (_is_array(SWIFT::GetInfoContainer())) { $_infoContainer = SWIFT::GetInfoContainer(); } if (_is_array(SWIFT::GetErrorContainer())) { $_errorContainer = SWIFT::GetErrorContainer(); } if (_is_array(SWIFT::GetAlertContainer())) { $_alertContainer = SWIFT::GetAlertContainer(); } SWIFT::ResetAllContainers(); $this->Template->Assign('_errorContainer', $_errorContainer); $this->Template->Assign('_infoContainer', $_infoContainer); $this->Template->Assign('_alertContainer', $_alertContainer); return true; }  public function GetError($_title, $_message, $_divID = '', $_showBorder = true) { if (!$this->GetIsClassLoaded() || empty($_title) || empty($_message)) { return false; } return '<div class="dialogerror"><div class="dialogerrorsub"><div class="dialogerrorcontent">' . $_message . '</div></div></div>'; }  public function GetAlert($_title, $_message, $_divID = '', $_showBorder = true) { if (!$this->GetIsClassLoaded() || empty($_title) || empty($_message)) { return false; } return '<div id="'. $_divID .'" style="padding: 4px; background: #f8f4eb;'. IIF($_showBorder, ' border-bottom: 1px SOLID #efe8da; PADDING-RIGHT: 7px; border-left: 1px solid #e9e1d1;') . '"><div class="dialogalert"><div class="hd"><div class="e">'. $_title .'</div><div class="d"><div class="c"></div></div></div><div class="bd"><div class="c"><div class="s">'. $_message .'</div></div></div><div class="ft"><div class="c"></div></div></div></div>'; }  public function GetInfo($_title, $_message, $_divID = '') { if (!$this->GetIsClassLoaded() || empty($_title) || empty($_message)) { return false; } return '<div id="'. $_divID .'" style="padding: 4px; background: #f8f4eb; border-bottom: 1px SOLID #efe8da; PADDING-RIGHT: 7px;"><div class="dialogok"><div class="hd"><div class="e">'. $_title .'</div><div class="d"><div class="c"></div></div></div><div class="bd"><div class="c"><div class="s">'. $_message .'</div></div></div><div class="ft"><div class="c"></div></div></div></div>'; } } ?>