<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_AttachmentStoreFile extends SWIFT_AttachmentStore { private $_filePath = ''; private $_fileResource = false;  public function __construct($_filePath, $_fileType, $_fileNameOpt = '') { if (!file_exists($_filePath)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $_fileSize = filesize($_filePath); $_fileName = $_fileNameOpt; if (empty($_fileNameOpt)) { $_pathInfoContainer = pathinfo($_filePath); if (!isset($_pathInfoContainer['basename']) || empty($_pathInfoContainer['basename'])) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $_fileName = $_pathInfoContainer['basename']; } parent::__construct($_fileName, $_fileSize, $_fileType); $this->SetFilePath($_filePath);  $this->OpenFile(); return true; }  public function __destruct() { $this->CloseFile(); parent::__destruct(); return true; }  protected function OpenFile() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; }  $_filePointer = fopen($this->GetFilePath(), 'rb'); if (!$_filePointer) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->SetFileResource($_filePointer); return true; }  protected function CloseFile() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } $_fileResource = $this->GetFileResource(); if (!$_fileResource) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } fclose($_fileResource); return true; }  protected function SetFileResource($_fileResource) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_fileResource) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_fileResource = $_fileResource; return true; }  protected function GetFileResource() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_fileResource; }  protected function SetFilePath($_filePath) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_filePath)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_filePath = $_filePath; return true; }  public function GetFilePath() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_filePath; }  public function GetChunk() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } $_fileResource = $this->GetFileResource(); if (!$_fileResource) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $_chunkData = fread($_fileResource, SWIFT_Attachment::GetChunkSize()); if (strlen($_chunkData) == 0) { return false; } return $_chunkData; } } ?>