<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_NotificationCriteria extends SWIFT_Model { protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Notification Criteria Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'notificationcriteria', $this->GetUpdatePool(), 'UPDATE', "notificationcriteriaid = '" . intval($this->GetNotificationCriteriaID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetNotificationCriteriaID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['notificationcriteriaid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "notificationcriteria WHERE notificationcriteriaid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['notificationcriteriaid']) && !empty($_dataStore['notificationcriteriaid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['notificationcriteriaid']) || empty($this->_dataStore['notificationcriteriaid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_notificationRuleID, $_ruleName, $_ruleOP, $_ruleMatch, $_ruleMatchType) { $_SWIFT = SWIFT::GetInstance(); if (empty($_notificationRuleID) || empty($_ruleName) || empty($_ruleOP)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'notificationcriteria', array('notificationruleid' => intval($_notificationRuleID), 'name' => $_ruleName, 'ruleop' => $_ruleOP, 'rulematch' => $_ruleMatch, 'rulematchtype' => $_ruleMatchType), 'INSERT'); $_notificationCriteriaID = $_SWIFT->Database->Insert_ID(); if (!$_notificationCriteriaID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_notificationCriteriaID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetNotificationCriteriaID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_notificationCriteriaIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_notificationCriteriaIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "notificationcriteria WHERE notificationcriteriaid IN (" . BuildIN($_notificationCriteriaIDList) . ")"); return true; }  static public function DeleteOnNotificationRule($_notificationRuleIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_notificationRuleIDList)) { return false; } $_notificationCriteriaIDList = array(); $_SWIFT->Database->Query("SELECT notificationcriteriaid FROM " . TABLE_PREFIX . "notificationcriteria WHERE notificationruleid IN (" . BuildIN($_notificationRuleIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_notificationCriteriaIDList[] = $_SWIFT->Database->Record['notificationcriteriaid']; } if (!count($_notificationCriteriaIDList)) { return false; } self::DeleteList($_notificationCriteriaIDList); return true; } } ?>