<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_NotificationPool extends SWIFT_Model { const TABLE_NAME = 'notificationpool'; const PRIMARY_KEY = 'notificationpoolid'; const TABLE_STRUCTURE = "notificationpoolid I PRIMARY AUTO NOTNULL,
								notificationruleid I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								contents X DEFAULT '' NOTNULL,
								dateline I DEFAULT '0' NOTNULL"; const INDEX_1 = 'staffid, dateline'; const INDEX_2 = 'dateline'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Notification Pool Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'notificationpool', $this->GetUpdatePool(), 'UPDATE', "notificationpoolid = '" . intval($this->GetNotificationPoolID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetNotificationPoolID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['notificationpoolid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "notificationpool WHERE notificationpoolid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['notificationpoolid']) && !empty($_dataStore['notificationpoolid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['notificationpoolid']) || empty($this->_dataStore['notificationpoolid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_notificationRuleID, $_staffID, $_contents) { $_SWIFT = SWIFT::GetInstance(); if (empty($_notificationRuleID) || empty($_staffID) || empty($_contents)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'notificationpool', array('notificationruleid' => intval($_notificationRuleID), 'staffid' => intval($_staffID), 'contents' => $_contents), 'INSERT'); $_notificationPoolID = $_SWIFT->Database->Insert_ID(); if (!$_notificationPoolID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_notificationPoolID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetNotificationPoolID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_notificationPoolIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_notificationPoolIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "notificationpool WHERE notificationpoolid IN (" . BuildIN($_notificationPoolIDList) . ")"); return true; }  static public function DeleteOnNotificationRule($_notificationRuleIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_notificationRuleIDList)) { return false; } $_notificationPoolIDList = array(); $_SWIFT->Database->Query("SELECT notificationpoolid FROM " . TABLE_PREFIX . "notificationpool WHERE notificationruleid IN (" . BuildIN($_notificationRuleIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_notificationPoolIDList[] = $_SWIFT->Database->Record['notificationpoolid']; } if (!count($_notificationPoolIDList)) { return false; } self::DeleteList($_notificationPoolIDList); return true; } } ?>