<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserSetting extends SWIFT_Model { const TABLE_NAME = 'usersettings'; const PRIMARY_KEY = 'usersettingid'; const TABLE_STRUCTURE = "usersettingid I PRIMARY AUTO NOTNULL,
								name C(255) DEFAULT '' NOTNULL,
								value C(255) DEFAULT '' NOTNULL,
								userid I DEFAULT '0' NOTNULL"; const INDEX_1 = 'userid'; const INDEX_2 = 'userid, name'; const INDEXTYPE_2 = 'UNIQUE'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load User Setting Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'usersettings', $this->GetUpdatePool(), 'UPDATE', "usersettingid = '" . intval($this->GetUserSettingID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetUserSettingID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['usersettingid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "usersettings WHERE usersettingid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['usersettingid']) && !empty($_dataStore['usersettingid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['usersettingid']) || empty($this->_dataStore['usersettingid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Replace($_userID, $_name, $_value) { $_SWIFT = SWIFT::GetInstance(); if (empty($_name)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->Replace(TABLE_PREFIX . 'usersettings', array('userid' => intval($_userID), 'name' => $_name, 'value' => $_value), array('userid', 'name')); $_userSettingID = $_SWIFT->Database->Insert_ID(); if (!$_userSettingID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_userSettingID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetUserSettingID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_userSettingIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userSettingIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "usersettings WHERE usersettingid IN (" . BuildIN($_userSettingIDList) . ")"); return true; }  static public function DeleteOnUser($_userIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_userSettingIDList = array(); $_SWIFT->Database->Query("SELECT usersettingid FROM " . TABLE_PREFIX . "usersettings WHERE userid IN (" . BuildIN($_userIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_userSettingIDList[] = intval($_SWIFT->Database->Record['usersettingid']); } if (!count($_userSettingIDList)) { return false; } self::DeleteList($_userSettingIDList); return true; }  static public function RetrieveOnUser(SWIFT_User $_SWIFT_UserObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_UserObject instanceof SWIFT_User || !$_SWIFT_UserObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_userSettingList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "usersettings WHERE userid = '" . intval($_SWIFT_UserObject->GetUserID()) . "'"); while ($_SWIFT->Database->NextRecord()) { $_userSettingList[$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } return $_userSettingList; } } ?>