<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_DynectMXRecord extends SWIFT_DynectRecord { const BASE_URL = 'MXRecord';  public function __construct(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_exchange, $_preference, $_ttlSeconds = self::DEFAULT_TTL) { if (empty($_exchange)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); } $_rData = array('exchange' => $_exchange, 'preference' => $_preference); parent::__construct($_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetExchange($_exchange) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->SetRData(array('exchange' => $_exchange, 'preference' => $this->GetPreference())); return true; }  public function GetExchange() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_rData = $this->GetRData(); return $_rData['exchange']; }  public function SetPreference($_preference) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->SetRData(array('exchange' => $this->GetExchange(), 'preference' => $_preference)); return true; }  public function GetPreference() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_rData = $this->GetRData(); return $_rData['preference']; }  static public function Create(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_exchange, $_preference, $_ttlSeconds = self::DEFAULT_TTL) { $_SWIFT = SWIFT::GetInstance(); $_rData = array('exchange' => $_exchange, 'preference' => $_preference); $_JSONObject = parent::Create(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); print_r($_JSONObject); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_exchange = (string)$_JSONObject->data->rdata->exchange; $_preference = (string)$_JSONObject->data->rdata->preference; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectMXRecordObject = new SWIFT_DynectMXRecord($_DynectZoneObject, $_FQDN, $_exchange, $_preference, $_ttlSeconds); $_DynectZoneObject->Publish(); return $_SWIFT_DynectMXRecordObject; }  public function __toString() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_returnData = 'Zone Name: ' . $this->GetDynectZone()->GetName() . SWIFT_CRLF; $_returnData .= 'FQDN: ' . $this->GetFQDN() . SWIFT_CRLF; $_rData = $this->GetRData(); $_returnData .= 'Mail Exchange: ' . $_rData['exchange'] . SWIFT_CRLF; $_returnData .= 'Mail Exchange Preference: ' . $_rData['preference'] . SWIFT_CRLF; $_returnData .= 'TTL: ' . $this->GetTTLSeconds() . SWIFT_CRLF; return $_returnData; }  static public function Retrieve(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_recordID) { $_JSONObject = parent::Retrieve(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_recordID); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_exchange = (string)$_JSONObject->data->rdata->exchange; $_preference = (string)$_JSONObject->data->rdata->preference; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectMXRecordObject = new SWIFT_DynectMXRecord($_DynectZoneObject, $_FQDN, $_exchange, $_preference, $_ttlSeconds); return $_SWIFT_DynectMXRecordObject; }  static public function RetrieveAll(SWIFT_DynectZone $_DynectZoneObject, $_FQDN) { $_JSONObject = parent::RetrieveAll(self::BASE_URL, $_DynectZoneObject, $_FQDN); $_recordsURIList = array(); foreach ($_JSONObject->data as $_val) { $_recordsURIList[] = (string)$_val; } return $_recordsURIList; }  public function Delete($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Delete(self::BASE_URL, $_recordID)) { return false; } return true; }  public function Update($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Update(self::BASE_URL, $_recordID)) { return false; } return true; } } 