<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_DynectNSRecord extends SWIFT_DynectRecord { const BASE_URL = 'NSRecord';  public function __construct(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_NSDName, $_ttlSeconds = self::DEFAULT_TTL) { if (empty($_NSDName)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); } $_rData = array('nsdname' => $_NSDName); parent::__construct($_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetNSDName($_NSDName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->SetRData(array('nsdname' => $_NSDName)); return true; }  public function GetNSDName() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_rData = $this->GetRData(); return $_rData['nsdname']; }  static public function Create(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_NSDName, $_ttlSeconds = self::DEFAULT_TTL) { $_SWIFT = SWIFT::GetInstance(); $_rData = array('nsdname' => $_NSDName); $_JSONObject = parent::Create(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_NSDName = (string)$_JSONObject->data->rdata->nsdname; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectNSRecordObject = new SWIFT_DynectNSRecord($_DynectZoneObject, $_FQDN, $_NSDName, $_ttlSeconds); $_DynectZoneObject->Publish(); return $_SWIFT_DynectNSRecordObject; }  public function __toString() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_returnData = 'Zone Name: ' . $this->GetDynectZone()->GetName() . SWIFT_CRLF; $_returnData .= 'FQDN: ' . $this->GetFQDN() . SWIFT_CRLF; $_rData = $this->GetRData(); $_returnData .= 'Name Server: ' . $_rData['nsdname'] . SWIFT_CRLF; $_returnData .= 'TTL: ' . $this->GetTTLSeconds() . SWIFT_CRLF; return $_returnData; }  static public function Retrieve(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_recordID) { $_JSONObject = parent::Retrieve(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_recordID); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_NSDName = (string)$_JSONObject->data->rdata->nsdname; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectNSRecordObject = new SWIFT_DynectNSRecord($_DynectZoneObject, $_FQDN, $_NSDName, $_ttlSeconds); return $_SWIFT_DynectNSRecordObject; }  static public function RetrieveAll(SWIFT_DynectZone $_DynectZoneObject, $_FQDN) { $_JSONObject = parent::RetrieveAll(self::BASE_URL, $_DynectZoneObject, $_FQDN); $_recordsURIList = array(); foreach ($_JSONObject->data as $_val) { $_recordsURIList[] = (string)$_val; } return $_recordsURIList; }  public function Delete($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Delete(self::BASE_URL, $_recordID)) { return false; } return true; }  public function Update($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Update(self::BASE_URL, $_recordID)) { return false; } return true; } } 