<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_DynectSOARecord extends SWIFT_DynectRecord { const BASE_URL = 'SOARecord';  public function __construct(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_adminContactEmail, $_ttlSeconds = self::DEFAULT_TTL) { if (empty($_adminContactEmail)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); } $_rData = array('rname' => $_adminContactEmail); parent::__construct($_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetAdminContactEmail($_adminContactEmail) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->SetRData(array('rname' => $_adminContactEmail)); return true; }  public function GetAdminContactEmail() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_rData = $this->GetRData(); return $_rData['rname']; }  public function __toString() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_returnData = 'Zone Name: ' . $this->GetDynectZone()->GetName() . SWIFT_CRLF; $_returnData .= 'FQDN: ' . $this->GetFQDN() . SWIFT_CRLF; $_rData = $this->GetRData(); $_returnData .= 'Admin Contact Email: ' . $_rData['rname'] . SWIFT_CRLF; $_returnData .= 'TTL: ' . $this->GetTTLSeconds() . SWIFT_CRLF; return $_returnData; }  static public function Retrieve(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_recordID) { $_JSONObject = parent::Retrieve(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_recordID); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_adminContactEmail = (string)$_JSONObject->data->rdata->rname; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectSOARecordObject = new SWIFT_DynectSOARecord($_DynectZoneObject, $_FQDN, $_adminContactEmail, $_ttlSeconds); return $_SWIFT_DynectSOARecordObject; }  static public function RetrieveAll(SWIFT_DynectZone $_DynectZoneObject, $_FQDN) { $_JSONObject = parent::RetrieveAll(self::BASE_URL, $_DynectZoneObject, $_FQDN); $_recordsURIList = array(); foreach ($_JSONObject->data as $_val) { $_recordsURIList[] = (string)$_val; } return $_recordsURIList; }  public function Update($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Update(self::BASE_URL, $_recordID)) { return false; } return true; } } 