<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN v4 LOCALES =======
	'lrskills' => 'Skills',
	'lrrules' => 'Visitor Rules',
	'lrgroups' => 'Visitor Groups',
	'lrbans' => 'Visitor Bans',
	'lrmessagerouting' => 'Message Routing',
	'corestaff' => 'Staff',
	'coreteams' => 'Teams',
	'admin_tmpcanpersonalize' => 'Can Access Templates > Personalize',
	'coreloginshare' => 'Staff LoginShare',
	'coredepartments' => 'Departments',
	'coretemplategroups' => 'Template Groups',
	'coretemplates' => 'Templates',
	'coreusergroups' => 'User Groups',
	'staff_profile' => 'Can Update Profile',
	'staff_changepassword' => 'Can Change Password',
	'staff_loginasuser' => 'Can Login as User',
	'coretemplateloginshare' => 'User LoginShare',
	'corecustomfieldgroups' => 'Custom Field Groups',
	'corecustomfields' => 'Custom Fields',
	'staff_newssubscribers' => 'News Subscribers',
	'staff_newscategories' => 'News Categories',
	'staff_newscanpublicinsert' => 'Can Insert Public News',
	'staff_newsitems' => 'News',
	'admin_canmanageapps' => 'Can Manage Apps',
	'staff_troubleshootercategories' => 'Categories',
	'corewidgets' => 'Widgets',
	'corelanguages' => 'Languages',
	'staff_comments' => 'Comments',
	'corelanguagephrases' => 'Language Phrases',
	'livechatcalls' => 'Calls',
	'parserqueues' => 'Mail Queues',
	'admin_tcanrunmoveattachments' => 'Can Move Attachments',
	'staff_troubleshootersteps' => 'Steps',
	'parserlogs' => 'Parser Logs',
	'parserrules' => 'Parser Rules',
	'parserbreaklines' => 'Breaklines',
	'parserbans' => 'Bans',
	'parsercatchall' => 'Catch-All Rules',
	'admin_canrunimport' => 'Can Run Import',
	'parserblockages' => 'Loop Blockages',
	'parserlooprule' => 'Loop Rules',
	'ticketworkflows' => 'Workflows',
	'ticketstatuses' => 'Statuses',
	'ticketpriorities' => 'Priorities',
	'ticketfiletypes' => 'File Types',
	'staff_notifications' => 'Notifications',
	'tickettypes' => 'Ticket Types',
	'ticketlinks' => 'Links',
	'reportcategories' => 'Categories',
	'reports' => 'Reports',
	'reportschedules' => 'Schedules',
	'ticketbayes' => 'Bayesian Categories',
	'ticketslaplans' => 'SLA Plans',
	'ticketautocloserules' => 'Auto Close Rules',
	'ticketslaschedules' => 'SLA Schedules',
	'staff_ticketbilling' => 'Ticket Billing',
	'staff_tcanforward' => 'Can Forward Ticket',
	'staff_tcanreply' => 'Can Reply to Ticket',
	'staff_tcanfollowup' => 'Can Create Follow-Up',
	'staff_tcanrelease' => 'Can Release Ticket',
	'staff_ticketfollowup' => 'Follow-Up\'s',
	'staff_tcanviewauditlog' => 'Can View Audit Logs',
	'staff_ticketnotes' => 'Ticket Notes',
	'staff_tcanworkflow' => 'Can View/Update Workflows',
	'staff_tcansaveasdraft' => 'Can Save as Draft',
	'ticketslaholidays' => 'SLA Holidays',
	'ticketescalations' => 'Escalations',
	'coreratings' => 'Ratings',
	'corescheduledtasks' => 'Scheduled Tasks',
	'staff_usernotes' => 'User Notes',
	'livechatnotes' => 'Chat Notes',
	'livechatmessages' => 'Messages/Surveys',
	'livechatcanned' => 'Canned',
	'livechathistory' => 'Chat History',
	'winapplrbans' => 'Winapp: Visitor Bans',
	'staff_kbcategories' => 'Categories',
	'staff_kbarticles' => 'Articles',
	'staff_kbcaninsertpublishedarticles' => 'Can Publish Articles',
	'staff_trcaninsertpublishedsteps' => 'Can Publish Steps',
	'staff_ratings' => 'Ratings',
	'staff_tags' => 'Tags',
	'staff_tcansearch' => 'Can Search Tickets',
	'staff_ticketmacros' => 'Macros',
	'staff_ticketfilters' => 'Filters',
	'staff_ticketviews' => 'Views',
	'staff_tickets' => 'Tickets',
	'staff_ticketposts' => 'Ticket Posts',
	'staff_tcanmarkasspam' => 'Can Mark Ticket as Spam?',
	'staff_tcantrashticket' => 'Can Trash Ticket?',
	'ls_canobserve' => 'Winapp: Can Observe Chats',
	'admin_canmanagetaggenerator' => 'Can Manage Tag Generator',
	'admin_canmanagerestapi' => 'Can Manage REST API',
	'admin_canviewloginlog' => 'Can View Login Log',
	'admin_canviewactivitylog' => 'Can View Activity Log',
	'admin_canviewerrorlog' => 'Can View Error Log',
	'admin_canviewdatabase' => 'Can View Database Details',
	'admin_canrundiagnostics' => 'Can Run Diagnostics',
	'admin_canviewdepartments' => 'Can View Departments',
	'admin_lrcandeletevisitorgroup' => 'Can Delete Visitor Group(s)',
	'admin_lrcaninsertvisitorgroup' => 'Can Insert Visitor Group',
	'admin_lrcanupdatevisitorgroup' => 'Can Update Visitor Group',
	'admin_lrcanviewvisitorgroups' => 'Can View Visitor Group(s)',
	'admin_caninsertstaff' => 'Can Insert Staff Users',
	'admin_caneditstaff' => 'Can Update Staff Users',
	'admin_candeletestaff' => 'Can Delete Staff Users',
	'admin_caninsertteams' => 'Can Insert Teams',
	'admin_caneditteams' => 'Can Update Teams',
	'admin_candeleteteams' => 'Can Delete Teams',
	'admin_caninsertdepartment' => 'Can Insert Department',
	'admin_caneditdepartment' => 'Can Edit Department',
	'admin_candeletedepartment' => 'Can Delete Departments',
	'admin_canupdatesettings' => 'Can Update Settings',
	'admin_canrebuildgeoip' => 'Can Rebuild GeoIP Database',
	'admin_caninsertcfgroup' => 'Can Insert Custom Field Group',
	'admin_canupdatecfgroup' => 'Can Update Custom Field Group',
	'admin_candeletecfgroup' => 'Can Delete Custom Field Group',
	'admin_caninsertcustomfield' => 'Can Insert Custom Field',
	'admin_canupdatecustomfield' => 'Can Update Custom Field',
	'admin_candeletecustomfield' => 'Can Delete Custom Field',
	'admin_canviewlanguages' => 'Can View Languages',
	'admin_caninsertlanguage' => 'Can Insert Language',
	'admin_canupdatelanguage' => 'Can Update Language',
	'admin_candeletelanguage' => 'Can Delete Language(s)',
	'admin_canrestorelanguage' => 'Can Restore Language',
	'admin_canviewphrases' => 'Can View Phrases',
	'admin_caninsertphrase' => 'Can Insert Phrase',
	'admin_canupdatephrase' => 'Can Update Phrase',
	'admin_candeletephrase' => 'Can Delete Phrase(s)',
	'admin_canimportphrases' => 'Can Import Language Pack',
	'admin_canexportphrases' => 'Can Export Language Pack',
	'admin_canrestorephrases' => 'Can Restore Phrases',
	'admin_canrunlanguagediagnostics' => 'Can Run Language Diagnostics',
	'admin_lrcanviewonlinestaff' => 'Can View Online Staff',
	'admin_lrcandisconnectstaff' => 'Can Disconnect Online Staff',
	'admin_lrcanupdaterouting' => 'Can Update Message Routing Rules',
	'admin_lrcanviewrouting' => 'Can View Message Routing Rules',
	'admin_lrcanviewbans' => 'Can View IP Bans',
	'admin_lrcaninsertban' => 'Can Insert IP Ban',
	'admin_lrcanupdateban' => 'Can Update IP Ban',
	'admin_lrcandeleteban' => 'Can Delete IP Ban(s)',
	'admin_lrcanviewrules' => 'Can View Visitor Rules',
	'admin_lrcaninsertrule' => 'Can Insert Visitor Rule',
	'admin_lrcanupdaterule' => 'Can Update Visitor Rule',
	'admin_lrcandeleterule' => 'Can Delete Visitor Rule(s)',
	'admin_lrcanviewskills' => 'Can View Skills',
	'admin_lrcaninsertskill' => 'Can Insert Skill',
	'admin_lrcanupdateskill' => 'Can Update Skill',
	'admin_lrcandeleteskill' => 'Can Delete Skill(s)',
	'admin_mpcaninsertqueue' => 'Can Insert Email Queue',
	'admin_mpcanupdatequeue' => 'Can Update Email Queue',
	'admin_mpcandeletequeue' => 'Can Delete Email Queue(s)',
	'admin_mpcanviewqueues' => 'Can View Email Queue(s)',
	'admin_mpcanviewparserlogs' => 'Can View Parser Log(s)',
	'admin_mpcandeleteparserlogs' => 'Can Delete Parser Log(s)',
	'mod_parser' => 'Mail Parser',
	'admin_mpcaninsertrule' => 'Can Insert Rule',
	'admin_mpcanupdaterule' => 'Can Update Rule',
	'admin_mpcandeleterule' => 'Can Delete Rule(s)',
	'admin_mpcanviewrules' => 'Can View Rule(s)',
	'admin_mpcaninsertbreakline' => 'Can Insert Breakline',
	'admin_mpcanupdatebreakline' => 'Can Update Breakline',
	'admin_mpcandeletebreaklines' => 'Can Delete Breakline(s)',
	'admin_mpcanviewbreaklines' => 'Can View Breakline(s)',
	'admin_mpcaninsertban' => 'Can Insert Email Ban',
	'admin_mpcanupdateban' => 'Can Update Email Ban',
	'admin_mpcandeletebans' => 'Can Delete Email Ban(s)',
	'admin_mpcanviewbans' => 'Can View Email Ban(s)',
	'admin_mpcaninsertcatchall' => 'Can Insert Catch-All Rule',
	'admin_mpcanupdatecatchall' => 'Can Update Catch-All Rule',
	'admin_candeletecatchall' => 'Can Delete Catch-All Rule(s)',
	'admin_canviewcatchall' => 'Can View Catch-All Rule(s)',
	'admin_iscanviewstatus' => 'Can View Status',
	'admin_iscaninsertstatus' => 'Can Insert Status',
	'admin_iscanupdatestatus' => 'Can Update Status',
	'admin_iscandeletestatus' => 'Can Delete Status',
	'admin_iscanviewpriorities' => 'Can View Priorities',
	'admin_iscaninsertpriority' => 'Can Insert Priority',
	'admin_iscanupdatepriority' => 'Can Update Priority',
	'admin_iscandeletepriorities' => 'Can Delete Priorities',
	'admin_iscanviewresolutions' => 'Can View Resolutions',
	'admin_iscaninsertresolution' => 'Can Insert Resolution',
	'admin_iscanupdateresolution' => 'Can Update Resolution',
	'admin_iscandeleteresolutions' => 'Can Delete Resolution(s)',
	'admin_iscanviewlinks' => 'Can View Links',
	'admin_iscaninsertlink' => 'Can Insert Link',
	'admin_iscanupdatelink' => 'Can Update Link',
	'admin_iscandeletelinks' => 'Can Delete Link(s)',
	'admin_iscanviewtypes' => 'Can View Types',
	'admin_iscaninsertype' => 'Can Insert Type',
	'admin_iscanupdatetype' => 'Can Update Type',
	'admin_iscandeletetypes' => 'Can Delete Type(s)',
	'mod_issues' => 'Issues',
	'mod_tickets' => 'Tickets',
	'admin_tcanviewbayescategories' => 'Can View Bayesian Categories',
	'admin_tcandeletebayescategories' => 'Can Delete Bayesian Categories',
	'admin_tcaninsertbayescategory' => 'Can Insert Bayesian Category',
	'admin_tcanupdatebayescategory' => 'Can Update Bayesian Category',
	'admin_tcanrunbayesdiagnostics' => 'Can Run Bayesian Diagnostics',
	'admin_tcanviewslaplans' => 'Can View SLA Plans',
	'admin_tcaninsertslaplan' => 'Can Insert SLA Plan',
	'admin_tcanupdateslaplan' => 'Can Update SLA Plan',
	'admin_tcandeleteslaplans' => 'Can Delete SLA Plan(s)',
	'admin_tcanviewslaschedules' => 'Can View SLA Schedules',
	'admin_tcaninsertslaschedules' => 'Can Insert SLA Schedule',
	'admin_tcanupdateslaschedules' => 'Can Update SLA Schedule',
	'admin_tcandeleteslaschedules' => 'Can Delete SLA Schedule(s)',
	'admin_tcanviewslaholidays' => 'Can View SLA Holidays',
	'admin_tcaninsertslaholidays' => 'Can Insert SLA Holiday',
	'admin_tcanupdateslaholidays' => 'Can Update SLA Holiday',
	'admin_tcandeleteslaholidays' => 'Can Delete SLA Holiday(s)',
	'admin_tcanimpexslaholidays' => 'Can Import/Export SLA Holidays',
	'admin_tcanviewescalations' => 'Can View Escalation Rules',
	'admin_tcaninsertescalations' => 'Can Insert Escalation Rule',
	'admin_tcanupdateescalations' => 'Can Update Escalation Rule',
	'admin_tcandeleteescalations' => 'Can Delete Escalation Rule(s)',
	'admin_canviewcfgroups' => 'Can View Custom Field Groups',
	'admin_canviewcfields' => 'Can View Custom Fields',
	'admin_tmpcanviewgroups' => 'Can View Template Groups',
	'admin_tmpcaninsertgroup' => 'Can Insert Template Group',
	'admin_tmpcanupdategroup' => 'Can Update Template Group',
	'admin_tmpcandeletegroup' => 'Can Delete Template Group(s)',
	'admin_tmpcanviewtemplates' => 'Can View Templates',
	'admin_tmpcaninserttemplate' => 'Can Insert Template',
	'admin_tmpcanrestoretemplates' => 'Can Restore Template(s)',
	'admin_tmpcanupdatetemplate' => 'Can Update Template',
	'admin_tmpcanrundiagnostics' => 'Can Run Template Diagnostics',
	'admin_tmpcanrunimportexport' => 'Can Run Import/Export',
	'admin_tmpcanimportloginshare' => 'Can Import LoginShare Plugin',
	'admin_tmpcanupdateloginshare' => 'Can Update LoginShare Settings',
	'admin_tmpcanviewloginshare' => 'Can View LoginShare Plugins',
	'admin_tmpcansearchtemplates' => 'Can Search Templates',
	'admin_tmpcandeleteloginshare' => 'Can Delete LoginShare Plugin(s)',
	'admin_tcanviewworkflows' => 'Can View Workflows',
	'admin_tcaninsertworkflow' => 'Can Insert Workflow',
	'admin_tcanupdateworkflow' => 'Can Update Workflow',
	'admin_tcandeleteworkflows' => 'Can Delete Workflow(s)',
	'admin_tcanviewstatus' => 'Can View Status',
	'admin_tcaninsertstatus' => 'Can Insert Status',
	'admin_tcanupdatestatus' => 'Can Update Status',
	'admin_tcandeletestatus' => 'Can Delete Status',
	'admin_tcanviewpriorities' => 'Can View Priorities',
	'admin_tcaninsertpriority' => 'Can Insert Priority',
	'admin_tcanupdatepriority' => 'Can Update Priority',
	'admin_tcandeletepriority' => 'Can Delete Priority',
	'admin_tcanviewfiletypes' => 'Can View File Types',
	'admin_tcaninsertfiletype' => 'Can Insert File Type',
	'admin_tcanupdatefiletype' => 'Can Update File Type',
	'admin_tcandeletefiletypes' => 'Can Delete File Type',
	'admin_tcanviewlinks' => 'Can View Links',
	'admin_tcaninsertlink' => 'Can Insert Link',
	'admin_tcanupdatelink' => 'Can Update Link',
	'admin_tcandeletelinks' => 'Can Delete Links',
	'admin_tcanpurgeattachments' => 'Can Purge Attachments',
	'admin_tcanrunmaintenance' => 'Can Run Ticket Maintenance',
	'admin_mpcanviewloopblockages' => 'Can View Loop Blockages',
	'admin_mpcandeleteloopblockages' => 'Can Delete Loop Blockages',
	'admin_mpcanviewlooprules' => 'Can View Loop Rules',
	'admin_mpcaninsertlooprule' => 'Can Insert Loop Rule',
	'admin_mpcanupdatelooprule' => 'Can Update Loop Rule',
	'admin_mpcandeletelooprule' => 'Can Delete Loop Rule',
	'staff_users' => 'Users',
	'staff_usersorganizations' => 'User Organizations',
	// ======= END v4 LOCALES =======

	/**
	* ###############################################
	* DEPARTMENT PERMISSIONS
	* ###############################################
	*/
	'd_ls_canhistory' => 'Can View Chat History Transcripts',
	'd_ls_canchat' => 'Can Accept/Reject Chats',
	'd_t_canreply' => 'Can Reply to Tickets',
	'd_t_canforward' => 'Can Forward Tickets',
	'd_t_canfollowup' => 'Can Create Ticket Follow-Up\'s',
	'd_t_canbilling' => 'Can Create Billing Entries',


	/**
	* ###############################################
	* TEAM PERMISSIONS
	* ###############################################
	*/
	// Troubleshooter Permissions
	'mod_troubleshooter' => 'Troubleshooter',
	'tr_entab' => 'Can View Troubleshooter Tab',
	'tsmanagecategories' => 'Can Manage Categories',
	'tsmanagesteps' => 'Can Manage Steps',
	'tsinsertcategory' => 'Can Insert Category',
	'tseditcategory' => 'Can Edit Category',
	'tsdeletecategory' => 'Can Delete Category',
	'tsaddstep' => 'Can Add New Troubleshooter Step',
	'tseditstep' => 'Can Edit Existing Step',
	'tsdeletestep' => 'Can Delete Troubleshooter Step',
	'tsexport' => 'Can Export Troubleshooter Data',
	'tsimport' => 'Can Import Troubleshooter Data',

	// Tickets
	'mod_tickets' => 'Tickets',
	't_entab' => 'Can View Tickets Tab',
	'tmanage' => 'Can Manage Tickets',
	'tdeleteview' => 'Can Delete Ticket Views',
	'teditview' => 'Can Edit Ticket Views',
	'tnewticket' => 'Can Create New Ticket',
	'tdeleteticket' => 'Can Delete Ticket',
	'tdeletepost' => 'Can Delete Ticket Post',
	'teditpost' => 'Can Edit Ticket Post',
	'texport' => 'Can Export as PDF/XML',
	'tforward' => 'Can Forward Ticket',
	'tcrearule' => 'Can Create Public Alert Rules',
	'tbilling' => 'Can Add Billing Entries',
	'tdelrecipients' => 'Can Delete Ticket Recipients',
	'tmerge' => 'Can Merge Ticket',
	'tdelarule' => 'Can Delete Public Alert Rules',
	'tupdarule' => 'Can Edit Public Alert Rules',
	'tdellabel' => 'Can Delete Ticket Label',
	'tcanviewall' => 'Can View All Tickets <i>(Unassigned, Assigned to Self and Assigned to Others)</i>',
	'tbanticket' => 'Can Ban Users',
	'tbandelete' => 'Can Ban Users and Delete Tickets',

	// News
	'mod_news' => 'News',
	'nw_entab' => 'Can View News Tab',

	// Knowledgebase
	'mod_knowledgebase' => 'Knowledgebase',
	'kb_entab' => 'Can View Knowledgebase Tab',

	// Live Chat
	'mod_livesupport' => 'Live Chat',
	'ls_entab' => 'Can View Live Chat Tab',

	// Core
	'mod_core' => 'SWIFT General',
	'cu_entab' => 'Can View Users Tab',

	// Reports
	'rp_entab' => 'Can View Reports Tab',
);

?>