<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	'widgets' => 'Widgets',
	'manage' => 'Manage',
	'wineditwidget' => 'Edit Widget: %s',
	'widgettitle' => 'Title',
	'desc_widgettitle' => 'Enter the Widget title. Prefix the title with "PHRASE:" to load the respective language phrase.',
	'widgetlink' => 'Link',
	'desc_widgetlink' => 'Enter the Widget link.',
	'defaulticon' => 'Icon',
	'desc_defaulticon' => 'This icon will be used in the widget list. Enter the full URL to the icon or upload a custom icon. Use {$themepath} as a replacement variable for full path to client theme directory.',
	'defaultsmallicon' => 'Small Icon',
	'desc_defaultsmallicon' => 'This icon will be used in the top navigation bar. Enter the full URL to the icon or upload a custom icon. Use {$themepath} as a replacement variable for full path to client theme directory.',
	'displayorder' => 'Display Order',
	'desc_displayorder' => 'This is the default display order in which the items are displayed. The list is sorted in Ascending Order.',
	'displayinnavbar' => 'Display in Navigation Bar',
	'desc_displayinnavbar' => 'Specify whether to display this widget in the top navigation bar.',
	'displayinindex' => 'Display in List',
	'desc_displayinindex' => 'Specify whether to display this widget in the index page listing.',
	'isenabled' => 'Is Enabled?',
	'desc_isenabled' => 'If set to no, the widget will not be displayed either in the navigation bar or the index page list.',
	'visibilityall' => '- All Users -',
	'visibilityloggedin' => '- Logged in Users only -',
	'visibilityguests' => '- Guests Only -',
	'widgetvisibility' => 'Visibility',
	'desc_widgetvisibility' => 'Select the widget visibility. You can restrct the widget to either logged in users or guests through this option.',
	'displayorder' => 'Display Order',
	'edit' => 'Edit',
	'insert' => 'Insert',
	'tabgeneral' => 'General',
	'taboptions' => 'Options',
	'titleinvalidfileext' => 'Invalid Image File Extension',
	'msginvalidfileext' => 'The icon image file has an invalid extension. Allowed extensions are: gif, jpeg, jpg, png',
	'titlewidgetinsert' => 'Inserted Widget "%s"',
	'msgwidgetinsert' => SWIFT_PRODUCT . ' has successfully inserted the widget "%s".',
	'titlewidgetupdate' => 'Updated Widget "%s"',
	'msgwidgetupdate' => SWIFT_PRODUCT . ' has successfully updated the widget "%s".',
	'titledeletedwidget' => 'Deleted "%d" Widget(s)',
	'msgdeletedwidget' => SWIFT_PRODUCT . ' has successfully deleted the following widget(s) from the database:',
	'titledeletedwidgetfail' => 'Unable to Delete "%d" Widget(s)',
	'msgdeletedwidgetfail' => SWIFT_PRODUCT . ' was unable to delete the following master widget(s):',
	'uservisibilitycustom' => 'Restrict to Custom User Groups?',
	'desc_uservisibilitycustom' => 'If Enabled, this widget will be visible to only the selected user groups.',
	'tabpermissionsclient' => 'Permissions',
	'usergroups' => 'User Groups',

	/*
	 * ###############################################
	 * WIDGETS
	 * ###############################################
	 */
	'widgetregister' => 'Register',
	'widgethome' => 'Home',
	'widgetknowledgebase' => 'Knowledgebase',
	'widgetnews' => 'News',
	'widgetsubmitticket' => 'Submit a Ticket',
	'widgetviewtickets' => 'View Tickets',
	'widgettroubleshooter' => 'Troubleshooter',
);

?>