<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN V4 LOCALES =======
	'insertholiday' => 'Insert Holiday',
	'impex' => 'Import/Export',
	'manageholidays' => 'Holidays',
	'desc_manageholidays' => '',
	'desc_insertholiday' => '',
	'holidaytitle' => 'Holiday Title',
	'desc_holidaytitle' => 'Enter the SLA Holiday Title',
	'holidaydate' => 'Holiday Date',
	'desc_holidaydate' => 'Please specify the date for this holiday',
	'tabslaplans' => 'SLA Plans',
	'flagicon' => 'Flag Icon',
	'desc_flagicon' => 'Specify the Flag Icon Image URL. The default package flag icons are stored under themes/__global/flags directory. You can use the following variables:<br><b>{$themepath}</b> - URL pointer for the themes directory<br> - Example: {$themepath}us.gif',
	'slaplans' => 'Available SLA Plans',
	'slaiscustom' => 'Linked with Custom SLA Plans',
	'desc_slaiscustom' => 'Specify whether this holiday is linked to custom SLA Plans',
	'customall' => 'All',
	'custom' => 'Custom',
	'wineditslaholiday' => 'Edit SLA Holiday: %s',
	'editholiday' => 'Edit Holiday',
	'desc_editholiday' => '',
	'invalidslaholiday' => 'Invalid SLA Holiday. Please make sure that the SLA Holiday exists in the database.',
	'titleinsertslaholiday' => 'Inserted SLA Holiday',
	'msginsertslaholiday' => 'Successfully inserted the SLA Holiday "%s" into the database.',
	'titleupdateslaholiday' => 'Updated SLA Holiday',
	'msgupdateslaholiday' => 'Successfully updated the SLA Holiday "%s".',
	'titledelslaholidays' => 'Deleted "%d" SLA Holiday(s)',
	'msgdelslaholidays' => 'Successfully deleted the following SLA Holiday(s) from the database:',
	'slaimportexport' => 'Import/Export',
	'desc_slaimportexport' => '',
	'tabexport' => 'Export',
	'tabimport' => 'Import',
	'import' => 'Import',
	'export' => 'Export',
	'exporttitle' => 'Title',
	'desc_exporttitle' => 'Enter the title for this SLA Holiday Pack',
	'exportauthor' => 'Author',
	'desc_exportauthor' => 'Enter the author for this SLA Holiday Pack',
	'exportfilename' => 'Filename',
	'desc_exportfilename' => 'Specify the filename for this SLA Holiday Pack',
	'slaholidaypack' => 'SLA Holiday Pack',
	'slaholidayfile' => 'SLA Holiday Pack File',
	'desc_slaholidayfile' => 'Upload the SLA Holiday Pack XML file. '.SWIFT_PRODUCT.' will import all available holidays in the XML Pack file into the database.',
	'titleslaholidayimpex' => 'Imported SLA Holiday Pack',
	'msgslaholidayimpex' => 'Successfully imported <b>"%d"</b> SLA Holiday(s) into the database.',
	'titleslaholidayimpexfailed' => 'SLA Holiday Pack Import Failed',
	'msgslaholidayimpexfailed' => 'Failed to import the SLA Holiday Pack. Please check that the contents of the pack file contain valid XML generated by '.SWIFT_PRODUCT.'.',
	'insertschedule' => 'Insert Schedule',
	'desc_insertschedule' => '',
	'sladayopen24' => 'Open (24 Hours)',
	'sladayclosed' => 'Closed',
	'sladayopencustom' => 'Open (Custom)',
	'titleinvalidhrange' => 'Invalid Hour Range',
	'msginvalidhrange' => 'Please correct the SLA Schedule hour ranges listed below to continue:',
	'manageschedules' => 'Manage Schedules',
	'desc_manageschedules' => '',
	'titleinsertslasched' => 'Inserted SLA Schedule',
	'msginsertslasched' => 'Successfully inserted the SLA Schedule "%s" into the database.',
	'titleupdateslasched' => 'Updated SLA Schedule',
	'msgupdateslasched' => 'Successfully updated the SLA Schedule "%s".',
	'creationdate' => 'Creation Date',
	'invalidslaschedule' => 'Invalid SLA Schedule. Please make sure the SLA Schedule exists in the database.',
	'editschedule' => 'Edit Schedule',
	'desc_editschedule' => '',
	'titleslaschedulenodel' => 'Unable to delete SLA Schedule',
	'msgslaschedulenodel' => SWIFT_PRODUCT.' is unable to delete the following SLA Schedules as they are linked to some SLA Plans. Please unlink them in order to delete the records from the database.',
	'titledelslaschedules' => 'Deleted "%d" SLA Schedule(s)',
	'msgdelslaschedules' => 'Successfully deleted the following SLA Schedule(s) from the database.',
	'slasettings' => 'SLA Settings',
	'tabsettings' => 'Settings',
	'sla' => 'SLA',
	'insertplan' => 'Insert Plan',
	'desc_insertplan' => '',
	'tabholidays' => 'Holidays',
	'plantitle' => 'Plan Title',
	'desc_plantitle' => 'Enter your Plan Title.',
	'resolutionduehrs' => 'Resolution Due (Hours)',
	'desc_resolutionduehrs' => 'Enter the number of hours after which a ticket is expected to be marked as resolved.',
	'resolutionduehrs2' => 'Resolution (Hours)',
	'overduehrs' => 'Overdue (Hours)',
	'desc_overduehrs' => 'Enter the number of hours after which a Ticket is marked as Overdue. You can specify minutes as decimal numerals. Example: 1.20',
	'planschedule' => 'SLA Schedule',
	'desc_planschedule' => 'Specify the Work Schedule that this SLA Plan is for. The Overdue time is calculated based on your Work Schedule automatically.',
	'smatchtype' => 'Match Type',
	'matchtype' => 'Criteria Options',
	'desc_matchtype' => 'Select the grouping method for the criteria fields.',
	'smatchall' => 'Match All (AND)',
	'smatchany' => 'Match Any (OR)',
	'isenabled' => 'Is Enabled?',
	'desc_isenabled' => 'Toggle the execution of this SLA plan by enabling/disabling this option.',
	'sortorder' => 'Sort Order',
	'desc_sortorder' => 'Specify the Sort Order for this Rule. Rules are always processed in Ascending Order.',
	'insertcriteria' => 'Insert Criteria',
	'manageplans' => 'Plans',
	'schedules' => 'Schedules',
	'desc_manageplans' => '',
	'scheduletitle' => 'Schedule Title',
	'desc_scheduletitle' => '',
	'titlenocriteriaadded' => 'No Criteria Available',
	'msgnocriteriaadded' => 'You need to add atleast one criteria in order to insert/edit the SLA plan.',
	'noscheduleavailable' => '-- No Schedule Available --',
	'titlenoslasched' => 'SLA Schedule Unavailable',
	'msgnoslasched' => 'There are no SLA Schedule(s) added in '. SWIFT_PRODUCT .'. You need to add a SLA Schedule in order to insert/update a SLA Plan into the system.',
	'nocustomholidays' => 'No Custom Holidays Available. You can toggle this property under Manage Holidays &gt; Edit',
	'editplan' => 'Edit Plan',
	'desc_editplan' => '',
	'invalidslaplan' => 'Invalid SLA Plan. Make sure the SLA plan exists in the database.',
	'titleslaplandel' => 'Deleted "%d" SLA Plan(s)',
	'msgslaplandel' => 'Successfully deleted the following SLA Plan(s) from the database:',
	'titleslaplanenable' => 'Enabled "%d" SLA Plan(s)',
	'msgslaplanenable' => 'Successfully enabled the following SLA Plan(s):',
	'titleslaplandisable' => 'Disabled "%d" SLA Plan(s)',
	'msgslaplandisable' => 'Successfully disabled the following SLA Plan(s):',
	'linkedholidays' => 'Linked Holidays (Custom)',
	'titleslaplaninsert' => 'Inserted SLA Plan',
	'msgslaplaninsert' => 'Successfully inserted the SLA Plan "%s" into the database.',
	'titleslaplanupdate' => 'Updated SLA Plan',
	'msgslaplanupdate' => 'Successfully updated the SLA Plan "%s".',
	'if' => 'If',
	'scheduledesc' => 'Schedule Info',

	// SLA Rules
	'srticketstatus' => 'Ticket Status',
	'desc_srticketstatus' => '',
	'srticketpriority' => 'Ticket Priority',
	'desc_srticketpriority' => '',
	'srdepartmentid' => 'Department',
	'desc_srdepartmentid' => '',
	'srownerstaffid' => 'Ticket Owner',
	'desc_srownerstaffid' => '',
	'sremailqueueid' => 'Email Queue',
	'srusergroupid' => 'User Group',
	'desc_srusergroupid' => '',
	'desc_sremailqueueid' => '',
	'notapplicable' => '-- NA --',
	'srfullname' => 'Fullname',
	'desc_srfullname' => '',
	'sremail' => 'Email',
	'desc_sremail' => '',
	'srlastreplier' => 'Last Replier',
	'desc_srlastreplier' => '',
	'srsubject' => 'Subject',
	'desc_srsubject' => '',
	'srcharset' => 'Charset',
	'desc_srcharset' => '',
	'srflagtype' => 'Flag Type',
	'desc_srflagtype' => '',
	'srbayescategory' => 'Bayesian Category',
	'desc_srbayescategory' => '',
	'purpleflag' => 'Purple Flag',
	'redflag' => 'Red Flag',
	'orangeflag' => 'Orange Flag',
	'yellowflag' => 'Yellow Flag',
	'blueflag' => 'Blue Flag',
	'greenflag' => 'Green Flag',
	'srcreator' => 'Creator',
	'desc_srcreator' => '',
	'creatorstaff' => 'Staff',
	'creatorclient' => 'User',
	'srunassigned' => '-- Unassigned --',
	'srtemplategroup' => 'Template Group',
	'desc_srtemplategroup' => '',
	'srisresolved' => 'Is Resolved?',
	'desc_srisresolved' => '',
	'srtickettype' => 'Ticket Type',
	'desc_srtickettype' => '',
	'srwasreopened' => 'Was Reopened?',
	'desc_srwasreopened' => '',
	'srtotalreplies' => 'Total Replies',
	'desc_srtotalreplies' => '',


	'slajanuary' => 'January (01)',
	'slafebruary' => 'February (02)',
	'slamarch' => 'March (03)',
	'slaapril' => 'April (04)',
	'slamay' => 'May (05)',
	'slajune' => 'June (06)',
	'slajuly' => 'July (07)',
	'slaaugust' => 'August (08)',
	'slaseptember' => 'September (09)',
	'slaoctober' => 'October (10)',
	'slanovember' => 'November (11)',
	'sladecember' => 'December (12)',
	// ======= END V4 LOCALES =======
);
?>