<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// Imported from v3
	'user' => 'User',
	'tasknodue' => 'n/a',
	'dupdatedtickets' => 'Tickets updated since last login:',
	'ddocs' => 'Product Documentation',

	// Staff Dashboard
	'overview' => 'Overview (Unresolved)',
	'dashboard' => 'Dashboard',
	'quickinsert' => 'Quick Insert',
	'ticket' => 'Ticket',
	'contact' => 'Contact',
	'event' => 'Event',
	'task' => 'Task',
	'news' => 'News',
	'file' => 'File',
	'article' => 'Article',
	'day' => 'Day',
	'week' => 'Week',
	'workweek' => 'Work Week',
	'month' => 'Month',
	'dashtoday' => 'today',
	'overduetickets' => 'Overdue tickets',
	'ticketsduetoday' => 'Tickets due today',
	'dashtoday2' => 'Today',
	'dashnews' => 'News (%s)',
	'dashnewstitle' => 'latest news',
	'undated' => 'Undated',
	'dashduetasks' => 'Overdue tasks/tasks with no due date',
	'tasksduetoday' => 'Tasks due today',
	'nwpostedby' => 'Posted by ',
	'nwpostedon' => ' on ',
	'nwread' => 'Read',
	'statistics' => 'Statistics',
	'dnewtickets' => 'New tickets since last login:',
	'dnewchats' => 'New chats since last login:',
	'twtoday' => 'Today',
	'tabrecentchats' => 'New Chats',
	'tabrecentmessages' => 'New Messages/Surveys',
	'lcchatid' => 'Chat ID',
	'lcfullname' => 'Fullname',
	'lcstaff' => 'Staff',
	'lcdepartment' => 'Department',
	'lcmessageid' => 'Message ID',
	'lcsubject' => 'Subject',
	'dashmytickets' => 'My Tickets',
	'dashunassigned' => 'Unassigned',
	'dashcomments' => 'Comments',
	'taboverduetickets' => 'Overdue Tickets',
	'dashticketid' => 'Ticket ID',
	'dashsubject' => 'Subject',
	'dashowner' => 'Owner',
	'dashdepartment' => 'Department',
	'dashstatus' => 'Status',
	'dashdepartmentprogress' => 'Department',
	'dashstatusprogress' => 'Status',
	'dashtypeprogress' => 'Type',
	'dashownerprogress' => 'Owner',
	'dashpriorityprogress' => 'Priority',
	'unresolveddash' => 'Unresolved',
	'unassigneddash' => 'Unassigned',

	// Admin Dashboard
	'licexpirenever' => '- Never -',
	'licunlimited' => '- Unlimited -',
	'licdomains' => 'Domain(s)',
	'licstaff' => 'Licensed Staff',
	'licexpires' => 'Expires',
	'licowner' => 'Owner',
	'licuniqueid' => 'Unique ID',
	'licversion' => 'Version',
	'licorganization' => 'Organization',
	'logfailure' => 'FAILURE',
	'plogfrom' => 'From:',
	'plogto' => 'To:',
	'plogsize' => 'Size:',
	'plognosubject' => 'No Subject',
	'showingmsg' => ' (Showing %d of %d)',
	'titletemplaterevert' => 'Template: Upgrade revert required',
	'msgtemplaterevert' => '"%d" template(s) require a restore due to a recent upgrade:',
	'titlelanguagerevert' => 'Language: Upgrade revert required',
	'msglanguagerevert' => '"%d" language phrase(s) require a restore due to a recent upgrade:',
	'licensedetails' => 'License information',
	'latestkayakonews' => 'Kayako news feed',
	'tabwelcome' => 'Welcome',
	'tabrecentactivity' => 'Recent Activity',
	'tabalerts' => 'Alerts',
	'tabloginfailures' => 'Login Failures',
	'taberrorlog' => 'Error Log',
	'tabparserlog' => 'Parser Log',
	'dashipaddress' => 'IP Address: ',
	'dashforwardedipaddress' => 'Alternate IP address: ',
	'dashuseragent' => 'User Agent: ',
	'dashinterface' => 'Interface: ',
	'titleloginfailuredetectedone' => 'Login failure detected!',
	'msgloginfailuredetectedone' => SWIFT_PRODUCT . ' has detected a login failure. To view the full log, navigate to <i>Logs > Login Log</i>.',
	'titleloginfailuredetected' => '%d login failures detected',
	'msgloginfailuredetected' => SWIFT_PRODUCT . ' has detected %d login failures. To view the full log, navigate to <i>Logs > Login Log</i>.',
	'titleparserlogfailuredetected' => '%d mail parser failure(s) detected!',
	'msgparserlogfailuredetected' => SWIFT_PRODUCT . ' has detected %d mail parser failure(s). To view the full log, navigate to <i>Logs > Parser Log</i>.',
	'titleerrorsdetected' => '%d error(s) logged!',
	'msgerrorsdetected' => SWIFT_PRODUCT . ' has logged %d error(s). In order to resolve them, please contact Kayako Support.',
	'dashusername' => 'Username:',
	'dashemail' => 'Email:',
	'dashlastlogin' => 'Last Login:',
	'dashversion' => 'version',
	'dashproduct' => 'product',
	'dashdashboard' => 'home',
	'dproduct' => 'Product:',
	'dversion' => 'Version: ',
	'dbuildtype' => 'Build Type: ',
	'dbuilddate' => 'Build Date: ',
	'kayako' => 'Kayako',
	'dhomepage' => 'Homepage',
	'dsupportdesk' => 'Support Desk',
	'dmembersarea' => 'Members Area',
	'dforums' => 'Community Forums',
	'dtemplategroups' => 'Template Groups:',
	'dtemplates' => 'Templates:',
	'dlanguages' => 'Languages:',
	'dphrases' => 'Phrases:',
	'dcustomfields' => 'Custom Fields:',
	'dtasks' => 'Scheduled Tasks:',
	'dtables' => 'Database Tables:',
	'ddatabasesize' => 'Database Size:',
	'dstaff' => 'Staff Users:',
	'ddepartments' => 'Departments:',
	'drecentactivity' => 'Recent Activity',
	'drecentactivitynone' => 'No recent activity information available',
	'accreated' => 'CREATED',
	'acupdated' => 'UPDATED',
	'acdeleted' => 'DELETED',
	'acother' => 'OTHER',
);
?>