<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN v4 LOCALES =======
	'insertbreakline' => 'Insert Breakline',
	'editbreakline' => 'Edit Breakline',
	'emailqueues' => 'Email Queues',
	'winviewparserlog' => 'View Parser Log',
	'close' => 'Close',
	'titleparserlogdel' => 'Deleted "%d" Parser Log(s)',
	'msgparserlogdel' => 'Successfully deleted the following parser log entries from the database:',
	'breaklines' => 'Breaklines',
	'desc_breaklines' => '',
	'isregexp' => 'Regular Expression?',
	'sortorder' => 'Sort Order',
	'wineditbreakline' => 'Edit Breakline',
	'breaklinetitle' => 'Breakline Text',
	'desc_breaklinetitle' => 'Enter the Breakline text, all incoming emails will get truncated till the line that contains the breakline text.',
	'desc_sortorder' => 'Enter the breakline sort order.',
	'isregexp' => 'Is Regex?',
	'desc_isregexp' => 'If Enabled, the above breakline text is treated as a regular expression.',
	'titleinsertbreakline' => 'Inserted Breakline',
	'msginsertbreakline' => 'Successfully inserted the parser breakline into the database.',
	'titleupdatebreakline' => 'Updated Breakline',
	'msgupdatebreakline' => 'Successfully update the parser breakline.',
	'titledelbreakline' => 'Deleted "%d" Breakline(s)',
	'msgdelbreakline' => 'Successfully deleted the following breaklines from the database:',
	'invalidbreakline' => 'Invalid Breakline Specified. Please make sure the breakline exists in the database and that the database is not corrupted.',
	'tabsettings' => 'Settings',
	'forcequeue' => 'Force Queue on Incoming Emails',
	'desc_forcequeue' => 'If Enabled, the system will force all emails in the mailbox to use the same queue from which the mail is being downloaded. If you intend to use this queue as a dump for forwarded emails then it is recommended that you disable this option.',
	'leavecopyonserver' => 'Leave Copy on Server?',
	'desc_leavecopyonserver' => 'If Enabled, the system will leave a copy of the message on the mail server. By default the system empties the mailbox once the fetching process is completed.<br /><b><font color="red">NOTE:</font></b> This option works with only IMAP mailboxes.',
	'nonssl' => 'Non SSL',
	'tls' => 'TLS',
	'ssl' => 'SSL',
	'sslv2' => 'SSL v2',
	'sslv3' => 'SSL v3',
	'usequeuesmtp' => 'Use Queue SMTP Server',
	'desc_usequeuesmtp' => 'If Enabled, the above mentioned server will be used for dispatching all emails related to this email queue. This avoids the email being flagged as spam.',
	'smtptype' => 'SMTP Type',
	'desc_smtptype' => 'Select the SMTP server type.',
	'next' => 'Next',
	'titleinvalidqueueprefix' => 'Invalid Queue Prefix',
	'msginvalidqueueprefix' => 'Please specify a valid email queue prefix. Only alphanumeric characters are allowed.',
	'titlefailedtocreatequeue' => 'Failed to create queue',
	'msgfailedtocreatequeue' => 'Unable to create a queue. Please check your database configuration and connectivity settings.',
	'back' => 'Back',
	'wineditemailqueue' => 'Edit Email Queue',
	'tabticketsettings' => 'Ticket Options',
	'tabpop3imap' => 'POP3/IMAP',
	'queueisenabled' => 'Is Enabled?',
	'desc_queueisenabled' => 'If Enabled the queue will process all incoming messages that are dispatched to the specified email address. Disabling the queue will result in silent rejection of all incoming pipe or pop3 messages.',
	'titlequeueinsert' => 'Email Queue Inserted',
	'msgqueueinsert' => 'Successfully inserted the email queue "%s" into the database.',
	'titlequeueupdate' => 'Email Queue Updated',
	'msgqueueupdate' => 'Successfully updated the email queue "%s".',
	'titledelqueues' => 'Deleted "%d" Email Queue(s)',
	'msgdelqueues' => 'Successfully deleted the following email queues from the database:',
	'titlestaffemail' => 'Invalid Email Address',
	'msgstaffemail' => SWIFT_PRODUCT . ' is unable to insert/update the email queue address as the email address specified is also assigned to "%s" staff. This check is added to prevent any email loops from occurring.',
	'verifyconnection' => 'Verify Connection',
	'vcvariablesanity' => 'Checking queue host information.',
	'vcimapnotcompiled' => 'Your PHP is not compiled with IMAP support. *nix users should recompile their PHP with the \'--with-imap\' flag; Windows users can simply uncomment the extension=\'php_imap.dll\' line in their php.ini',
	'vcimapcompiled' => 'PHP is compiled with IMAP support',
	'vcattemptconnection' => 'Attempting to connect to POP3/IMAP Server',
	'vcconnectionsuccess' => 'Connection Successful',
	'vctotalmessages' => 'Total Messages in Mailbox: %d',
	'vcconnectionfailed' => 'Mailbox connection failed:<BR />%s',
	'erremailqueuesame' => 'Email rejected as source email address is added as an email queue',
	// ======= END v4 LOCALES =======

	// ======= BEGIN v3 CVS UPDATE IMPORT =======
	'queue_id_label' => 'ID',
	'managemailqueue' => 'Manage Email Queues',
	'invalidqueueaddress' => 'You must enter a valid email address for the queue.',
	'fetchpop3tls' => 'POP3 TLS',
	'fetchimaptls' => 'IMAP TLS',
	'errloopcontrol' => 'Message blocked due to loop control rule in effect.',
	'errorlockfilefound' => '[ERROR]: Lock file found! (./files/parser.lockfile). A lock file has been found preventing further execution. If it is from a stale instance of cron then please delete the file in order to continue. To remove the file manually <a href="%s">click here</a>',
	'lockfileexpired' => '[WARNING]: Expired lock file (./files/parser.lockfile) from previous instance of cron found; automatically deleting...',
	'errtoobig' => 'Maximum allowed message size of %s exceeded; message size: %s',
	'autorespondernotsent' => ' (Autoresponder not sent due to settings in effect)',
	// ======= END v3 CVS UPDATE IMPORT =======

	'mailparser' => 'Mail Parser',
	'desc_mailparser' => '',
	'queuelist' => 'Email Queue List',

	'insertemailqueue' => 'Insert Email Queue',
	'queuedetails' => 'Queue Details',
	'insertqueue' => 'Insert Queue',
	'queuenextstep' => 'Next &raquo;',
	'emailgeneralfields' => 'Email Fields',
	'emailimapfields' => 'Login Information (required only if POP3/IMAP is selected)',
	'emailaddress' => 'Email Queue Address',
	'desc_emailaddress' => 'Enter a valid email address for the queue. Example: support@domain.com',
	'emailtype' => 'Queue Type',
	'desc_emailtype' => '',
	'emailfetchtype' => 'Fetch Type',
	'desc_emailfetchtype' => 'Specify how the mail parser will fetch new email. Options other than <i>Pipe</i> require hostname, username and password to be specified.',
	'fetchpipe' => 'Pipe',
	'fetchpop3' => 'POP3',
	'fetchpop3ssl' => 'POP3 SSL',
	'fetchimap' => 'IMAP',
	'fetchimapssl' => 'IMAP SSL',
	'emailhost' => 'Host',
	'desc_emailhost' => 'Enter the mail server hostname. This can be an IP address or a hostname such as <i>mail.domain.com</i>.',
	'emailport' => 'Port',
	'desc_emailport' => 'Specify the mail server port. It is recommended that this value is left unchanged unless the mail server is running on a separate port than the one selected by default.',
	'emailusername' => 'Username',
	'desc_emailusername' => 'Enter the mail server username.',
	'emailpassword' => 'Password',
	'desc_emailpassword' => 'Enter your mail server password.',

	'queueoverrides' => 'Queue Overrides (Optional)',
	'queuefromname' => 'From Name',
	'desc_queuefromname' => 'If specified, all outgoing emails under this queue will have their <i>From Name</i> replaced with this name.',
	'queuefromemail' => 'From Email',
	'desc_queuefromemail' => 'If specified, all outgoing emails under this queue will have their <i>From Email</i> replaced with this address.',

	'queuesettings' => 'Queue Settings',
	'templategroup' => 'Queue Template Group',
	'desc_templategroup' => 'Select the queue template group. The settings & templates from this template group are used for the newly-created email queue.',
	'queuesignature' => 'Queue Signature (Optional)',
	'desc_queuesignature' => 'Enter the queue signature. This signature is appended to all outgoing email under this queue.',
	'registrationrequired' => 'Registration Required?',
	'desc_registrationrequired' => 'If enabled, only <b>registered</b> users will be able to raise new tickets by sending a message to this email address and queue. Non-registered users will still be able to submit tickets via the support center.',
	'issueautoresponder' => 'Enable New Issue Autoresponder?',
	'desc_issueautoresponder' => 'If enabled, the system will send an Autoresponder message confirming the receipt of a new issue.',
	'replyautoresponder' => 'Enable New Reply Autoresponder?',
	'desc_replyautoresponder' => 'If enabled, the system will send an Autoresponder message confirming the receipt of a new reply under an already existing issue.',

	'ticketfields' => 'Ticket Fields',
	'queuedepartment' => 'Department',
	'desc_queuedepartment' => 'Specify the department under which new tickets will be created.',
	'queuetickettype' => 'Ticket Type',
	'desc_queuetickettype' => 'Select the ticket type for this queue. Any new tickets created under this queue will be set to the specified ticket type.',
	'queueticketstatus' => 'Ticket Status',
	'desc_queueticketstatus' => 'Select the ticket status for this queue. Any new tickets under this queue will be created using this status',
	'queuepriority' => 'Ticket Priority',
	'desc_queuepriority' => 'Select the ticket priority for this queue. This is not related to the "Priority" of an incoming email. Any new tickets created under this queue will be assigned the selected priority.',
	'failedtocreatequeue' => 'ERROR: Failed to create email queue',
	'redirect_queueinsert' => 'Email queue inserted successfully.',
	'queueinsertconfirm' => 'Email queue "%s" inserted successfully',
	'depdeleteconfirm' => 'Email queue "%s" deleted successfully',
	'invalidemailqueue' => 'Invalid email queue specified',
	'editemailqueue' => 'Edit Email Queue',
	'emailqueues' => 'Email Queues',
	'queueupdconfirm' => 'Email queue "%s" updated successfully',
	'invalidparserlog' => 'Invalid parser log entry. Make sure that the parser log entry exists in the database and has not been deleted.',
	'desc_parserlog' => 'The mail parser logs all incoming email under the log with useful information to help debug any problems. To disable the logging of email or change other settings, navigate to <i>Settings > Mail Parser</i>.',
	'desc_mailparser' => 'The mail parser is a crucial component of '. SWIFT_PRODUCT .'. It includes some powerful features like parser rules, catch-all rules, breaklines, and banning to simplify your workflow. The mail parser uses email queues to associate different information with a department and to find out which department an incoming email should be routed to. For more information, please refer to the Mail Parser section of the user manual.',
	'queueprefix' => 'Queue Subject Prefix (Optional)',
	'desc_queueprefix' => 'If specified, all mail subjects under this queue will be prefixed with the specified value. For example, if you specify the queue prefix as <i>SUPPORT</i> the outgoing email subject for staff replies will be: <i>[SUPPORT #ABC-12345]: Actual Subject</i>',
	'invalidqueueprefix' => 'Invalid queue prefix; only alphanumeric characters (e.g. A-Z, 0-9) and spaces are allowed.',

	'titleenablequeues' => 'Enabled "%d" Email Queue(s)',
	'msgenablequeues' => SWIFT_PRODUCT . ' has successfully enabled the following email queue(s):',
	'titledisablequeues' => 'Disabled "%d" Email Queue(s)',
	'msgdisablequeues' => SWIFT_PRODUCT . ' has successfully disabled the following email queue(s):',

	// View Parser Log
	'viewparserlog' => 'View Parser Log',
	'parserlogentry' => 'Parser Log #%s',
	'generalinformation' => 'General Information',
	'mimedata' => 'MIME Data',
	'ppticketid' => 'Ticket ID: ',
	'ppticketmaskid' => 'Ticket Mask ID: ',
	'ppdate' => 'Date: ',
	'pptimeline' => 'Timeline: ',
	'ppemailqueue' => 'Email Queue: ',
	'ppstatus' => 'Process Status: ',
	'ppsubject' => 'Subject: ',
	'ppfromemail' => 'From Email: ',
	'pptoemail' => 'Destination Email: ',
	'ppsize' => 'Size: ',
	'pptimetaken' => 'Time Taken: ',
	'ppdesc' => 'Description: ',
	'ppresult' => 'Result',
	'pparserlogid' => 'Parser Log ID: ',

	// Parser Log
	'parserlog' => 'Parser Log',
	'parserlogs' => 'Parser Logs',
	'emailsubject' => 'Email Subject',
	'emailsubjectresult' => 'Email Subject & Result',
	'emailstatus' => 'Status',
	'emailsubresultformat' => '%s<BR /><B>Result:</B> %s',
	'emailparsetime' => 'Parse Time',
	'emailfrom' => '"From:" Email',
	'emailto' => '"To:" Email',
	'emaildescription' => 'Description',
	'emailticketid' => 'Ticket/Bug ID',
	'emailticketmaskid' => 'Ticket Mask ID',
	'emailcontents' => 'Email Contents',

	'nosubject' => '(No Subject)',


	// Breaklines
	'breaklines' => 'Breaklines',
	'desc_breaklines' => 'The Breakline feature in '. SWIFT_PRODUCT .' prevents the addition of previously quoted content in an email. '. SWIFT_PRODUCT .' will strip the entire text that follows the breakline. This helps keep the content of the incoming email "clean." If the Reply Content is ever empty, the entire message is stored in the database. Example:<BR /><BR /><b>Original Email:</b><BR />Reply Content<BR />-----Original Message-----<BR />Quoted Message<BR /><BR /><b>Result:</b><BR />Reply Content<BR /><BR />',
	'breaklinelist' => 'Breakline List',
	'breakline' => 'Breakline',
	'insertbreakline' => 'Insert Breakline',
	'desc_breakline' => 'Enter the contents of the breakline you wish to insert.<BR /><BR />Note: To use regular expressions, prepend your breakline with "regex:"<BR />Example: <i>"regex:@[-=]{4,}[^-=]+[-=]{4,}@"</i>',
	'breaklinedelconfirm' => 'Breakline deleted successfully',
	'breaklineinsertconfirm' => 'Breakline inserted successfully',

	// Parser Errors
	'errnorecipients' => 'No recipients found',
	'errnofromemail' => 'No from email specified',
	'errnoqueues' => 'No assigned queues found for mail recipients',
	'errfloodprotection' => 'Flood Protection Triggered',
	'scccreatedticket' => 'Created ticket #%s',
	'scccreatedreply' => 'Created reply #%s to ticket #%s',
	'sctcreatedreply' => 'Created reply from third party #%s to ticket #%s',
	'scccreatedstaffreply' => 'Created staff reply #%s to ticket #%s',
	'clearedduelimit' => '-- MIME data cleared due to the size limit under Settings > Parser --',
	'errusernotreg' => 'User %s is not registered. The queue settings require that the user be registered.',
	'erremailbanned' => 'User email address is banned',
	'actionrepprefix' => 'Re: ',

	// Misc
	'reprocessemail' => 'Reprocess Email',

	// Loop Cutter
	'pr_loopcutter_prevents_autoresponder_desc' => ' (Autoresponder not sent due to loop control)',
	'pr_mangelooprules' => 'Loop Rules',
	'pr_loopcontrolrules' => 'Loop Control Rules',
	'pr_manageloopblockages' => 'Loop Blockages',
	'pr_loopblockages' => 'Loop Blockages',
	'pr_insert_new_loopcutter_rule_title' => 'Insert Loop Control Rule',
	'pr_edit_new_loopcutter_rule_title' => 'Edit Loop Control Rule',
	'pr_threshhold_grid_timeframe_title' => 'Timeframe',
	'pr_threshhold_grid_maxhits_title' => 'Max Hits',
	'pr_threshhold_grid_restoreafter_title' => 'Restore After',
	'pr_threshhold_grid_address_title' => 'Address',
	'pr_new_loop_control_header_text' => 'New Loop Control',
	'pr_newloopcontrolwatchlength_title' => 'Watching Timeframe',
	'pr_newloopcontrolwatchlength_desc' => 'This is the length of the timeframe that the loop blocker considers, measured in seconds.',
	'pr_newloopcontrolmaxcontacts_title' => 'Maximum Emails',
	'pr_newloopcontrolmaxcontacts_desc' => 'This is the number of emails sent which will trigger a loop block.',
	'pr_newloopcontrolrestoreafter_title' => 'Restore After',
	'pr_newloopcontrolrestoreafter_desc' => 'This is the amount of time after which a loop block will be automatically removed, measured in seconds.',
	'pr_new_loop_control_rule_added_desc' => 'New loop control rule added.',
	'pr_desc_loopblockages_filler' => 'Below is a list of active loop blockages.  The addresses listed here triggered one or more loop control rules (<i>Mail Parser >> Manage Loop Rules</i>).  Depending on the active settings (<i>Settings >> Mail Parser >> Loop Control Settings</i>), incoming email from these addresses may be completely ignored by ' . SWIFT_PRODUCT . ' and an autoresponder message may not be sent.  These settings will be in effect for each blockage until it expires.',
	'pr_desc_looprules_filler' => 'Below is a list of loop control rules.  These rules prevent autoresponder loops or other email flood situations and all incoming email messages are subjected to them.  If a rule is triggered, the settings (<i>Settings >> Mail Parser >> Loop Control Settings</i>) are applied.  This allows ' . SWIFT_PRODUCT . ' to completely ignore the message and/or not reply with an autoresponder message.  Blockages created by these rules are automatically removed after the specified timeframe.',
	'pr_loop_rule_deleted' => 'Rule deleted.',
	'pr_loop_block_deleted' => 'Blockage deleted.',
	'invalidlooprule' => 'Invalid Loop Cutter Rule. Please make sure the record exists in the database.',
	'wineditloopcutterrule' => 'Edit Loop Cutter Rule',
	'pr_threshhold_grid_title' => 'Threshold Rule Title',
	'thresholdruletitle' => 'Loop Rule Title',
	'desc_thresholdruletitle' => 'Enter your Loop Rule title',
	'titledelloopblock' => 'Deleted "%d" Loop Blockage(s)',
	'msgdelloopblock' => 'Successfully deleted the following Loop Blockage(s) from the database:',
	'titledellooprule' => 'Deleted "%d" Loop Rule(s)',
	'msgdellooprule' => 'Successfully deleted the following Loop Rule(s) from the database:',
	'titleinsertlooprule' => 'Inserted Loop Rule',
	'msginsertlooprule' => 'Successfully inserted the Loop Rule into the database:',
	'titleupdatelooprule' => 'Updated Loop Rule',
	'msgupdatelooprule' => 'Successfully updated the Loop Rule:',
	'titlelooprulemasterdel' => 'Unable to delete master loop rule(s)',
	'msglooprulemasterdel' => SWIFT_PRODUCT . ' is unable to delete the following master loop rule(s):',
);
?>