<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN V4 LOCALES =======
	'languageisenabled' => 'Is Enabled?',
	'desc_languageisenabled' => 'If Enabled, the language will be visible in the support center and user profile options.',
	'titlemissingphrases' => 'Missing Phrases Found',
	'msgmissingphrases' => SWIFT_PRODUCT . ' has detected "%d" missing phrases, it is recommended that you update the selected language and insert all the missing phrases.',
	'tabimport' => 'Import',
	'tabexport' => 'Export',
	'languagemen' => 'Language',
	'export' => 'Export',
	'import' => 'Import',
	'squicksearch' => 'Quick Search',
	'titleupdatedlangphrases' => 'Updated Language Phrases',
	'msgupdatedlangphrases' => 'Successfully Updated the Phrases for "%s" Language',
	'titlevcfailed' => 'Version Check Failed',
	'msgvcfailed' => 'The uploaded language pack was created using older version of '.SWIFT_PRODUCT .'. You can force the import/merge by setting the "Ignore Version" option to "Yes".',
	'titlelangimpfailed' => 'Import/Merge Failed',
	'msglangimpfailed' => SWIFT_PRODUCT.' was unable to import/merge your language file. Please check your XML file for any malformed tags or data.',
	'tabsearch' => 'Search',
	'tabgeneral' => 'General',
	'flagicon' => 'Flag Icon',
	'desc_flagicon' => 'Specify the Flag Icon Image URL. The default package flag icons are stored under themes/__global/flags directory. You can use the following variables:<br><b>{$themepath}</b> - URL pointer for the themes directory<br> - Example: {$themepath}us.gif',
	'wineditlanguage' => 'Edit Language: %s',
	'phrases' => 'Phrases',
	'tabphrases' => 'Phrases',
	'insertphrase' => 'Insert Phrase',
	'desc_insertphrase' => '',
	'tabgeneral' => 'General',
	'phraselanguage' => 'Phrase Language',
	'desc_phraselanguage' => 'Specify the language under which the phrase should be added',
	'titlemergelang' => 'Language Merge Successful',
	'msgmergelang' => 'Successfully merged the xml with language "%s".',
	'titleimportlang' => 'Language Import Successful',
	'msgimportlang' => 'Successfully imported the language xml, new language details are below:',
	'titlephraseinsert' => 'Inserted Language Phrase "%s"',
	'msgphraseinsert' => 'Successfully inserted the phrase "%s" into language table.<br /><b>Language: </b>%s<br /><b>Phrase Code:</b> %s<br /><b>Phrase Section:</b> %s<br /><b>Phrase Value:</b> %s',
	'titlephrasedel' => 'Language Phrase Deleted',
	'msgphrasedel' => 'Successfully deleted the language phrase "%s" from the language table',
	'titleinsertlang' => 'Language Inserted: <b>%s</b>',
	'msginsertlang' => 'Successfully inserted the language <b>"%s"</b>, new language details are below:',
	'titleupdatelang' => 'Language Updated: <b>%s</b>',
	'msgupdatelang' => 'Successfully updated the language <b>"%s"</b>, updated language details are below:',
	'titledellang' => 'Deleted "%d" Language(s)',
	'msgdellang' => 'Successfully deleted the following languages from the database.<br>',
	'compare' => 'Compare',
	'restorelanguage' => 'Restore Language',
	'restoreconfirm' => 'Are you sure you wish to restore the phrases for this language to default?\nRestoring wipes out all translations for the phrases under the given language.',
	'titlerestorephrase' => 'Language Phrases Restored',
	'msgrestorephrase' => 'Successfully restored all phrases under the language "%s" to default state.',
	'diagnostics' => 'Diagnostics',
	'tabmissingphrases' => 'Missing Phrases',
	'diagnosticslang1' => 'Language',
	'desc_diagnosticslang1' => 'Please select the main language for comparison.',
	'diagnosticslang2' => 'Compare With',
	'desc_diagnosticslang2' => 'Please select the language to compare the missing phrases with. '.SWIFT_PRODUCT.' will list all phrases that are missing from the main language and exist in the language you are comparing with.',
	'restorephrases' => 'Restore Phrases',
	'desc_restorephrases' => '',
	'tabrestorephrases' => 'Restore Phrases',
	'lookup' => 'Lookup',
	'modified' => 'Modified',
	'upgraderevert' => 'Upgrade Revert Required',
	'notmodified' => 'Not Modified',
	'titlenooptsel' => 'Invalid Phrase Type Selected',
	'msgnooptsel' => 'You need to select atleast one phrase type to filter out the results.',
	'restore' => 'Restore',
	'titleunabledelmasterlang' => 'Unable to Delete',
	'msgunabledelmasterlang' => SWIFT_PRODUCT.' is unable to delete the master language. You can switch the language used for the default group but deletion of master language is not permitted.',
	'phrasesection' => 'Section',
	'desc_phrasesection' => 'Enter the language section under which to save the new phrase. For more information on language pack sections, see the <a target="_blank" href="https://support.kayako.com/index.php?_m=knowledgebase&_a=viewarticle&kbarticleid=251">knowledgebase article</a>. It is recommended that this be kept to the global "default" section unless you want to target a specific template.',
	'phrasestatus' => 'Phrase Status',
	'restorelanguage2' => 'Restore Language Phrases: %s',
	'restorelanguage3' => 'Language: %s',
	'titlerestorephrases' => 'Restored "%d" Phrases',
	'msgrestorephrases' => 'Successfully restored the following language phrases:',
	'phrasemissing' => '-- MISSING --',
	// ======= END V4 LOCALES =======

	// ======= BEGIN v3 IMPORT =======
	'section' => 'Section',
	// ======= END v3 IMPORT =======

	'languages' => 'Languages',
	'languagedetails' => 'Language Details',
	'desc_languages' => '',
	'languagelist' => 'Language List',
	'languagetitle' => 'Language Title',
	'desc_languagetitle' => 'Enter a title for the language. <i>Example: "English (U.S.)"</i>',
	'authorname' => 'Author',
	'desc_authorname' => 'Enter the author\'s name.',
	'isdefault' => 'Is Default',
	'desc_isdefault' => 'If enabled, this language will be set as the default language',
	'textdirection' => 'Text Orientation',
	'desc_textdirection' => 'Select the orientation of text in the language.',
	'isocode' => 'ISO Code',
	'desc_isocode' => 'Enter the ISO code for the language. <a href="http://www.iso.org/iso/english_country_names_and_code_elements" target="_blank">Click here</a> for a list of ISO codes.<br><br><b>Examples:</b><br><i>en-us:</i> English (U.S.)<br><i>ru:</i> Russian<br><i>fr:</i> French',
	'languagecharset' => 'Charset',
	'desc_languagecharset' => 'Enter the default HTML encoding. Use <i>UTF-8</i> for languages that require Unicode.',
	'rtl' => 'Right to Left',
	'ltr' => 'Left to Right',
	'displayorder' => 'Display Order',
	'desc_displayorder' => 'If there are multiple languages within an area, they are sorted using the display order (ascending) specified here.',
	'insertlanguage' => 'Insert Language',
	'phrases' => 'Phrases',
	'invalidlanguageid' => 'Invalid language ID!',
	'languagedeleteconfirmation' => 'Language "%s" deleted successfully',
	'languageinsertconfirmation' => 'Language "%s" inserted successfully',
	'languageupdateconfirmation' => 'Language "%s" updated successfully',
	'importexport' => 'Import/Export',
	'exportlanguage' => 'Export Language',
	'explanguage' => 'Language To Export',
	'desc_explanguage' => 'Select the language you wish to export.',
	'exportxml' => 'Export',
	'importlanguage' => 'Import Language',
	'importxml' => 'Import',
	'languagefile' => 'XML File to Import',
	'desc_languagefile' => 'Browse for the language pack you wish to import.',
	'mergewith' => 'Method Of Import',
	'desc_mergewith' => '<i>Create New Language:</i> Create an entirely new language pack based on the XML file.<br><br><i>Select Language:</i> Merge the phrases found in the XML file with the specified language.',
	'ignoreversion' => 'Bypass Version Check',
	'desc_ignoreversion' => 'Choose whether or not you want '. SWIFT_PRODUCT .' to ignore the version information in the language pack file.  It is highly recommended that you do not import language pack files that were designed for a previous version of '. SWIFT_PRODUCT .'.',
	'createnewlanguage' => '-- Create New Language --',
	'languageimportconfirmation' => 'Language "%s" imported successfully',
	'managephrases' => 'Manage Phrases',
	'code' => 'Identifier',
	'value' => 'Text',
	'phraseupdateconfirm' => 'Phrases updated successfully',
	'managephrases' => 'Manage Phrases',
	'searchphrases' => 'Search Phrases',
	'languagesearching' => 'Search in progress...',
	'search' => 'Search',
	'codetext' => 'Identifier And Text',
	'query' => 'Search Query',
	'desc_query' => 'Enter your search query.',
	'searchtype' => 'Search Type',
	'desc_searchtype' => '<i>Identifier and Text:</i> Search in phrase text and identifier.<br><br><i>Identifier:</i> Search only in phrase identifier.',
	'searchlanguage' => 'Search Language',
	'desc_searchlanguage' => 'Select the language to search within.',
	'versioncheckfailed' => 'ERROR: Version check failed. Language pack was created for older version of '. SWIFT_PRODUCT,
	'addphrase' => 'Insert Phrase',
	'changelanguage' => 'Language Jump',
	'desc_phrasecode' => 'Please enter a unique identifier for the new phrase. <i>Example: "mynewphrase"</i>.',
	'desc_phrasevalue' => 'Enter the contents of the phrase.  You may use HTML here.',
	'phraseinsertconfirm' => 'Phrase "%s" inserted successfully',
	'languagejump' => 'Language Jump',
	'language' => 'Target Language',
	'deletephrase' => 'Delete Phrase',
	'phrasedeleteconfirm' => 'Phrase "%s" deleted successfully',
	'phrasedeletepopup' => 'Are you sure you wish to delete this phrase? Deleting a phrase might change the way your templates are displayed!',
	'phrasedelfailure' => 'ERROR: Unable to delete phrase',
	'novalue' => '[No Master Value Available]',
);
?>