<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	'predefined' => 'Predefined',
	'predefinedreplies' => 'Predefined Replies',
	'managecategories' => 'Manage Categories',
	'managereplies' => 'Manage Replies',
	'insertcategory' => 'Insert Category',
	'editcategory' => 'Edit Category',
	'insertreply' => 'Insert Reply',
	'editreply' => 'Edit Reply',
	'updatereply' => 'Update Reply',

	// Manage Categories
	'parentcategory' => 'Parent Category',
	'addsubcat' => 'Add Subcategory',
	'addreply' => 'Add Reply',
	'predefinedcategories' => 'Predefined Categories',
	'editcategory' => 'Edit Category',
	'catdelactionconfirm' => 'Are you sure you wish to delete this category? Deleting a category will result in the permanent deletion of ALL subcategories and their replies. This action is irreversible!',
	'catinsertconfirm' => 'Predefined category "%s" created successfully',
	'catdelconfirm' => 'Predefined category deleted successfully',
	'viewprereplies' => 'View Predefined Replies',

	// Manage Replies
	'replytype' => 'Reply Type',
	'subject' => 'Subject',
	'createdon' => 'Created On',
	'predefinedreplylist' => 'Predefined Reply List',
	'legend' => 'Legend: ',
	'publicreplies' => 'Public Replies',
	'privatereplies' => 'Private Replies',
	'replydelconfirm' => 'Predefined reply deleted successfully',
	'category' => 'Category',

	// Insert Category
	'cattitle' => 'Category Title',
	'desc_cattitle' => 'Enter a category title. Use this field to denote the subject or context of the replies contained in this category.',
	'parentcategory' => 'Parent Category',
	'desc_parentcategory' => 'Select a parent category. This is the category under which the new category will be created.',
	'cattype' => 'Category Type',
	'desc_cattype' => 'Select a category type.<br><br><i>Public:</i> Visible to all staff users.<br><br><i>Private:</i> Visible only to you (the staff user who created the reply).',
	'updatecategory' => 'Update Category',

	// Insert Reply
	'replyinsertconfirm' => 'Predefined reply "%s" inserted successfully',
	'replysubject' => 'Subject',
	'desc_replysubject' => 'Enter a predefined reply subject.',
	'parentcategoryres' => 'Parent Category',
	'desc_parentcategoryres' => 'Select a parent category. This is the category under which the new reply will be added.',
	'replycontents' => 'Reply Contents',

	// Edit Category
	'invalidpredcat' => 'Invalid predefined category',
	'catupdateconfirm' => 'Predefined category "%s" updated successfully',
	'categoryoptions' => 'Category options',
	'deletecategory' => 'Delete category',

	// Edit Predefined Reply
	'invalidpredefinedreply' => 'Invalid predefined reply',
	'replyupdateconfirm' => 'Predefined reply "%s" updated successfully',
	'replyoptions' => 'Reply Options',
	'deletereply' => 'Delete Reply',
);
?>