<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Andriy Lesyuk
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @site		http://www.Fadownload.com *
 * ###############################################
 */

$__LANG = array(
	'schedules' => 'Schedules',

	'exportformat' => 'Export Format',
	'desc_exportformat' => 'Choose the format of the attachment.',
	'recurrence' => 'Recurrence',
	'desc_recurrence' => 'Specify how often the report should be executed.',
	'firstexecutiondate' => 'First Execution Date',
	'nextexecutiondate' => 'Next Execution Date',
	'lastexecutiondate' => 'Last Execution Date',
	'desc_executiondate' => 'Specify the next date of the report execution. Further execution dates will be calculated automatically.',
	'schedulecc' => 'CC',
	'desc_schedulecc' => 'The report will be sent to your email address. Optionally specify other email addresses.',

	'recurrence_once' => 'Once',
	'recurrence_hourly' => 'Hourly',
	'recurrence_daily' => 'Daily',
	'recurrence_weekly' => 'Weekly',
	'recurrence_bimonthly' => 'Every Two Weeks',
	'recurrence_monthly' => 'Monthly',
	'recurrence_quarterly' => 'Quarterly',
	'recurrence_yearly' => 'Yearly',

	'titleinvalidformat' => 'Invalid Export Format',
	'msginvalidformat' => 'Please select a valid export format.',
	'titleinvalidrecurrence' => 'Invalid Recurrence Type',
	'msginvalidrecurrence' => 'Please select a valid recurrence type.',
	'titleinvalidexecutiondate' => 'Invalid Execution Date',
	'msginvalidexecutiondate' => 'Please specify valid value(s) for the date and time properties of the execution date.',
	'titlepastexecutiondate' => 'Past Execution Date',
	'msgpastexecutiondate' => 'Please specify current or future date.',
	'titleinvalidcc' => 'Invalid Email Address(es)',
	'msginvalidcc' => 'Please enter valid email address(es).',

	'notifyreportscheduleinsert' => 'Report scheduled successfully',
	'notifyreportscheduleupdate' => 'Report schedule updated',

	'ccemailaddresses' => 'CC Email Addresses',

	'reportsendoncesub' => 'Report: %s',
	'reportsendhourlysub' => 'Hourly report: %s',
	'reportsenddailysub' => 'Daily report: %s',
	'reportsendweeklysub' => 'Weekly report: %s',
	'reportsendbimonthlysub' => 'Two weeks report: %s',
	'reportsendmonthlysub' => 'Monthly report: %s',
	'reportsendquarterlysub' => 'Quarterly report: %s',
	'reportsendyearlysub' => 'Yearly report: %s',

	'reportnoattachment' => 'no attachment',
	'reportsendintro' => 'You received this email because you (%s) requested the appropriate report to be sent using Kayako ' . SWIFT_PRODUCT . '.',
	'reporterrorintro' => 'The report returned the following error',
	'reporterrorccnote' => 'Due to the above error this email was not sent to CC email addresses.',

	'noexportresultfound' => 'This report didn\'t produce any results, so there is nothing to export.',
);
?>