<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @site		http://www.Fadownload.com *
 * ###############################################
 */

$__LANG = array(
	'knowledgebase' => 'Knowledgebase',
	'categories' => 'Categories',
	'insertcategory' => 'Insert Category',
	'insertarticle' => 'New Article',
	'tabcategories' => 'Categories',
	'rootcategory' => 'Root Category',
	'filterarticles' => 'Filter Articles',
	'tabattachments' => 'Attachments',
	'saveasdraft' => 'Save as Draft',
	'addfile' => 'Add File',
	'attachedfiles' => 'Attached Files',
	'markasdraft' => 'Mark as Draft',

	'tabgeneral' => 'General',
	'categorytitle' => 'Category Title',
	'desc_categorytitle' => 'Enter a title for the category.',
	'inherit' => 'Inherit',
	'global' => 'Global',
	'categorytype' => 'Type',
	'desc_categorytype' => 'Select the Category type.<br /><br /><i>Inherit:</i> The category will inherit the type of its parent category.<br /><br /><i>Global:</i> The categories classified as Global are visible in both the client support center and the staff control panel.<br /><br /><i>Public:</i> The categories classified as Public are visible only in the client support center.<br /><br /><i>Private:</i> The categories classified as Private are only visible in the staff control panel.',
	'displayorder' => 'Display Order',
	'desc_displayorder' => 'This is the default display order in which the items are displayed. The list is sorted in Ascending Order.',
	'parentcategory' => 'Parent Category',
	'desc_parentcategory' => 'The category under which the knowledgebase category will be added. You can organize categories in a heirarchy to an unlimited level.',
	'parentcategoryitem' => '- Parent Category -',
	'taboptions' => 'Options',
	'tabpermissionsuser' => 'Permissions: Users',
	'tabpermissionsstaff' => 'Permissions: Staff',
	'uservisibilitycustom' => 'Restrict to Custom User Groups?',
	'desc_uservisibilitycustom' => 'If Enabled, this category will be visible to only the selected user groups.',
	'staffvisibilitycustom' => 'Restrict to Custom Staff Teams?',
	'desc_staffvisibilitycustom' => 'If Enabled, this category will be visible to only the selected staff teams.',
	'usergroups' => 'User Groups',
	'staffteams' => 'Staff Teams',

	'as_inherit' => '- Inherit -',
	'as_displayorder' => 'Display Order',
	'as_title' => 'Title',
	'as_creationdate' => 'Creation Date',
	'as_rating' => 'Rating',
	'articlesortorder' => 'Article Sort Order',
	'desc_articlesortorder' => 'Select how you wish to sort the articles under this knowledgebase category.',
	'allowcomments' => 'Allow Comments',
	'desc_allowcomments' => 'Select whether you wish to enable commenting for articles under this category.',
	'desc_allowcommentsarticle' => 'Select whether you wish to enable commenting for this article.',
	'allowrating' => 'Allow Rating',
	'desc_allowrating' => 'Select whether you wish to enable rating for articles under this knowledgebase category.',
	'ispublished' => 'Is Published',
	'desc_ispublished' => 'Specify whether this category should be marked as Published. Unpublished categories are not visible in either the client support center or the staff control panel.',
	'editcategory' => 'Edit Category',

	'titlekbcategoryinsert' => 'Inserted "%s" Knowledgebase Category',
	'msgkbcategoryinsert' => SWIFT_PRODUCT . ' has successfully inserted the knowledgebase category titled "%s".',
	'titlekbcategoryupdate' => 'Updated "%s" Knowledgebase Category',
	'msgkbcategoryupdate' => SWIFT_PRODUCT . ' has successfully updated the knowledgebase category titled "%s".',

	'insertarticle' => 'Insert Article',
	'publish' => 'Publish',
	'articlestatus' => 'Status',
	'articletitle' => 'Title',
	'desc_articletitle' => '',
	'taboptions' => 'Options',
	'generalsettings' => 'General Settings',
	'allowcomments' => 'Allow Comments',
	'isfeatured' => 'Is Featured Article',
	'desc_isfeatured' => 'Toggle whether to mark this article as a "Featured article". Featured articles are visible in a separate section at the top of the article listing.',
	'articlecategories' => 'Categories',
	'desc_articlecategories' => '',

	'titlekbarticleinsert' => 'Inserted Knowledgebase Article "%s"',
	'msgkbarticleinsert' => SWIFT_PRODUCT . ' has successfully created the knowledgebase article titled "%s".',
	'titlekbarticleupdate' => 'Updated Knowledgebase Article "%s"',
	'msgkbarticleupdate' => SWIFT_PRODUCT . ' has successfully updated the knowledgebase article titled "%s".',
	'manage' => 'Manage',
	'author' => 'Author',
	'creationdate' => 'Creation Date',

	'astatus_draft' => 'Draft',
	'astatus_published' => 'Published',
	'astatus_pendingapproval' => 'Pending Approval',

	'infobauthor' => 'AUTHOR',
	'infobcreationdate' => 'CREATED ON',
	'infobeditedby' => 'EDITED BY',
	'infobeditedon' => 'EDITED ON',
	'infobrating' => 'RATING',
	'informationbox' => 'Information',
	'quickfilter' => 'Quick Filter',

	'ftarticletype' => 'Type',
	'ftcategories' => 'Categories',
	'ftdate' => 'Date',

	'view' => 'View',
	'tabviewall' => 'View Knowledgebase',
	'mostpopular' => 'Most Popular',
	'recentarticles' => 'Recent Articles',
	'tabarticle' => 'View Article',
	'postedby' => 'Posted by',
	'on' => 'on',
	'attachments' => 'Attachments',
	'votes' => 'vote(s)',
	'articlehelpful' => 'This article was helpful',
	'articlenothelpful' => 'This article was not helpful',
);
?>