<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array(
	'tabgeoip' => 'GeoIP',
	'geoiptimezone' => 'Time Zone',
	'geoipisp' => 'ISP',
	'geoiporganization' => 'Organization',
	'geoipnetspeed' => 'Net Speed',
	'geoipcountry' => 'Country',
	'geoipcountrydesc' => 'Country',
	'geoipregion' => 'Region',
	'geoipcity' => 'City',
	'geoippostalcode' => 'Postal Code',
	'geoiplatitude' => 'Latitude',
	'geoiplongitude' => 'Longitude',
	'geoipmetrocode' => 'Metro Code',
	'geoipareacode' => 'Area Code',
	'calllogs' => 'Call Logs',
	'cphonenumber' => 'Phone Number',
	'cuserfullname' => 'User',
	'cstafffullname' => 'Staff',
	'ccalltype' => 'Call Type',
	'ccallstatus' => 'Call Status',
	'winviewcall' => 'View Call',
	'status_accepted' => 'Accepted',
	'status_ended' => 'Ended',
	'status_pending' => 'Unanswered',
	'status_rejected' => 'Rejected',
	'type_outbound' => 'Outbound',
	'type_inbound' => 'Inbound',
	'type_missed' => 'Missed',
	'ccalldateline' => 'Date',
	'tabcalls' => 'Calls',
	'chcallinfo' => 'Call Information',
	'chphonenumber' => 'Phone Number:',
	'chcallstarted' => 'Started:',
	'chcallended' => 'Ended:',
	'chduration' => 'Duration:',
	'chcallstatus'=> 'Status:',
	'chcalltype' => 'Type:',
	'viewcall' => 'View Call',
	'viewcallext' => 'Call: %s',
	'tabcall' => 'Call',
	'cvphone' => 'Phone Number',
	'cvuser' => 'User',
	'cvstaff' => 'Staff',
	'cvchat' => 'Chat',
	'cvcallstarted' => 'Started',
	'cvcallended' => 'Ended',
	'cvduration' => 'Duration',
	'cvcallstatus'=> 'Status',
	'cvcalltype' => 'Type',
	'callfdepartment' => 'Department',
	'callfdate' => 'Date',
	'callftype' => 'Type',
	'callfstatus' => 'Status',
	'quickfilter' => 'Quick Filter',
	'livechat' => 'Live Chat',
	'chathistory' => 'Chat History',
	'chtnewmess' => 'New Messages',
	'chtrepliedmess' => 'Replied/Read',
	'chtsurveymess' => 'Surveys',
	'chtratings' => 'Survey Ratings',
	'messages' => 'Messages',
	'messagest' => 'Messages/Surveys',
	'chattitle' => '[#%s]: %s',
	'messagetitle' => '[#%s]: %s',
	'surveytitle' => '[#%s]: %s',
	'informationbox' => 'Information',
	'infobchatid' => 'CHAT ID',
	'infobuser' => 'USER',
	'infobstaff'=> 'STAFF',
	'infobdepartment' => 'DEPARTMENT',
	'infobwaittime' => 'WAIT TIME',
	'infobduration' => 'DURATION',
	'infobstatus' => 'STATUS',
	'tabtickets' => 'Tickets',
	'createticket' => 'Create Ticket',
	'infobmessageid' => 'MESSAGE ID',
	'tabchats' => 'Chats',
	'infobtype' => 'TYPE',
	'chtdate' => 'Date',
	'chttype' => 'Type',
	'chtdepartment' => 'Departments',
	'chpublic' => 'Public',
	'chprivate' => 'Private',
	'chunanswered' => 'Unanswered',
	'chtimedout' => 'Timed Out',
	'userfullname' => 'Full Name',
	'useremail' => 'Email',
	'staffname' => 'Staff Name',
	'chatdepartment' => 'Department',
	'chatdate' => 'Date',
	'chatnoanswer' => '(Unanswered)',
	'chattimeout' => '(Timed out)',
	'chatprivate' => '(Private)',
	'chatactive' => '(Currently Active)',
	'canned' => 'Canned',
	'tabcategories' => 'Categories',
	'tabresponses' => 'Responses',
	'responsetitle' => 'Response Title',
	'insertcategory' => 'Insert Category',
	'insertresponse' => 'Insert Response',
	'wininsertcannedcat' => 'Insert Canned Category',
	'parentcategoryitem' => '- Parent Category -',
	'cannedcategorytitle' => 'Category Title',
	'desc_cannedcategorytitle' => 'Enter a title for the category.',
	'parentcategory' => 'Parent Category',
	'desc_parentcategory' => 'The category under which the new category will be added. You can organize categories in a heirarchy to an unlimited level.',
	'categorytype' => 'Category Type',
	'desc_categorytype' => '<i>Public:</i> Visible to all staff users.<BR /><BR /><i>Private:</i> Visible only to the staff user who created the category.',
	'titlecannedcategoryinsert' => 'Inserted Canned Category "%s"',
	'msgcannedcategoryinsert' => SWIFT_PRODUCT . ' has successfully inserted the canned category "%s".',
	'titlecannedcategoryupdate' => 'Updated Canned Category "%s"',
	'msgcannedcategoryupdate' => SWIFT_PRODUCT . ' has successfully updated the canned category "%s".',
	'chathistoryfilter' => 'Chat History',
	'titleinvalidparentcat' => 'Invalid Parent Category',
	'msginvalidparentcat' => 'The parent category specified is invalid. Please check that the category tree to make sure that the category selected is not a child category.',
	'titledelcannedcat' => 'Deleted "%d" Canned Categories',
	'msgdelcannedcat' => SWIFT_PRODUCT . ' has successfully deleted the following canned categories from the database:',
	'cannedresponsetitle' => 'Response Title',
	'desc_cannedresponsetitle' => 'Enter a title for the canned response.',
	'parentcategoryresp' => 'Parent Category',
	'desc_parentcategoryresp' => 'The category under which the new response will be added.',
	'responseactions' => 'Response Actions - Text and Code messages will always be executed after URL or Image actions',
	'crpushurl' => 'Push URL',
	'desc_crpushurl' => 'Enter the URL to be dispatched when this response is chosen.',
	'crpushimage' => 'Push Image',
	'desc_crpushimage' => 'Enter the URL or Upload the image file (gif/png/jpeg) to be dispatched when this response is chosen.',
	'crtext' => 'Text',
	'crcode' => 'Code',
	'crsendmessage' => 'Send Message',
	'desc_crsendmessage' => 'Select the type of message to dispatch to the user.',
	'titleinvalidfileext' => 'Invalid Image File Extension',
	'msginvalidfileext' => 'The push image file has an invalid extension. Allowed extensions are: gif, jpeg, jpg, png',
	'titlecannedresponseinsert' => 'Inserted Canned Response "%s"',
	'msgcannedresponseinsert' => SWIFT_PRODUCT . ' has successfully inserted the canned response "%s".',
	'titlecannedresponseupdate' => 'Updated Canned Response "%s"',
	'msgcannedresponseupdate' => SWIFT_PRODUCT . ' has successfully updated the canned response "%s".',
	'titledelcannedresp' => 'Deleted "%d" Canned Response(s)',
	'msgdelcannedresp' => SWIFT_PRODUCT . ' has successfully deleted the following canned response(s) from the database:',
	'search' => 'Search',
	'lookup' => 'Lookup',
	'tabsearch' => 'Advanced Search (Chats)',
	'matchtype' => 'Search Criteria Options',
	'desc_matchtype' => 'Select the grouping method for the search criteria fields.',
	'smatchall' => 'Match All (AND)',
	'smatchany' => 'Match Any (OR)',
	'insertcriteria' => 'Insert Criteria',
	'rootcategory' => 'Root Category',
	'tabchathistory' => 'Chat: #%s',
	'ch_userfullname' => 'User Fullname:',
	'ch_useremail' => 'User Email:',
	'ch_subject' => 'Subject:',
	'ch_chatid' => 'Chat ID:',
	'ch_date' => 'Date:',
	'ch_lastpostactivity' => 'Last Post Activity:',
	'ch_waittime' => 'Wait Time:',
	'ch_duration' => 'Duration:',
	'ch_staff' => 'Staff:',
	'ch_department' => 'Department:',
	'ch_wastransferred' => 'Was Transferred?:',
	'ch_transferdate' => 'Transfer Date:',
	'ch_transferredfrom' => 'Transferred From:',
	'ch_transferredto' => 'Transferred To:',
	'chtransferpending' => 'Yes (Pending)',
	'chtransferaccepted' => 'Yes (Accepted)',
	'chtransferrejected' => 'Yes (Rejected)',
	'ch_ipaddress' => 'IP Address:',
	'ch_isproactive' => 'Is Proactive?:',
	'ch_chattype' => 'Chat Type:',
	'ch_chatstatus' => 'Chat Status:',
	'ch_roundrobinhits' => 'Round Robin Hits:',
	'ch_primaryskill' => 'Primary Chat Skill:',
	'chconversation' => 'Conversation',
	'hchatid' => 'Chat ID',
	'huserfullname' => 'User Fullname',
	'huseremail' => 'User Email',
	'hstaff' => 'Staff',
	'hdepartment' => 'Department',
	'hdate' => 'Date',
	'tabhistory' => 'History',
	'print' => 'Print',
	'addnote' => 'Add Note',
	'titledelchat' => 'Deleted "%d" Chat Record(s)',
	'msgdelchat' => SWIFT_PRODUCT . ' has successfully deleted the following chat records:',
	'ch_supportcenter' => 'Support Center: ',
	'emailchat' => 'Email Chat',
	'chatemailfield' => 'Email Address',
	'desc_chatemailfield' => 'Enter the recipient\'s email address',
	'chatnotesfield' => 'Notes',
	'addnotes' => 'Notes',
	'notetitle' => '%s on %s',
	'addnote' => 'Add Note',
	'tabaddnote' => 'Add Note',
	'chatnotedelconfirm' => 'Are you sure you wish to delete this Chat Note?',
	'editnote' => 'Edit Note',
	'noteeditedtitle' => ' <i>(Edited by %s on %s)</i>',
	'tabeditnote' => 'Edit Note',
	'filterresponses' => 'Filter Responses',
	'mhmessageid' => 'Message ID',
	'mhsubject' => 'Subject',
	'mhdepartment' => 'Department',
	'mhfullname' => 'Fullname',
	'mhcreatedon' => 'Created On',
	'mhrating' => 'Rating',
	'markasread' => 'Mark as Read',
	'titlemessagedel' => 'Deleted "%d" Message(s)/Survey(s)',
	'msgmessagedel' => SWIFT_PRODUCT . ' has deleted the following Message(s) or Survey(s) from the database:',
	'tabmessage' => 'Message: #%s',
	'tabsurvey' => 'Survey: #%s',
	'mh_subject' => 'Subject:',
	'mh_messageid' => 'Message ID:',
	'mh_userfullname' => 'Fullname:',
	'mh_useremail' => 'Email:',
	'mh_repliedbystaff' => 'Replied by Staff:',
	'mh_department' => 'Department:',
	'mh_date' => 'Created On:',
	'mh_replydate' => 'Replied On:',
	'mh_messagetype' => 'Type:',
	'mh_messagestatus' => 'Status:',
	'mh_msgclient' => 'Offline Message',
	'mh_msgclientsurvey' => 'Survey',
	'mh_msgstaff' => 'Staff Reply',
	'mh_msgread' => 'Read',
	'mh_msgreplied' => 'Replied',
	'mh_msgnew' => 'New',
	'mh_linkedchat' => 'Linked Chat:',
	'mh_surveyrating' => 'Rating:',
	'mhmessagecontents' => 'Message Contents',
	'ch_linkedsurvey' => 'Linked Survey:',
	'chsurveycomments' => 'Survey Comments',
	'ch_surveyrating' => 'Rating:',
	'tabreply' => 'Reply',
	'mrfromemail' => 'From',
	'desc_mrfromemail' => '',
	'mrsubject' => 'Subject',
	'desc_mrsubject' => '',
	'subjectreplyformat' => 'Re: %s',
	'mrreplycontents' => 'Reply Contents',
	'mrsend' => 'Send',
	'titlereplydispatched' => 'Message/Survey Reply Dispatched',
	'msgreplydispatched' => SWIFT_PRODUCT . ' has successfully dispatched your reply to the Message/Survey.',
	'mhstaffreply' => 'Staff Reply Contents',

	/*
	 * ###############################################
	 * SEARCH CRITERIA
	 * ###############################################
	 */
	'chattypestaff' => 'Private (Staff <> Staff)',
	'chattypeclient' => 'Public (Client <> Staff)',
	'chatstatusincoming' => 'Pending',
	'chatstatusinchat' => 'In Chat',
	'chatstatusended' => 'Ended',
	'chatstatusnoanswer' => 'No Answer',
	'chatstatustimeout' => 'Timed Out',
	'chattransferpending' => 'Pending',
	'chattransferaccepted' => 'Accepted',
	'chattransferrejected' => 'Rejected',
	'notapplicable' => '- Not Applicable -',
	'csuserfullname' => 'User Full Name',
	'desc_csuserfullname' => 'The full name of the user that initiated the chat',
	'csuseremail' => 'User Email',
	'desc_csuseremail' => 'The email address of the user that initiated the chat',
	'cssubject' => 'Subject',
	'desc_cssubject' => 'The chat subject entered by the user',
	'csconversation' => 'Conversation (SQL LIKE)',
	'desc_csconversation' => 'The chat conversation contents. Searches using the SQL LIKE statement.',
	'csconversationngram' => 'Conversation',
	'desc_csconversationngram' => 'The chat conversation contents. Searches using MySQL FULLTEXT.',
	'csstaffid' => 'Staff',
	'desc_csstaffid' => 'The staff that accepted the chat',
	'csdateline' => 'Date',
	'desc_csdateline' => 'The date the chat was initiated.',
	'csdatelinerange' => 'Date <range>',
	'desc_csdatelinerange' => 'The date range the chat was initiated.',
	'csdepartment' => 'Department',
	'desc_csdepartment' => 'The department selected by the user for the chat',
	'cswaittime' => 'Wait Time',
	'desc_cswaittime' => 'The time the user had to wait for the staff to answer the chat. (in seconds)',
	'cstransferstatus' => 'Transfer Status',
	'desc_cstransferstatus' => 'The chat transfer status',
	'cstransferfrom' => 'Transferred From',
	'desc_cstransferfrom' => 'The staff who initiated the transfer.',
	'cstransferto' => 'Transferred To',
	'desc_cstransferto' => 'The staff to which the chat was transferred.',
	'cstransferdate' => 'Transfer Date',
	'desc_cstransferdate' => 'The date the transfer was initiated.',
	'cstransferdaterange' => 'Transfer Date <range>',
	'desc_cstransferdaterange' => 'The date range the transfer was initiated.',
	'cschattype' => 'Chat Type',
	'desc_cschattype' => 'The Chat Type (staff/user)',
	'cschatstatus' => 'Chat Status',
	'desc_cschatstatus' => 'The Chat Status (Pending, In Chat, Ended, No Answer or Timed out)',
	'csroundrobinhits' => 'Round Robin Hits',
	'desc_csroundrobinhits' => 'The number of round robin hits before a staff accepted the chat',
	'cschatskill' => 'Chat Skill',
	'desc_cschatskill' => 'The Chat Skill (set by either visitor rules or when transferring)',
	'csipaddress' => 'IP Address',
	'desc_csipaddress' => 'The IP Address of the user that started the chat',
	'csisproactive' => 'Is Proactive',
	'desc_csisproactive' => 'This property determines whether the chat was started by a proactive request',
);
?>