<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @site		http://www.Fadownload.com *
 * ###############################################
 */

$__LANG = array(
	'tsticketid' => 'Ticket ID',
	'desc_tsticketid' => '',
	'tsticketmaskid' => 'Ticket Mask ID',
	'desc_tsticketmaskid' => '',
	'tsfullname' => 'Full Name',
	'desc_tsfullname' => '',
	'tsemail' => 'Email',
	'desc_tsemail' => '',
	'tslastreplier' => 'Last Replier',
	'desc_tslastreplier' => '',
	'tsreplyto' => 'Reply-To',
	'desc_tsreplyto' => 'The reply-to email as specified in the email header. This is only valid for tickets created via email.',
	'tssubject' => 'Subject',
	'desc_tssubject' => '',
	'tsmessage' => 'Message',
	'desc_tsmessage' => 'The ticket message body.',
	'tsmessagelike' => 'Message (SQL LIKE)',
	'desc_tsmessagelike' => 'The ticket message body. Uses the SQL LIKE to search the contents.',
	'tsuser' => 'User',
	'desc_tsuser' => '',
	'tsuserorganization' => 'User Organization',
	'desc_tsuserorganization' => '',
	'tsipaddress' => 'IP Address',
	'desc_tsipaddress' => '',
	'tscharset' => 'Charset',
	'desc_tscharset' => 'The ticket character set.',
	'tsphone' => 'Phone',
	'desc_tsphone' => '',
	'tstimeworked' => 'Time Worked',
	'desc_tstimeworked' => 'The total time worked (in seconds).',
	'tstimebilled' => 'Time Billable',
	'desc_tstimebilled' => 'The total time billable (in seconds).',
	'tsdepartment' => 'Department',
	'desc_tsdepartment' => '',
	'tsowner' => 'Owner',
	'desc_tsowner' => '',
	'tstype' => 'Type',
	'desc_tstype' => '',
	'tsstatus' => 'Status',
	'desc_tsstatus' => '',
	'tspriority' => 'Priority',
	'desc_tspriority' => '',
	'tsemailqueue' => 'Email Queue',
	'desc_tsemailqueue' => '',
	'tsslaplan' => 'SLA Plan',
	'desc_tsslaplan' => '',
	'tsflag' => 'Flag',
	'desc_tsflag' => '',
	'tstemplategroup' => 'Template Group',
	'desc_tstemplategroup' => '',
	'tsescalation' => 'Escalation',
	'desc_tsescalation' => '',
	'tsbayesian' => 'Bayesian',
	'desc_tsbayesian' => '',
	'tsusergroup' => 'User Group',
	'desc_tsusergroup' => '',
	'tscreator' => 'Creator',
	'desc_tscreator' => '',
	'tscreationmode' => 'Creation Mode',
	'desc_tscreationmode' => '',
	'tsdue' => 'Due',
	'desc_tsdue' => '',
	'tsduerange' => 'Due <range>',
	'desc_tsduerange' => '',
	'tsresolutiondue' => 'Resolution Due',
	'desc_tsresolutiondue' => '',
	'tsresolutionduerange' => 'Resolution Due <range>',
	'desc_tsresolutionduerange' => '',
	'tscreationdate' => 'Creation Date',
	'desc_tscreationdate' => '',
	'tscreationdaterange' => 'Creation Date <range>',
	'desc_tscreationdaterange' => '',
	'tslastactivity' => 'Last Activity',
	'desc_tslastactivity' => '',
	'tslastactivityrange' => 'Last Activity <range>',
	'desc_tslastactivityrange' => '',
	'tslaststaffreply' => 'Last Staff Reply',
	'desc_tslaststaffreply' => '',
	'tslaststaffreplyrange' => 'Last Staff Reply <range>',
	'desc_tslaststaffreplyrange' => '',
	'tslastuserreply' => 'Last User Reply',
	'desc_tslastuserreply' => '',
	'tslastuserreplyrange' => 'Last User Reply <range>',
	'desc_tslastuserreplyrange' => '',
	'tsescalateddate' => 'Escalated Date',
	'desc_tsescalateddate' => '',
	'tsescalateddaterange' => 'Escalated Date <range>',
	'desc_tsescalateddaterange' => '',
	'tsresolutiondate' => 'Resolution Date',
	'desc_tsresolutiondate' => '',
	'tsresolutiondaterange' => 'Resolution Date <range>',
	'desc_tsresolutiondaterange' => '',
	'tsreopendate' => 'Reopen Date',
	'desc_tsreopendate' => '',
	'tsreopendaterange' => 'Reopen Date <range>',
	'desc_tsreopendaterange' => '',
	'tsedited' => 'Is Edited?',
	'desc_tsedited' => '',
	'tseditedby' => 'Edited By',
	'desc_tseditedby' => '',
	'tsediteddate' => 'Edited Date',
	'desc_tsediteddate' => '',
	'tsediteddaterange' => 'Edited Date <range>',
	'desc_tsediteddaterange' => '',
	'tstotalreplies' => 'Total Replies',
	'desc_tstotalreplies' => '',
	'tshasnotes' => 'Has Notes?',
	'desc_tshasnotes' => '',
	'tshasattachments' => 'Has Attachments?',
	'desc_tshasattachments' => '',
	'tsisemailed' => 'Is Emailed?',
	'desc_tsisemailed' => '',
	'tshasdraft' => 'Has Draft?',
	'desc_tshasdraft' => '',
	'tshasfollowup' => 'Has Follow-Up?',
	'desc_tshasfollowup' => '',
	'tsislinked' => 'Is Linked?',
	'desc_tsislinked' => '',
	'tsisfirstcontactresolved' => 'Is First Contact Resolved?',
	'desc_tsisfirstcontactresolved' => '',
	'tsaverageresponsetime' => 'Average Response Time',
	'desc_tsaverageresponsetime' => '',
	'tsescalationlevelcount' => 'Escalation Level Count',
	'desc_tsescalationlevelcount' => '',
	'tswasreopened' => 'Was Reopened?',
	'desc_tswasreopened' => '',
	'tsisresolved' => 'Is Resolved?',
	'desc_tsisresolved' => '',
	'tsresolutionlevel' => 'Resolution Level',
	'desc_tsresolutionlevel' => '',
	'tsticketnotes' => 'Ticket Notes',
	'desc_tsticketnotes' => '',
	'tsgeneraloptions' => 'General Options',
	'tsdateoptions' => 'Date Options',
	'tsmiscellaneous' => 'Miscellaneous Options',

	/**
	 * ---------------------------------------------
	 * OTHER LOCALES
	 * ---------------------------------------------
	 */
	'notapplicable' => '-- Not Applicable --',
	'lookup' => 'Lookup',
);
?>
