<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	/*
	 * ###############################################
	 * STAFF CP
	 * ###############################################
	 */

	// ======= BEGIN CORE =======
	'activitydeleteuserorganization' => 'Deleted User Organization: %s',
	'activityinsertuserorganization' => 'Inserted User Organization: %s',
	'activityupdateuserorganization' => 'Updated User Organization: %s',
	'activitydeleteuser' => 'Deleted User: %s',
	'activityinsertuser' => 'Inserted User: %s',
	'activityupdateuser' => 'Updated User: %s',
	'activityenableuser' => 'Enabled User: %s',
	'activityupdateuserorg' => 'Updated Organization for User: %s',
	'activityupdateusergroup' => 'Updated User Group for User: %s',
	'activitymergeuserorg' => 'Merged User Organization: %s with: %s',
	'activitydisableuser' => 'Disabled User: %s',
	'activityupdateprofile' => 'Updated Profile',
	'activitydeletenotification' => 'Deleted Notification Rule: %s',
	'activityinsertednotification' => 'Inserted Notification Rule: %s',
	'activityupdatenotification' => 'Updated Notification Rule: %s',
	'activityenablenotification' => 'Enabled Notification Rule: %s',
	'activitydisablenotification' => 'Disabled Notification Rule: %s',
	'activitydeletecomment' => 'Deleted Comment by %s (%s)',
	'activityapprovecomment' => 'Approved Comment by %s (%s)',
	'activityspamcomment' => 'Marked Comment by %s (%s) as Spam',
	'activitynotspamcomment' => 'Marked Comment by %s (%s) as Not Spam',

	// ======= BEGIN REPORTS =======
	'activitydeletereportcategory' => 'Deleted Report Category: %s',
	'activityinsertreportcategory' => 'Created Report Category: %s',
	'activityupdatereportcategory' => 'Updated Report Category: %s',
	'activitydeletereport' => 'Deleted Report: %s',
	'activityupdatereport' => 'Updated Report: %s',
	'activityinsertreport' => 'Created Report: %s',
	'activityinsertreportschedule' => 'Created Schedule by %s for Report: %s',
	'activityupdatereportschedule' => 'Updated Schedule by %s for Report: %s',
	'activitydeletereportschedule' => 'Deleted Schedule by %s for Report: %s',

	// ======= BEGIN TROUBLESHOOTER =======
	'activitydeletetroubleshootercategory' => 'Deleted Troubleshooter Category: %s',
	'activityinserttrcategory' => 'Inserted Troubleshooter Category: %s',
	'activityupdatetrcategory' => 'Updated Troubleshooter Category: %s',
	'activitydeletetrstep' => 'Delete Troubleshooter Step: %s',
	'activityinserttrstep' => 'Inserted Troubleshooter Step: %s',
	'activityupdatetrstep' => 'Updated Troubleshooter Step: %s',

	// ======= BEGIN KNOWLEDGEBASE =======
	'activityinsertkbcategory' => 'Inserted Knowledgebase Category: %s',
	'activitydeletekbcategory' => 'Deleted Knowledgebase Category: %s',
	'activityupdatekbcategory' => 'Updated Knowledgebase Category: %s',
	'activityinsertkbarticle' => 'Inserted Knowledgebase Article: %s',
	'activityupdatekbarticle' => 'Updated Knowledgebase Article: %s',
	'activitydeletekbarticle' => 'Deleted Knowledgebase Article: %s',

	// ======= BEGIN NEWS =======
	'activitydeletenewssubscriber' => 'Deleted News Subscriber: %s',
	'activityinsertsubscriber' => 'Inserted News Subscriber: %s',
	'activityupdatesubscriber' => 'Updated News Subscriber: %s',
	'activityimportedsubscribers' => 'Imported News Subscriber(s): %d',
	'activityexportedsubscribers' => 'Exported News Subscriber(s)',
	'activitydeletenewscategory' => 'Deleted News Category: %s',
	'activityinsertnewscategory' => 'Inserted News Category: %s',
	'activityupdatenewscategory' => 'Updated News Category: %s',
	'activitydeletenewsitem' => 'Deleted News: %s posted by %s',
	'activityinsertnewsitem' => 'Inserted News: %s',
	'activityupdatenewsitem' => 'Updated News: %s',

	// ======= BEGIN LIVECHAT =======
	'activitydeletecalls' => 'Deleted Call: %s',
	'activitymarkasreadlsmessage' => 'Marked Message/Survey as Read: %s',
	'activitydeletelsmessage' => 'Deleted Message/Survey: %s',
	'activitydeletechatobject' => 'Deleted Chat History: %s',

	'activityinsertcannedcategory' => 'Inserted Canned Category: %s',
	'activityupdatecannedcategory' => 'Updated Canned Category: %s',
	'activitydeletecannedcategory' => 'Deleted Canned Category: %s',

	'activityinsertcannedresponse' => 'Inserted Canned Response: %s',
	'activityupdatecannedresponse' => 'Updated Canned Response: %s',
	'activitydeletecannedresponse' => 'Deleted Canned Response: %s',

	// ======= BEGIN TICKETS =======
	'activitydeleteticketfilters' => 'Deleted Ticket Filter: %s',
	'activityinsertticketfilter' => 'Inserted Ticket Filter: %s',
	'activityupdateticketfilter'  => 'Updated Ticket Filter: %s',

	'activityinsertmacrocategory' => 'Inserted Macro Category: %s',
	'activityupdatemacrocategory' => 'Updated Macro Category: %s',
	'activitydeletemacrocategory' => 'Deleted Macro Category: %s',

	'activityinsertmacroreply' => 'Inserted Macro: %s',
	'activityupdatemacroreply' => 'Updated Macro: %s',
	'activitydeletemacroreply' => 'Deleted Macro: %s',

	'activitydeleteticketview' => 'Deleted Ticket View: %s',
	'activityinsertticketview' => 'Inserted Ticket View: %s',
	'activityupdateticketview' => 'Updated Ticket View: %s',

	'activityundeleteticket' => 'Un-Deleted Ticket: %s (Department: %s, Status: %s, Creator: %s)',
	'activitydeleteticket' => 'Deleted Ticket: %s (Department: %s, Status: %s, Creator: %s)',
	'activitytrashticket' => 'Ticket moved to trash: %s (Department: %s, Status: %s, Creator: %s)',
	'activitymarkasspamticket' => 'Marked Ticket as Spam: %s (Department: %s, Status: %s, Creator: %s)',
	'activitymergeticket' => 'Merged Ticket: %s (Department: %s, Status: %s, Creator: %s)',
	'activitywatchticket' => 'Ticket Watch Activated: %s (Department: %s, Status: %s, Creator: %s)',
	'activityunwatchticket' => 'Ticket Watch Deactivated: %s (Department: %s, Status: %s, Creator: %s)',
	'activitytaketicket' => 'Taken over Ticket: %s (Department: %s, Status: %s, Creator: %s)',
	'activitysurrenderticket' => 'Surrendered Ticket: %s (Department: %s, Status: %s, Creator: %s)',

	/*
	 * ###############################################
	 * END STAFF CP
	 * ###############################################
	 */


	// ======= BEGIN CORE =======
	'activityimportexec' => 'Imported data from: %s',
	'activityupdatewidget' => 'Updated Widget: %s',
	'activityinsertwidget' => 'Inserted Widget: %s',
	'activitydeletewidget' => 'Deleted Widget: %s',
	'activitydeleteusergroup' => 'Deleted User Group: %s',
	'activityinsertusergroup' => 'Inserted User Group: %s',
	'activityupdateusergroup' => 'Updated User Group: %s',
	'activitydeletestaff' => 'Deleted Staff: %s (%s)',
	'activityinsertstaff' => 'Inserted Staff: %s (%s)',
	'activityupdatestaff' => 'Updated Staff: %s (%s)',
	'activitydeletestaffgroup' => 'Deleted Team: %s',
	'activityinsertstaffgroup' => 'Inserted Team: %s',
	'activityupdatestaffgroup' => 'Updated Team: %s',
	'activityenablestaff' => 'Enabled Staff: %s (%s)',
	'activitydisablestaff' => 'Disabled Staff: %s (%s)',
	'activitydeletedepartment' => 'Deleted Department: %s (%s)',
	'activityinsertdepartment' => 'Inserted Department: %s (%s)',
	'activityupdatedepartment' => 'Updated Department: %s (%s)',
	'activitysentmassmail' => 'Dispatched Mass Mail to Staff/Team: %s',
	'activityupdatestaffls' => 'Updated Staff LoginShare: %s',
	'activityimportstaffls' => 'Imported Staff LoginShare: %s',
	'activitydeletestaffls' => 'Deleted Staff LoginShare: %s',
	'activitydeletelanguage' => 'Deleted Language: %s',
	'activityupdategeoip' => 'Updated GeoIP: %s',
	'activityinsertlanguage' => 'Inserted Language: %s',
	'activityupdatelanguage' => 'Updated Language: %s',
	'activityupdatephrases' => 'Updated Language Phrases',
	'activityinsertphrase' => 'Inserted Language Phrase: %s',
	'activitydeletephrase' => 'Deleted Language Phrase: %s',
	'activityexportedlanguage' => 'Exported Language: %s',
	'activityimportedlanguage' => 'Imported Language: %s',
	'activitymergelanguage' => 'Merged Language: %s',
	'activityrestorelanguage' => 'Restored Language: %s',
	'activitykillsession' => 'Killed Session: %s (%s)',
	'activitydisablescheduledtask' => 'Disabled Scheduled Task: %s',
	'activityenablescheduledtask' => 'Enabled Scheduled Task: %s',
	'activityexecutescheduledtask' => 'Executed Scheduled Task: %s',
	'activitydeletecustomfieldgroup' => 'Deleted Custom Field Group: %s',
	'activityinsertcfgroup' => 'Inserted Custom Field Group: %s',
	'activityupdatecfgroup' => 'Updated Custom Field Group: %s',
	'activitydeletecustomfield' => 'Deleted Custom Field: %s',
	'activityinsertcustomfield' => 'Inserted Custom Field: %s',
	'activityupdatecustomfield' => 'Updated Custom Field: %s',
	'activitydeletetemplategroup' => 'Deleted Template Group: %s',
	'activityrestoretemplategroup' => 'Restored Template Group: %s',
	'activityinserttemplategroup' => 'Inserted Template Group: %s',
	'activityupdatetemplategroup' => 'Updated Template Group: %s',
	'activitydeleterating' => 'Deleted Rating: %s',
	'activityinsertrating' => 'Inserted Rating: %s',
	'activityupdaterating' => 'Updated Rating: %s',
	// ======= END CORE =======

	// ======= BEGIN LIVE CHAT =======
	'activityupdatedmessagerouting' => 'Updated Message Routing Rules',
	'activitydeletedlssession' => 'Deleted Live Chat Staff Session: %s (%s)',
	'activityinsertlsrule' => 'Inserted Live Chat Visitor Rule: %s',
	'activityupdatelsrule' => 'Updated Live Chat Visitor Rule: %s',
	'activitydeletelsrule' => 'Deleted Live Chat Visitor Rule: %s',
	'activityupdatedsettingsls' => 'Updated Live Chat Settings',
	'activityinsertlsskill' => 'Inserted Live Chat Skill: %s',
	'activityupdatelsskill' => 'Updated Live Chat Skill: %s',
	'activitydeletelsskill' => 'Deleted Live Chat Skill: %s',
	'activitydeletelsban' => 'Deleted Live Chat Visitor Ban: %s',
	'activityinsertlsban' => 'Inserted Live Chat Visitor Ban: %s',
	'activityupdatelsban' => 'Updated Live Chat Visitor Ban: %s',
	'activitydeletelsgroup' => 'Deleted Live Chat Group: %s',
	'activityinsertlsgroup' => 'Inserted Live Chat Group: %s',
	'activityupdatelsgroup' => 'Updated Live Chat Group: %s',
	// ======= END LIVE SUPPORT =======






	/*
	 * ==============================
	 * BEGIN PARSER
	 * ==============================
	 */

	'activityenableparserrule' => 'Enabled Parser Rule: %s',
	'activitydisableparserrule' => 'Disabled Parser Rule: %s',
	'activityupdateparserrule' => 'Updated Parser Rule: %s',
	'activityinsertparserrule' => 'Inserted Parser Rule: %s',
	'activitydeleteparserrule' => 'Deleted Parser Rule: %s',
	'activityparserlogdelete' => 'Deleted Parser Log: %s (%s)',
	'activitydeletebreakline' => 'Deleted Breakline: %s',
	'activityinsertbreakline' => 'Inserted Breakline: %s',
	'activityupdatebreakline' => 'Updated Breakline: %s',
	'activitydeleteparserban' => 'Deleted Parser Ban: %s',
	'activityinsertparserban' => 'Inserted Parser Ban: %s',
	'activityupdateparserban' => 'Updated Parser Ban: %s',
	'activitydeletecatchallrule' => 'Deleted Catch-All Rule: %s',
	'activityinsertcatchall' => 'Inserted Catch-All Rule: %s',
	'activityupdatecatchallrule' => 'Updated Catch-All Rule: %s',
	'activitydeleteparserlooprule' => 'Deleted Parser Loop Rule: %s',
	'activityinsertparserlooprule' => 'Inserted Parser Loop Rule: %s',
	'activityupdateparserlooprule' => 'Updated Parser Loop Rule: %s',
	'activitydeleteparserloopblock' => 'Deleted Parser Loop Blockage: %s',
	'activitydeletemailqueue' => 'Deleted Email Queue: %s',
	'activityinsertemailqueue' => 'Inserted Email Queue: %s',
	'activityupdateemailqueue' => 'Update Email Queue: %s',
	'activitydisableemailqueue' => 'Disabled Email Queue: %s',
	'activityenableemailqueue' => 'Enabled Email Queue: %s',

	/*
	 * ==============================
	 * END PARSER
	 * ==============================
	 */






	/*
	 * ==============================
	 * BEGIN TICKETS
	 * ==============================
	 */
	'activityupdatetickettype' => 'Updated Ticket Type: %s',
	'activityinserttickettype' => 'Inserted Ticket Type: %s',
	'activitydeletetickettype' => 'Deleted Ticket Type: %s',
	'activityupdateescalation' => 'Updated Escalation Rule: %s',
	'activityinsertescalation' => 'Inserted Escalation Rule: %s',
	'activityescalationruledelete' => 'Deleted Escalation Rule: %s',
	'activityautocloseinsert' => 'Inserted Auto Close Rule: %s',
	'activityautocloseupdate' => 'Updated Auto Close Rule: %s',
	'activityautoclosedelete' => 'Deleted Auto Close Rule: %s',
	'activityautocloseenable' => 'Enabled Auto Close Rule: %s',
	'activityautoclosedisable' => 'Disabled Auto Close Rule: %s',
	'activityslaplaninsert' => 'Inserted SLA Plan: %s',
	'activityslaplanupdate' => 'Updated SLA Plan: %s',
	'activityslaplandelete' => 'Deleted SLA Plan: %s',
	'activityslaplanenable' => 'Enabled SLA Plan: %s',
	'activityslaplandisable' => 'Disabled SLA Plan: %s',
	'activityslascheduleinsert' => 'Inserted SLA Schedule: %s',
	'activityslascheduleupdate' => 'Updated SLA Schedule: %s',
	'activitydeleteslaschedule' => 'Deleted SLA Schedule: %s',
	'activityimportslaholiday' => 'Imported SLA Holiday Pack',
	'activityslaholidayinsert' => 'Inserted SLA Holiday: %s',
	'activityslaholidayupdate' => 'Updated SLA Holiday: %s',
	'activityslaholidaydelete' => 'Deleted SLA Holiday: %s',
	'activitybayestrain' => 'Trained Data with Bayesian Category: %s',
	'activitybayesuntrain' => 'Untrained Data with Bayesian Category: %s',
	'activitydeletebayescategory' => 'Deleted Bayesian Category: %s',
	'activityinsertbayescategory' => 'Inserted Bayesian Category: %s',
	'activityupdatebayescategory' => 'Updated Bayesian Category: %s',
	'activitypurgeattachment' => 'Purged Attachment: %s',
	'activitydeleteticketworkflow' => 'Deleted Ticket Workflow: %s',
	'activityinsertticketworkflow' => 'Inserted Ticket Workflow: %s',
	'activityupdateticketworkflow' => 'Updated Ticket Workflow: %s',
	'activityenableticketworkflow' => 'Enabled Ticket Workflow: %s',
	'activitydisableticketworkflow' => 'Disabled Ticket Workflow: %s',
	'activitydeleteticketlink' => 'Deleted Ticket Link: %s',
	'activityinsertticketlink' => 'Inserted Ticket Link: %s',
	'activityupdateticketlink' => 'Updated Ticket Link: %s',
	'activitydeleteticketfiletype' => 'Deleted Ticket File Type: %s',
	'activityinsertticketfiletype' => 'Inserted Ticket File Type: %s',
	'activityupdateticketfiletype' => 'Updated Ticket File Type: %s',
	'activityupdateticketpriority' => 'Updated Ticket Priority: %s',
	'activityinsertticketpriority' => 'Inserted Ticket Priority: %s',
	'activititydeleteticketpriority' => 'Deleted Ticket Priority: %s',
	'activityupdateticketstatus' => 'Updated Ticket Status: %s',
	'activityisnertticketstatus' => 'Inserted Ticket Status: %s',
	'activititydeleteticketstatus' => 'Deleted Ticket Status: %s',
	/*
	 * ==============================
	 * END TICKETS
	 * ==============================
	 */
);
?>