<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN v4 LOCALES =======
	'titlepersonalization' => 'Information Updated',
	'msgpersonalization' => SWIFT_PRODUCT . ' has updated the Personalization Information. You will have to refresh the page to view changes to the control panel header logo (if any).',
	'tabpersonalize' => 'Personalize',
	'generalinformation' => 'General Information',
	'companyname' => 'Company Name',
	'desc_companyname' => 'The name here is used to brand the client support interface and the outgoing emails.',
	'defaultreturnemail' => 'Default Return Email Address',
	'desc_defaultreturnemail' => 'This address is used as the default "From" address in outgoing email. This address must correspond to an active email queue in order to accept customer replies.',
	'logoimages' => 'Header Images',
	'supportcenterlogo' => 'Support Center Header',
	'desc_supportcenterlogo' => 'You can customize the Customer Support Center Header image by uploading a new file (gif/jpeg/png). Maximum image height: 70 px',
	'stafflogo' => 'Staff/Admin/PDA Control Panel Header',
	'desc_stafflogo' => 'You can customize the Staff/Admin/PDA Control Panel Header image visible to your staff users by uploading a new file (gif/jpeg/png). Maximum image height: 70 px<br /><br /><i>NOTE: You will need to hard refresh (Ctrl+F5 or Command+R) the page for this setting to take effect.</i>',
	'personalize' => 'Personalize',
	'changegroup' => 'Change Group',
	'desc_importexport' => '',
	'tabexport' => 'Export',
	'export' => 'Export',
	'tabimport' => 'Import',
	'import' => 'Import',
	'result' => 'Result',
	'titleisenabledprob' => 'Cannot Proceed',
	'msgisenabledprob' => 'You cannot set the Default Template Group as Disabled.',
	'useloginshare' => 'Use LoginShare',
	'desc_useloginshare' => 'If Enabled, the users credentials of users trying to authenticate under this template group will be checked using the LoginShare API.',
	'exporthistory' => 'Export Template History',
	'desc_exporthistory' => 'If Enabled, '. SWIFT_PRODUCT.' exports the entire template history along with the original template contents.',
	'mergeoptions' => 'Merge Options',
	'addtohistory' => 'Add to History',
	'desc_addtohistory' => 'If Enabled, the old templates will be saved into template history for reference in the merged template group.',
	'titleversioncheckfail' => 'Version Check Failed',
	'msgversioncheckfail' => SWIFT_PRODUCT. ' is unable to import the template pack as the pack was created using an older version of '.SWIFT_PRODUCT,
	'desc_restoretemplates' => '',
	'tabgeneral' => 'General',
	'restoretemplatestatus' => 'Template Status',
	'restoretgroup' => 'Template Group: %s',
	'tabrestore' => 'Restore Templates',
	'restoresubmitquestion' => 'Are you sure you wish to restore the selected templates?\nThis action cannot be reversed, you will loose all modifications carried out in the selected templates.',
	'titlerestoretemplates' => 'Restored "%d" Templates',
	'msgrestoretemplates' => 'Successfully restored the following templates:',
	'desc_diagnostics' => '',
	'tabdiagnostics' => 'Diagnostics',
	'desc_search' => '',
	'tabsearch' => 'Search Templates',
	'tabplugins' => 'Plugins',
	'ls_app' => 'LoginShare Plugins',
	'wineditls' => 'Edit LoginShare Plugin: %s',
	'tabsettings' => 'Settings',
	'invalidloginshareplugin' => 'Invalid LoginShare Plugin, Please make sure the LoginShare plugin exists in the database.',
	'lsnotitle' => 'No Settings Available',
	'lsnomsg' => 'There are no settings available for the LoginShare plugin <b>"%s"</b>.',
	'loginsharefile' => 'LoginShare XML File',
	'desc_loginsharefile' => 'Upload the LoginShare XML File',
	'titlenoelevatedls' => 'Unable to Import LoginShare XML',
	'msgnoelevatedls' => SWIFT_PRODUCT.' is unable to import the LoginShare XML file as it is required that you login with a staff user that has elevated rights. You can add your user to elevated right list in config/config.php file of the package.',
	'titlelsversioncheckfail' => 'Version Check Failed',
	'msglsversioncheckfail' => SWIFT_PRODUCT. ' is unable to import the LoginShare Plugin as the plugin was created for an older version of '.SWIFT_PRODUCT,
	'titlelsinvaliduniqueid' => 'Duplicate Unique ID Error',
	'msglsinvaliduniqueid' => SWIFT_PRODUCT .' is unable to import the LoginShare Plugin due to a conflict in Unique ID. This usually means that the plugin has already been imported into the database.',
	'titlelsinvalidxml' => 'Invalid XML File',
	'msglsinvalidxml' => SWIFT_PRODUCT .' is unable to import the LoginShare Plugin as the XML file corrupt or contains invalid data.',
	'titlelsimported' => 'Imported LoginShare Plugin',
	'msglsimported' => SWIFT_PRODUCT .' has successfully imported the %s LoginShare Plugin.',
	'titlelsdeleted' => 'Deleted LoginShare Plugin',
	'msglsdeleted' => 'Successfully deleted the "%s" LoginShare Plugin from the database.',
	'groupusername' => 'Username',
	'desc_groupusername' => 'Enter the Username for this Template Group. This is only required if Password Protection is enabled above.',
	'isenabled' => 'Is Enabled?',
	'desc_isenabled' => 'Toggle the usage of this group by enabling/disabling this option.',
	'titlepwnomatch' => 'Invalid Password',
	'msgpwnomatch' => 'The password specified for the template group does not match.',
	'titleinvalidgrouptitle' => 'Invalid Template Group Title',
	'msginvalidgrouptitle' => 'Only alphanumeric characters can be used in the Template Group Title',
	'titlegrouptitleexists' => 'Invalid Group Title',
	'msggrouptitleexists' => 'There is another Template Group with the same title; please choose a different title.',
	'winedittemplategroup' => 'Edit Template Group: %s',
	'tabpermissions' => 'Permissions',
	'titletgroupupdate' => 'Updated "%s" Template Group',
	'msgtgroupupdate' => 'Successfully updated the "%s" Template Group.',
	'titletgroupinsert' => 'Inserted "%s" Template Group',
	'msgtgroupinsert' => 'Successfully inserted the "%s" Template Group into the database.',
	'titletgroupnodel' => 'Unable to Delete Template Group(s)',
	'msgtgroupnodel' => SWIFT_PRODUCT . ' is unable to delete the following Master Template Group(s) from the database:',
	'titletgroupdel' => 'Deleted "%d" Template Group(s)',
	'msgtgroupdel' => 'Successfully deleted the following Template Groups from the database.',
	'titletgrouprestorecat' => 'Restored Template Group Category',
	'msgtgrouprestorecat' => 'Successfully restored the "%s" Category of "%s" (%s) Template Group',
	'titletgrouprestore' => 'Restored "%d" Template Group(s)',
	'msgtgrouprestore' => 'Successfully restored the following Template Group(s).',
	'expandcontract' => 'Expand/Contract',
	'tgroupjump' => 'Template Group: %s',
	'tabhistory' => 'History',
	'templateversion' => 'Template Version',
	'desc_templateversion' => '',
	'saveasnewversion' => 'Save as New Version',
	'titletemplaterestore' => 'Template "%s" Restored',
	'msgtemplaterestore' => 'Successfully restored the Template "%s" to default contents.',
	'titletemplateupdate' => 'Template "%s" Updated',
	'msgtemplateupdate' => 'Successfully updated the Template "%s"',
	'tabedittemplate' => 'Template: %s (%s)',
	'titlenohistory' => 'No History Available',
	'msgnohistory' => SWIFT_PRODUCT.' does not contain any historic records for the "%s" template.',
	'historydescription' => 'History Description',
	'historyitemlist' => '%s: %s (%s) Notes: <i>%s</i>',
	'system' => '(System)',
	'historyitemcurrent' => '%s: <i><b>Current</b></i> (%s)',
	'compare' => 'Compare',
	'current' => 'Current',
	'notcurrenttemp' => 'Old Version',
	'exportdiff' => 'Export Diff (Unified Format)',
	'tabcomparison' => 'Comparison',
	'changelognotes' => 'Changelog Notes',
	'desc_changelognotes' => '',
	'none' => 'None',
	'inserttemplate' => 'Insert Template',
	'inserttgroup' => 'Template Group',
	'desc_inserttgroup' => 'Please select the Template Group for this Template.',
	'restoreconfirmaskcat' => 'Are you sure you wish to restore the Templates in this Category?\nYou cannot reverse this action; restoring the Templates might result in the loss of all UI changes you have made to existing Templates!',
	'inserttemplatetgroup' => 'Template Group',
	'inserttemplatetcategory' => 'Template Category',
	'inserttemplatename' => 'Template Name',
	'desc_inserttemplatename' => 'Enter the Template Name. Special Characters are not allowed.',
	'titleinserttemplatedupe' => 'Template Name Conflict',
	'msginserttemplatedupe' => 'Please specify a different Template Name as it conflicts with an existing Template in this group.',
	'titleinserttemplatechar' => 'Invalid Template Name',
	'msginserttemplatechar' => 'Please specify a Template Name without any special characters or spaces to continue.',
	'titleinserttemplate' => 'Inserted Template "%s"',
	'msginserttemplate' => 'Successfully inserted the "%s" Template into the "%s" Template Group',
	'titletemplatedel' => 'Deleted Template',
	'msgtemplatedel' => 'Successfully deleted "%s" Template from the database.',
	'titletemplateimportfailed' => 'Failed to Import Templates',
	'msgtemplateimportfailed' => SWIFT_PRODUCT . ' failed to import the templates from the %s template pack. Please check the integrity of the pack file.',
	'titlelsupdate' => 'LoginShare Update',
	'msglsupdate' => 'Successfully updated "%s" LoginShare settings',
	'titletgroupmerge' => 'Template Group "%s" Merged with Import File',
	'msgtgroupmerge' => SWIFT_PRODUCT . ' has merged the updates from "%s" Template File into "%s" Template Group',
	'titletgroupimport' => 'Template Group "%s" Imported',
	'msgtgroupimport' => SWIFT_PRODUCT . ' has imported the templates from "%s" Template File into "%s" Template Group',
	'tabsettings_tickets' => 'Settings: Tickets',
	'tabsettings_livechat' => 'Settings: Live Chat',
	// ======= END v4 LOCALES =======

	'templates' => 'Templates',

	// ======= IMPORT/EXPORT =======
	'importexport' => 'Import/Export',
	'exporttemplates' => 'Export Templates',
	'exporttgroup' => 'Template Group',
	'desc_exporttgroup' => 'Select the Template Group from which the Templates will be exported.',
	'exportxml' => 'Export XML',
	'filename' => 'Filename',
	'desc_filename' => 'Specify the Export Filename.',
	'exportoptions' => 'Export Options',
	'desc_exportoptions' => 'Select the Export Options. If you select "Export only Modifications," only the modified or the upgrade revert required templates will be exported.',
	'exportalltemplates' => 'Export All Templates',
	'exportmodifications' => 'Export Only Modifications',
	'importtemplates' => 'Import Templates',
	'templatefile' => 'Template XML File',
	'desc_templatefile' => 'Upload the Import XML File.',
	'createnewgroup' => '-- Create New Template Group --',
	'mergewith' => 'Merge With',
	'desc_mergewith' => 'You can merge changes from the import file with an Existing Group or Create a New Template Group.',
	'ignoreversion' => 'Ignore Version',
	'desc_ignoreversion' => 'If selected, the import file version will be ignored. It is recommended that you do not enable this option as it can result in problems in the Client Support Center.',
	'importxml' => 'Import XML',
	'tgroupmergeconfirm' => 'Template Group "%s" merged with import file',
	'versioncheckfailed' => 'Version Check Failed: The uploaded template pack was created using older version of '.SWIFT_PRODUCT,
	'tgroupnewimportconfirm' => 'Template Group "%s" imported successfully',

	// ======= INSERT GROUP =======
	'insertemplategroup' => 'Insert Template Group',
	'templategroupdetails' => 'Template Group Details',
	'tgrouptitle' => 'Template Group Title',
	'desc_tgrouptitle' => 'Enter the Template Group Title. The Title may not contain symbols or spaces.',
	'companyname' => 'Company Name',
	'desc_companyname' => 'Enter the default Company Name to associate with this Template Group.',
	'generaloptions' => 'General Options',
	'defaultlanguage' => 'Default Language',
	'desc_defaultlanguage' => 'Select the default language for this Template Group. Clients will be presented with an option to select their own language.',
	'usergroups' => 'Default User Groups',
	'guestusergroup' => 'Guest User Group',
	'desc_guestusergroup' => 'Specify the default Guest User Group. Permissions from this Group will apply to all visitors.',
	'regusergroup' => 'Registered User Group',
	'desc_regusergroup' => 'Select the registered User Group. Permissions from this Group will apply to all registered users.',
	'passwordprotection' => 'Password Protection',
	'enablepassword' => 'Enable Password Protection',
	'desc_enablepassword' => 'Toggle Password Protection for this Group. '.SWIFT_PRODUCT. ' uses the HTTP Authentication method if Password Protection is enabled.',
	'password' => 'Password',
	'desc_password' => 'Enter the Password for this Template Group. This is only required if Password Protection is enabled above.',
	'passwordconfirm' => 'Password (Confirm)',
	'desc_passwordconfirm' => 'Enter Password to Confirm',
	'restrictgroups' => 'Restrict Users Group',
	'desc_restrictgroups' => 'If enabled, only the Users under the specified Registered User Group will be able to login into the Support Center for this Template Group.',
	'passworddontmatch' => 'ERROR: Passwords don\'t match',
	'invalidgrouptitle' => 'ERROR: Only alphanumeric characters can be used in the Template Group Title',
	'copyfrom' => 'Copy Templates From',
	'desc_copyfrom' => 'Select the Template Group from which '.SWIFT_PRODUCT.' will copy the Templates.',
	'grouptitleexists' => 'ERROR: Invalid Group Title. There is another Template Group with the same title; please choose a different title.',
	'promptticketpriority' => 'Prompt for Ticket Priority?',
	'desc_promptticketpriority' => 'If enabled, the user will be prompted to select a priority during ticket creation.',
	'prompttickettype' => 'Prompt for Ticket Type?',
	'desc_prompttickettype' => 'If enabled, the user will be prompted to select a ticket type during the creation.',
	'tickettype' => 'Default Ticket Type',
	'desc_tickettype' => 'Select the Default Ticket Type for this Template Group. All Tickets created will have their type set to the selected value.',
	'ticketstatus' => 'Default Ticket Status',
	'desc_ticketstatus' => 'Select the Default Ticket Status for this Template Group. All Tickets created will have their status set to the selected value. Additionally, any Client Replies will result in the status being reset to the default status for the Template Group.',
	'ticketpriority' => 'Default Ticket Priority',
	'desc_ticketpriority' => 'Select the Default Ticket Priority for this Template Group.',
	'ticketdep' => 'Default Department',
	'desc_ticketdep' => 'Select the Default Department. This Department is selected by default in the Submit Ticket page.',
	'livechatdep' => 'Default Department',
	'desc_livechatdep' => 'Select the Default Department. This Department is selected by default when a user requests a chat.',
	'ticketsdeptitle' => '%s (Tickets)',
	'livesupportdeptitle' => '%s (Live Support)',
	'isdefault' => 'Is Default Template Group',
	'desc_isdefault' => '',
	'loginshare' => 'LoginShare App',
	'desc_loginshare' => 'Specify the LoginShare App to use to authenticate the visitors under this Template Group. Make sure you have updated the settings for this app under Templates &gt; LoginShare.',

	// ======= MANAGE TEMPLATE GROUPS =======
	'grouptitle' => 'Group Title',
	'glanguage' => 'Language',
	'managegroups' => 'Manage Groups',
	'templategroups' => 'Template Groups',
	'desc_templategroups' => '',
	'grouplist' => 'Group List',
	'restore' => 'Restore',
	'export' => 'Export XML',
	'groupinsertconfirm' => 'Template Group "%s" inserted successfully',
	'groupdelconfirm' => 'Template Group "%s" deleted successfully',
	'restoreconfirmask' => 'Are you sure you wish to restore the Templates in this Group?\nYou cannot reverse this action; restoring the Templates might result in the loss of all UI changes you have made to existing Templates!',
	'restoreconfirm' => 'Template Group "%s" restored to Original Templates',
	'inserttemplategroup' => 'Insert Group',
	'edittemplategroup' => 'Edit Group',
	'invalidgroup' => 'Invalid Template Group',
	'groupupdateconfirm' => 'Template Group "%s" updated successfully',

	// ======= MANAGE TEMPLATES =======
	'desc_templates' => '',
	'managetemplates' => 'Manage Templates',
	'templatetitle' => 'Templates: %s',
	'templatecategories' => 'Template Categories',
	'expand' => 'Expand',
	'groupjump' => 'Group Jump',
	'legend' => 'Legend: ',
	'notmodified' => 'Not Modified',
	'modified' => 'Modified',
	'upgrade' => 'Upgrade Revert Required',
	'expandall' => 'Expand All',
	'jump' => 'Jump',
	'templategroup' => 'Template Group',
	'desc_templategroup' => '',
	'invalidtemplate' => 'Invalid Template',
	'edittemplate' => 'Edit Template',
	'edittemplatetitle' => 'Template: %s (Group: %s)',
	'generalinfo' => 'General Information',
	'templatedata' => 'Template Data',
	'savetemplate' => 'Save',
	'saveandreload' => 'Save &amp; Reload',
	'preview' => 'Preview',
	'restore' => 'Restore',
	'copyclipboard' => 'Copy to Clipboard',
	'templatestatus' => 'Status',
	'desc_templatestatus' => '',
	'tstatus' => '<img src="%s" align="absmiddle" border="0" /> %s', // Switch position for RTL language
	'dateadded' => 'Date Added/Modified',
	'desc_dateadded' => '',
	'contents' => '',
	'desc_contents' => '',
	'templateupdateconfirm' => 'Template "%s" updated successfully',
	'templaterestoreconfirm' => 'Templates "%s" restored to original contents',
	'templatesrestoreconfirm' => '%s Templates restored to original contents',
	'restoretemplates' => 'Restore Templates',
	'clipboardconfirm' => 'The Template contents have been copied to your clipboard. You can now paste the contents in your favorite HTML editor.',
	'clipboardconfirmmoz' => 'The text to be copied has been selected. Press Ctrl+C to copy the text to the clipboard.',

	// Diagnostics
	'diagnostics' => 'Diagnostics',
	'listmodified' => 'List Modified Templates',
	'listtorestore' => 'List Templates to Restore',
	'moditgroup' => 'Template Group',
	'desc_moditgroup' => '',
	'list' => 'List',
	'diagnosesmarty' => 'Diagnose Smarty Template Engine Errors',
	'diagtgroup' => 'Template Group',
	'desc_diagtgroup' => '',
	'diagnose' => 'Diagnose',
	'modifiedtemplates' => 'Modified Templates (Group: %s)',
	'listtemplates' => 'List of Templates (Group: %s)',
	'templatename' => 'Template Name',
	'status' => 'Status',
	'diagnoseerrors' => 'Diagnose Errors (Group: %s)',
	'compiletime' => 'Compile Time',

	// Search
	'search' => 'Search',
	'searchtemplates' => 'Search Templates',
	'query' => 'Search Query',
	'desc_query' => 'Enter the Text you wish to search for',
	'searchtgroup' => 'Search In',
	'desc_searchtgroup' => 'Select the Template Group to search in',
	'searchqueryd' => 'Search Query: %s',

	// LoginShare
	'loginshare' => 'LoginShare',
	'ls_app' => 'LoginShare Plugin',
	'pluginlist' => 'Plugin List',
	'hostname' => 'Hostname',
	'dbname' => 'DB Name',
	'dbuser' => 'DB User',
	'dbpass' => 'DB Password',
	'tableprefix' => 'Tabe Prefix',
	'ldaphostname' => 'Active Directory Host',
	'ldapport' => 'Port (Default: 389)',
	'ldapbasedn' => 'Base DN',
	'ldaprdn' => 'RDN',
	'ldappassword' => 'Password',

	// H-Sphere
	'hsphostserver' => 'Server Hostname',
	'hspport' => 'Server Port',
	'hspurl' => 'XML API URL',
	'hspconnectfail' => 'Could not connect to server. Try again later.',

	// ======= Category List =======
	'template_general' => 'General',
	'template_chat' => 'Live Support',
	'template_troubleshooter' => 'Troubleshooter',
	'template_news' => 'News',
	'template_knowledgebase' => 'Knowledgebase',
	'template_tickets' => 'Tickets',
	'template_parser' => 'Mail Parser',
	'template_onsite' => 'OnSite',
	'template_reports' => 'Reports',

	// ======= LOGINSHARE =======
	'loginapi_modernbill' => 'ModernBill',
	'loginapi_ipb' => 'Invision Power Board',
	'loginapi_vb' => 'vBulletin',
	'loginapi_osc' => 'osCommerce',
	'loginapi_iono' => 'IONO License Manager',
	'loginapi_plexum' => 'Plexum',
	'loginapi_awbs' => 'AWBS',
	'loginapi_phpaudit' => 'PHPAudit v2',
	'loginapi_whmautopilot' => 'WHMAP v3',
	'loginapi_activedirectory' => 'Active Directory/LDAP',
	'loginapi_activedirectoryssl' => 'Active Directory/LDAP (SSL)',
	'loginapi_ticketpurchaser' => 'Ticker Purchaser',
	'loginapi_xcart' => 'X-Cart',
	'loginapi_phpbb' => 'PHPBB',
	'loginapi_smf' => 'Simple Machines Forum',
	'loginapi_mybb' => 'MyBB',
	'loginapi_xmb' => 'XMB',
	'loginapi_clientexec' => 'Clientexec',
	'loginapi_joomla' => 'Joomla CMS',
	'loginapi_hsphere' => 'H-Sphere XML-API',
	'loginapi_phpprobid' => 'PHPProBid',
	'loginapi_cubecart' => 'CubeCart',
	'loginapi_modernbillv5' => 'ModernBill v5',
	'loginapi_cscart' => 'CS-Cart',
	'loginapi_fsr' => 'FSRevolution',
	'loginapi_viper' => 'Viper Cart',
	'loginapi_xoops' => 'XOOPS',
	'loginapi_whmcsintegration' => 'WHMCS - Integration Placeholder Only (Not for direct logins)',
);

?>