<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_AppLogData extends SWIFT_Model implements SWIFT_Model_Interface { const TABLE_NAME = 'applogdata'; const PRIMARY_KEY = 'applogdataid'; const TABLE_STRUCTURE = "applogdataid I PRIMARY AUTO NOTNULL,
								applogid I DEFAULT '0' NOTNULL,
								logdata X DEFAULT '' NOTNULL"; const INDEX_1 = 'applogid'; const CLEANUP_DAYS = 60;  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct($_SWIFT_DataObject); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function Create($_appLogID, $_logData) { $_SWIFT = SWIFT::GetInstance(); if (empty($_appLogID)) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_INVALIDDATA); } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'applogdata', array('applogid' => intval($_appLogID), 'logdata' => $_logData), 'INSERT'); $_appLogDataID = $_SWIFT->Database->Insert_ID(); if (!$_appLogDataID) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CREATEFAILED); } return $_appLogDataID; }  static public function DeleteOnAppLog($_appLogIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_appLogIDList)) { return false; } $_appLogDataIDList = array(); $_SWIFT->Database->Query("SELECT applogdataid FROM " . TABLE_PREFIX . "applogdata
								WHERE applogid IN (" . BuildIN($_appLogIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_appLogDataIDList[] = $_SWIFT->Database->Record['applogdataid']; } if (!count($_appLogDataIDList)) { return false; } self::DeleteList($_appLogDataIDList); return true; }  static public function CleanUp() { $_SWIFT = SWIFT::GetInstance(); $_dateThreshold = DATENOW - (self::CLEANUP_DAYS * 86400); $_appLogDataIDList = array(); $_SWIFT->Database->Query("SELECT applogdata.applogdataid AS applogdataid FROM " . TABLE_PREFIX . "applogdata AS applogdata
								LEFT JOIN " . TABLE_PREFIX . "applogs AS applogs ON (applogdata.applogid = applogs.applogid)
								WHERE applogs.dateline <= '" . intval($_dateThreshold) . "'"); while ($_SWIFT->Database->NextRecord()) { $_appLogDataIDList[] = $_SWIFT->Database->Record['applogdataid']; } if (!count($_appLogDataIDList)) { return false; } self::DeleteList($_appLogDataIDList); return true; }  static public function Daily() { self::CleanUp(); return true; } } ?>