<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_JabberQueue extends SWIFT_Model { const TABLE_NAME = 'jabberqueue'; const PRIMARY_KEY = 'jabberqueueid'; const TABLE_STRUCTURE = "jabberqueueid I PRIMARY AUTO NOTNULL,
								messagetype I2 DEFAULT '0' NOTNULL,
								dispatchname C(255) DEFAULT '' NOTNULL,
								dispatchtype I2 DEFAULT '0' NOTNULL,
								message X DEFAULT '' NOTNULL,
								dateline I DEFAULT '0' NOTNULL"; const INDEX_1 = 'messagetype'; protected $_dataStore = array(); const MSGTYPE_GROUP = 1; const MSGTYPE_USER = 2;  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Jabber Queue Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'jabberqueue', $this->GetUpdatePool(), 'UPDATE', "jabberqueueid = '" . intval($this->GetJabberQueueID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetJabberQueueID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['jabberqueueid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "jabberqueue WHERE jabberqueueid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['jabberqueueid']) && !empty($_dataStore['jabberqueueid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['jabberqueueid']) || empty($this->_dataStore['jabberqueueid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidMessageType($_messageType) { return ($_messageType == self::MSGTYPE_USER || $_messageType == self::MSGTYPE_GROUP); }  static public function Create($_messageType, $_dispatchName, $_dispatchType, $_message) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidMessageType($_messageType) || empty($_dispatchName) || !SWIFT_Jabber::IsValidDispatchTo($_dispatchType) || empty($_message)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'jabberqueue', array('messagetype' => intval($_messageType), 'dispatchname' => $_dispatchName, 'dispatchtype' => intval($_dispatchType), 'message' => $_message, 'dateline' => DATENOW), 'INSERT'); $_jabberQueueID = $_SWIFT->Database->Insert_ID(); if (!$_jabberQueueID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_jabberQueueID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetJabberQueueID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_jabberQueueIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_jabberQueueIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "jabberqueue WHERE jabberqueueid IN (" . BuildIN($_jabberQueueIDList) . ")"); return true; }  static public function Process(SWIFT_Jabber $_SWIFT_JabberObject) { $_SWIFT = SWIFT::GetInstance(); $_jabberQueueIDList = $_jabberQueue = array(); $_SWIFT->Database->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "jabberqueue ORDER BY jabberqueueid ASC", 1); while ($_SWIFT->Database->NextRecord()) { $_jabberQueueIDList[] = $_SWIFT->Database->Record['jabberqueueid']; $_jabberQueue[] = $_SWIFT->Database->Record; } if (!count($_jabberQueueIDList)) { return false; }  self::DeleteList($_jabberQueueIDList);  foreach ($_jabberQueue as $_jabberMessageContainer) { if ($_jabberMessageContainer['messagetype'] == self::MSGTYPE_GROUP) { $_SWIFT_JabberObject->SendMessageToGroup($_jabberMessageContainer['dispatchname'], $_jabberMessageContainer['dispatchtype'], $_jabberMessageContainer['message']); } else if ($_jabberMessageContainer['messagetype'] == self::MSGTYPE_USER) { $_SWIFT_JabberObject->SendMessageToUser($_jabberMessageContainer['dispatchname'], $_jabberMessageContainer['dispatchtype'], $_jabberMessageContainer['message']); } } return true; } } ?>