<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_KnowledgebaseArticleSubscriber extends SWIFT_Model { const TABLE_NAME = 'kbarticlesubscribers'; const PRIMARY_KEY = 'kbarticlesubscriberid'; const TABLE_STRUCTURE = "kbarticlesubscriberid I PRIMARY AUTO NOTNULL,
								kbarticleid I DEFAULT '0' NOTNULL,
								creator I2 DEFAULT '0' NOTNULL,
								creatorid I DEFAULT '0' NOTNULL,
								email C(255) DEFAULT '0' NOTNULL"; const INDEX_1 = 'kbarticleid'; protected $_dataStore = array();  const CREATOR_USER = 1; const CREATOR_STAFF = 2;  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Knowledgebase Article Subscriber Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'kbarticlesubscribers', $this->GetUpdatePool(), 'UPDATE', "kbarticlesubscriberid = '" . intval($this->GetKnowledgebaseArticleSubscriberID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetKnowledgebaseArticleSubscriberID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['kbarticlesubscriberid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "kbarticlesubscribers WHERE kbarticlesubscriberid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['kbarticlesubscriberid']) && !empty($_dataStore['kbarticlesubscriberid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['kbarticlesubscriberid']) || empty($this->_dataStore['kbarticlesubscriberid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidCreator($_creatorType) { if ($_creatorType == self::CREATOR_STAFF || $_creatorType == self::CREATOR_USER) { return true; } return false; }  static public function Create($_knowledgebaseArticleID, $_creatorType, $_creatorID, $_emailAddress) { $_SWIFT = SWIFT::GetInstance(); if (empty($_knowledgebaseArticleID) || !self::IsValidCreator($_creatorType) || empty($_emailAddress)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'kbarticlesubscribers', array('kbarticleid' => intval($_knowledgebaseArticleID), 'creator' => intval($_creatorType), 'creatorid' => intval($_creatorID), 'email' => $_emailAddress), 'INSERT'); $_knowledgebaseArticleSubscriberID = $_SWIFT->Database->Insert_ID(); if (!$_knowledgebaseArticleSubscriberID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_knowledgebaseArticleSubscriberID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetKnowledgebaseArticleSubscriberID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_knowledgebaseArticleSubscriberIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_knowledgebaseArticleSubscriberIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "kbarticlesubscribers WHERE kbarticlesubscriberid IN (" . BuildIN($_knowledgebaseArticleSubscriberIDList) . ")"); return true; }  static public function DeleteOnKnowledgebaseArticle($_knowledgebaseArticleIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_knowledgebaseArticleIDList)) { return false; } $_knowledgebaseArticleSubscriberIDList = array(); $_SWIFT->Database->Query("SELECT kbarticlesubscriberid FROM " . TABLE_PREFIX . "kbarticlesubscribers WHERE kbarticleid IN (" . BuildIN($_knowledgebaseArticleIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_knowledgebaseArticleSubscriberIDList[] = intval($_SWIFT->Database->Record['kbarticlesubscriberid']); } if (!count($_knowledgebaseArticleSubscriberIDList)) { return false; } self::DeleteList($_knowledgebaseArticleSubscriberIDList); return true; } } ?>