<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_SessionManager extends SWIFT_Model { private $_sessionID;  public function __construct($_sessionID) { parent::__construct(); if (!$this->SetSessionID($_sessionID)) { $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!_is_array($this->GetUpdatePool()) || !$this->GetIsClassLoaded()) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'sessions', $this->GetUpdatePool(), 'UPDATE', "sessionid = '". $this->Database->Escape($this->GetSessionID()) . "'"); return true; }  public function GetSessionID() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_sessionID; }  public function SetSessionID($_sessionID) { $this->_sessionID = $_sessionID; return true; }  public function UpdateSessionStatus($_status, $_proactiveResult) { if (!$this->GetIsClassLoaded()) { return false; } $this->UpdatePool('status', intval($_status)); $this->UpdatePool('proactiveresult', intval($_proactiveResult)); $this->ProcessUpdatePool(); return true; }  public function UpdateSessionLastActivity() { if (!$this->GetIsClassLoaded()) { return false; } $this->UpdatePool('lastactivity', DATENOW); $this->ProcessUpdatePool(); return true; }  public function SetColor($_hexCode) { if (!$this->GetIsClassLoaded()) { return false; } $this->UpdatePool('gridcolor', $_hexCode); $this->ProcessUpdatePool(); return true; }  public function SetVisitorGroup($_visitorGroupID) { $_SWIFT = SWIFT::GetInstance(); $_visitorGroupCache = $_SWIFT->Cache->Get('visitorgroupcache'); if (!$this->GetIsClassLoaded()) { return false; } else if (!isset($_visitorGroupCache[$_visitorGroupID])) { return false; } $this->UpdatePool('visitorgroupid', $_visitorGroupID); $this->ProcessUpdatePool(); return true; }  public function SetDepartment($_departmentID) { $_SWIFT = SWIFT::GetInstance(); $_departmentCache = $_SWIFT->Cache->Get('departmentcache'); if (!$this->GetIsClassLoaded()) { return false; } else if (!isset($_departmentCache[$_departmentID]) || $_departmentCache[$_departmentID]['departmentapp'] != APP_LIVECHAT) { return false; } $this->UpdatePool('departmentid', $_departmentID); $this->ProcessUpdatePool(); return true; }  public function ProcessVisitorUpdateSession() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { return false; } if (!SWIFT_Session::Start($_SWIFT->Interface, $this->GetSessionID())) { $_isBanned = SWIFT_Visitor::IsBanned(true); if (!$_isBanned) { $_sessionID = SWIFT_Session::Insert($_SWIFT->Interface->GetInterface(), 0, $this->GetSessionID()); return $_sessionID; } } return true; } } ?>