<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class Controller_Search extends Controller_staff {  const MENU_ID = 3; const NAVIGATION_ID = 1;  public function __construct() { parent::__construct(); $this->Load->View('ChatHistory'); $this->Language->Load('staff_livechat'); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function _LoadDisplayData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UserInterface->AddNavigationBox($this->Language->Get('chathistoryfilter'), SWIFT_ChatRenderManager::RenderTree()); return true; }  public function Advanced() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_LoadDisplayData(); $this->UserInterface->Header($this->Language->Get('livechat') . ' > ' . $this->Language->Get('search'), self::MENU_ID, self::NAVIGATION_ID); if ($_SWIFT->Staff->GetPermission('staff_lscanviewchat') == '0') { $this->UserInterface->DisplayError($this->Language->Get('titlenoperm'), $this->Language->Get('msgnoperm')); } else { $this->View->Render(); } $this->UserInterface->Footer(); return true; }  protected function _SearchMessages($_searchQuery) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_messageIDList = array();  if (trim($_searchQuery) == '') { return array(); } $_SWIFT->Database->QueryLimit("SELECT messages.messageid FROM " . TABLE_PREFIX . "messages AS messages
			LEFT JOIN " . TABLE_PREFIX . "messagedata AS messagedata ON (messages.messageid = messagedata.messageid)
			WHERE ((messages.messagemaskid LIKE '%" . $_SWIFT->Database->Escape($_searchQuery) . "%')
				OR (" . BuildSQLSearch('messages.fullname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('messages.email', $_searchQuery) . ")
				OR (" . BuildSQLSearch('messages.subject', $_searchQuery) . ")
				OR (" . BuildSQLSearch('messages.staffname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('messagedata.contents', $_searchQuery) . ")
			)", 100); while ($_SWIFT->Database->NextRecord()) { $_messageIDList[] = $_SWIFT->Database->Record['messageid']; } return $_messageIDList; }  protected function _SearchQuick($_searchQuery) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_chatObjectIDList = array();  if (trim($_searchQuery) == '') { return array(); } $_SWIFT->Database->QueryLimit("SELECT chatobjects.chatobjectid FROM " . TABLE_PREFIX . "chatobjects AS chatobjects
			LEFT JOIN " . TABLE_PREFIX . "chattextdata AS chattextdata ON (chatobjects.chatobjectid = chattextdata.chatobjectid)
			WHERE ((chatobjects.chatobjectmaskid LIKE '%" . $_SWIFT->Database->Escape($_searchQuery) . "%')
				OR (" . BuildSQLSearch('chatobjects.userfullname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.useremail', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.staffname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.subject', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.departmenttitle', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.ipaddress', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.userfullname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.userfullname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chatobjects.userfullname', $_searchQuery) . ")
				OR (" . BuildSQLSearch('chattextdata.contents', $_searchQuery) . ")
			)", 100); while ($_SWIFT->Database->NextRecord()) { $_chatObjectIDList[] = $_SWIFT->Database->Record['chatobjectid']; } return $_chatObjectIDList; }  protected function _SearchChatID($_searchQuery) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_chatObjectIDList = array();  if (trim($_searchQuery) == '') { return array(); }  if (is_numeric($_searchQuery)) { $_chatIDSearchContainer = $_SWIFT->Database->QueryFetch("SELECT chatobjectid FROM " . TABLE_PREFIX . "chatobjects WHERE chatobjectid = '" . intval($_searchQuery) . "'"); if (isset($_chatIDSearchContainer['chatobjectid']) && !empty($_chatIDSearchContainer['chatobjectid'])) { return array($_chatIDSearchContainer['chatobjectid']); }  } else { $_SWIFT->Database->QueryLimit("SELECT chatobjectid FROM " . TABLE_PREFIX . "chatobjects WHERE chatobjectmaskid LIKE '%" . $_SWIFT->Database->Escape($_searchQuery) . "%'", 100); while ($_SWIFT->Database->NextRecord()) { $_chatObjectIDList[] = $_SWIFT->Database->Record['chatobjectid']; } } return $_chatObjectIDList; }  protected function LoadSearch(array $_chatObjectIDList) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  if (count($_chatObjectIDList) == 1) {  $this->Load->Controller('ChatHistory')->Load->Method('ViewChat', $_chatObjectIDList[0]); return true; } SWIFT_SearchStore::DeleteOnType(SWIFT_SearchStore::TYPE_CHATS, $_SWIFT->Staff->GetStaffID()); $_searchStoreID = SWIFT_SearchStore::Create($_SWIFT->Session->GetSessionID(), SWIFT_SearchStore::TYPE_CHATS, $_chatObjectIDList, $_SWIFT->Staff->GetStaffID()); if (!_is_array($_chatObjectIDList)) { SWIFT::Alert($this->Language->Get('titlesearchfailed'), $this->Language->Get('msgsearchfailed')); } $this->Load->Controller('ChatHistory')->Manage($_searchStoreID); return true; }  public function ChatID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_chatObjectIDList = $this->_SearchChatID(trim($_POST['query'])); $this->LoadSearch($_chatObjectIDList); return true; }  public function Messages() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_messageIDList = $this->_SearchMessages($_POST['query']);  if (count($_messageIDList) == 1) { $this->Load->Controller('Message')->ViewMessage($_messageIDList[0]); return true; } SWIFT_SearchStore::DeleteOnType(SWIFT_SearchStore::TYPE_CHATMESSAGE, $_SWIFT->Staff->GetStaffID()); $_searchStoreID = SWIFT_SearchStore::Create($_SWIFT->Session->GetSessionID(), SWIFT_SearchStore::TYPE_CHATMESSAGE, $_messageIDList, $_SWIFT->Staff->GetStaffID()); if (!_is_array($_messageIDList)) { SWIFT::Alert($this->Language->Get('titlesearchfailed'), $this->Language->Get('msgsearchfailed')); } $this->Load->Controller('Message')->Manage($_searchStoreID); return true; }  public function QuickSearch() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_chatObjectIDList = $this->_SearchQuick($_POST['query']); $this->LoadSearch($_chatObjectIDList); return true; } } ?>