<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_LoopChecker extends SWIFT_Library {  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Check($_emailAddress) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  SWIFT_LoopHit::DeleteOnTime(SWIFT_LoopRule::GetMaxContactAge());  SWIFT_LoopBlock::DeleteObsolete();  SWIFT_LoopHit::Create($_emailAddress); if (SWIFT_LoopBlock::CheckIfAddressIsBlocked($_emailAddress)) { return true; } else { if (($_blockLength = $this->CheckEmailForLoop($_emailAddress)) !== false) { SWIFT_LoopBlock::Create($_emailAddress, $_blockLength); return true; } } return false; }  protected function CheckEmailForLoop($_emailAddress) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_datelineHitList = SWIFT_LoopHit::RetrieveOnAddress($_emailAddress); $_loopRuleContainer = SWIFT_LoopRule::GetFrequencyThreshholds(); return $this->CheckForEmailLoopWorker(DATENOW, $_datelineHitList, $_loopRuleContainer); }  protected function CheckForEmailLoopWorker($_compareTime, &$_datelineHitList, &$_loopRuleContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } foreach ($_datelineHitList as $_hitTimestamp) {  $_timeDiff = $_compareTime - $_hitTimestamp;  foreach ($_loopRuleContainer as &$_loopRule) {  if ($_timeDiff < $_loopRule['length']) {  isset ($_loopRule['hit'])? ++$_loopRule['hit'] : $_loopRule['hit'] = 1;  if ($_loopRule['hit'] >= $_loopRule['maxhits']) {  return $_loopRule['restoreafter'];  } } }  }  return false;  } } ?>