<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketFilterField extends SWIFT_Model { const TABLE_NAME = 'ticketfilterfields'; const PRIMARY_KEY = 'ticketfilterfieldid'; const TABLE_STRUCTURE = "ticketfilterfieldid I PRIMARY AUTO NOTNULL,
								ticketfilterid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								fieldtitle C(255) DEFAULT '' NOTNULL,
								fieldoper I DEFAULT '0' NOTNULL,
								fieldvalue C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'ticketfilterid'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Ticket Filter Field Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketfilterfields', $this->GetUpdatePool(), 'UPDATE', "ticketfilterfieldid = '" . intval($this->GetTicketFilterFieldID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetTicketFilterFieldID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['ticketfilterfieldid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "ticketfilterfields WHERE ticketfilterfieldid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['ticketfilterfieldid']) && !empty($_dataStore['ticketfilterfieldid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['ticketfilterfieldid']) || empty($this->_dataStore['ticketfilterfieldid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_ticketFilterID, $_fieldTitle, $_fieldOper, $_fieldValue) { $_SWIFT = SWIFT::GetInstance(); if (empty($_ticketFilterID) || empty($_fieldTitle) || empty($_fieldOper)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'ticketfilterfields', array('dateline' => DATENOW, 'ticketfilterid' => intval($_ticketFilterID), 'fieldtitle' => $_fieldTitle, 'fieldoper' => $_fieldOper, 'fieldvalue' => $_fieldValue), 'INSERT'); $_ticketFilterFieldID = $_SWIFT->Database->Insert_ID(); if (!$_ticketFilterFieldID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTicketFilterFieldID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_ticketFilterFieldIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketFilterFieldIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketfilterfields WHERE ticketfilterfieldid IN (" . BuildIN($_ticketFilterFieldIDList) . ")"); return true; }  static public function DeleteOnTicketFilter($_ticketFilterIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketFilterIDList)) { return false; } $_ticketFilterFieldIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketfilterfields WHERE ticketfilterid IN (" . BuildIN($_ticketFilterIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_ticketFilterFieldIDList[] = $_SWIFT->Database->Record['ticketfilterfieldid']; } if (!_is_array($_ticketFilterFieldIDList)) { return false; } self::DeleteList($_ticketFilterFieldIDList); return true; } } ?>
