<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_MacroReplyData extends SWIFT_Model { const TABLE_NAME = 'macroreplydata'; const PRIMARY_KEY = 'macroreplydataid'; const TABLE_STRUCTURE = "macroreplydataid I PRIMARY AUTO NOTNULL,
								macroreplyid I DEFAULT '0' NOTNULL,
								contents X2 DEFAULT '' NOTNULL,
								tagcontents X DEFAULT '' NOTNULL"; const INDEX_1 = 'macroreplyid'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Macro Reply Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'macroreplydata', $this->GetUpdatePool(), 'UPDATE', "macroreplydataid = '" . intval($this->GetMacroReplyDataID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetMacroReplyDataID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['macroreplydataid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "macroreplydata WHERE macroreplydataid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['macroreplydataid']) && !empty($_dataStore['macroreplydataid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['macroreplydataid']) || empty($this->_dataStore['macroreplydataid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_macroReplyID, $_contents, $_tagContents) { $_SWIFT = SWIFT::GetInstance(); if (empty($_macroReplyID) || empty($_contents)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'macroreplydata', array('macroreplyid' => intval($_macroReplyID), 'contents' => $_contents, 'tagcontents' => $_tagContents), 'INSERT'); $_macroReplyDataID = $_SWIFT->Database->Insert_ID(); if (!$_macroReplyDataID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_macroReplyDataID; }  public function Update($_contents, $_tagContents) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (empty($_contents)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->UpdatePool('contents', $_contents); $this->UpdatePool('tagcontents', $_tagContents); $this->ProcessUpdatePool(); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetMacroReplyDataID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_macroReplyDataIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_macroReplyDataIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "macroreplydata WHERE macroreplydataid IN (" . BuildIN($_macroReplyDataIDList) . ")"); return true; }  static public function DeleteOnReply($_macroReplyIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_macroReplyIDList)) { return false; } $_macroReplyDataIDList = array(); $_SWIFT->Database->Query("SELECT macroreplydataid FROM " . TABLE_PREFIX . "macroreplydata WHERE macroreplyid IN (" . BuildIN($_macroReplyIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_macroReplyDataIDList[] = $_SWIFT->Database->Record['macroreplydataid']; } if (!count($_macroReplyDataIDList)) { return false; } self::DeleteList($_macroReplyDataIDList); return true; }  static public function RetrieveOnReply($_macroReplyID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_macroReplyID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_macroReplyDataContainer = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "macroreplydata WHERE macroreplyid = '" . intval($_macroReplyID) . "'"); if (isset($_macroReplyDataContainer['macroreplydataid']) && !empty($_macroReplyDataContainer['macroreplydataid'])) { $_SWIFT_MacroReplyDataObject = new SWIFT_MacroReplyData(new SWIFT_DataStore($_macroReplyDataContainer)); return $_SWIFT_MacroReplyDataObject; } return false; } } ?>
