<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketTimeTrack extends SWIFT_Model { const TABLE_NAME = 'tickettimetracks'; const PRIMARY_KEY = 'tickettimetrackid'; const TABLE_STRUCTURE = "tickettimetrackid I PRIMARY AUTO NOTNULL,
								ticketid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								workdateline I DEFAULT '0' NOTNULL,
								creatorstaffid I DEFAULT '0' NOTNULL,
								creatorstaffname C(255) DEFAULT '' NOTNULL,
								timespent I DEFAULT '0' NOTNULL,
								timebillable I DEFAULT '0' NOTNULL,
								isedited I2 DEFAULT '0' NOTNULL,
								editedstaffid I DEFAULT '0' NOTNULL,
								editedstaffname C(255) DEFAULT '' NOTNULL,
								editedtimeline I DEFAULT '0' NOTNULL,
								notecolor I DEFAULT '0' NOTNULL,
								workerstaffid I DEFAULT '0' NOTNULL,
								workerstaffname C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'ticketid'; protected $_dataStore = array();  static public function GetSanitizedNoteColor($_noteColor) { $_noteColor = intval($_noteColor); if ($_noteColor > 5 || $_noteColor < 1) { $_noteColor = 1; } return $_noteColor; }  static public function Create(SWIFT_Ticket $_SWIFT_TicketObject, SWIFT_Staff $_SWIFT_StaffObject, $_timeSpent, $_timeBillable, $_noteColor, $_noteContents, SWIFT_Staff $_SWIFT_StaffObject_Worker, $_workDateline, $_billDateline) { $_SWIFT = SWIFT::GetInstance(); $_timeSpent = intval($_timeSpent); $_timeBillable = intval($_timeBillable); $_noteColor = self::GetSanitizedNoteColor($_noteColor); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded() || !$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded() || !$_SWIFT_StaffObject_Worker instanceof SWIFT_Staff || !$_SWIFT_StaffObject_Worker->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); } $_workerStaffID = false; $_workerStaffName = ''; if ($_SWIFT_StaffObject_Worker instanceof SWIFT_Staff && $_SWIFT_StaffObject_Worker->GetIsClassLoaded()) { $_workerStaffID = intval($_SWIFT_StaffObject_Worker->GetStaffID()); $_workerStaffName = $_SWIFT_StaffObject_Worker->GetProperty('fullname'); } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracks', array('ticketid' => intval($_SWIFT_TicketObject->GetTicketID()), 'dateline' => intval($_billDateline), 'creatorstaffid' => intval($_SWIFT_StaffObject->GetStaffID()), 'creatorstaffname' => $_SWIFT_StaffObject->GetProperty('fullname'), 'timespent' => intval($_timeSpent), 'timebillable' => intval($_timeBillable), 'notecolor' => intval($_noteColor), 'workerstaffid' => intval($_workerStaffID), 'workerstaffname' => $_workerStaffName, 'workdateline' => intval($_workDateline)), 'INSERT'); $_ticketTimeTrackID = intval($_SWIFT->Database->Insert_ID()); if (!$_ticketTimeTrackID) { throw new SWIFT_TimeTrack_Exception(SWIFT_CREATEFAILED); }  $_SWIFT_TicketTimeTrackObject = new SWIFT_TicketTimeTrack(new SWIFT_DataID($_ticketTimeTrackID)); if (!$_SWIFT_TicketTimeTrackObject instanceof SWIFT_TicketTimeTrack || !$_SWIFT_TicketTimeTrackObject->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CREATEFAILED); } SWIFT_TicketTimeTrackNote::Create($_SWIFT_TicketTimeTrackObject, $_noteContents);  $_SWIFT_TicketObject->MarkHasBilling(); $_ticketTimeWorked = $_SWIFT_TicketObject->GetProperty('timeworked'); $_ticketTimeBilled = $_SWIFT_TicketObject->GetProperty('timebilled'); $_SWIFT_TicketObject->UpdateTimeTrack(($_ticketTimeWorked + $_timeSpent), ($_ticketTimeBilled + $_timeBillable)); SWIFT_Ticket::AddToWorkflowQueue($_SWIFT_TicketObject); return $_SWIFT_TicketTimeTrackObject; }  public function Update($_timeSpent, $_timeBillable, $_noteColor, $_noteContents, SWIFT_Staff $_SWIFT_StaffObject_Worker, $_workDateline, $_billDateline, SWIFT_Staff $_SWIFT_StaffObject = null) { $_timeSpent = intval($_timeSpent); $_timeBillable = intval($_timeBillable); $_noteColor = self::GetSanitizedNoteColor($_noteColor); if (!$this->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_CLASSNOTLOADED); return false; } $_workerStaffID = false; $_workerStaffName = ''; if ($_SWIFT_StaffObject_Worker instanceof SWIFT_Staff && $_SWIFT_StaffObject_Worker->GetIsClassLoaded()) { $_workerStaffID = intval($_SWIFT_StaffObject_Worker->GetStaffID()); $_workerStaffName = $_SWIFT_StaffObject_Worker->GetProperty('fullname'); } $this->UpdatePool('timespent', intval($_timeSpent)); $this->UpdatePool('timebillable', intval($_timeBillable)); $this->UpdatePool('notecolor', intval($_noteColor)); $this->UpdatePool('isedited', '1'); $this->UpdatePool('workerstaffid', intval($_workerStaffID)); $this->UpdatePool('workerstaffname', $_workerStaffName); $this->UpdatePool('dateline', intval($_billDateline)); $this->UpdatePool('workdateline', intval($_workDateline)); $this->UpdatePool('editedtimeline', DATENOW); if ($_SWIFT_StaffObject instanceof SWIFT_Staff && $_SWIFT_StaffObject->GetIsClassLoaded()) { $this->UpdatePool('editedstaffname', $_SWIFT_StaffObject->GetProperty('fullname')); $this->UpdatePool('editedstaffid', intval($_SWIFT_StaffObject->GetStaffID())); } $this->ProcessUpdatePool(); $_SWIFT_TicketTimeTrackNoteObject = SWIFT_TicketTimeTrackNote::RetrieveObjectOnTicketTimeTrackID($this); if (!$_SWIFT_TicketTimeTrackNoteObject instanceof SWIFT_TicketTimeTrackNote || !$_SWIFT_TicketTimeTrackNoteObject->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); } $_SWIFT_TicketTimeTrackNoteObject->Update($_noteContents); return true; }  static public function DeleteList($_ticketTimeTrackIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketTimeTrackIDList)) { return false; } parent::DeleteList($_ticketTimeTrackIDList);  SWIFT_TicketTimeTrackNote::DeleteOnTicketTimeTrack($_ticketTimeTrackIDList); return true; }  static public function DeleteOnTicket($_ticketIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketIDList)) { return false; } $_ticketTimeTrackIDList = array(); $_SWIFT->Database->Query("SELECT tickettimetrackid FROM " . TABLE_PREFIX . "tickettimetracks WHERE ticketid IN (" . BuildIN($_ticketIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_ticketTimeTrackIDList[] = intval($_SWIFT->Database->Record['tickettimetrackid']); } if (!count($_ticketTimeTrackIDList)) { return false; } self::DeleteList($_ticketTimeTrackIDList); return true; }  static public function ReplaceTicket($_ticketIDList, SWIFT_Ticket $_SWIFT_ParentTicketObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_ParentTicketObject instanceof SWIFT_Ticket || !$_SWIFT_ParentTicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if (!_is_array($_ticketIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracks', array('ticketid' => intval($_SWIFT_ParentTicketObject->GetTicketID())), 'UPDATE', "ticketid IN (" . BuildIN($_ticketIDList) . ")"); return true; }  static public function GetTimeTrackCountOnUser(SWIFT_User $_SWIFT_UserObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_UserObject instanceof SWIFT_User || !$_SWIFT_UserObject->GetIsClassLoaded()) { throw new SWIFT_TimeTrack_Exception(SWIFT_INVALIDDATA); } $_timeTrackCount = $_SWIFT->Database->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "tickettimetracks WHERE ticketid IN (" . BuildIN(SWIFT_Ticket::GetTicketIDListOnUser($_SWIFT_UserObject)) . ")"); if (isset($_timeTrackCount['totalitems'])) { return intval($_timeTrackCount['totalitems']); } return 0; }  static public function UpdateProperties($_ticketTimeTrackID, $_creatorStaffName, $_editedStaffName, $_workerStaffName) { $_SWIFT = SWIFT::GetInstance(); $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracks', array('creatorstaffname' => $_creatorStaffName, 'editedstaffname' => $_editedStaffName, 'workerstaffname' => $_workerStaffName), 'UPDATE', "tickettimetrackid = '" . intval($_ticketTimeTrackID) . "'"); return true; }  static public function UpdateGlobalProperty($_updateFieldName, $_updateFieldValue, $_whereFieldName, $_whereFieldValue, $_extendedUpdateStatement = '') { $_SWIFT = SWIFT::GetInstance(); $_updateFieldName = $_SWIFT->Database->Escape($_updateFieldName); $_whereFieldName = $_SWIFT->Database->Escape($_whereFieldName); $_whereFieldValue = intval($_whereFieldValue);  $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'tickettimetracks', array($_updateFieldName => $_updateFieldValue), 'UPDATE', $_whereFieldName . " = '" . $_whereFieldValue . "'" . $_extendedUpdateStatement); return true; } } ?>