<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportManager_Cerberus5 extends SWIFT_ImportManager { public $DatabaseImport = false;  public function __construct() { parent::__construct('Cerberus5', 'Cerberus Helpdesk 5'); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function GetImportTables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_tableList = array(); $_tableList[] = 'Worker_Role';  $_tableList[] = 'Team';  $_tableList[] = 'Worker';  $_tableList[] = 'Worker_to_team';  $_tableList[] = 'Contact_org';  $_tableList[] = 'Address';  $_tableList[] = 'Kb_category';  $_tableList[] = 'Kb_article';  $_tableList[] = 'Kb_article_to_category';  $_tableList[] = 'Pop3_account';  $_tableList[] = 'Ticket';  return $_tableList; }  public function RenderForm(SWIFT_UserInterfaceTab $_TabObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } parent::RenderForm($_TabObject); $_TabObject->Text('dbhost', 'Database Host', '', ''); $_TabObject->Text('dbname', 'Database Name', '', ''); $_TabObject->Text('dbusername', 'Database Username', '', ''); $_TabObject->Password('dbpassword', 'Database Password', '', ''); $_TabObject->Number('dbport', 'Database Port', '', '3306'); return true; }  public function ProcessForm() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } parent::ProcessForm(); $_SWIFT_DatabaseObject = false; try { $_SWIFT_DatabaseObject = new SWIFT_Database(true, $_POST['dbhost'], $_POST['dbport'], $_POST['dbname'], $_POST['dbusername'], $_POST['dbpassword']); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { SWIFT::Error('Database Connection Failed', 'Unable to connect to database using the provided details.'); return false; } if (!$_SWIFT_DatabaseObject instanceof SWIFT_Database || !$_SWIFT_DatabaseObject->IsConnected()) { SWIFT::Error('Database Connection Failed', 'Unable to connect to database using the provided details.'); return false; } $this->ImportRegistry->UpdateKey('database', 'dbhost', $_POST['dbhost']); $this->ImportRegistry->UpdateKey('database', 'dbport', $_POST['dbport']); $this->ImportRegistry->UpdateKey('database', 'dbname', $_POST['dbname']); $this->ImportRegistry->UpdateKey('database', 'dbusername', $_POST['dbusername']); $this->ImportRegistry->UpdateKey('database', 'dbpassword', $_POST['dbpassword']); return true; }  public function UpdateForm($_databaseHost, $_databaseName, $_databasePort, $_dbUsername, $_dbPassword) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ImportRegistry->UpdateKey('database', 'dbhost', $_databaseHost); $this->ImportRegistry->UpdateKey('database', 'dbport', $_databasePort); $this->ImportRegistry->UpdateKey('database', 'dbname', $_databaseName); $this->ImportRegistry->UpdateKey('database', 'dbusername', $_dbUsername); $this->ImportRegistry->UpdateKey('database', 'dbpassword', $_dbPassword); return true; }  public function ImportPre() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_DatabaseObject = false; $_dbHost = $this->ImportRegistry->GetKey('database', 'dbhost'); $_dbPort = $this->ImportRegistry->GetKey('database', 'dbport'); $_dbName = $this->ImportRegistry->GetKey('database', 'dbname'); $_dbUser = $this->ImportRegistry->GetKey('database', 'dbusername'); $_dbPassword = $this->ImportRegistry->GetKey('database', 'dbpassword'); try { $_SWIFT_DatabaseObject = new SWIFT_Database(true, $_dbHost, $_dbPort, $_dbName, $_dbUser, $_dbPassword); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { SWIFT::Error('Database Connection Failed', 'Unable to connect to database using the provided details.'); return false; } if (!$_SWIFT_DatabaseObject instanceof SWIFT_Database || !$_SWIFT_DatabaseObject->IsConnected()) { SWIFT::Error('Database Connection Failed', 'Unable to connect to database using the provided details.'); return false; } $this->DatabaseImport = $_SWIFT_DatabaseObject; return true; } } ?>