<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Address extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Address'); if (!$this->TableExists('address')) { $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "users"); $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "useremails"); } $_count = 0; $_userContainer = $_userIDList = array(); $this->DatabaseImport->QueryLimit("SELECT * FROM address ORDER BY id ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_userContainer[$this->DatabaseImport->Record['id']] = $this->DatabaseImport->Record; $_userContainer[$this->DatabaseImport->Record['id']]['emails'][] = $this->DatabaseImport->Record['email']; } foreach ($_userContainer as $_userID => $_user) {  $_userGroupID = 2; $this->GetImportManager()->AddToLog('Importing User: ' . htmlspecialchars($_user['first_name']." ".$_user['last_name']), SWIFT_ImportManager::LOG_SUCCESS); $_userRole = SWIFT_User::ROLE_USER; $_userPassword = SWIFT_User::GetComputedPassword('password'); $_isLegacyPassword = false; $_slaPlanID = $_slaPlanExpiry = 0; $_userorganizationid = $this->ImportManager->GetImportRegistry()->GetKey('userorganization', $_user['contact_org_id']); if( empty($_user['is_registered']) ){ $_isenabled = 0; }else{ $_isenabled = 1; } $this->Database->AutoExecute(TABLE_PREFIX . 'users', array('usergroupid' => intval($_userGroupID), 'userrole' => $_userRole, 'userorganizationid' => intval($_userorganizationid), 'salutation' => SWIFT_User::SALUTATION_NONE, 'fullname' => $_user['first_name']." ".$_user['last_name'], 'phone' => '0', 'userpassword' => $_userPassword, 'islegacypassword' => intval($_isLegacyPassword), 'dateline' => DATENOW, 'lastvisit' => DATENOW, 'lastactivity' => DATENOW, 'isenabled' => intval($_isenabled), 'isvalidated' => '1', 'slaplanid' => intval($_slaPlanID), 'slaexpirytimeline' => intval($_slaPlanExpiry)), 'INSERT'); $dwk_userID = $this->Database->InsertID(); foreach ($_user['emails'] as $_emailAddress) { $this->Database->AutoExecute(TABLE_PREFIX . 'useremails', array('linktype' => SWIFT_UserEmail::LINKTYPE_USER, 'linktypeid' => $dwk_userID, 'email' => $_emailAddress), 'INSERT'); } $this->ImportManager->GetImportRegistry()->UpdateKey('user', $_user['id'], $dwk_userID, true); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM address"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 100; } } ?>