<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Contact_org extends SWIFT_ImportTable { var $dwk_zendesk_url = false; var $dwk_userorganization_array = array();  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Contact_org'); if (!$this->TableExists('contact_org')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  if ($this->GetOffset() == 0) { $_existingUserOrganizationContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userorganizations ORDER BY userorganizationid ASC"); while ($this->Database->NextRecord()) { $_existingUserOrganizationContainer[$this->Database->Record['userorganizationid']] = $this->Database->Record; } foreach ($_existingUserOrganizationContainer as $_userOrganizationContainer) { $this->ImportManager->GetImportRegistry()->UpdateKey('organizationname', mb_strtolower(trim($_userOrganizationContainer['organizationname'])), '1'); } } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM contact_org ORDER BY id ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_titleSuffix = ''; $_existingDepartmentTitle = $this->ImportManager->GetImportRegistry()->GetKey('organizationname', mb_strtolower(trim($this->DatabaseImport->Record['name'])));  if ($_existingDepartmentTitle != false) { $_titleSuffix .= ' (Import)'; } $this->GetImportManager()->AddToLog('Importing User Organization: ' . htmlspecialchars($this->DatabaseImport->Record['name']), SWIFT_ImportManager::LOG_SUCCESS); $_groupType = SWIFT_UserOrganization::TYPE_RESTRICTED; $this->Database->AutoExecute(TABLE_PREFIX . 'userorganizations', array('organizationname' => $this->DatabaseImport->Record['name'] . $_titleSuffix, 'organizationtype' => intval($_groupType), 'address' => $this->DatabaseImport->Record['street'], 'city' => $this->DatabaseImport->Record['city'], 'state' => $this->DatabaseImport->Record['province'], 'postalcode' => $this->DatabaseImport->Record['postal'], 'country' => $this->DatabaseImport->Record['country'], 'phone' => $this->DatabaseImport->Record['phone'], 'website' => $this->DatabaseImport->Record['website'], 'dateline' => $this->DatabaseImport->Record['created']), 'INSERT'); $_userOrganizationID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('userorganization', $this->DatabaseImport->Record['id'], $_userOrganizationID); }  return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM contact_org"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 20; } } ?>