<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_Attachment extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'Attachment'); if (!$this->TableExists(TABLE_PREFIX . 'attachments')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Ticket:Ticket', APP_TICKETS); SWIFT_Loader::LoadModel('Ticket:TicketPost', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "attachments ORDER BY attachmentid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++;    if ($this->DatabaseImport->Record['attachmenttype'] == '3') { $this->GetImportManager()->AddToLog('Ignoring Ticket Attachment as it has a link to download item: ' . htmlspecialchars($this->DatabaseImport->Record['attachmentid']), SWIFT_ImportManager::LOG_SUCCESS); continue; } $this->GetImportManager()->AddToLog('Importing Ticket Attachment ID: ' . htmlspecialchars($this->DatabaseImport->Record['attachmentid']), SWIFT_ImportManager::LOG_SUCCESS); $_attachmentType = false; if ($this->DatabaseImport->Record['attachmenttype'] == '1') { $_attachmentType = SWIFT_Attachment::TYPE_DATABASE; } else { $_attachmentType = SWIFT_Attachment::TYPE_FILE; } $this->Database->AutoExecute(TABLE_PREFIX . 'attachments', array('linktype' => SWIFT_Attachment::LINKTYPE_TICKETPOST, 'linktypeid' => $this->DatabaseImport->Record['ticketpostid'], 'downloaditemid' => '0', 'ticketid' => $this->DatabaseImport->Record['ticketid'], 'filename' => $this->DatabaseImport->Record['filename'], 'filesize' => $this->DatabaseImport->Record['filesize'], 'filetype' => $this->DatabaseImport->Record['filetype'], 'dateline' => $this->DatabaseImport->Record['dateline'], 'attachmenttype' => $_attachmentType, 'storefilename' => $this->DatabaseImport->Record['storefilename'] ), 'INSERT'); $_attachmentID = $this->Database->Insert_ID(); $this->ImportManager->GetImportRegistry()->UpdateKey('attachment', $this->DatabaseImport->Record['attachmentid'], $_attachmentID, true); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "attachments"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 1000; } } ?>