<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CannedCategory extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CannedCategory'); if (!$this->TableExists(TABLE_PREFIX . 'cannedcategories')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Canned:CannedCategory', APP_LIVECHAT); SWIFT_Loader::LoadModel('Canned:CannedResponse', APP_LIVECHAT); SWIFT_Loader::LoadLibrary('Canned:CannedManager', APP_LIVECHAT); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_staffCache = $this->Cache->Get('staffcache'); if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "cannedcategories"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "cannedcategories ORDER BY cannedcategoryid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newStaffID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['staffid']); $_categoryType = SWIFT_CannedCategory::TYPE_PUBLIC; if ($this->DatabaseImport->Record['categorytype'] == '0') { $_categoryType = SWIFT_CannedCategory::TYPE_PRIVATE; } $this->GetImportManager()->AddToLog('Importing Canned Category: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'cannedcategories', array('parentcategoryid' => $this->DatabaseImport->Record['parentcategoryid'], 'categorytype' => intval($_categoryType), 'staffid' => intval($_newStaffID), 'title' => $this->DatabaseImport->Record['title']), 'INSERT'); $_cannedCategoryID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('cannedcategory', $this->DatabaseImport->Record['cannedcategoryid'], $_cannedCategoryID); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "cannedcategories"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>