<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CustomFieldGroup extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CustomFieldGroup'); if (!$this->TableExists(TABLE_PREFIX . 'customfieldgroups')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "customfieldgroups"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "customfieldgroups ORDER BY title ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_groupType = false;  if ($this->DatabaseImport->Record['grouptype'] == '1') { $_groupType = SWIFT_CustomFieldGroup::GROUP_USER;  } else if ($this->DatabaseImport->Record['grouptype'] == '2') { $_groupType = SWIFT_CustomFieldGroup::GROUP_USERORGANIZATION;  } else if ($this->DatabaseImport->Record['grouptype'] == '3') { $_groupType = SWIFT_CustomFieldGroup::GROUP_STAFFTICKET;  } else if ($this->DatabaseImport->Record['grouptype'] == '4') { $_groupType = SWIFT_CustomFieldGroup::GROUP_USERTICKET;  } else if ($this->DatabaseImport->Record['grouptype'] == '9') { $_groupType = SWIFT_CustomFieldGroup::GROUP_STAFFUSERTICKET;  } else if ($this->DatabaseImport->Record['grouptype'] == '5') { $_groupType = SWIFT_CustomFieldGroup::GROUP_TIMETRACK; } else { $this->GetImportManager()->AddToLog('Ignoring Custom Field Group due to unsupported group type: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Custom Field Group: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'customfieldgroups', array('title' => $this->DatabaseImport->Record['title'], 'grouptype' => intval($_groupType), 'displayorder' => $this->DatabaseImport->Record['displayorder']), 'INSERT'); $_customFieldGroupID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('customfieldgroup', $this->DatabaseImport->Record['customfieldgroupid'], $_customFieldGroupID); } SWIFT_CustomFieldManager::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "customfieldgroups"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>