<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_CustomFieldOption extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'CustomFieldOption'); if (!$this->TableExists(TABLE_PREFIX . 'customfieldoptions')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "customfieldoptions"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "customfieldoptions ORDER BY customfieldoptionid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_customFieldID = $this->GetImportManager()->GetImportRegistry()->GetKey('customfield', $this->DatabaseImport->Record['customfieldid']); if ($_customFieldID == false) { $this->GetImportManager()->AddToLog('Ignoring Custom Field Option due to non existant custom field (' . intval($this->DatabaseImport->Record['customfieldid']) . ') option value: ' . htmlspecialchars($this->DatabaseImport->Record['optionvalue']), SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Custom Field Option: ' . htmlspecialchars($this->DatabaseImport->Record['optionvalue']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'customfieldoptions', array('customfieldid' => intval($_customFieldID), 'optionvalue' => $this->DatabaseImport->Record['optionvalue'], 'displayorder' => $this->DatabaseImport->Record['displayorder'], 'isselected' => $this->DatabaseImport->Record['isselected']), 'INSERT'); $_customFieldOptionID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('customfieldoption', $this->DatabaseImport->Record['customfieldoptionid'], $_customFieldOptionID); } SWIFT_CustomFieldManager::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "customfieldoptions"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>