<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_DownloadDesc extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'DownloadDesc'); if (!$this->TableExists(TABLE_PREFIX . 'downloaddesc')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadLibrary('Category:KnowledgebaseCategoryManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Category:KnowledgebaseCategory', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadLibrary('Article:KnowledgebaseArticleManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticle', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticleLink', APP_KNOWLEDGEBASE); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_count = 0; $_oldDownloadItemIDList = $_kbArticleDataContainer = array(); $this->DatabaseImport->QueryLimit("SELECT downloaditems.filelink, downloaddesc.* FROM " . TABLE_PREFIX . "downloaddesc AS downloaddesc
			LEFT JOIN " . TABLE_PREFIX . "downloaditems AS downloaditems ON (downloaddesc.downloaditemid = downloaditems.downloaditemid)
				ORDER BY downloaddesc.downloaddescid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_kbArticleDataContainer[$this->DatabaseImport->Record['downloaditemid']] = $this->DatabaseImport->Record; $_oldDownloadItemIDList[] = $this->DatabaseImport->Record['downloaditemid']; } $_newKBArticleIDList = $this->ImportManager->GetImportRegistry()->GetNonCached('downloaditem', $_oldDownloadItemIDList); foreach ($_kbArticleDataContainer as $_kbArticleDataID => $_kbArticleData) { $_count++; if (!isset($_newKBArticleIDList[$_kbArticleData['downloaditemid']])) { $this->GetImportManager()->AddToLog('Failed to Import Download Item Data due to non existent KB Article: ' . htmlspecialchars($_kbArticleData['downloaditemid']), SWIFT_ImportManager::LOG_WARNING); continue; } $_kbArticleID = intval($_newKBArticleIDList[$_kbArticleData['downloaditemid']]); $_finalContents = $_kbArticleData['description']; if (!stristr($_finalContents, '<br>') && !stristr($_finalContents, '<br />') && !stristr($_finalContents, '<p>')) { $_finalContents = nl2br($_finalContents); } if ($_kbArticleData['filelink'] != '') { $_finalContents .= '<br /><br />Link: <a href="' . $_kbArticleData['filelink'] . '" target="_blank">' . $_kbArticleData['filelink'] . '</a>'; } $_contentsText = strip_tags_attributes(str_replace('<br />', ' ', $_kbArticleData['description'])); $this->GetImportManager()->AddToLog('Importing Download Item Data for Message: ' . intval($_kbArticleID), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'kbarticledata', array('kbarticleid' => intval($_kbArticleID), 'contents' => $_finalContents, 'contentstext' => $_contentsText), 'INSERT'); $_kbArticleDataID = $this->Database->InsertID(); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "downloaddesc"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>