<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_KBArticleData extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'KBArticleData'); if (!$this->TableExists(TABLE_PREFIX . 'kbarticledata')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadLibrary('Category:KnowledgebaseCategoryManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Category:KnowledgebaseCategory', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadLibrary('Article:KnowledgebaseArticleManager', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticle', APP_KNOWLEDGEBASE); SWIFT_Loader::LoadModel('Article:KnowledgebaseArticleLink', APP_KNOWLEDGEBASE); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "kbarticledata"); } $_count = 0; $_oldKBArticleIDList = $_kbArticleDataContainer = array(); $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "kbarticledata ORDER BY kbarticledataid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_kbArticleDataContainer[$this->DatabaseImport->Record['kbarticledataid']] = $this->DatabaseImport->Record; $_oldKBArticleIDList[] = $this->DatabaseImport->Record['kbarticleid']; } $_newKBArticleIDList = $this->ImportManager->GetImportRegistry()->GetNonCached('kbarticle', $_oldKBArticleIDList); foreach ($_kbArticleDataContainer as $_kbArticleDataID => $_kbArticleData) { $_count++; if (!isset($_newKBArticleIDList[$_kbArticleData['kbarticleid']])) { $this->GetImportManager()->AddToLog('Failed to Import Knowledgebase Article Data due to non existent KB Article: ' . htmlspecialchars($_kbArticleData['kbarticleid']), SWIFT_ImportManager::LOG_WARNING); continue; } $_kbArticleID = intval($_newKBArticleIDList[$_kbArticleData['kbarticleid']]); $_contentsText = strip_tags_attributes(str_replace('<br />', ' ', $_kbArticleData['contents'])); $this->GetImportManager()->AddToLog('Importing Knowledgebase Article Data for Message: ' . intval($_kbArticleID), SWIFT_ImportManager::LOG_SUCCESS); $_finalContents = $_kbArticleData['contents']; if (!stristr($_finalContents, '<br>') && !stristr($_finalContents, '<br />') && !stristr($_finalContents, '<p>')) { $_finalContents = nl2br($_finalContents); } $this->Database->AutoExecute(TABLE_PREFIX . 'kbarticledata', array('kbarticleid' => intval($_kbArticleID), 'contents' => $_finalContents, 'contentstext' => $_contentsText), 'INSERT'); $_kbArticleDataID = $this->Database->InsertID(); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "kbarticledata"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>