<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_PredefinedCategory extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'PredefinedCategory'); if (!$this->TableExists(TABLE_PREFIX . 'predefinedcategories')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Macro:MacroCategory', APP_TICKETS); SWIFT_Loader::LoadModel('Macro:MacroReply', APP_TICKETS); SWIFT_Loader::LoadLibrary('Macro:MacroManager', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_staffCache = $this->Cache->Get('staffcache'); if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "macrocategories"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "predefinedcategories ORDER BY predefinedcategoryid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newStaffID = $this->ImportManager->GetImportRegistry()->GetKey('staff', $this->DatabaseImport->Record['staffid']); $_categoryType = SWIFT_MacroCategory::TYPE_PUBLIC; if ($this->DatabaseImport->Record['categorytype'] == '0') { $_categoryType = SWIFT_MacroCategory::TYPE_PRIVATE; } $this->GetImportManager()->AddToLog('Importing Macro Category: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'macrocategories', array('parentcategoryid' => $this->DatabaseImport->Record['parentcategoryid'], 'categorytype' => intval($_categoryType), 'staffid' => intval($_newStaffID), 'restrictstaffgroupid' => '0', 'title' => $this->DatabaseImport->Record['title']), 'INSERT'); $_macroCategoryID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('macrocategory', $this->DatabaseImport->Record['predefinedcategoryid'], $_macroCategoryID); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "predefinedcategories"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>