<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_PredefinedReplyData extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'PredefinedReplyData'); if (!$this->TableExists(TABLE_PREFIX . 'predefinedreplydata')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Macro:MacroCategory', APP_TICKETS); SWIFT_Loader::LoadModel('Macro:MacroReply', APP_TICKETS); SWIFT_Loader::LoadLibrary('Macro:MacroManager', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "macroreplydata"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT predefinedreplies.*, predefinedreplydata.* FROM " . TABLE_PREFIX . "predefinedreplydata AS predefinedreplydata
			LEFT JOIN " . TABLE_PREFIX . "predefinedreplies AS predefinedreplies ON (predefinedreplies.predefinedreplyid = predefinedreplydata.predefinedreplyid)
			ORDER BY predefinedreplydata.predefinedreplydataid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newMacroReplyID = $this->ImportManager->GetImportRegistry()->GetKey('macroreply', $this->DatabaseImport->Record['predefinedreplyid']); if (!$_newMacroReplyID) { $this->GetImportManager()->AddToLog('Failed to Import Predefined Reply Data due to non existent parent record: ' . htmlspecialchars($this->DatabaseImport->Record['predefinedreplyid']), SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Predefined Reply Data: ' . htmlspecialchars($this->DatabaseImport->Record['subject']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'macroreplydata', array('macroreplyid' => intval($_newMacroReplyID), 'contents' => $this->DatabaseImport->Record['contents'], 'tagcontents' => serialize(array())), 'INSERT'); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "predefinedreplydata"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>