<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TicketPriority extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TicketPriority'); if (!$this->TableExists(TABLE_PREFIX . 'ticketpriorities')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Priority:TicketPriority', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketpriorities"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ticketpriorities ORDER BY priorityid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $this->GetImportManager()->AddToLog('Importing Ticket Priority: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $_priorityType = SWIFT_PUBLIC; if ($this->DatabaseImport->Record['type'] == 'private') { $_priorityType = SWIFT_PRIVATE; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketpriorities', array('title' => $this->DatabaseImport->Record['title'], 'displayorder' => intval($this->DatabaseImport->Record['displayorder']), 'type' => $_priorityType, 'frcolorcode' => $this->DatabaseImport->Record['frcolorcode'], 'iscustom' => '1', 'bgcolorcode' => '', 'ismaster' => '0', 'displayicon' => '{$themepath}icon_prioritylow.gif', 'uservisibilitycustom' => '0'), 'INSERT'); $_ticketPriorityID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('ticketpriority', $this->DatabaseImport->Record['priorityid'], $_ticketPriorityID); } SWIFT_TicketPriority::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ticketpriorities"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>