<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TicketRecipient extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TicketRecipient'); if (!$this->TableExists(TABLE_PREFIX . 'ticketrecipients')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Ticket:Ticket', APP_TICKETS); SWIFT_Loader::LoadModel('Ticket:TicketPost', APP_TICKETS); SWIFT_Loader::LoadModel('Recipient:TicketRecipient', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketrecipients"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ticketrecipients ORDER BY recipientid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $this->GetImportManager()->AddToLog('Importing Ticket Recipient ID: ' . htmlspecialchars($this->DatabaseImport->Record['recipientid']), SWIFT_ImportManager::LOG_SUCCESS); $_recipientType = SWIFT_TicketRecipient::TYPE_CC;    if ($this->DatabaseImport->Record['recipienttype'] == '1') { $_recipientType = SWIFT_TicketRecipient::TYPE_THIRDPARTY; } else if ($this->DatabaseImport->Record['recipienttype'] == '3') { $_recipientType = SWIFT_TicketRecipient::TYPE_BCC; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketrecipients', array('ticketid' => $this->DatabaseImport->Record['ticketid'], 'ticketemailid' => $this->DatabaseImport->Record['ticketemailid'], 'recipienttype' => intval($_recipientType)), 'INSERT'); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ticketrecipients"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>