<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TicketStatus extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TicketStatus'); if (!$this->TableExists(TABLE_PREFIX . 'ticketstatus')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Status:TicketStatus', APP_TICKETS); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketstatus"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "ticketstatus ORDER BY ticketstatusid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newDepartmentID = $this->ImportManager->GetImportRegistry()->GetKey('department', $this->DatabaseImport->Record['departmentid']); $this->GetImportManager()->AddToLog('Importing Ticket Status: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $_statusType = SWIFT_PUBLIC; if ($this->DatabaseImport->Record['type'] == 'private') { $_statusType = SWIFT_PRIVATE; } $_markAsResolved = false; if ($this->DatabaseImport->Record['displayinmainlist'] == '0' && mb_strtolower(trim($this->DatabaseImport->Record['title'])) != 'on hold') { $_markAsResolved = true; } $_displayIcon = '{$themepath}icon_ticketstatusopen.png'; $_statusBackgroundColor = '#8BB467'; if ($_markAsResolved == true) { $_statusBackgroundColor = '#5f5f5f'; $_displayIcon = '{$themepath}icon_ticketstatusclosed.png'; } $_triggerSurvey = false; if ($_markAsResolved == true) { $_triggerSurvey = true; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketstatus', array('title' => $this->DatabaseImport->Record['title'], 'displayorder' => intval($this->DatabaseImport->Record['displayorder']), 'iscustom' => '1', 'displayinmainlist' => intval($this->DatabaseImport->Record['displayinmainlist']), 'ismaster' => '0', 'displaycount' => intval($this->DatabaseImport->Record['displaycount']), 'statuscolor' => '#333333', 'departmentid' => intval($_newDepartmentID), 'statustype' => $_statusType, 'resetduetime' => intval($this->DatabaseImport->Record['resetduetime']), 'markasresolved' => intval($_markAsResolved), 'statusbgcolor' => $_statusBackgroundColor, 'displayicon' => $_displayIcon, 'triggersurvey' => intval($_triggerSurvey), 'staffvisibilitycustom' => '0', 'type' => $_statusType), 'INSERT'); $_ticketStatusID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('ticketstatus', $this->DatabaseImport->Record['ticketstatusid'], $_ticketStatusID); } SWIFT_TicketStatus::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "ticketstatus"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>