<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_TroubleshooterLink extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'TroubleshooterLink'); if (!$this->TableExists(TABLE_PREFIX . 'troubleshooterlinks')) { $this->SetByPass(true); return false; } SWIFT_Loader::LoadModel('Category:TroubleshooterCategory', APP_TROUBLESHOOTER); SWIFT_Loader::LoadModel('Step:TroubleshooterStep', APP_TROUBLESHOOTER); SWIFT_Loader::LoadModel('Link:TroubleshooterLink', APP_TROUBLESHOOTER); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetOffset() == 0) { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "troubleshooterlinks"); } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "troubleshooterlinks
			ORDER BY troubleshooterlinkid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_newTroubleshooterCategoryID = $this->ImportManager->GetImportRegistry()->GetKey('troubleshootercategory', $this->DatabaseImport->Record['troubleshootercatid']); if (empty($_newTroubleshooterCategoryID)) { $this->GetImportManager()->AddToLog('Failed to Import Troubleshooter Link: ' . intval($this->DatabaseImport->Record['troubleshooterlinkid']) . ', Probably Reason: Incomplete Old Deletion', SWIFT_ImportManager::LOG_WARNING); continue; } $_newParentTroubleshooterStepID = $this->ImportManager->GetImportRegistry()->GetKey('troubleshooterstep', $this->DatabaseImport->Record['parenttroubleshooterid']); $_newChildTroubleshooterStepID = $this->ImportManager->GetImportRegistry()->GetKey('troubleshooterstep', $this->DatabaseImport->Record['childtroubleshooterid']); if (empty($_newChildTroubleshooterStepID)) { $this->GetImportManager()->AddToLog('Failed to Import Troubleshooter Link (2): ' . intval($this->DatabaseImport->Record['troubleshooterlinkid']) . ', Probably Reason: Incomplete Old Deletion', SWIFT_ImportManager::LOG_WARNING); continue; } $this->GetImportManager()->AddToLog('Importing Troubleshooter Link: ' . intval($this->DatabaseImport->Record['troubleshooterlinkid']), SWIFT_ImportManager::LOG_SUCCESS); $this->Database->AutoExecute(TABLE_PREFIX . 'troubleshooterlinks', array('troubleshootercategoryid' => intval($_newTroubleshooterCategoryID), 'parenttroubleshooterstepid' => intval($_newParentTroubleshooterStepID), 'childtroubleshooterstepid' => intval($_newChildTroubleshooterStepID)), 'INSERT'); $_troubleshooterLinkID = $this->Database->InsertID(); } return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "troubleshooterlinks"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 500; } } ?>