<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportTable_UserGroup extends SWIFT_ImportTable {  public function __construct(SWIFT_ImportManager $_SWIFT_ImportManagerObject) { parent::__construct($_SWIFT_ImportManagerObject, 'UserGroup'); if (!$this->TableExists(TABLE_PREFIX . 'usergroups')) { $this->SetByPass(true); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  if ($this->GetOffset() == 0) { $_existingUserGroupContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "usergroups ORDER BY usergroupid ASC"); while ($this->Database->NextRecord()) { $_existingUserGroupContainer[$this->Database->Record['usergroupid']] = $this->Database->Record; } foreach ($_existingUserGroupContainer as $_userGroupContainer) { $this->ImportManager->GetImportRegistry()->UpdateKey('usergrouptitle', mb_strtolower(trim($_userGroupContainer['title'])), '1'); } } $_count = 0; $this->DatabaseImport->QueryLimit("SELECT * FROM " . TABLE_PREFIX . "usergroups ORDER BY usergroupid ASC", $this->GetItemsPerPass(), $this->GetOffset()); while ($this->DatabaseImport->NextRecord()) { $_count++; $_titleSuffix = ''; $_existingUserGroupTitle = $this->ImportManager->GetImportRegistry()->GetKey('usergrouptitle', mb_strtolower(trim($this->DatabaseImport->Record['title'])));  if ($_existingUserGroupTitle != false) { $_titleSuffix .= ' (Import)'; } $this->GetImportManager()->AddToLog('Importing User Group: ' . htmlspecialchars($this->DatabaseImport->Record['title']), SWIFT_ImportManager::LOG_SUCCESS); $_groupType = SWIFT_UserGroup::TYPE_REGISTERED; if ($this->DatabaseImport->Record['grouptype'] == 'guest') { $_groupType = SWIFT_UserGroup::TYPE_GUEST; } $this->Database->AutoExecute(TABLE_PREFIX . 'usergroups', array('title' => $this->DatabaseImport->Record['title'] . $_titleSuffix, 'grouptype' => $_groupType), 'INSERT'); $_userGroupID = $this->Database->InsertID(); $this->ImportManager->GetImportRegistry()->UpdateKey('usergroup', $this->DatabaseImport->Record['usergroupid'], $_userGroupID); } SWIFT_UserGroup::RebuildCache(); return $_count; }  protected function GetTotal() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_countContainer = $this->DatabaseImport->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "usergroups"); if (isset($_countContainer['totalitems'])) { return $_countContainer['totalitems']; } return 0; }  public function GetItemsPerPass() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return 20; } } ?>