<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_OnSiteManager extends SWIFT_Library {  const OS_WINDOWS = 'windows'; const OS_MAC = 'mac'; const SWIFT_ONSITEDIRECTORY = 'onsite/bin'; const SWIFT_ONSITEFILENAMEWIN = 'OnSiteInstaller.exe'; const SWIFT_DEFAULTONSITEFILENAME = 'OnSite-%s%s-%s.exe'; const SWIFT_ONSITEUSESSLMARKER = '[s]';  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function IsValidOS($_operatingSystem) { if ($_operatingSystem == self::OS_WINDOWS) { return true; } return false; }  public function DispatchOnSite(SWIFT_OnSiteSession $_SWIFT_OnSiteSessionObject, $_operatingSystem) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_OnSiteSessionObject instanceof SWIFT_OnSiteSession || !$_SWIFT_OnSiteSessionObject->GetIsClassLoaded() || !self::IsValidOS($_operatingSystem)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_onSiteFileName = ''; if ($_operatingSystem == self::OS_WINDOWS) { $_onSiteFileName = SWIFT_BASEDIRECTORY . '/' . self::SWIFT_ONSITEDIRECTORY . '/' . self::SWIFT_ONSITEFILENAMEWIN; } else { throw new SWIFT_OnSite_Exception('Unsupported OS: ' . $_operatingSystem); } if (!file_exists($_onSiteFileName)) {  throw new SWIFT_OnSite_Exception('OnSite one-click binary can\'t be located at "' . $_onSiteFileName . '"'); } $_onSiteSessionCode = $_SWIFT_OnSiteSessionObject->GetProperty('sessioncode'); $_swiftPath = StripTrailingSlash(SWIFT::Get('swiftpath')); $_sslPrefix = preg_match("@https://@i", $_swiftPath) ? self::SWIFT_ONSITEUSESSLMARKER : '';  $_swiftURL = str_replace ( array('/', "\\", '*', '|', ':', '?', '<', '>', '"', '-', '.'), array('_2F', '_5C', '_2A', '_7C', '_3A', '_3F', '_3C', '_3E', '_22', '_2D', '_2E'), str_replace(array('http://', 'https://'), '', $_swiftPath) ); $_onSiteFileNameDispatch = sprintf(self::SWIFT_DEFAULTONSITEFILENAME, $_sslPrefix, $_swiftURL, $_onSiteSessionCode); if (isset($_SERVER['HTTP_USER_AGENT']) && preg_match('/MSIE/', $_SERVER['HTTP_USER_AGENT'])) {  @ini_set('zlib.output_compression', 'Off'); } @ini_set('zlib.output_compression', 0); @ini_set('implicit_flush', 1);  header('Content-Description: File Transfer'); header('Content-Type: application/octet-stream'); header("Content-Disposition: attachment; filename=\"" . $_onSiteFileNameDispatch . "\""); header("Content-Transfer-Encoding: binary"); header("Expires: 0"); header("Cache-Control: must-revalidate"); header("Content-Length: " . filesize($_onSiteFileName)); @ob_clean(); flush(); @readfile($_onSiteFileName); return true; }   public function GetOnSiteINI($_staffName, $_companyName, $_notificationURL, $_peerJID, $_localJID, $_xmppHost, $_xmppPort, $_stunHost, $_stunPort, $_turnHost, $_turnPortUDP, $_turnPortTCP) { if (!$this->GetIsClassLoaded()) throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); $_fileContents = sprintf("[OnSite]\r\nStaffName=%s\r\nCompanyName=%s\r\nNotificationURL=%s\r\nPeerJID=%s\r\n" . "LocalJID=%s\r\nXmppHost=%s\r\nXmppPort=%s\r\nSTUNHost=%s\r\nSTUNPort=%s\r\nTURNHost=%s\r\n" . "TURNPortUDP=%s\r\nTURNPortTCP=%s", $_staffName, $_companyName, $_notificationURL, $_peerJID, $_localJID, $_xmppHost, intval($_xmppPort), $_stunHost, intval($_stunPort), $_turnHost, intval($_turnPortUDP), intval($_turnPortTCP)); return $_fileContents; } } ?>