<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_UnifiedSearchBase extends SWIFT_Library { protected $_query = ''; protected $_interfaceType = false; protected $_SWIFT_StaffObject = false; protected $_maxResults = 5;  public function __construct($_query, $_interfaceType, SWIFT_Staff $_SWIFT_StaffObject, $_maxResults) { parent::__construct(); if (!$this->SetQuery($_query) || !$this->SetInterface($_interfaceType) || !$this->SetStaff($_SWIFT_StaffObject) || !$this->SetMaxResults($_maxResults)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->Load->Library('String:StringHighlighter'); $this->Load->Library('String:StringHTMLToText'); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Search() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return false; }  protected function SetQuery($_query) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_query)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_query = $_query; return true; }  public function GetQuery() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_query; }  protected function SetInterface($_interfaceType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!SWIFT_Interface::IsValidInterfaceType($_interfaceType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_interfaceType = $_interfaceType; return true; }  public function GetInterface() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_interfaceType; }  protected function SetStaff(SWIFT_Staff $_SWIFT_StaffObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_SWIFT_StaffObject = $_SWIFT_StaffObject; return true; }  public function GetStaff() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_SWIFT_StaffObject; }  protected function SetMaxResults($_maxResults) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_maxResults)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_maxResults = intval($_maxResults); return true; }  public function GetMaxResults() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_maxResults; }  static public function HasQuery($_haystack, $_needle) { $_matches = $_strictMatches = array(); if (preg_match_all('/["|\'](.*)["|\']/iU', $_needle, $_matches)) { foreach ($_matches[1] as $_strictMatch) { if (trim($_strictMatch) == '') { continue; } $_strictMatches[] = $_strictMatch; } $_needle = preg_replace('/["|\'](.*)["|\']/iU', '', $_needle); }  $_wordsContainer = explode(' ', $_needle); if (!count($_wordsContainer)) { $_wordsContainer = array($_needle); } $_wordsContainer = array_merge($_strictMatches, $_wordsContainer); foreach ($_wordsContainer as $_word) { if (trim($_word) == '') { continue; } if (stristr($_haystack, $_word)) { return true; } } return false; } } ?>