<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserInterfaceGridField extends SWIFT_Base { private $_fieldName = false; private $_fieldType; private $_fieldWidth = 0; private $_fieldAlignment; private $_fieldTitle = ''; private $_fieldSortOrder = 'asc';  const TYPE_DB = 1; const TYPE_CUSTOM = 2; const TYPE_ID = 3;  const ALIGN_LEFT = 1; const ALIGN_CENTER = 2; const ALIGN_RIGHT = 3;  const SORT_ASC = 'asc'; const SORT_DESC = 'desc';  public function __construct($_fieldName, $_fieldTitle = false, $_fieldType = false, $_fieldWidth = false, $_fieldAlignment = false, $_fieldSortOrder = false) { if (!$this->SetName($_fieldName)) { return false; } if (!empty($_fieldTitle)) { $this->SetTitle($_fieldTitle); } else { $this->SetTitle($_fieldName); } if (self::IsValidType($_fieldType)) { $this->SetType($_fieldType); } else { $this->SetType(self::TYPE_CUSTOM); } $_fieldWidth = intval($_fieldWidth); if ($_fieldWidth) { $this->SetWidth($_fieldWidth); } if (self::IsValidAlignment($_fieldAlignment)) { $this->SetAlignment($_fieldAlignment); } else { $this->SetAlignment(self::ALIGN_LEFT); } if (self::IsValidSortOrder($_fieldSortOrder)) { $this->SetSortOrder($_fieldSortOrder); } else { $this->SetSortOrder(self::SORT_ASC); } $this->SetIsClassLoaded(true); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetName($_fieldName) { if (empty($_fieldName) || trim($_fieldName) == '') { return false; } $this->_fieldName = $_fieldName; return true; }  public function GetName() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldName; }  static public function IsValidType($_fieldType) { if ($_fieldType == self::TYPE_CUSTOM || $_fieldType == self::TYPE_DB || $_fieldType == self::TYPE_ID) { return true; } return false; }  public function SetType($_fieldType) { if (!self::IsValidType($_fieldType)) { return false; } $this->_fieldType = $_fieldType; return true; }  public function GetType() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldType; }  public function SetWidth($_fieldWidth) { $_fieldWidth = intval($_fieldWidth); if (empty($_fieldWidth)) { return false; } $this->_fieldWidth = $_fieldWidth; return true; }  public function GetWidth() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldWidth; }  static public function IsValidAlignment($_fieldAlignment) { if (!$_fieldAlignment == self::ALIGN_LEFT || $_fieldAlignment == self::ALIGN_CENTER || $_fieldAlignment == self::ALIGN_RIGHT) { return true; } return false; }  public function SetAlignment($_fieldAlignment) { if (!self::IsValidAlignment($_fieldAlignment)) { return false; } $this->_fieldAlignment = $_fieldAlignment; return true; }  public function GetAlignment() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldAlignment; }  public function GetAlignmentText() { switch ($this->GetAlignment()) { case self::ALIGN_LEFT: return 'left'; break; case self::ALIGN_CENTER: return 'center'; break; case self::ALIGN_RIGHT: return 'right'; break; default: break; } return 'left'; }  public function SetTitle($_fieldTitle) { if (empty($_fieldTitle) || trim($_fieldTitle) == '') { return false; } $this->_fieldTitle = $_fieldTitle; return true; }  public function GetTitle() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldTitle; }  static public function IsValidSortOrder($_fieldSortOrder) { if ($_fieldSortOrder == self::SORT_ASC || $_fieldSortOrder == self::SORT_DESC) { return true; } return false; }  public function SetSortOrder($_fieldSortOrder) { if (!self::IsValidSortOrder($_fieldSortOrder)) { return false; } $this->_fieldSortOrder = $_fieldSortOrder; return true; }  public function GetSortOrder() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_fieldSortOrder; } } ?>