<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_AttachmentStore extends SWIFT_Model { protected $_fileName = ''; protected $_fileSize = 0; protected $_fileType = ''; protected $_dataContainer = ''; protected $_chunkSize = 0;  const DEFAULT_CHUNKSIZE = 2097152;   public function __construct($_fileName, $_fileSize, $_fileType) { parent::__construct(); $this->SetFileName($_fileName); $this->SetFileSize($_fileSize); $this->SetFileType($_fileType); return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function SetFileName($_fileName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_fileName)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_fileName = $_fileName; return true; }  public function GetFileName() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_fileName; }  protected function SetFileSize($_fileSize) { $_fileSize = intval($_fileSize); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_fileSize)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_fileSize = $_fileSize; return true; }  public function GetFileSize() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_fileSize; }  protected function SetFileType($_fileType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_fileType)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_fileType = $_fileType; return true; }  public function GetFileType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_fileType; }  protected function SetData($_dataContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_dataContainer)) { throw new SWIFT_Attachment_Exception(SWIFT_INVALIDDATA); return false; } $this->_dataContainer = $_dataContainer; return true; }  public function GetData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Attachment_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataContainer; } abstract public function GetChunk(); } ?>