<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportLog extends SWIFT_Model { const TABLE_NAME = 'importlogs'; const PRIMARY_KEY = 'importlogid'; const TABLE_STRUCTURE = "importlogid I PRIMARY AUTO NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								staffname C(255) DEFAULT '' NOTNULL,
								ipaddress C(50) DEFAULT '0.0.0.0' NOTNULL,
								description C(255) DEFAULT '' NOTNULL,
								logtype I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'logtype, dateline'; const INDEX_2 = 'dateline'; protected $_dataStore = array();  const TYPE_SUCCESS = 1; const TYPE_FAILURE = 2; const TYPE_WARNING = 3;  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Import Log Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'importlogs', $this->GetUpdatePool(), 'UPDATE', "importlogid = '" . intval($this->GetImportLogID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetImportLogID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['importlogid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "importlogs WHERE importlogid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['importlogid']) && !empty($_dataStore['importlogid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['importlogid']) || empty($this->_dataStore['importlogid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidLogType($_logType) { if ($_logType == self::TYPE_SUCCESS || $_logType == self::TYPE_FAILURE || $_logType == self::TYPE_WARNING) { return true; } return false; }  static public function Create($_logMessage, $_logType, $_SWIFT_StaffObject = null) { $_SWIFT = SWIFT::GetInstance(); $_staffID = 0; $_staffFullName = ''; if (empty($_logMessage) || !self::IsValidLogType($_logType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } if ($_SWIFT_StaffObject instanceof SWIFT_Staff && $_SWIFT_StaffObject->GetIsClassLoaded()) { $_staffID = $_SWIFT_StaffObject->GetStaffID(); $_staffFullName = $_SWIFT_StaffObject->GetProperty('fullname'); } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'importlogs', array('staffid' => $_staffID, 'dateline' => DATENOW, 'staffname' => $_staffFullName, 'ipaddress' => SWIFT::Get('IP'), 'description' => $_logMessage, 'logtype' => intval($_logType)), 'INSERT'); $_importLogID = $_SWIFT->Database->Insert_ID(); if (!$_importLogID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_importLogID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetImportLogID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_importLogIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_importLogIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "importlogs WHERE importlogid IN (" . BuildIN($_importLogIDList) . ")"); return true; } } ?>