<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportRegistry extends SWIFT_Model { const TABLE_NAME = 'importregistry'; const PRIMARY_KEY = 'importregistryid'; const TABLE_STRUCTURE = "importregistryid I PRIMARY AUTO NOTNULL,
								section C(50) DEFAULT '' NOTNULL,
								vkey C(50) DEFAULT '' NOTNULL,
								data C(255) DEFAULT '' NOTNULL,
								nocache I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'section, vkey'; const INDEX_2 = 'nocache'; public $_settingsCache = array(); static protected $_importRegistryCache = false;  public function __construct() { $_SWIFT = SWIFT::GetInstance(); parent::__construct(); $this->LoadLocalCache(); return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function LoadLocalCache() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (self::$_importRegistryCache != false) { $this->_settingsCache = self::$_importRegistryCache; return true; } $_localCache = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "importregistry WHERE nocache = '0'"); while ($this->Database->NextRecord()) { $_localCache[$this->Database->Record['section']][$this->Database->Record['vkey']] = $this->Database->Record['data']; } $this->_settingsCache = $_localCache; self::$_importRegistryCache = $_localCache; return true; }  public function GetNonCached($_sectionName, $_keyList = array()) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_extendedSQL = ''; if (_is_array($_keyList)) { $_extendedSQL = " AND vkey IN (" . BuildIN($_keyList) . ")"; } $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "importregistry WHERE section = '" . $this->Database->Escape($_sectionName) . "'" . $_extendedSQL); while ($this->Database->NextRecord()) { if (!isset($this->_settingsCache[$this->Database->Record['section']])) { $this->_settingsCache[$this->Database->Record['section']] = array(); } $this->_settingsCache[$this->Database->Record['section']][$this->Database->Record['vkey']] = $this->Database->Record['data']; } self::$_importRegistryCache = $this->_settingsCache; if (isset($this->_settingsCache[$_sectionName])) { return $this->_settingsCache[$_sectionName]; } return array(); }  public function UpdateLocalCache($_sectionName, $_keyName, $_keyData = '') { if (!$this->GetIsClassLoaded() || empty($_keyName) || empty($_sectionName)) { return false; } $this->_settingsCache[$_sectionName][$_keyName] = $_keyData; return true; }  private function DeleteLocalCache($_sectionName, $_keyName) { if (!$this->GetIsClassLoaded() || empty($_keyName) || empty($_sectionName)) { return false; } unset($this->_settingsCache[$_sectionName][$_keyName]); return true; }  private function DeleteLocalCacheSection($_sectionName) { if (!$this->GetIsClassLoaded() || empty($_sectionName)) { return false; } unset($this->_settingsCache[$_sectionName]); return true; }  public function InsertKey($_sectionName, $_keyName, $_keyValue, $_noCache = false) { if (empty($_sectionName) || empty($_keyName)) { return false; }  $this->Database->AutoExecute(TABLE_PREFIX . 'importregistry', array('section' => $_sectionName, 'vkey' => $_keyName, 'data' => $_keyValue, 'nocache' => intval($_noCache)), 'INSERT');  $this->UpdateLocalCache($_sectionName, $_keyName, $_keyValue); return true; }  public function UpdateKey($_sectionName, $_keyName, $_keyValue, $_noCache = false) { if (empty($_sectionName) || empty($_keyName)) { return false; }   $_settingContainer = $this->Database->QueryFetch("SELECT section, vkey FROM " . TABLE_PREFIX . "importregistry
			WHERE section = '" . $this->Database->Escape($_sectionName) . "' AND vkey = '" . $this->Database->Escape($_keyName) . "'", 5); if ($_settingContainer['section'] == $_sectionName && $_settingContainer['vkey'] == $_keyName) { $this->Database->AutoExecute(TABLE_PREFIX . 'importregistry', array('data' => $_keyValue, 'nocache' => intval($_noCache)), 'UPDATE', "section = '" . $this->Database->Escape($_sectionName) . "' AND vkey = '" . $this->Database->Escape($_keyName) . "'"); $this->UpdateLocalCache($_sectionName, $_keyName, $_keyValue); return true; } else { return $this->InsertKey($_sectionName, $_keyName, $_keyValue, $_noCache); } }  public function DeleteKey($_sectionName, $_keyName) { if (empty($_sectionName) || empty($_keyName)) { return false; } $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "importregistry
			WHERE section = '" . $this->Database->Escape($_sectionName) . "' AND vkey = '" . $this->Database->Escape($_keyName) . "'", 5); $this->DeleteLocalCache($_sectionName, $_keyName); return true; }  public function DeleteAll() { $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "importregistry", 5); $this->_settingsCache = array(); self::$_importRegistryCache = false; $this->LoadLocalCache(); return true; }  public function DeleteSection($_sectionName) { if (empty($_sectionName)) { return false; } $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "importregistry WHERE section = '" . $this->Database->Escape($_sectionName) . "'", 5); $this->DeleteLocalCacheSection($_sectionName); return true; }  public function GetKey($_sectionName, $_keyName) { if (!$this->GetIsClassLoaded() || empty($_sectionName) || empty($_keyName)) { return false; } if (isset($this->_settingsCache[$_sectionName]) && isset($this->_settingsCache[$_sectionName][$_keyName])) { return $this->_settingsCache[$_sectionName][$_keyName]; } return false; }  public function GetSection($_sectionName) { if (!$this->GetIsClassLoaded() || empty($_sectionName)) { return false; } if (isset($this->_settingsCache[$_sectionName])) { return $this->_settingsCache[$_sectionName]; } return false; }  public function Get($_keyName) { if (!$this->GetIsClassLoaded() || empty($_keyName)) { return; } if (isset($this->_settingsCache['settings'][$_keyName])) { return $this->_settingsCache['settings'][$_keyName]; } return; } } ?>