<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_AmazonS3Object extends SWIFT_Library { protected $_objectSize = 0; protected $_objectContentType = false; protected $_objectData = false; protected $_objectMD5 = false;  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function GetSize() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return $this->_objectSize; }  protected function SetSize($_objectSize) { $_objectSize = intval($_objectSize); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_objectSize)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_objectSize = $_objectSize; return true; }  protected function SetContentType($_objectContentType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_objectContentType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_objectContentType = $_objectContentType; return true; }  public function GetContentType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return $this->_objectContentType; }  protected function SetData($_objectData) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->_objectData = $_objectData; return true; }  public function GetData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return $this->_objectData; }  protected function SetMD5($_objectMD5) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->_objectMD5 = $_objectMD5; return true; }  public function GetMD5() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return $this->_objectMD5; }  static protected function GetMimeType($_filePath) { if (empty($_filePath) || !file_exists($_filePath)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_type = false;   if (extension_loaded('fileinfo') && isset($_ENV['MAGIC']) && ($_filePointerInfo = finfo_open(FILEINFO_MIME, $_ENV['MAGIC'])) !== false) { if (($_type = finfo_file($_filePointerInfo, $_filePath)) !== false) {  $_type = explode(' ', str_replace('; charset=', ';charset=', $_type)); $_type = array_pop($_type); $_type = explode(';', $_type); $_type = array_shift($_type); } finfo_close($_filePointerInfo);  } else if (function_exists('mime_content_type')) { $_type = mime_content_type($_filePath); } if ($_type !== false && strlen($_type) > 0) { return $_type; }  $_extensionContainer = array( 'jpg' => 'image/jpeg', 'gif' => 'image/gif', 'png' => 'image/png', 'tif' => 'image/tiff', 'tiff' => 'image/tiff', 'ico' => 'image/x-icon', 'swf' => 'application/x-shockwave-flash', 'pdf' => 'application/pdf', 'zip' => 'application/zip', 'gz' => 'application/x-gzip', 'tar' => 'application/x-tar', 'bz' => 'application/x-bzip', 'bz2' => 'application/x-bzip2', 'txt' => 'text/plain', 'asc' => 'text/plain', 'htm' => 'text/html', 'html' => 'text/html', 'xml' => 'text/xml', 'xsl' => 'application/xsl+xml', 'ogg' => 'application/ogg', 'mp3' => 'audio/mpeg', 'wav' => 'audio/x-wav', 'avi' => 'video/x-msvideo', 'mpg' => 'video/mpeg', 'mpeg' => 'video/mpeg', 'mov' => 'video/quicktime', 'flv' => 'video/x-flv', 'php' => 'text/x-php' ); $_extension = strtolower(pathinfo($_filePath, PATHINFO_EXTENSION)); if (isset($_extensionContainer[$_extension])) { return $_extensionContainer[$_extension]; } return 'application/octet-stream'; } } ?>