<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_CacheStore extends SWIFT_Model { private $_cacheQueue = array(); private $_cacheStore = array(); private $_rawCacheStore = array();  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  private function HasLocalCache($_keyName) { if (!$this->GetIsClassLoaded() || empty($_keyName)) { return false; } if (isset($this->_rawCacheStore[$_keyName]) || isset($this->_cacheStore[$_keyName])) { return true; } return false; }  private function GetLocalCache($_keyName) { if (!$this->GetIsClassLoaded() || empty($_keyName)) { return false; } if (isset($this->_cacheStore[$_keyName])) { return $this->_cacheStore[$_keyName]; } if (isset($this->_rawCacheStore[$_keyName])) { $_cacheStoreResult = json_decode($this->_rawCacheStore[$_keyName], true); if ($_cacheStoreResult !== false) { $this->_cacheStore[$_keyName] = $_cacheStoreResult; } else if ($_cacheStoreResult === false) { echo 'Invalid Cache: ' . $_keyName; SWIFT_ErrorLog::Create(SWIFT_ErrorLog::TYPE_PHPERROR, 'Invalid Cache: ' . $_keyName); }  unset($this->_rawCacheStore[$_keyName]); } else {  } return false; }  private function UpdateLocalCache($_keyName, $_keyData = array()) { if (!$this->GetIsClassLoaded() || empty($_keyName)) { return false; } $this->_cacheStore[$_keyName] = $_keyData; return true; }  private function DeleteLocalCache($_keyName) { if (!$this->GetIsClassLoaded() || empty($_keyName)) { return false; } unset($this->_cacheStore[$_keyName]); return true; }  public function Queue() { foreach (func_get_args() as $_key => $_keyName) { $_keyName = Clean($_keyName); if (in_array($_keyName, $this->_cacheQueue)) { continue; } $this->_cacheQueue[] = $_keyName; } return true; }  public function Get($_keyName) { $_SWIFT = SWIFT::GetInstance(); $_localCache = $this->GetLocalCache($_keyName); if (!$_localCache && $_SWIFT->Interface->GetInterface() != SWIFT_Interface::INTERFACE_SETUP) { $this->Load($_keyName); return $this->GetLocalCache($_keyName); } return $_localCache; }  public function Update($_keyName, $_cacheContents) { $_keyName = Clean($_keyName); if (is_array($_cacheContents)) { $this->Registry->UpdateKey($_keyName, @json_encode($_cacheContents)); SWIFT::Set($_keyName, $_cacheContents); $this->UpdateLocalCache($_keyName, $_cacheContents); return true; } return false; }  public function Load($_keyName) { $_SWIFT = SWIFT::GetInstance(); if ($this->HasLocalCache($_keyName)) { return $this->GetLocalCache($_keyName); } $_cache = false; $_registryData = $this->Registry->GetKey($_keyName); if (!empty($_registryData)) { $_cache = json_decode($_registryData, true); if ($_cache === false) { echo 'Invalid Cache (2): ' . $_keyName; SWIFT_ErrorLog::Create(SWIFT_ErrorLog::TYPE_PHPERROR, 'Invalid Cache: ' . $_keyName); } } if (!is_array($_cache)) { $_cache = array(); } $this->UpdateLocalCache($_keyName, $_cache); $_appName = false; if ($_SWIFT->Router instanceof SWIFT_Router && $_SWIFT->Router->GetApp() instanceof SWIFT_App) { $_appName = strtolower($_SWIFT->Router->GetApp()->GetName()); } $_SWIFT_LogObject = new SWIFT_Log('cache'); $_SWIFT_LogObject->Log('Loading Unoptimized Cache: ' . $_keyName . ' on Interface: ' . $_SWIFT->Interface->GetInterface() . ' ' . IIF(!empty($_appName), 'for App: ' . $_appName)); $this->FirePHP->Warn('Loading Unoptimized Cache: ' . $_keyName); SWIFT::Set($_keyName, $_cache); return true; }  public function LoadQueue() { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_SETUP) { return true; } $_cacheQueue = $this->_cacheQueue; if (!_is_array($_cacheQueue)) { $this->_cacheQueue = array(); return false; } $_registryKeys = $this->Registry->GetKeyList($_cacheQueue); reset($_registryKeys); if (!_is_array($_registryKeys)) { $this->_cacheQueue = array(); return false; } $_loadedCacheList = array(); foreach ($_registryKeys as $_key => $_val) { $_loadedCacheList[] = $_key; $this->_rawCacheStore[$_key] = $_val; unset($this->_cacheQueue[$_key]); } foreach ($this->_cacheQueue as $_key => $_val) {  if (!in_array($_val, $_loadedCacheList)) { $_cacheContents = array(); $this->UpdateLocalCache($_val, $_cacheContents); } } $this->_cacheQueue = array(); return true; } } ?>