<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_DynectPTRRecord extends SWIFT_DynectRecord { const BASE_URL = 'PTRRecord';  public function __construct(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_PTRDname, $_ttlSeconds = self::DEFAULT_TTL) { if (empty($_PTRDname)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); } $_rData = array('ptrdname' => $_PTRDname); parent::__construct($_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetPTRDname($_PTRDname) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->SetRData(array('ptrdname' => $_PTRDname)); return true; }  public function GetPTRDname() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_rData = $this->GetRData(); return $_rData['ptrdname']; }  static public function Create(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_PTRDname, $_ttlSeconds = self::DEFAULT_TTL) { $_SWIFT = SWIFT::GetInstance(); $_rData = array('ptrdname' => $_PTRDname); $_JSONObject = parent::Create(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_PTRDname = (string)$_JSONObject->data->rdata->ptrdname; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectPTRRecordObject = new SWIFT_DynectPTRRecord($_DynectZoneObject, $_FQDN, $_PTRDname, $_ttlSeconds); $_DynectZoneObject->Publish(); return $_SWIFT_DynectPTRRecordObject; }  public function __toString() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_returnData = 'Zone Name: ' . $this->GetDynectZone()->GetName() . SWIFT_CRLF; $_returnData .= 'FQDN: ' . $this->GetFQDN() . SWIFT_CRLF; $_rData = $this->GetRData(); $_returnData .= 'PTR Domain: ' . $_rData['ptrdname'] . SWIFT_CRLF; $_returnData .= 'TTL: ' . $this->GetTTLSeconds() . SWIFT_CRLF; return $_returnData; }  static public function Retrieve(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_recordID) { $_JSONObject = parent::Retrieve(self::BASE_URL, $_DynectZoneObject, $_FQDN, $_recordID); $_zoneName = (string)$_JSONObject->data->zone; $_FQDN = (string)$_JSONObject->data->fqdn; $_PTRDname = (string)$_JSONObject->data->rdata->ptrdname; $_ttlSeconds = (string)$_JSONObject->data->ttl; $_SWIFT_DynectPTRRecordObject = new SWIFT_DynectPTRRecord($_DynectZoneObject, $_FQDN, $_PTRDname, $_ttlSeconds); return $_SWIFT_DynectPTRRecordObject; }  static public function RetrieveAll(SWIFT_DynectZone $_DynectZoneObject, $_FQDN) { $_JSONObject = parent::RetrieveAll(self::BASE_URL, $_DynectZoneObject, $_FQDN); $_recordsURIList = array(); foreach ($_JSONObject->data as $_val) { $_recordsURIList[] = (string)$_val; } return $_recordsURIList; }  public function Delete($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Delete(self::BASE_URL, $_recordID)) { return false; } return true; }  public function Update($_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!parent::Update(self::BASE_URL, $_recordID)) { return false; } return true; } } 