<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_DynectSession extends SWIFT_DynectBase { protected $_sessionToken = false;  const BASE_URL = 'Session';  public function __construct($_sessionToken) { parent::__construct(true); if (!$this->SetToken($_sessionToken)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); } $this->SetSession($this); return true; }  public function __destruct() { $this->End(); parent::__destruct(); return true; }  protected function SetToken($_sessionToken) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_sessionToken)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $this->_sessionToken = $_sessionToken; return true; }  public function GetToken() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_sessionToken; }  static public function Create($_customerName, $_userName, $_password) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT->DynectSession instanceof SWIFT_DynectSession && $_SWIFT->DynectSession->GetIsClassLoaded()) { return $_SWIFT->DynectSession; } if (empty($_customerName) || empty($_userName) || empty($_password)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_ResponseObject = self::GetBase(true)->Post(self::BASE_URL, array('customer_name' => $_customerName, 'user_name' => $_userName, 'password' => $_password)); if (!self::GetBase(true)->CheckResponse($_ResponseObject, 'SWIFT_DynectSession::Create', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (!isset($_JSONObject->data->token)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_sessionToken = (string)$_JSONObject->data->token; if (empty($_sessionToken)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_SWIFT_DynectSessionObject = new SWIFT_DynectSession($_sessionToken); $_SWIFT->SetClass('DynectSession', $_SWIFT_DynectSessionObject); return $_SWIFT_DynectSessionObject; }  public function Ping() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ResponseObject = $this->Put(self::BASE_URL); if (!$this->CheckResponse($_ResponseObject, 'SWIFT_DynectSession::Ping', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } print_r($_ResponseObject->GetBodyJSONObject()); return true; }  public function IsAlive() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ResponseObject = $this->Get(self::BASE_URL); if (!$this->CheckResponse($_ResponseObject, 'SWIFT_DynectSession::IsAlive', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (isset($_JSONObject->status) && (string)$_JSONObject->status == self::STATUS_SUCCESS) { return true; } return false; }  public function End() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ResponseObject = $this->Delete(self::BASE_URL); if (!$this->CheckResponse($_ResponseObject, 'SWIFT_DynectSession::End', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); return true; }  public function LoadIntoSWIFTNamespace() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if ($_SWIFT->DynectSession && $_SWIFT->DynectSession instanceof SWIFT_DynectSession && $_SWIFT->DynectSession->GetIsClassLoaded()) { return true; } return true; } } ?>
