<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_IPAddress extends SWIFT_Library { private $_ipAddress; private $_netMask; private $_gateway; private $_type; private $_macAddress; private $_device; private $_onBoot;  public function __construct($_ipAddress, $_netMask, $_gateway, $_type, $_macAddress, $_device, $_onBoot = false) { parent::__construct(); if (empty($_ipAddress) || empty($_netMask) || empty($_gateway) || empty($_type) || empty($_macAddress) || empty($_device)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } if (!$this->SetIPAddress($_ipAddress) || !$this->SetNetMask($_netMask) || !$this->SetGateway($_gateway) || !$this->SetType($_type) || !$this->SetMacAddress($_macAddress) || !$this->SetDevice($_device) || !$this->SetOnBoot($_onBoot)) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); $this->SetIsClassLoaded(false); return false; } return true; }  public function SetIPAddress($_ipAddress) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_ipAddress)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_ipAddress = $_ipAddress; return true; }  public function GetIPAddress() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_ipAddress; }  public function SetNetMask($_netMask) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_netMask)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_netMask = $_netMask; return true; }  public function GetNetMask() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_netMask; }  public function SetGateway($_gateway) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_gateway)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_gateway = $_gateway; return true; }  public function GetGateway() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_gateway; }  public function SetType($_type) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_type)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_type = $_type; return true; }  public function GetType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_type; }  public function SetMacAddress($_macAddress) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_macAddress)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_macAddress = $_macAddress; return true; }  public function GetMacAddress() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_macAddress; }  public function SetDevice($_device) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_device)) { throw new SWIFT_IPAddress_Exception(SWIFT_INVALIDDATA); return false; } $this->_device = $_device; return true; }  public function GetDevice() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_device; }  public function SetOnBoot($_onBoot) { $_onBoot = intval($_onBoot); if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_onBoot = $_onBoot; return true; }  public function GetOnBoot() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_IPAddress_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_onBoot; } }