<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_MIMEList extends SWIFT_Model { private $_mimeList = array();  public function __construct() { parent::__construct(); $this->Language->Load('mime'); if (!$this->LoadData()) { throw new SWIFT_MIME_Exception(SWIFT_CLASSNOTLOADED); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function Get($_fileExtension) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_MIME_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_fileExtension) || !isset($this->_mimeList[$_fileExtension])) { throw new SWIFT_MIME_Exception(SWIFT_INVALIDDATA); return false; } return $this->_mimeList[$_fileExtension]; }  public function LoadData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_MIME_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_mimeList = array( 'pdf' => array('application/pdf','mimeico_pdf.gif', $this->Language->Get('pdf')), 'png' => array('image/x-png','mimeico_pic.gif', $this->Language->Get('png')), 'htm' => array('text/html','mimeico_html.gif', $this->Language->Get('htm')), 'html' => array('text/html','mimeico_html.gif', $this->Language->Get('html')), 'rtf' => array('text/richtext','mimeico_text.gif', $this->Language->Get('rtf')), 'gz' => array('application/x-gzip','mimeico_compressed.gif', $this->Language->Get('gz')), 'tar' => array('application/x-gzip','mimeico_compressed.gif', $this->Language->Get('tar')), 'zip' => array('application/zip','mimeico_compressed.gif', $this->Language->Get('zip')), 'rar' => array('application/rar','mimeico_compressed.gif', $this->Language->Get('rar')), 'bz2' => array('application/bz2','mimeico_compressed.gif', $this->Language->Get('bz2')), 'bz' => array('application/bz','mimeico_compressed.gif', $this->Language->Get('bz')), 'jar' => array('application/java-archive','mimeico_compressed.gif', $this->Language->Get('jar')), 'doc' => array('application/msword','mimeico_word.gif', $this->Language->Get('doc')), 'docx' => array('application/vnd.openxmlformats-officedocument.wordprocessingml.template','mimeico_word.gif', $this->Language->Get('docx')), 'jpg' => array('image/jpeg','mimeico_pic.gif', $this->Language->Get('jpg')), 'jpeg' => array('image/jpeg','mimeico_pic.gif', $this->Language->Get('jpeg')), 'txt' => array('text/plain','mimeico_text.gif', $this->Language->Get('txt')), 'wav' => array('audio/x-wav','mimeico_sound.gif', $this->Language->Get('wav')), 'mov' => array('video/quicktime','mimeico_flick.gif', $this->Language->Get('mov')), 'ppt' => array('application/powerpoint','mimeico_powerpoint.gif', $this->Language->Get('ppt')), 'pptx' => array('application/vnd.openxmlformats-officedocument.presentationml.presentation','mimeico_powerpoint.gif', $this->Language->Get('pptx')), 'xls' => array('application/vnd.ms-excel','mimeico_excel.gif', $this->Language->Get('xls')), 'xlsx' => array('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'mimeico_excel.gif', $this->Language->Get('xlsx')), 'ram' => array('audio/x-realaudio','mimeico_flick.gif', $this->Language->Get('ram')), 'ico' => array('image/ico','mimeico_pic.gif', $this->Language->Get('ico')), 'gif' => array('image/gif','mimeico_pic.gif', $this->Language->Get('gif')), 'mpg' => array('video/mpeg','mimeico_flick.gif', $this->Language->Get('mpg')), 'mpeg' => array('video/mpeg','mimeico_flick.gif', $this->Language->Get('mpeg')), 'mp3' => array('audio/x-mpeg','mimeico_sound.gif', $this->Language->Get('mp3')), 'php' => array('text/plain','mimeico_script.gif', $this->Language->Get('php')), 'swf' => array('application/x-shockwave-flash','mimeico_flick.gif', $this->Language->Get('swf')), ); return true; } } ?>