<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_RESTClient extends SWIFT_RESTBase { protected $_apiKey = false; protected $_secretKey = false;  public function __construct($_baseURL, $_apiKey, $_secretKey) { parent::__construct($_baseURL); if (!$this->SetBaseURL($_baseURL) || !$this->SetAPIKey($_apiKey) || !$this->SetSecretKey($_secretKey)) { throw new SWIFT_REST_Exception(SWIFT_CREATEFAILED); } return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function SetAPIKey($_apiKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_apiKey)) { throw new SWIFT_REST_Exception(SWIFT_INVALIDDATA); } $this->_apiKey = $_apiKey; return true; }  public function GetAPIKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_apiKey; }  protected function SetSecretKey($_secretKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_secretKey)) { throw new SWIFT_REST_Exception(SWIFT_INVALIDDATA); } $this->_secretKey = $_secretKey; return true; }  public function GetSecretKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_secretKey; }  protected function GetSignature($_method, $_controllerPath, $_salt) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidMethod($_method)) { throw new SWIFT_REST_Exception(SWIFT_INVALIDDATA); } $_signatureToken = $_salt; $_calculatedSignature = base64_encode(hash_hmac('sha256', $_signatureToken, $this->GetSecretKey(), true)); return $_calculatedSignature; }  protected function GetCURLSignature($_method, $_controllerPath, $_salt) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_signature = $this->GetSignature($_method, $_controllerPath, $_salt); return $_signature; }  protected function InitializeCURL($_method, $_controllerPath, $_queryStringContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } $_queryStringContainer['apikey'] = $this->GetAPIKey(); return parent::InitializeCURL($_method, $_controllerPath, $_queryStringContainer); } } ?>