<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN v4 LOCALES =======
	'actionvariables' => 'Variables',
	'livechat' => 'Live Chat',
	'rules' => 'Rules',
	'insertgroup' => 'Insert Group',
	'editgroup' => 'Edit Group',
	'insertban' => 'Insert Ban',
	'editban' => 'Edit Ban',
	'actionvisitorexperience' => 'Visitor Experience',
	'actionstaffalerts' => 'Staff Alerts',
	'hexcode' => 'Hex Color Code',
	'wineditgroup' => 'Edit Visitor Group: %s',
	'visitorgroups' => 'Visitor Groups',
	'titlenorulecriteria' => 'No Criteria Specified',
	'msgnorulecriteria' => SWIFT_PRODUCT . ' is unable to insert the visitor rule as no criteria has been specified.',
	'titlenoruleactions' => 'No Actions Specified',
	'msgnoruleactions' => SWIFT_PRODUCT . ' is unable to insert the visitor rule as no actions have been specified.',
	'invalidgroup' => 'Invalid Group specified. Please make sure the visitor group exists in database and the database is not corrupt',
	'visitorgrouptitle' => 'Visitor Group Title',
	'desc_visitorgrouptitle' => 'Please specify the Visitor Group Title.',
	'groupcolor' => 'Group Color',
	'desc_groupcolor' => 'Specify a color for this group\'s title, which will be displayed on the visitor grid.',
	'lastupdate' => 'Last Update',
	'titledelvisitorgroup' => 'Deleted "%d" Visitor Group(s)',
	'msgdelvisitorgroup' => 'Successfully deleted the following visitor groups from the database:',
	'titleinsertgroup' => 'Inserted Visitor Group "%s"',
	'msginsertgroup' => 'Successfully inserted visitor group "<font color="%s">%s</font>" into the database.',
	'titleupdategroup' => 'Updated Visitor Group "%s"',
	'msgupdategroup' => 'Successfully updated visitor group "<font color="%s">%s</font>".',
	'isregex' => 'Is Regular Expression?',
	'desc_isregex' => 'If Enabled, '.SWIFT_PRODUCT.' will compare the visitors IP using the regular expression specified above.',
	'titleinsertban' => 'Inserted Visitor Ban',
	'msginsertban' => 'Successfully inserted visitor ban "%s" into the database.',
	'titleupdateban' => 'Updated Visitor Ban',
	'msgupdateban' => 'Successfully updated visitor ban "%s"',
	'wineditban' => 'Edit Ban: %s',
	'gridisregex' => 'RegEx?',
	'titledelbans' => 'Deleted "%d" Visitor Ban(s)',
	'msgdelbans' => 'Successfully deleted the following visitor bans from the database:',
	'onlinestatus' => 'Online Status',
	'desc_onlinestatus' => '',
	'disconnect' => 'Disconnect',
	'logintime' => 'Login',
	'lastactivity' => 'Last Activity',
	'username' => 'Username',
	'fullname' => 'Fullname',
	'titledcstaff' => 'Disconnected "%d" Logged in Staff Users',
	'msgdcstaff' => 'Successfully disconnected the following staff users from system:',
	'skills' => 'Skills',
	'desc_skills' => '',
	'skilltitle' => 'Skill Title',
	'alertemail' => 'Alert Email',
	'wineditskill' => 'Edit Skill: %s',
	'messagerouting' => 'Message Routing',
	'desc_messagerouting' => '',
	'mrdepartment' => 'Department',
	'mraction' => 'Action',
	'titleupdmr' => 'Message Routing Rules Updated',
	'msgupdmr' => 'Successfully updated message routing rules, details are listed below:',
	'routetotickets' => 'Route to Tickets',
	'mrdepartment' => 'Department',
	'routetoemail' => 'Route to Email',
	'mremail' => 'Email(s)',
	'insertrule' => 'Insert Rule',
	'desc_insertrule' => '',
	'insertcriteria' => 'Insert Criteria',
	'tabactions' => 'Actions',
	'insertaction' => 'Insert Action',
	'ruletitle' => 'Rule Title',
	'desc_ruletitle' => 'Enter the Rule Title',
	'rulestop' => 'Stop Processing Rules',
	'desc_rulestop' => 'If enabled, other Rules will not be processed if the criteria specified below is met.',
	'sortorder' => 'Sort Order',
	'desc_sortorder' => 'Specify the Sort Order for this Rule. Rules are always processed in Ascending Order.',
	'criteria' => 'Criteria',
	'smatchall' => 'Match All (AND)',
	'smatchany' => 'Match Any (OR)',
	'matchtype' => 'Criteria Options',
	'smatchtype' => 'Match Type',
	'desc_matchtype' => 'Select the grouping method for the criteria fields.',
	'clearall' => 'Clear All',
	'titlevrcoreerror' => 'Core Error: Insert Failed',
	'msgvrcoreerror' => 'Unable to insert Visitor Rule',
	'invalidvisitorrule' => 'ERROR: Invalid Visitor Rule, Make sure the visitor rule exists in database',
	'editrule' => 'Edit Rule',
	'desc_editrule' => '',
	'if' => 'If',
	'titleinsertrule' => 'Inserted Visitor Rule "%s"',
	'msginsertrule' => 'Successfully inserted visitor rule "%s" into the database.',
	'actaddvariable' => '<b>Variable:</b> %s = %s',
	'actvisitorexperience' => '<b>Visitor Experience:</b> %s',
	'actstaffalert' => '<b>Staff Alert:</b> Title: %s, Value: %s',
	'actsetskill' => '<b>Set Skill:</b> Skill Title: %s',
	'actsetgroup' => '<b>Set Group:</b> Visitor Group Title: %s',
	'actsetdepartment' => '<b>Set Department:</b> Department Title: %s',
	'actsetcolor' => '<b>Set Color:</b> Color Code: %s',
	'actbanvisitor' => '<b>Ban Visitor:</b> Type: %s',
	'titleupdaterule' => 'Updated Visitor Rule "%s"',
	'msgupdaterule' => 'Successfully updated visitor rule "%s".',
	'titledelvrules' => 'Deleted "%s" Visitor Rule(s)',
	'msgdelvrules' => 'Successfully deleted the following visitor rule(s).<br>%s',
	'settings' => 'Settings',
	'lssettings' => 'Settings',
	'desc_lssettings' => '',
	'tabsettings' => 'Settings',
	'insertskill' => 'Insert Skill',
	'desc_insertskill' => '',
	'tabassignments' => 'Assignments',
	'skilltitle' => 'Skill Title',
	'desc_skilltitle' => 'Enter the Skill Title',
	'skilldesc' => 'Skill Description',
	'desc_skilldesc' => 'Enter the Skill Description. Maximum 255 characters are allowed.',
	'skillemail' => 'Email',
	'desc_skillemail' => 'Enter the Skill Group Email Address',
	'skillsperm' => 'Staff Assigments',
	'ruletype' => 'Rule Trigger',
	'desc_ruletype' => 'Select the action when the rule gets triggered',
	'ruletype_1' => 'When chat is established',
	'ruletype_2' => 'When visitor enters page',
	'ruletype_3' => 'When visitor enters site',
	'ruletype_4' => 'When visitor is being queued for chat',
	'actionsetskill' => 'Set Skill',
	'actionsetdepartment' => 'Set Department',
	'actionsetgroup' => 'Set Group',
	'actionsetcolor' => 'Set Color',
	'actionbanvisitor' => 'Ban Visitor',
	'notavailable' => '-- Not Available --',
	'inlinechat' => 'Inline Chat',
	'engagevisitor' => 'Engage Visitor',
	'customengagevisitor' => 'Engage Visitor (Custom)',
	'editskill' => 'Edit Skill',
	'invalidchatskill' => 'Invalid Chat Skill. Please make sure the chat skill exists in the database.',
	'titledelchatskills' => 'Deleted "%d" Chat Skill(s)',
	'msgdelchatskills' => 'Successfully deleted the following Chat Skill(s) from the database:<br />%s',
	'titleinsertskill' => 'Inserted Chat Skill',
	'msginsertskill' => 'Successfully inserted the "%s" Chat Skill into the database.',
	'titleupdateskill' => 'Updated Chat Skill',
	'msgupdateskill' => 'Successfully updated the "%s" Chat Skill.',
	'preservemessage' => 'Preserve Message Record',
	'separatevia' => 'separate via ;',

	// ======= RULE STRINGS =======
	'rule_currentpage' => 'Browsing - Current Page',
	'desc_rule_currentpage' => 'The currently active page the visitor is viewing',
	'rule_currentpageurl' => 'Visitor - Current Page (URL)',
	'desc_rule_currentpageurl' => 'The currently active page the visitor is viewing',
	'rule_currentpagetitle' => 'Visitor - Current Page (Title)',
	'desc_rule_currentpagetitle' => 'The currently active page the visitor is viewing',
	'rule_numberofpages' => 'Browsing - Number of Pages',
	'desc_rule_numberofpages' => 'Number of pages the visitor has opened in the active session',
	'rule_previouspagetitle' => 'Browsing - Previous Page (Title)',
	'desc_rule_previouspagetitle' => 'The previously active page the visitor opened',
	'rule_previouspageurl' => 'Browsing - Previous Page (URL)',
	'desc_rule_previouspageurl' => 'The previously active page the visitor opened',
	'rule_referringurl' => 'Browsing - Referring URL',
	'desc_rule_referringurl' => 'The Referring URL of the active page',
	'rule_searchenginefound' => 'Browsing - Search Engine Found',
	'desc_rule_searchenginefound' => 'Boolean property based on whether visitor was referred from a search engine',
	'rule_searchenginename' => 'Browsing - Search Engine Name',
	'desc_rule_searchenginename' => 'The search engine the visitor was referred from',
	'rule_searchenginequery' => 'Browsing - Search Engine Query String',
	'desc_rule_searchenginequery' => 'The search engine query string that was used to search',
	'rule_visitedpagetitle' => 'Browsing - Visited Pages (Title)',
	'desc_rule_visitedpagetitle' => 'All the pages the visitor has visited in the active session',
	'rule_visitedpageurl' => 'Browsing - Visited Pages (URL)',
	'desc_rule_visitedpageurl' => 'All the pages the visitor has visited in the active session',
	'rule_repeatvisit' => 'Visitor - Repeat Visit',
	'desc_rule_repeatvisit' => 'Whether its a repeat or new visitor',
	'rule_browser' => 'Visitor - Browser',
	'desc_rule_browser' => 'The browser being used by the visitor. Example: Safari, Mozilla, Internet Explorer',
	'rule_ipaddress' => 'Visitor - IP Address',
	'desc_rule_ipaddress' => 'The IP Address of the Visitor',
	'rule_onlinestaff' => 'Staff - Online Staff',
	'desc_rule_onlinestaff' => 'Property based on the state of online staff users',
	'rule_onlinestaffskills' => 'Staff - Online Staff with Skill',
	'desc_rule_onlinestaffskills' => 'Property based on the state of online staff with specified skills',
	'rule_onlinestaffdepartments' => 'Staff - Online Staff assigned to Department',
	'desc_rule_onlinestaffdepartments' => 'Property based on the state of online staff assigned to a specific department',
	'rule_timeinsite' => 'Time - Time in Site',
	'desc_rule_timeinsite' => 'Total time spent at the site',
	'rule_timeinchat' => 'Time - Time in Chat',
	'desc_rule_timeinchat' => 'Total time spent in active chat',
	'rule_timeagententry' => 'Time - Seconds since last staff entry',
	'desc_rule_timeagententry' => 'Number of seconds since the last staff message',
	'rule_timevisitorentry' => 'Time - Seconds since last visitor entry',
	'desc_rule_timevisitorentry' => 'Number of seconds since the last visitor message',
	'rule_timeagentvisitorentry' => 'Time - Seconds since last staff or visitor entry',
	'desc_timeagentvisitorentry' => 'Number of seconds since the last staff/visitor message',
	'rule_chatagentlastmessage' => 'Chat - Staff Last Message',
	'desc_rule_chatagentlastmessage' => 'The contents of the last staff message',
	'rule_chatvisitorlastmessage' => 'Chat - Visitor Last Message',
	'desc_rule_chatvisitorlastmessage' => 'The contents of last visitor message',
	'rule_chatwithagentmessage' => 'Chat - Chat with staff message',
	'desc_rule_chatwithagentmessage' => 'Boolean based on whether there is a staff message in chat',
	'rule_chatwithvisitormessage' => 'Chat - Chat with visitor message',
	'desc_rule_chatwithvisitormessage' => 'Boolean based on whether there is a visitor message in chat',
	'rule_chatwithagentvisitormessage' => 'Chat - Chat with staff or visitor message',
	'desc_rule_chatwithagentvisitormessage' => 'Boolean based on whether there is a staff or visitor message in chat',
	'rule_chatinchat' => 'Chat - In Chat',
	'desc_rule_chatinchat' => 'Boolean based on whether the chat has been accepted by a staff user',
	'rule_chatrefusedchat' => 'Chat - Refused Chat',
	'desc_rule_chatrefusedchat' => 'Boolean based on whether the chat has been refused by a staff user',
	'rule_geocountry' => 'GeoIP - Country',
	'desc_rule_geocountry' => '',
	'rule_geocity' => 'GeoIP - City',
	'desc_rule_geocity' => '',
	'rule_geoipregion' => 'GeoIP - Region',
	'desc_rule_geoipregion' => '',
	'rule_geoorganization' => 'GeoIP - Organization',
	'desc_rule_geoorganization' => '',
	'rule_geotimezone' => 'GeoIP - Time Zone',
	'desc_rule_geotimezone' => '',
	'rule_geoisp' => 'GeoIP - ISP',
	'desc_rule_geoisp' => '',
	'rule_geoconnectiontype' => 'GeoIP - Netspeed',
	'desc_rule_geoconnectiontype' => '',
	'rule_geoippostalcode' => 'GeoIP - Postal Code',
	'desc_rule_geoippostalcode' => '',
	'rule_geoipmetrocode' => 'GeoIP - Metro Code',
	'desc_rule_geoipmetrocode' => '',
	'rule_geoipareacode' => 'GeoIP - Area Code',
	'desc_rule_geoipareacode' => '',
	'rule_geoiplatitude' => 'GeoIP - Latitude',
	'desc_rule_geoiplatitude' => '',
	'rule_geoiplongitude' => 'GeoIP - Longitude',
	'desc_rule_geoiplongitude' => '',
	// ======= END v4 LOCALES =======


	'livesupport' => 'Live Chat',
	'visitorbans' => 'Visitor Bans',
	'desc_visitorbans' => 'Visitors are banned by IP address. Visitor bans can also be added from within the LiveResponse Desktop Application. Banned visitors will not appear in visitor tracking and will not be able to see the live chat status button in the client support interface.',
	'visitorbanlist' => 'Visitor Ban List',
	'ipaddress' => 'IP Address',
	'desc_ipaddress' => 'Enter the IP address to ban.',
	'addedby' => 'Added By',
	'bandate' => 'Creation Date',
	'insertvisitorban' => 'Insert Visitor Ban',
	'invalidip' => 'ERROR: Invalid IP address',
	'ipinsertconfirm' => 'Visitor ban for IP address "%s" inserted successfully',
	'ipupdateconfirm' => 'Visitor ban updated for IP address "%s"',
	'ipdelconfirm' => 'Visitor ban deleted successfully',
	'invalidban' => 'Invalid visitor ban entry',
	'updatevisitorban' => 'Update Visitor Ban',
);
?>