<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN v4 LOCALES =======
	'ratings' => 'Ratings',
	'tabgeneral' => 'General',
	'tabpermissionsstaff' => 'Permissions (Staff)',
	'tabpermissionsuser' => 'Permissions (User)',
	'staffgroups' => 'Staff Teams',
	'usergroups' => 'User Groups',
	'ratingticket' => 'Ticket',
	'ratingticketpost' => 'Ticket Post',
	'ratingchatsurvey' => 'Chat Survey',
	'ratingchathistory' => 'Chat History',
	'ratingknowledgebase' => 'Knowledgebase',
	'ratingtroubleshooter' => 'Troubleshooter',
	'ratingnews' => 'News',

	'staffvisibilitycustom' => 'Restrict rating modification to certain staff teams?',
	'desc_staffvisibilitycustom' => 'Enable this setting if you want to control which staff teams (selected below) can <strong>modify</strong> this rating.',

	'buservisibilitycustom' => 'Restrict rating to certain user groups?',
	'desc_buservisibilitycustom' => 'Enable this setting if you want to control which user groups (selected below) can <strong>view and modify</strong> this rating.',

	'bstaffvisibilitycustom' => 'Restrict rating to certain staff teams?',
	'desc_bstaffvisibilitycustom' => 'Enable this setting if you want to control which staff teams (selected below) can <strong>view</strong> this rating.',

	'isclientonly' => 'Prevent staff from setting or editing the rating?',
	'desc_isclientonly' => 'If enabled, only users will be able to set or edit this rating. Your staff users won\'t be able to modify it.',

	'ratingscale' => 'Rating scale',
	'desc_ratingscale' => 'Select the maximum rating that can be given (this number translates to <em>stars</em>).',

	'ratingtype' => 'Rating type',
	'desc_ratingtype' => 'Select the area of your helpdesk for which this rating will apply. <br /><br /><strong>Ticket:</strong> Offer ratings for an overall ticket<br /><strong>Ticket post:</strong> Offer ratings for individual ticket replies<br /><strong>Post-chat survey:</strong> Offer ratings for a chat as part of the post-chat survey<br /><strong>Chat history record:</strong> Offer ratings for chat histories in the staff control panel (intended for internal rating and auditing)',

	'ratingtitle' => 'Rating title',
	'desc_ratingtitle' => 'For example, <em>"Overall satisfaction"</em> or <em>"Promptness of reply"</em>.',

	'displayorder' => 'Display Order',
	'desc_displayorder' => 'This is the default display order in which the items are displayed. The list is sorted in Ascending Order.',

	'ratingdep' => 'Restrict rating to a department',
	'desc_ratingdep' => 'If you would like to restrict this rating to a particular department, select one here.',
	'ratingalldep' => '-- All departments --',

	'iseditable' => 'Can be modified after submission?',
	'desc_iseditable' => 'Can this rating be modified after a rating has been submitted?',

	'ratingvisibility' => 'Who can rate?',
	'desc_ratingvisibility' => '<strong>Public</strong> ratings are available to both your users and staff users. Select this to solicit feedback from your users. <strong>Private</strong> ratings are available only to your staff users, for internal rating and auditing.',

	'ratingvis' => 'Visibility',
	'insertrating' => 'Insert Rating',
	'desc_insertrating' => '',
	'manageratings' => 'Manage',
	'desc_manageratings' => '',
	'wineditrating' => 'Edit rating: %s',
	'editrating' => 'Edit rating',
	'desc_editrating' => '',
	'titledelrating' => 'Deleted "%d" rating(s)',
	'msgdelrating' => 'Successfully deleted the following rating(s) from the database:',
	'titleratinginsert' => 'Inserted Rating',
	'msgratinginsert' => 'Successfully inserted the "%s" rating into the database.',
	'titleratingupdate' => 'Updated Rating',
	'msgratingupdate' => 'Successfully updated the "%s" rating.',
	// ======= END v4 LOCALES =======
);
?>