<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN V4 LOCALES =======
	'escalations' => 'Escalations',
	'insertrule' => 'Insert Rule',
	'ruletitle' => 'Rule Title',
	'desc_ruletitle' => 'Enter your Escalation Rule Title.',
	'escalationruledetails' => 'Escalation Rule Details',
	'nochange' => '-- No Change --',
	'escalationplan' => 'SLA Plan',
	'desc_escalationplan' => 'Select the SLA Plan to which this rule is assigned.',
	'escalationaction' => 'Actions',
	'escalationstaff' => 'Assign to Staff',
	'desc_escalationstaff' => '',
	'escalationpriority' => 'Change Priority',
	'desc_escalationpriority' => '',
	'escalationticketstatus' => 'Change Ticket Status',
	'desc_escalationticketstatus' => '',
	'escalationdepartment' => 'Move to Department',
	'desc_escalationdepartment' => '',
	'escalationslaplan' => 'Change SLA Plan',
	'desc_escalationslaplan' => '',
	'escalationflagtype' => 'Change Flag Type',
	'desc_escalationflagtype' => '',
	'noplanavailable' => '-- Not Available --',
	'sendnotification' => 'Dispatch Notification to User',
	'desc_sendnotification' => '',
	'titlenoplanavail' => 'No SLA Plan Available',
	'msgnoplanavail' => 'There are no SLA Plan(s) added in '.SWIFT_PRODUCT.'. You need to add a SLA Plan in order to insert/update an Escalation Rule.',
	'creationdate' => 'Creation Date',
	'wineditescalationrule' => 'Edit Escalation Rule: %s',
	'invalidescalationrule' => 'Invalid Escalation Rule. Please make sure that the rule exists in the database.',
	'editrule' => 'Edit Rule',
	'desc_editrule' => '',
	'titledelescalationrule' => 'Deleted "%d" Escalation Rules',
	'msgdelescalationrule' => 'Successfully deleted the following Escalation Rules from the database:',
	'titleinsertescalationrule' => 'Inserted Escalation Rule',
	'msginsertescalationrule' => 'Successfully inserted the "%s" Escalation Rule into the database.',
	'titleupdateescalationrule' => 'Updated Escalation Rule',
	'msgupdateescalationrule' => 'Successfully updated the "%s" Escalation Rule.',
	'manageescalations' => 'Manage',
	'desc_manageescalations' => '',
	'tabnotifications' => 'Notifications',
	'insertnotification' => 'Insert Notification',
	'escalationtickettype' => 'Change Ticket Type',
	'desc_escalationtickettype' => '',
	'escalationaddtags' => 'Add Tags',
	'desc_escalationaddtags' => '',
	'escalationremovetags' => 'Remove Tags',
	'desc_escalationremovetags' => '',
	'eruletype' => 'Escalation Type',
	'desc_eruletype' => 'Select an escalation type:<br /><i>Due:</i> Executed whenever the due date for the ticket has been reached.<br /><br /><i>Resolution:</i> Executed when the resolution time for the ticket has been reached.<br /><br /><i>Both:</i> Executed when either the due time or resolution time are reached.',
	'eruletype_due' => 'Due',
	'eruletype_resolutiondue' => 'Resolution Due',
	'eruletype_both' => 'Both',
	// ======= END V4 LOCALES =======
);
?>