<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// ======= BEGIN V4 LOCALES =======
	'parentdepartment' => 'Parent Department',
	'desc_parentdepartment' => 'Select the parent department. If selected, the current department gets linked to the selected department and appears as a sub department in the client support center and staff interface.',
	'naparentdep' => '-- Select Department --',
	'titledepmodmismatch' => 'Parent Department App Mismatch',
	'msgdepmodmismatch' => 'The department app specified for the parent department %s (%s) does not match the app selected (%s)',
	'tabassignments' => 'Assigned Staff &amp; Teams',
	'tabpermissionsclient' => 'Permissions: Users',
	'tabpermissionsstaff' => 'Permissions: Staff',
	'tablanguages' => 'Languages: Translation',
	'staffassigndep' => 'Assigned Staff',
	'desc_staffassigndep' => 'Please select the staff users assigned to this department.',
	'groupassigndep' => 'Assigned Teams',
	'desc_groupassigndep' => 'Please select the teams assigned to this department.',
	'uservisibilitycustom' => 'Restrict to Custom User Groups?',
	'desc_uservisibilitycustom' => 'If Enabled, this department will be visible to only the selected user groups in the support center.',
	'usergroups' => 'User Groups',
	'assignedteams' => 'Assigned: Teams',
	'assignedstaff' => 'Assigned: Staff',
	'deldepartmentstitle' => 'Deleted "%d" Department(s)',
	'deldepartmentsmsg' => 'Deleted the following Department(s) from the database: <BR />',
	'deporder' => 'Order',
	// ======= END V4 LOCALES =======

	'displayorder' => 'Display Order',
	'desc_displayorder' => 'The order in which departments are listed in the staff control panel and client support area. They are sorted using the display order (ascending) specified here.',
	'departments' => 'Departments',
	'desc_departments' => '',
	'departmentdetails' => 'Department Details',
	'insertdepartment' => 'Insert Department',
	'deptitle' => 'Title',
	'desc_deptitle' => 'Enter your department title. Multiple departments with the same title are permitted.',
	'deptype' => 'Type',
	'desc_deptype' => 'Specify your department type. Private departments are not visible to users within the client support interface.',
	'depapp' => 'App',
	'defaultdep' => 'Is Default?',
	'desc_defaultdep' => 'If set to Yes, this department will become the default.',
	'departmentapp' => 'App',
	'desc_departmentapp' => 'A department can exist either as a <i>ticket</i>, <i>live chat</i>.',
	'templategroup' => 'Template Group',
	'desc_templategroup' => 'Select the Template Groups to which the department is assigned. You can select Multiple Groups by holding the CTRL Key while selecting.',
	'departmentlist' => 'Department List',
	'redirect_depinsert' => 'Department inserted successfully',
	'depinsertconfirmation' => 'Department "%s" inserted successfully',
	'depdeleteconfirmation' => 'Department "%s" deleted successfully',
	'depsdeleteconfirmation' => 'Deleted all selected departments',
	'templategroups' => 'Template Group',
	'desc_templategroups' => 'Select the template group(s) to which the department is bound. The department will only be visible within the specified template groups.',
	'invaliddepartment' => 'Invalid department specified',
	'depupdateconfirm' => 'Department "%s" updated successfully',
	'tabedit' => 'Edit',
	'tabinsert' => 'Insert',
	'wineditdep' => 'Edit Department',
	'rtitleinsert' => 'Inserted Department "%s"',
	'rdescinsert' => SWIFT_PRODUCT . ' has successfully inserted the department "%s".',
	'rtitleupdate' => 'Updated Department "%s"',
	'rdescupdate' => '"%s" department has been updated successfully.',
	'accessoverview' => 'Access Overview',
	'tabaccessoverview' => 'Access Overview',
);

?>