<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	'news' => 'News',
	'managenews' => 'Manage News',
	'managesubscribers' => 'Manage Subscribers',
	'insertnews' => 'Insert News',
	'importexport' => 'Import/Export',

	// Manage Subscribers
	'subscribers' => 'Subscribers',
	'dlsubscriberconfirm' => 'Subscriber deleted successfully',
	'subemail' => 'Email address',
	'desc_subemail' => 'Enter the email address of the subscriber.',
	'substatus' => 'Validation Status',
	'subisvalidated' => 'Is Validated?',
	'desc_subisvalidated' => 'If set to <i>No</i>, the provided email address will be sent an activation link.',
	'subdate' => 'Date',
	'sublist' => 'Subscriber List',
	'legend' => 'Legend: ',
	'validated' => 'Email Validated',
	'notvalidated' => 'Email Not Validated',
	'subinsertconfirm' => 'News subscriber "%s" inserted successfully',
	'validated' => 'Validated',
	'notvalidated' => 'Not Validated',

	// Insert Subscriber
	'insertsubscriber' => 'Insert Subscriber',

	// Edit Subscriber
	'invalidsubscriber' => 'Invalid subscriber',
	'editsubscriber' => 'Edit Subscriber',
	'subscriberdetails' => 'Subscriber Details',
	'subupdateconfirm' => 'News subscriber "%s" updated successfully',

	// Import/Export
	'exportfilename' => 'File name',
	'desc_exportfilename' => 'Enter the filename for the export of data.',
	'export' => 'Export',
	'exportsubscriberdata' => 'Export Subscriber Data',
	'importsubscribers' => 'Import Subscribers',
	'import' => 'Import',
	'importdesc' => 'You can import all news subscribers by entering their email addresses separated by new lines below.',
	'importconfirm' => 'Subscriber import process completed!<BR />Total: %s<BR />Imported: %s<BR />Failed: %s<BR />Addresses that failed to be imported: %s',
	'none' => 'None',

	// Manage News
	'newssubject' => 'News Subject',
	'desc_newssubject' => 'Enter a subject for the news item.',
	'newsdescription' => 'Description',
	'desc_newsdescription' => 'Enter a brief description of the news item. This field is limited to <b>255</b> characters.',
	'newscontents' => 'Contents',
	'newstype' => 'News Type',
	'desc_newstype' => '<i>Public:</i> The news item will be available to both staff users and users of the client support interface.<br><br><i>Private:</i> The news items will be available only to staff users via the dashboard of the staff control panel.',
	'newsexpiry' => 'Expiration',
	'newsformexpiry' => 'Expiration (Optional)',
	'desc_newsformexpiry' => 'Once the expiration date has passed, the news item will no longer displayed. However, the news item will not be deleted and can be reactivated at any time.',
	'manage' => 'Manage',
	'publicnews' => 'Public News',
	'privatenews' => 'Private News',
	'newsdelconfirm' => 'News item deleted successfully',

	// Insert News
	'contents' => 'Contents',
	'newsdetails' => 'News Details',
	'newsoptions' => 'News Options',
	'sendemail' => 'Send Email',
	'desc_sendemail' => 'Should the news item be sent to all email subscribers?',
	'emailsubject' => 'Custom Email Subject',
	'desc_emailsubject' => 'If a subject is not specified, the subject of the news item will be used instead.',
	'newstgroup' => 'Template Group',
	'desc_newstgroup' => 'The template group(s) under which the news item will be displayed.',
	'newsinsertconfirm' => 'News item "%s" inserted successfully',
	'unsubscribe' => 'Unsubscribe: ',
	'clickhere' => 'Click Here',
	'fromname' => 'From Name',
	'desc_fromname' => 'This is the <i>From Name<i> email header that will be used for the emails sent out to subscribers.',
	'fromemail' => 'From Email Address',
	'desc_fromemail' => 'This is the <i>From Email<i> address that will be used for the emails sent out to subscribers. Please note that this may be the address users reply back to (if they reply to the news article email).',
	'updateprefix' => 'UPDATE: ',

	// Edit News
	'updatenews' => 'Update News',
	'invalidnewsitem' => 'Invalid news item',
	'newsupdateconfirm' => 'News "%s" updated successfully',
	'exportpdf' => 'Export PDF',
	'deletenews' => 'Delete News',
	'newsoptions' => 'News Options',
	'nwpostedby' => 'Posted by ',
	'nwpostedon' => ' on ',
	'nwread' => 'Read',

	// Comments
	'comments' => 'Comments',
);
?>