<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	/**
	 * ---------------------------------------------
	 * Report Locales
	 * ---------------------------------------------
	 */
	'r_tickets' => 'Tickets',
	'r_numunresolvticketsgbdepartment' => 'Number of unresolved tickets matrix grouped by department and owner',
	'r_totalticketcountgbdepstatus' => 'Total ticket count grouped by department and status',
	'r_numescalatedthismongbdep' => 'Number of tickets that were escalated this month grouped by department',
	'r_numescalatedthismongbstatus' => 'Number of tickets that were escalated this month grouped by status',
	'r_numescalatedthismongbpriority' => 'Number of tickets that were escalated this month grouped by priority',
	'r_numautoclosedthismongbdepartment' => 'Number of tickets that were auto closed this month grouped by department',
	'r_numautoclosedthismongbowner' => 'Number of tickets that were auto closed this month grouped by owner',
	'r_listautoclosedthismongbdep' => 'List of tickets that were auto closed this month grouped by department',
	'r_listautoclosedthismongbowner' => 'List of tickets that were auto closed this month grouped by owner',
	'r_numticketsgbcreationchannelanddepforthismo' => 'Number of tickets grouped by creation channel and department for this month',
	'r_avgrepliesgbdepthismonth' => 'Average number of replies on tickets grouped by department for this month',
	'r_avgrepliesgbownerthismonth' => 'Average number of replies on tickets grouped by owner for this month',
	'r_totalescthismonthgbweekday' => 'Total number of tickets escalated this month grouped by week and day',
	'r_numreopenthismonthgbdep' => 'Number of tickets that were reopened this month grouped by department',
	'r_numreopenthismonthgbowner' => 'Number of tickets that were reopened this month grouped by owner',
	'r_numresolvedthismonthgbdep' => 'Number of tickets that were resolved this month grouped by department',
	'r_numresolvedthismonthgbowner' => 'Number of tickets that were resolved this month grouped by owner',
	'r_avgescresolvedthismonthgbdep' => 'Average number of escalations it took to resolve tickets grouped by department for this month',
	'r_avgescresolvedthismonthgbowner' => 'Average number of escalations it took to resolve tickets grouped by owner for this month',
	'r_avgtimetoresolvethismonthgbdep' => 'Average time to resolve tickets grouped by department for this month',
	'r_avgtimetoresolvethismonthgbowner' => 'Average time to resolve tickets grouped by owner for this month',
	'r_avgrepliestoresolvethismonthgbdep' => 'Average number of replies it takes to resolve tickets grouped by department for this month',
	'r_avgrepliestoresolvethismonthgbowner' => 'Average number of replies it takes to resolve tickets grouped by owner for this month',
	'r_avgrespthismonthgbdep' => 'Average response time for tickets grouped by department for this month',
	'r_avgrespthismonthgbowner' => 'Average response time for tickets grouped by owner for this month',
	'r_avgowntoresolvethismonthgbdep' => 'Average number of owner changes to resolve tickets for this month grouped by department',
	'r_avgresponsetpgbstaffthismonth' => 'Average response time for ticket posts grouped by staff for this month',
	'r_avgresponsetpgbdepthismonth' => 'Average response time for ticket posts grouped by department for this month',
	'r_avgresponseclienttpgbdepthismonth' => 'Average response time for user ticket posts grouped by department for this month',
	'r_avgfirstresptimeticketsgbowner' => 'Average of first response time for tickets grouped by owner for this month',
	'r_avgfirstresptimeticketsgbdep' => 'Average of first response time for tickets grouped by department for this month',
	'r_avgfirstresptimetpgbstaff' => 'Average of first response time for ticket posts grouped by staff for this month',
	'r_listticketsduetoday' => 'List of tickets due today',
	'r_listoverduetickets' => 'List of overdue tickets',
	'r_totaltimeworkbilledgbdep' => 'Total time worked & billed on tickets grouped by department for this month',
	'r_totaltimeworkbilledgbowner' => 'Total time worked & billed on tickets grouped by owner for this month',
	'r_distbslaplansgbdepthismo' => 'Distribution of SLA plans for tickets grouped by department for this month',
	'r_avgresptimegbslathismo' => 'Average response time for tickets grouped by SLA plan for this month',
	'r_avgrepliesresgbslathismo' => 'Average number of replies it takes to resolve tickets grouped by SLA plan for this month',
	'r_avgrepliesgbslathismo' => 'Average number of replies for tickets grouped by SLA plan for this month',
	'r_avgttresolvegbslathismo' => 'Average time to resolve tickets grouped by SLA plan for this month',
	'r_perctickfcrthismonthgbdep' => 'Percentage of tickets that are first contact resolved grouped by department for this month',
	'r_perctickfcrthismonthgbowner' => 'Percentage of tickets that are first contact resolved grouped by owner for this month',
	'r_perctickreopthismonthgbdep' => 'Percentage of tickets that are reopened grouped by department for this month',
	'r_perctickescthismonthgbdep' => 'Percentage of tickets that are escalated grouped by department for this month',
	'r_ratings' => 'Ratings',
	'r_avgratticketsgbstaffthismonth' => 'Average of ratings for tickets grouped by staff for this month',
	'r_avgpratticketsgbstaffthismonth' => 'Average of private ratings for tickets grouped by staff for this month',
	'r_avgratticketsgbdepthismonth' => 'Average of ratings for tickets grouped by department for this month',
	'r_avgpratticketsgbdepthismonth' => 'Average of private ratings for tickets grouped by department for this month',
	'r_avgratticketpostsgbdepthismonth' => 'Average of ratings for ticket posts grouped by staff for this month',
	'r_avgpratticketpostsgbdepthismonth' => 'Average of private ratings for ticket posts grouped by staff for this month',
	'r_avgratlssurveygbstaffthismonth' => 'Average of ratings for live chat surveys grouped by staff for this month',
	'r_avgratlssurveygbdepthismonth' => 'Average of ratings for live chat surveys grouped by department for this month',
	'r_avgratchathistgbstaffthismonth' => 'Average of ratings for live chat history grouped by staff for this month',
	'r_avgratchathistgbdepthismonth' => 'Average of ratings for live chat history grouped by department for this month',
	'r_listofticketsratinglsthreethismonth' => 'List of tickets with rating less than three grouped by owner for this month',
	'r_listofticketpostsratinglsthreethismonth' => 'List of ticket posts with rating less than three grouped by creator for this month',
	'r_listoflssurveylsthreethismonth' => 'List of live chat surveys with rating less than three grouped by staff for this month',
	'r_listofchathistorylsthreethismonth' => 'List of live chat history with rating less than three grouped by staff for this month',
	'r_ticketbilling' => 'Billing',
	'r_totaltimebilledgbstaffthisweek' => 'Total time billed grouped by staff for this week',
	'r_totaltimebilledgbstaffthismonth' => 'Total time billed grouped by staff for this month',
	'r_totaltimebilledgbdepartmentthisweek' => 'Total time billed grouped by department for this week',
	'r_totaltimebilledgbdepartmentthismonth' => 'Total time billed grouped by department for this month',
	'r_totaltimebilledgbuserthisweek' => 'Total time billed grouped by user for this week',
	'r_totaltimebilledgbuserthismonth' => 'Total time billed grouped by user for this month',
	'r_listticketsbilledgbstaffthisweek' => 'List of tickets billed grouped by staff for this week',
	'r_listticketsbilledgbstaffthismonth' => 'List of tickets billed grouped by staff for this month',
	'r_listticketsbilledgbuserthisweek' => 'List of tickets billed grouped by user for this week',
	'r_listticketsbilledgbuserthismonth' => 'List of tickets billed grouped by user for this month',
	'r_listticketsbilledgbuserorgthisweek' => 'List of tickets billed grouped by user organizations for this week',
	'r_listticketsbilledgbuserorgthismonth' => 'List of tickets billed grouped by user organizations for this month',
	'r_listticketsbilledgbtypeuserthisweek' => 'List of tickets billed grouped by type and then user for this week',
	'r_listticketsbilledgbtypeuserthismonth' => 'List of tickets billed grouped by type and then user for this month',
	'r_listticketsbilledgbdepuserthisweek' => 'List of tickets billed grouped by department and then user for this week',
	'r_listticketsbilledgbdepuserthismonth' => 'List of tickets billed grouped by department and then user for this month',
	'r_ticketescalations' => 'Escalations',
	'r_ticketauditlogs' => 'Audit Logs',
	'r_workdonethisweek' => 'Work done this week',
	'r_workdonethismonth' => 'Work done this month',
	'r_ticketsdeletedthismonth' => 'Tickets deleted this month',
	'r_completelogforthisweek' => 'Complete log for this week',
	'r_completelogforthismonth' => 'Complete log for this month',
	'r_escalationsforthisweek' => 'Escalations for this week',
	'r_escalationsforthismonth' => 'Escalations for this month',
	'r_escalationmatrixownerweek' => 'Escalation matrix grouped by owner for this week',
	'r_escalationmatrixownermonth' => 'Escalation matrix grouped by owner for this month',
	'r_escalationmatrixdepartmentweek' => 'Escalation matrix grouped by department for this week',
	'r_escalationmatrixdepartmentmonth' => 'Escalation matrix grouped by department for this month',
	'r_escalationmatrixtypeweek' => 'Escalation matrix grouped by type for this week',
	'r_escalationmatrixtypemonth' => 'Escalation matrix grouped by type for this month',
	'r_calls' => 'Calls',
	'r_unansweredcallsthisweek' => 'Unanswered calls this week',
	'r_unansweredcallsthismonth' => 'Unanswered calls this month',
	'r_callmatrixgbstaffforthisweek' => 'Call matrix grouped by staff for this week',
	'r_callmatrixgbstaffforthismonth' => 'Call matrix grouped by staff for this month',
	'r_avgdurationcallsgbstaffforthisweek' => 'Average duration of calls grouped by staff for this week',
	'r_avgdurationcallsgbstaffforthismonth' => 'Average duration of calls grouped by staff for this month',
	'r_totaldurationcallsgbstaffforthisweek' => 'Total duration of calls grouped by staff for this week',
	'r_totaldurationcallsgbstaffforthismonth' => 'Total duration of calls grouped by staff for this month',
	'r_totalincomingcallsgbdepartmentforthisweek' => 'Total incoming calls grouped by department for this week',
	'r_totalincomingcallsgbdepartmentforthismonth' => 'Total incoming calls grouped by department for this month',
	'r_callcountgbdayforthisweek' => 'Call count grouped by day for this week',
	'r_callcountgbweekforthismonth' => 'Call count grouped by week for this month',
	'r_callcountmatrixgbdayforthisweek' => 'Call count matrix grouped by day & status for this week',
	'r_callcountmatrixgbweekforthismonth' => 'Call count matrix grouped by week & status for this month',
	'r_chatrouting' => 'Chat Routing',
	'r_unansweredchatsgbstaffforthisweek' => 'Unanswered chats grouped by staff for this week',
	'r_unansweredchatsgbstaffforthismonth' => 'Unanswered chats grouped by staff for this month',
	'r_unansweredchatcountmatrixgbstaffforthisweek' => 'Unanswered chat count matrix grouped by staff for this week',
	'r_unansweredchatcountmatrixgbstaffforthismonth' => 'Unanswered chat count matrix grouped by staff for this month',
	'r_chats' => 'Chats',
	'r_avgroundrobinhitsgbdepartmentthisweek' => 'Average round robin hits on chats grouped by department for this week',
	'r_avgroundrobinhitsgbdepartmentthismonth' => 'Average round robin hits on chats grouped by department for this month',
	'r_avgwaittimegbdepartmentthisweek' => 'Average wait time on chats grouped by department for this week',
	'r_avgwaittimegbdepartmentthismonth' => 'Average wait time on chats grouped by department for this month',
	'r_chatstatusmatrixthisweek' => 'Chat status matrix for this week',
	'r_chatstatusmatrixthismonth' => 'Chat status matrix for this month',
	'r_transfermatrixgbdepartmentthisweek' => 'Chat transfer matrix grouped by department for this week',
	'r_transfermatrixgbdepartmentthismonth' => 'Chat transfer matrix grouped by department for this month',
	'r_unansweredchatgbdepartmentthisweek' => 'Unanswered chat count matrix grouped by department for this week',
	'r_unansweredchatgbdepartmentthismonth' => 'Unanswered chat count matrix grouped by department for this month',
	'r_unansweredchatgbhourdepartmentthisweek' => 'Unanswered chat count matrix grouped by hour & department',
	'r_listunansweredchatgbdepartmentthisweek' => 'List of unanswered chats grouped by department for this week',
	'r_listunansweredchatgbdepartmentthismonth' => 'List of unanswered chats grouped by department for this month',
	'r_proactivechatgbdepartmentthisweek' => 'Proactive chat count matrix grouped by department for this week',
	'r_proactivechatgbdepartmentthismonth' => 'Proactive chat count matrix grouped by department for this month',
	'r_answeredchatgbstaffthisweek' => 'Total answered chat count matrix grouped by staff for this week',
	'r_answeredchatgbstaffthismonth' => 'Total answered chat count matrix grouped by staff for this month',
	'r_totalchatgbdepartmentthisweek' => 'Total chat count matrix grouped by department for this week',
	'r_totalchatgbdepartmentthismonth' => 'Total chat count matrix grouped by department for this month',
	'r_totalchatthisweek' => 'Total chat count for this week',
	'r_totalchatthismonth' => 'Total chat count for this month',
	'r_totalchatgbcountry' => 'Total chat count grouped by country',
	'r_totalchatgbcountrycity' => 'Total chat count grouped by country & city',

	// ======= BEGIN V4 LOCALES =======
	'myopentickets' => 'My Open Tickets',
	'mypendingtickets' => 'My Pending Tickets',
	'defaultescalationrule' => 'Default Escalation Rule',
	'overallsatisfaction' => 'Overall Satisfaction',
	'writtencommunication' => 'Written Communication',
	'writtenexplanations' => 'Written Explanations',
	'responsespeeds' => 'Response Speeds',
	'lc_searchenginevisitors' => 'Search Engine Referrals',
	'lc_skillsales' => 'Sales',
	'lc_skillsupport' => 'Support',
	'lc_skillaccounts' => 'Accounts',
	'lc_searchenginerule' => 'Search Engine Visitors',
	'workflowcloseticket' => 'Close Ticket',
	'scconfirmcleardb' => 'Are you sure you wish to clear the database?\nContinuing with this option will cause deletion of all tables in the database.',
	'tickettypeissue' => 'Issue',
	'tickettypetask' => 'Task',
	'tickettypebug' => 'Bug',
	'tickettypelead' => 'Lead',
	'tickettypefeedback' => 'Feedback',
	'sladefaultschedule' => 'Default Schedule',
	'sladefaultplan' => 'Default 12 Hours Plan',
	'sautocloserule' => 'Default Auto Close Rule',
	'defaultrule' => 'Default Rule',
	'spam' => 'Spam',
	'nospam' => 'Not Spam',
	'setup' => 'Setup',
	'upgrade' => 'Upgrade',
	'upgautosetup' => 'Auto Upgrade',
	'modify' => 'Modify',
	'diagnostics' => 'Diagnostics',
	'setlicenseagreement' => 'License Agreement',
	'setsysreq' => 'System Requirements',
	'setcollectinfo' => 'Collect Information',
	'setautosetup' => 'Auto Setup',
	'setsettings' => 'Settings',
	'settemplates' => 'Templates',
	'setlocalization' => 'Localization',
	'setdone' => 'Done',
	'eula' => 'End User License Agreement',
	'iagree' => 'I Agree',
	'setupnext' => 'Next &raquo;',
	'setupdroptable' => 'Dropping Table %s',
	'coreadministrator' => 'Administrator',
	'corestaff' => 'Staff',
	'coregeneral' => 'General',
	'coreguest' => 'Guest',
	'coreregistered' => 'Registered',
	'coredeftgroup' => 'Default Template Group',
	'issuefixed' => 'Fixed',
	'issueimplemented' => 'Implemented',
	'issuewontfix' => 'Won\'t Fix',
	'issuewontimplement' => 'Won\'t Implement',
	'issueduplicate' => 'Duplicate',
	'issueincomplete' => 'Incomplete',
	'issuecannotrep' => 'Cannot Reproduce',
	'issuetimedout' => 'Timed Out',
	'issueobsolete' => 'Obsolete',
	'issuenotbug' => 'Not a Bug',
	'issuedeferred' => 'Deferred',
	'issueblocks' => 'Blocks',
	'issueisblockedby' => 'is blocked by',
	'issuerelatesto' => 'relates to',
	'issueisrelatedto' => 'is related to',
	'issueinc' => 'incorporates',
	'issueincby' => 'is incorporated by',
	'issueduplicates' => 'duplicates',
	'issueduplicatedby' => 'is duplicated by',
	'issueclonedas' => 'was cloned as',
	'issueisderived' => 'is derived from',
	'issuebug' => 'Bug',
	'issuefeaturerequest' => 'Feature Request',
	'issueimprovement' => 'Improvement',
	'issuetask' => 'Task',
	'issueopen' => 'Open',
	'issueinprogress' => 'In Progress',
	'issuereopened' => 'Reopened',
	'issueclosed' => 'Closed',
	'issueresolved' => 'Resolved',
	'issuecritical' => 'Critical',
	'issueurgent' => 'Urgent',
	'issuehigh' => 'High',
	'issuemedium' => 'Medium',
	'issuelow' => 'Low',
	'tcrelatesto' => 'relates to',
	'tcisrelatedto' => 'is related to',
	'tcduplicates' => 'duplicates',
	'tcisduplicatedby' => 'is duplicated by',
	'tcwasclonedas' => 'was cloned as',
	'tcisderivedfrom' => 'is derived from',
	'errorprefix' => 'Error: ',

	'sccachedir' => 'Checking to see if the cache directory is writable',
	'sccachedirerror' => 'The cache directory is not writable; please change the access permissions as described in the ' . SWIFT_PRODUCT . ' manual.',
	'scfilesdir' => 'Checking to see if the files directory is writable',
	'scfilesdirerror' => 'The files directory is not writable; please change the access permissions as described in the ' . SWIFT_PRODUCT . ' manual.',
	'sclogsdir' => 'Checking to see if the logs directory is writable',
	'sclogsdirerror' => 'The logs directory is not writable; please change the access permissions as described in the ' . SWIFT_PRODUCT . ' manual.',
	'scappsdir' => 'Checking to see if the __apps directory is writable',
	'scappsdirerror' => 'The __apps directory is not writable; please change the access permissions as described in the ' . SWIFT_PRODUCT . ' manual.',
	'scgeoipdir' => 'Checking to see if the geoip directory is writable',
	'scgeoipdirerror' => 'The geoip directory is not writable; please change the access permissions as described in the ' . SWIFT_PRODUCT . ' manual.',
	'scminphpversion' => 'Checking the version of PHP (minimum acceptable: %s)',
	'scminphpversionerror' => 'The installed PHP version is older than %s ' . SWIFT_PRODUCT .' cannot be installed until PHP is upgraded to the minimum acceptable version.',
	'scfileup' => 'Checking if file uploading is enabled',
	'scfileuperror' => 'File uploading is disabled in php.ini; Please change file_uploads to \'On\' in php.ini before installing ' . SWIFT_PRODUCT . '.',
	'scmaxupsize' => 'Checking the maximum file size for uploads',
	'scmaxupnotspec' => 'Not Specified',
	'scmaxupsizeerror' => 'Change upload_max_filesize in php.ini to increase the maximum allowed size of uploaded files if necessary.',
	'scsafemodecheck' => 'Checking the status of PHP safe mode',
	'scmagicquotesgpcerror' => 'Magic Quotes GPC is enabled in php.ini; Please turn it \'Off\' before installing ' . SWIFT_PRODUCT . '.',
	'scdisabled' => 'Disabled',
	'scenabled' => 'Enabled',
	'scenabled' => 'Enabled',
	'scstrictmode' => 'Checking for Database Strict Mode (should be disabled)',
	'scstrictmodeerror' => 'Database Strict Mode check failed. Please remove STRICT_ALL_TABLES and/or STRICT_TRANS_TABLES from your database configuration file (usually my.cnf)',
	'scmagicquotesgpc' => 'Checking if magic quotes GPC is disabled',
	'scextensionerror' => '<span style="color: red; font-size: 11px; font-weight: bold;">The <i>%1$s</i> extension is not configured to load with PHP. Please review the <u><a style="color: red; font-size: 9pt;" target="_blank" href="%2$s">instructions</a></u> for enabling %1$s in the PHP manual.</span>',
	'scextensioncheck' => 'Checking if the %s PHP extension is installed',
	'scinstalled' => 'INSTALLED',
	'scmissing' => 'MISSING',
	'scdbnotempty' => 'The database is not empty. Please click "Clear Database" to delete all existing tables or click "Continue" to proceed with the setup. It is strongly recommended that you empty the database or the setup process might fail.',
	'sccleardb' => 'Clear Database',
	'sccontinue' => 'Continue',
	'scnext' => 'Next &raquo;',
	'scsyscheckfailed' => 'Sorry! '. SWIFT_PRODUCT .' can\'t be installed. Either an error has occurred or your web server doesn\'t meet the minimum system requirements. Please review any errors shown above and retry the setup process after those items have been resolved.',
	'scstartsetup' => 'Start Setup',
	'scpassnomatch' => 'Passwords do not match',
	'scfieldempty' => 'One of the required field(s) is empty',
	'scinvalidemail' => 'Invalid Email Address Specified',
	'scusernamelong' => 'The username specified, exceeds maximum field length',
	'scfieldlong' => 'One of the fields exceeds maximum length',
	'scsettingsbut' => 'Settings &raquo;',
	'scmodsetfailed' => 'Setup failed to execute %s. Please contact Kayako Support.',
	'setupexecsql' => 'Executing: %s',
	'setupexecinsert' => 'Inserting Data Into: %s',
	'setupexecindex' => 'Creating Index: %s for Table: %s',
	'setupexectable' => 'Creating Table: %s',
	'scinsertsettings' => 'Inserting Settings for: %s',
	'scinsertsettingsgroup' => 'Creating Settings Group: %s',
	'sctemplates' => 'Templates &raquo;',
	'sctemplatecategory' => 'Creating Template Category: %s',
	'sctemplate' => 'Creating Template: %s',
	'sclanguages' => 'Languages &raquo;',
	'scpleasewait' => 'Please Wait...',
	'sclanguage' => 'Creating Language: %s',
	'sclanguagesection' => 'Creating Language Section: %s',
	'scsetupconfirmation' => '<b>'. SWIFT_PRODUCT .' is now installed on your web server!</b> Visit the Administrator Control Panel to further configure your installation.<br/><br/><font color="red"><b>Important note:</b> You will not be able to use '. SWIFT_PRODUCT .' until you delete the \'setup\' directory in the root installation directory.</font><br/><br/><font color="darkblue"><b>Importing your data:</b></font> You may import help desk data from earlier Kayako products, or from other products through the import engine in the Admin CP.',
	'scupgradeconfirmation' => '<div class="smalltext">Upgrade has completed successfully. Your product is now up to date.</div><br/><br/><font color="red"><b>Important note:</b> You should immediately delete the \'setup\' directory in the root installation directory. Failure to do so can result in an empty database if someone runs the setup.',
	'scadmincp' => 'Admin CP (Control Panel)',
	'scstaffcp' => 'Staff CP (Control Panel)',
	'scclientsc' => 'Client Support Center',
	'scpdaint' => 'PDA Interface',
	'scfinish' => '&raquo; Finish &laquo;',
	'diagnostics' => 'Diagnostics',
	'diagresult' => 'Diagnostics Result',
	'stproduct' => 'Product:',
	'stversion' => 'Version:',
	'stbuilddate' => 'Build Date:',
	'stbuildtype' => 'Build Type:',
	'stsourcetype' => 'Source Type:',
	'stverifyingconnection' => 'Verifying Database Connection',
	'stcurrentversion' => 'Current Version:',
	'scaction' => 'Action',
	'sccheckdbstruct' => 'Check Database Structure',
	'diagmissingtables' => 'Missing Tables',
	'diagmissingcolumns' => 'Missing Columns',
	'diagcolumnmismatch' => 'MetaType Mismatch Columns',
	'diagcolumnlengthmismatch' => 'Length Mismatch Columns',
	'diagresultok' => 'Database Structure is Up to Date',
	'diagmissingindexes' => 'Missing Indexes',
	'diagindexmismatch' => 'MetaType Mismatch Indexes',
	'sticketassigned' => 'Ticket Assigned',
	'snewuser' => 'User Registration',
	'scmaxexectime' => 'Checking the maximum PHP script execution time',
	'scmaxexectimelessspec' => '%d Seconds (Recommended: 90 Seconds)',
	'scmaxexectimeerror' => 'Change max_execution_time in php.ini to ensure that the setup finishes without any abrupt interruption.',
	// ======= END V4 LOCALES =======

	// ======= IMPORT FROM v3 =======
	'statusonhold' => 'On Hold',
	'prlow' => 'Low',
	// ======= IMPORT FROM v3 =======

	'statusopen' => 'Open',
	'statusinprogress' => 'In Progress',
	'statusclosed' => 'Closed',
	'prnormal' => 'Normal',
	'prmedium' => 'Medium',
	'prhigh' => 'High',
	'prurgent' => 'Urgent',
	'premergency' => 'Emergency',
	'prcritical' => 'Critical',

	'defaultview' => 'Default View',
	'alltickets' => 'All Tickets',
	'impex' => 'Import',
	'setupwelcome' => 'Welcome to Kayako ' . SWIFT_PRODUCT . '\'s setup wizard. Please choose an action from the list below to begin.',
);
?>