<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @site		http://www.Fadownload.com *
 * ###############################################
 */

$__LANG = array(
	'news' => 'News',
	'insertnews' => 'Insert News',
	'tabgeneral' => 'General',
	'manage' => 'Manage',
	'newstype' => 'Type',
	'desc_newstype' => 'Select the News type.<br /><br /><i>Global:</i> The news articles classified as Global are visible in both the client support center and the staff control panel.<br /><br /><i>Public:</i> The news articles classified as Public are visible only in the client support center.<br /><br /><i>Private:</i> The news article classified as Private are only visible in the staff control panel.',
	'next' => 'Next',
	'saveasdraft' => 'Save as Draft',
	'publish' => 'Publish',
	'newstitle' => 'Title',
	'desc_newstitle' => '',
	'taboptions' => 'Options',
	'tabpermissionsstaff' => 'Permissions (Staff)',
	'tabpermissionsuser' => 'Permissions (User)',
	'generalsettings' => 'General Settings',
	'emaildispatchsettings' => 'Email Dispatch Settings',
	'newsexpiry' => 'Expiration',
	'desc_newsexpiry' => 'Once the expiration date has passed, the news item will no longer displayed. However, the news item will not be deleted and can be reactivated at any time.',
	'allowcomments' => 'Allow Comments',
	'desc_allowcomments' => 'Toggle whether the users/staff are allowed to post comments to this news article.',
	'sendemail' => 'Send Email',
	'desc_sendemail' => '',
	'customemailsubject' => 'Custom Email Subject',
	'desc_customemailsubject' => 'If a subject is not specified, the subject of the news article will be used instead.',
	'fromname' => 'From Name',
	'desc_fromname' => 'This is the From Name email header that will be used for the emails sent out to subscribers.',
	'fromemail' => 'From Email',
	'desc_fromemail' => 'This is the From email address that will be used for the emails sent out to subscribers. Please note that this may be the address users reply back to (if they reply to the news article email).',
	'newscategories' => 'Categories',
	'desc_newscategories' => 'Select the categories for this news article.',
	'global' => 'Global',
	'uservisibilitycustom' => 'Restrict to Custom User Groups?',
	'desc_uservisibilitycustom' => 'If Enabled, this news article will be visible to only the selected user groups.',
	'usergroups' => 'User Groups',
	'staffvisibilitycustom' => 'Restrict to Custom Staff Teams?',
	'desc_staffvisibilitycustom' => 'If Enabled, this news article will be visible to only the selected staff teams.',
	'staffteams' => 'Teams',
	'wininsertnewsitem' => 'Insert News Item',
	'creationdate' => 'Creation Date',
	'author' => 'Author',
	'newsdraft' => '[Draft]',
	'titlenwiteminsert' => 'Inserted News "%s"',
	'msgnwiteminsert' => SWIFT_PRODUCT . ' has successfully inserted the news article titled "%s".',
	'titlenwitemupdate' => 'Updated News "%s"',
	'msgnwitemupdate' => SWIFT_PRODUCT . ' has successfully updated the news article titled "%s".',
	'newsexpired' => '[Expired]',
);
?>