<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @site		http://www.Fadownload.com *
 * ###############################################
 */

$__LANG = array(
	'manage' => 'Manage',

	'tabgeneral' => 'General',
	'tabmassaction' => 'Mass Action',
	'tabreply' => 'Reply',
	'tabforward' => 'Forward',

	'manochange' => '-- No Change --',
	'maticketstatus' => 'Ticket Status',
	'maticketpriority' => 'Ticket Priority',
	'matickettype' => 'Ticket Type',
	'madepartment' => 'Department',
	'maowner' => 'Owner',
	'maticketlink' => 'Link',
	'maaddtags' => 'Add Tags',
	'maremovetags' => 'Remove Tags',
	'maticketflag' => 'Flag',
	'manoflag' => '-- No Flag --',
	'mabayescategory' => 'Train Bayesian',
	'sactivestaff' => '-- Active Staff --',
	'tnavnextticket' => 'Next Ticket &raquo;',
	'tnavprevticket' => '&laquo; Previous Ticket',
	'tagaddtorecp' => 'Add to Recipients',
	'massreply' => 'Mass Reply',
	'emptytrash' => 'Empty Trash',
	'emptytrashconfirm' => 'This will delete all the tickets permantely from the Trash.\n\nAre you sure you wish to continue?',

	/**
	 * ---------------------------------------------
	 * Viewing a Ticket
	 * ---------------------------------------------
	 */
	'mergeoptions' => 'Merge Options',
	'mergeparentticket' => 'Parent Ticket ID',
	'desc_mergeparentticket' => 'If specified, the current ticket will be merged with the Ticket specified.',
	'titleeditmergefailed' => 'Ticket Merge Failed',
	'msgeditmergefailed' => SWIFT_PRODUCT . ' was unable to merge the ticket as the parent ticket could not be located in database. Please confirm that the Ticket ID you entered is valid.',
	'titleeditmergesuccess' => 'Ticket Merge Successful',
	'msgeditmergesuccess' => SWIFT_PRODUCT . ' has successfully merged the ticket.',
	'putback' => 'Put Back',
	'tabcalls' => 'Calls',
	'dispatchasuser' => 'As User',
	'viewticket' => 'View Ticket',
	'viewticketext' => '[#%s]: %s',
	'proptitleticketid' => 'TICKET ID',
	'proptitledepartment' => 'DEPARTMENT',
	'proptitleowner' => 'OWNER',
	'proptitlestatus' => 'STATUS',
	'proptitlepriority' => 'PRIORITY',
	'proptitletype' => 'TYPE',
	'tinforesolutiondue' => 'Resolution Due: ',
	'tinfosla' => 'SLA: ',
	'tinfoticketid' => 'ID: ',
	'tinfodue' => 'Due: ',
	'tinfocreated' => 'Created: ',
	'tinfoupdated' => 'Updated: ',
	'ticketlinkinfo' => 'Department: %s, Status: %s',
	'tppostedon' => 'Posted on: %s',
	'tppostedonsurvey' => 'Survey comment posted on: %s',
	'tpemail' => 'Email: %s',
	'tpipaddress' => 'IP Address: %s',
	'participantbox' => 'Participants',
	'badgethirdparty' => 'Third Party',
	'badgeuser' => 'User',
	'badgestaff' => 'Staff',
	'badgecc' => 'Recipient',
	'badgebcc' => 'BCC',
	'wineditticketpost' => 'Edit Ticket Post',
	'editpost' => 'Edit Post',
	'lastedited' => 'Last edited by: %s On: %s',
	'wineditdue' => 'Edit Due & Resolution Due Timeline',
	'dialogduetimeline' => 'Due',
	'dialogresolutionduetimeline' => 'Resolution Due',
	'stopwatching' => 'Stop Watching',
	'surrender' => 'Surrender',
	'print' => 'Print',
	'take' => 'Take',
	'tabauditlog' => 'Audit Log',
	'aldescription' => 'Description',
	'aldate' => 'Date',
	'altimeline' => 'Timeline',
	'alentrytype' => 'Entry Type',
	'alstaff' => ' (Staff)',
	'aluser' => ' (User)',
	'alsystem' => ' (System)',
	'alparser' => ' (Parser)',
	'editnote' => 'Edit Note',
	'notetitle' => '%s on %s',
	'noteeditedtitle' => ' <i>(Edited by %s on %s)</i>',
	'ticketnotedelconfirm' => 'Are you sure you wish to delete this Ticket Note?',
	'tabaddnote' => 'Add Note',
	'tabeditnote' => 'Edit Note',
	'addnotes' => 'Notes',
	'notetype' => 'Note Type',
	'addnote' => 'Add Note',
	'notes_ticket' => 'Ticket',
	'notes_user' => 'User',
	'notes_userorganization' => 'User Organization',
	'tabrelease' => 'Release',
	'tabedit' => 'Edit',
	'tabhistory' => 'History',
	'tabchats' => 'Chats',
	'tabuser' => 'User',
	'notesvisibleall' => '-- Everyone --',
	'notevisibleto' => 'Visibility',
	'desc_notevisibleto' => 'You can use this option to restrict the note visibility to a specific staff user.',
	'edit_subject' => 'Subject',
	'edit_fullname' => 'Full Name',
	'edit_email' => 'Email',
	'edit_overridesla' => 'Override SLA',
	'desc_edit_overridesla' => 'If enabled, this ticket will continue to use the selected SLA plan irrespective of the sla rules created.',
	'editslausedef' => '-- Use Default SLA --',
	'edittproperties' => 'Ticket Properties',
	'edittrecipients' => 'Ticket Recipients',
	'editrecipientsdesc' => 'You can add a new recipient below by entering an email address in the relevant recipient type input. The added recipient will receive staff replies automatically, but will not have access to view the ticket online, via the client support interface.<br /><br />Ticket recipients receive all the email correspondence sent by staff users. The option to add ticket recipients is available when sending a CC, BCC, or forwarding a ticket. There are three types of recipients:<br /><br /><i>Third Party:</i> A third party recipient added to a ticket is carbon copied all replies sent by a staff user. A third party is able to send email replies and have them appended to the ticket that was not originally created by them.<br /><br /><i>CC Users:</i> A CC user who has been added to a ticket is carbon copied all replies sent by a staff user.<br /><br /><i>BCC Users:</i> A BCC user who has been added to a ticket is blind-carbon copied all replies sent by a staff user.',
	'editthirdparty' => 'Third Party',
	'editcc' => 'CC',
	'editbcc' => 'BCC',
	'history_ticketid' => 'Ticket ID',
	'history_subject' => 'Subject',
	'history_date' => 'Date',
	'history_department' => 'Department',
	'history_type' => 'Type',
	'history_status' => 'Status',
	'history_priority' => 'Priority',
	'workflowbox' => 'Workflow',
	'informationbox' => 'Information',
	'tinfobticketid' => 'TICKET ID',
	'tinfobuser' => 'USER',
	'tinfobuserorganization' => 'ORGANIZATION',
	'tinfobusergroup' => 'GROUP',
	'dispatchfrom' => 'From',
	'dispatchto' => 'To',
	'dispatchcc' => 'CC',
	'dispatchbcc' => 'BCC',
	'dispatchcontents' => 'Reply Contents',
	'dispatchaddmacro' => 'Macro',
	'dispatchaddkb' => 'Knowledgebase',
	'dispatchsendmail' => 'Send Mail',
	'dispatchprivate' => 'Private',
	'dispatchwatch' => 'Watch',
	'dispatchaddfile' => 'Add File',
	'dispatchsend' => 'Send',
	'dispatchattachfile' => 'Attach',
	'dispatchsaveasdraft' => 'Save as Draft',
	'dispatchto' => 'To',
	'dispatchsubject' => 'Subject',
	'dispatchsend' => 'Send',
	'dispatchsendar' => 'Send Autoresponder',
	'dispatchuser' => 'User',
	'dispatchnewuser' => 'New User',
	'dispatchisphone' => 'Phone Ticket',
	'winuserquickinsert' => 'New User',
	'dispatch' => 'Dispatch',
	'tabdispatch' => 'Dispatch',
	'dispatchticket' => 'Dispatch Ticket',
	'assign' => 'Assign',
	'newticket' => 'New Ticket',
	'newticket_department' => 'Department',
	'desc_newticketdepartment' => 'Select the department under which you wish to create your ticket.',
	'nt_sendmail' => 'Send Mail',
	'nt_asuser' => 'As User/Phone',
	'newticket_type' => 'Type',
	'desc_newticket_type' => 'Select the type of ticket you wish to create.<br /><br /><i>Send Mail:</i> Send an email message to a given address (works like an email client)<br /><i>As User/Phone:</i> Create a ticket or log an incoming phone call on a user\'s behalf.',
	'nt_next' => 'Next',
	'tabnewticket' => 'New Ticket',
	'dispatchcreate' => 'Create',
	'tabnewticket2' => 'New Ticket: %s',
	'tpemailto' => 'Email To: %s',
	'tpemailforwardedto' => 'Forwarded To: %s',
	'tlockinfo' => '%s is viewing the ticket (last update: %s)',
	'tpostlockinfo' => '%s is replying to the ticket (last update: %s)',
	'tabbilling' => 'Billing',
	'tabfollowup' => 'Follow-Up',
	'notes' => 'Notes',
	'billworker' => 'Worker',
	'billdate' => 'Bill Date',
	'billworkdate' => 'Work Date',
	'billtimespent' => 'Time Spent (hh:mm)',
	'billworked' => 'Worked:',
	'billtotalworked' => 'Total Time Worked:',
	'billbillable' => 'Billable:',
	'billtotalbillable' => 'Total Time Billable:',
	'editbilling' => 'Edit Billing',
	'tabeditbilling' => 'Edit Billing',
	'billingtitle' => 'Billing entry for: %s on %s',
	'billingtitlework' => ' (worked on: %s)',
	'billingeditedtitle' => ' <i>(Edited by %s on %s)</i>',
	'billingeditedtitle2' => ' <i>(Edited on %s)</i>',
	'editbilling' => 'Edit Billing Record',
	'ticketbillingdelconfirm' => 'Are you sure you wish to delete this Ticket Billing record?',
	'titleinvalidbilldate' => 'Invalid Time Spent Value',
	'msginvalidbilldate' => 'Please specify valid value(s) for the date and time properties of billable and workable fields.',
	'fugeneral' => 'General',
	'fuaddnote' => 'Add Note',
	'fupostreply' => 'Post Reply',
	'fuforward' => 'Forward',
	'followupmins' => 'In n minutes',
	'followuphours' => 'In n hours',
	'followupdays' => 'In n days',
	'followupweeks' => 'In n weeks',
	'followupmonths' => 'In n months',
	'followupcustom' => 'Custom',
	'followup' => 'Follow-Up',
	'currentfollowups' => 'Current follow-ups for this ticket:',
	'followup_willrunattime' => 'Will run follow-up at %s created by %s (%s)',
	'followup_willchangeownerto' => 'Will change ticket owner to %s',
	'followup_willchangedepartmentto' => 'Will change department to %s',
	'followup_willchangestatusto' => 'Will change status to %s',
	'followup_willchangepriorityto' => 'Will change priority to %s',
	'followup_willchangetypeto' => 'Will change type to %s',
	'followup_willaddstaffnotes' => 'Will add a ticket note',
	'followup_willaddusernotes' => 'Will add a user note',
	'followup_willaddareply' => 'Will add a pre-written reply to this ticket',
	'followup_willforwardto' => 'Will forward this ticket to %s',
	'followup_removeowner' => 'Will remove this ticket\'s owner',
	'flag' => 'Flag',
	'tescalationhistory' => 'View Escalation History (%d)',
	'tepdate' => 'Escalation Date: ',
	'tepslaplan' => 'SLA Plan: ',
	'tepescalationrule' => 'Escalation Rule: ',
	'ntchatid' => 'Chat ID: ',
	'ntchatuserfullname' => 'User: ',
	'ntchatuseremail' => 'Email: ',
	'ntchatstafffullname' => 'Staff: ',
	'ntchatdepartment' => 'Department: ',
	'titleticketdeleted' => 'Ticket Deleted',
	'msgticketdeleted' => 'Unable to load ticket, ticket has been deleted',

	/**
	 * ---------------------------------------------
	 * MACRO
	 * ---------------------------------------------
	 */
	'macro' => 'Macro',
	'macros' => 'Macros',
	'insertmacro' => 'Insert Macro',
	'editmacro' => 'Edit Macro',
	'tabcategories' => 'Categories',
	'tabmacros' => 'Macros',
	'tabreplies' => 'Replies',
	'replytitle' => 'Reply Title',
	'macrotitle' => 'Macro Title',
	'insertcategory' => 'Insert Category',
	'insertreply' => 'Insert Reply',
	'wininsertmacrocat' => 'Insert Macro Category',
	'parentcategoryitem' => '- Parent Category -',
	'macrocategorytitle' => 'Category Title',
	'desc_macrocategorytitle' => 'Enter a title for the category.',
	'parentcategory' => 'Parent Category',
	'desc_parentcategory' => 'The category under which the new category will be added. You can organize categories in a heirarchy to an unlimited level.',
	'categorytype' => 'Category Type',
	'desc_categorytype' => '<i>Public:</i> Visible to all staff users.<BR /><BR /><i>Private:</i> Visible only to the staff user who created the category.',
	'titlemacrocategoryinsert' => 'Inserted Macro Category "%s"',
	'msgmacrocategoryinsert' => SWIFT_PRODUCT . ' has successfully inserted the macro category "%s".',
	'titlemacrocategoryupdate' => 'Updated Macro Category "%s"',
	'msgmacrocategoryupdate' => SWIFT_PRODUCT . ' has successfully updated the macro category "%s".',
	'titleinvalidparentcat' => 'Invalid Parent Category',
	'msginvalidparentcat' => 'The parent category specified is invalid. Please check that the category tree to make sure that the category selected is not a child category.',
	'titledelmacrocat' => 'Deleted "%d" Macro Categories',
	'msgdelmacrocat' => SWIFT_PRODUCT . ' has successfully deleted the following macro categories from the database:',
	'filterreplies' => 'Filter Replies',
	'rootcategory' => 'Root Category',
	'macroreplytitle' => 'Macro Title',
	'desc_macroreplytitle' => 'Enter a title for the macro reply.',
	'parentcategoryreply' => 'Parent Category',
	'desc_parentcategoryreply' => 'The category under which the new reply will be added.',
	'reststaffgroupall' => '-- All Staff Teams --',
	'restrictstaffgroup' => 'Visible to',
	'desc_restrictstaffgroup' => 'You can restrict the visibility of this category to a specified team by selecting one from the available options.',
	'macroreplycontents' => 'Reply Contents',
	'tabproperties' => 'Properties',
	'ticketfields' => 'Ticket Properties',
	'macrodepartment' => 'Department',
	'desc_macrodepartment' => '',
	'macroticketstatus' => 'Ticket Status',
	'desc_macroticketstatus' => '',
	'macrotickettype' => 'Ticket Type',
	'desc_macrotickettype' => '',
	'macroticketpriority' => 'Ticket Priority',
	'desc_macroticketpriority' => '',
	'desc_macroaddtags' => '',
	'macroaddtags' => 'Add Tags',
	'macroownerstaff' => 'Ticket Owner',
	'desc_macroownerstaff' => '',
	'insertmacro' => 'Insert Macro',
	'editmacro' => 'Edit Macro',
	'titlemacroreplyinsert' => 'Inserted Macro "%s"',
	'msgmacroreplyinsert' => SWIFT_PRODUCT . ' has successfully inserted the macro "%s".',
	'titlemacroreplyupdate' => 'Updated Macro "%s"',
	'msgmacroreplyupdate' => SWIFT_PRODUCT . ' has successfully updated the macro "%s".',
	'titledelmacroreply' => 'Deleted "%d" Macro Replies',
	'msgdelmacroreply' => SWIFT_PRODUCT . ' has successfully deleted the following macro relpies from the database:',
	'quickinsert' => 'Quick Insert',
	'qimacro' => 'Macro',
	'qiknowledgebase' => 'Knowledgebase',
	'replytotalhits' => 'Hits',
	'replylastused' => 'Last Used',


	/**
	 * ---------------------------------------------
	 * SEARCH
	 * ---------------------------------------------
	 */
	'search' => 'Search',
	'tabsearch' => 'Advanced Search',
	'matchtype' => 'Search Criteria Options',
	'desc_matchtype' => 'Select the grouping method for the search criteria fields.',
	'smatchall' => 'Match All (AND)',
	'smatchany' => 'Match Any (OR)',
	'insertcriteria' => 'Insert Criteria',

	/**
	 * ---------------------------------------------
	 * NEW TICKET
	 * ---------------------------------------------
	 */
	'tabrecurrence' => 'Recurrence',
	'recurrence_none' => 'None',
	'recurrence_daily' => 'Daily',
	'recurrence_weekly' => 'Weekly',
	'recurrence_monthly' => 'Monthly',
	'recurrence_yearly' => 'Yearly',
	'rec_every' => 'Every',
	'rec_days' => 'day(s)',
	'rec_everyweekday' => 'Every weekday',
	'rec_weeks' => 'week(s) on',
	'rec_monday' => 'Monday',
	'rec_tuesday' => 'Tuesday',
	'rec_wednesday' => 'Wednesday',
	'rec_thursday' => 'Thursday',
	'rec_friday' => 'Friday',
	'rec_saturday' => 'Saturday',
	'rec_sunday' => 'Sunday',
	'rec_day' => 'Day',
	'rec_ofevery' => 'of every',
	'rec_months' => 'month(s)',
	'rec_the' => 'The',
	'rec_first' => 'First',
	'rec_second' => 'Second',
	'rec_third' => 'Third',
	'rec_fourth' => 'Fourth',
	'rec_fifth' => 'Fifth',
	'rec_of' => 'of',
	'recurnotactivated' => 'Recurrence not enabled',
	'recurrencerange' => 'Range of recurrence',
	'recur_starts' => 'Starts',
	'recur_ends' => 'Ends',
	'rec_noeenddate' => 'No end date',
	'rec_endafter' => 'End after:',
	'rec_endby' => 'End by:',
	'rec_occurrences' => 'occurrences',
);

?>
