<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	/*
	 * ###############################################
	 * BEGIN V4 LOCALES
	 * ###############################################
	 */
	'titlephlookup' => 'No User Found for Phone Number %s',
	'msgphlookup' => SWIFT_PRODUCT . ' is unable to locate a user with the phone number "%s". You can attempt to search users through the search menu or insert a new user below.',
	'tabgeoip' => 'GeoIP',
	'geoiptimezone' => 'Time Zone',
	'geoipisp' => 'ISP',
	'geoiporganization' => 'Organization',
	'geoipnetspeed' => 'Net Speed',
	'geoipcountry' => 'Country',
	'geoipcountrydesc' => 'Country',
	'geoipregion' => 'Region',
	'geoipcity' => 'City',
	'geoippostalcode' => 'Postal Code',
	'geoiplatitude' => 'Latitude',
	'geoiplongitude' => 'Longitude',
	'geoipmetrocode' => 'Metro Code',
	'geoipareacode' => 'Area Code',
	'tabcalls' => 'Calls',
	'insertorganization' => 'Insert Organization',
	'editorganization' => 'Edit Organization',
	'updateorg' => 'Update Organization',
	'tabmassaction' => 'Mass Action',
	'unochange' => '-- No Change --',
	'merge' => 'Merge',
	'mergeorganization' => 'Merge Organizations',
	'primaryorganization' => 'Primary Organization',
	'infolastlogin' => 'LAST LOGIN',
	'users' => 'Users',
	'manageusers' => 'Manage Users',
	'userfullname' => 'Full Name',
	'useremail' => 'Email Address',
	'userorganization' => 'User Organization',
	'desc_userorganization' => 'Enter the User Organization. You can also select an existing organization through the auto complete listing.',
	'usergroup' => 'User Group',
	'desc_usergroup' => 'Select the User Group for this user. All the permissions from the selected user group will be inherited when the user logs in.',
	'insertuser' => 'Insert User',
	'edituser' => 'Edit User',
	'infobuser' => 'USER',
	'infobuserorganization' => 'USER ORGANIZATION',
	'infobusergroup' => 'GROUP',
	'informationbox' => 'Information',
	'userdesignation' => 'Title/Position',
	'desc_userdesignation' => 'Enter the title/position of the user, this will be visible below the ticket replies. Example: CEO, Support Manager, Sales Executive',
	'generaloptions' => 'General Options',
	'useremails' => 'User Email(s)',
	'desc_useremails' => 'Enter the user\'s email address(es). You can enter multiple addresses simply by pressing enter after each input.',
	'userrole' => 'User Role',
	'desc_userrole' => 'Select the user\'s role. If you select Manager, this user will have access to all tickets created by others users in the same organization.',
	'titlephoneexists' => 'Phone number exists',
	'msgphoneexists' => '"%s" phone number is already assigned to a user. Please specify a different phone number.',
	'userrolemanager' => 'Manager',
	'userroleuser' => 'User',
	'tabprofile' => 'Profile',
	'taborganization' => 'Organization',
	'tabtickets' => 'Tickets',
	'tabchats' => 'Chats',
	'tabbilling' => 'Billing',
	'salutationmr' => 'Mr.',
	'salutationmiss' => 'Ms.',
	'salutationmrs' => 'Mrs.',
	'salutationdr' => 'Dr.',
	'isenabled' => 'Is Enabled?',
	'desc_isenabled' => 'Select the state of this user. If disabled, this user will be unable to login into the support center.',
	'userexpiry' => 'Expires',
	'desc_userexpiry' => 'Select the user expiry date. If specified, the user account will cease to function once the threshold limit is reached.',
	'userphone' => 'Phone Number',
	'desc_userphone' => 'Enter the user\'s phone number.',
	'personalizeoptions' => 'Personalize',
	'userprofileimage' => 'Profile Image',
	'desc_userprofileimage' => 'Upload the User Profile Image. This image will appear below all ticket posts by this user.',
	'usertimezone' => 'Time Zone',
	'desc_usertimezone' => 'Select the default time zone for this user. If set, it overrides the default time zone setting.',
	'userenabledst' => 'Enable Automatic Daylight Savings',
	'desc_userenabledst' => 'Select whether or not you wish to enable Daylight Savings Time.',
	'defaultlanguage' => '-- Default Language --',
	'userlanguage' => 'Language',
	'desc_userlanguage' => 'Select the default language for this user. If set, it overrides the default language for the template group.',
	'usercustomsla' => 'Custom SLA Plan Options',
	'defaultslaplan' => '-- Default SLA Plan --',
	'userslaplan' => 'SLA Plan',
	'desc_userslaplan' => 'Select the default SLA plan for this user. If set, it overrides all other SLA plan rules.',
	'userslaexpiry' => 'SLA Plan Expires',
	'desc_userslaexpiry' => 'Select the SLA plan expiry. Upon expiry of the selected plan ' . SWIFT_PRODUCT . ' will use the default SLA rules to calculate the SLA plan for tickets raised by this user.',
	'edituser' => 'Edit User',
	'edituserext' => 'User: %s',
	'titleemailexists' => 'User Email Exists',
	'msgemailexists' => '"%s" email is already assigned to the user id "%d". Please specify a different email address.',
	'titleuserinsert' => 'Inserted User "%s"',
	'msguserinsert' => SWIFT_PRODUCT . ' has successfully inserted "%s" as user, more details are below:',
	'titleuserupdate' => 'Updated User "%s"',
	'msguserupdate' => SWIFT_PRODUCT . ' has updated the "%s" user record, more details are below:',
	'titleinvalidfileext' => 'Invalid Image File Extension',
	'msginvalidfileext' => 'The profile image file has an invalid extension. Allowed extensions are: gif, jpeg, jpg, png',
	'titledisableuser' => 'Disabled "%d" User(s)',
	'msgdisableuser' => 'Successfully disabled the following user(s):<br />%s',
	'titleenableuser' => 'Enabled "%d" User(s)',
	'msgenableuser' => 'Successfully enabled the following user(s):<br />%s',
	'titledeleteduser' => 'Deleted "%d" User(s)',
	'msgdeleteduser' => SWIFT_PRODUCT . ' has deleted the following user(s) from the database:',
	'addnotes' => 'Notes',
	'notetitle' => '%s on %s',
	'addnote' => 'Add Note',
	'tabaddnote' => 'Add Note',
	'usernotedelconfirm' => 'Are you sure you wish to delete this User Note?',
	'editnote' => 'Edit Note',
	'tabeditnote' => 'Edit Note',
	'noteeditedtitle' => ' <i>(Edited by %s on %s)</i>',
	'manageorganizations' => 'Manage Organizations',
	'userorganizationshared' => 'Shared',
	'userorganizationrestricted' => 'Restricted',
	'organizationname' => 'Organization Name',
	'desc_organizationname' => 'Enter the Organization Name.',
	'organizationtype' => 'Type',
	'organizationtype2' => 'Organization Type',
	'desc_organizationtype' => 'Select the Organization Type. Restricted type limits the visibility of the tickets to only the users who created them, whereas in a shared organization the tickets are visible to all users in the given organization.',
	'titledeleteduserorganization' => 'Deleted "%d" User Organization(s)',
	'msgdeleteduserorganization' => SWIFT_PRODUCT . ' has deleted the following user organization(s) from the database:',
	'userorganizationemails' => 'Organization Email Filters',
	'desc_userorganizationemails' => 'Please enter the domains belonging to this organization. ' . SWIFT_PRODUCT . ' will automatically assign the users with email domains as members of this organization. Usage Example: kayako.com google.com',
	'contactdetails' => 'Contact Details',
	'userorganizationslaplan' => 'SLA Plan',
	'desc_userorganizationslaplan' => 'Select the default SLA plan for this organization. If set, it overrides all other SLA plan rules. However, an SLA plan assigned to a user of this organization will supercede this setting.',
	'userorganizationslaexpiry' => 'SLA Plan Expires',
	'desc_userorganizationslaexpiry' => 'Select the SLA plan expiry. Upon expiry of the selected plan ' . SWIFT_PRODUCT . ' will use the default SLA rules to calculate the SLA plan for tickets raised by the users of this organization.',
	'organizationcity' => 'City',
	'desc_organizationcity' => '',
	'organizationstate' => 'State',
	'desc_organizationstate' => '',
	'organizationcountry' => 'Country',
	'desc_organizationcountry' => '',
	'organizationpostalcode' => 'ZIP/Postal Code',
	'desc_organizationpostalcode' => '',
	'organizationphone' => 'Phone',
	'desc_organizationphone' => '',
	'organizationfax' => 'Fax',
	'desc_organizationfax' => '',
	'organizationwebsite' => 'Web Site Address',
	'desc_organizationwebsite' => '',
	'organizationaddress' => 'Address',
	'desc_organizationaddress' => '',
	'titleemailexistsorg' => 'User Organization Email Exists',
	'msgemailexistsorg' => '"%s" email is already assigned to the user organization id "%d". Please specify a different email address.',
	'editorganization' => 'Edit Organization',
	'editorganizationext' => 'Organization: %s',
	'titleorganizationinsert' => 'Inserted "%s" User Organization',
	'msgorganizationinsert' => SWIFT_PRODUCT . ' has successfully inserted "%s" user organization, more details are below:',
	'titleorganizationupdate' => 'Updated "%s" User Organization',
	'msgorganizationupdate' => SWIFT_PRODUCT . ' has updated the "%s" user organization record, more details are below:',
	'titleorgnameexists' => 'Duplicate Organization Name',
	'msgorgnameexists' => SWIFT_PRODUCT . ' has detected another user organization with the same name. Please enter a different name to continue.',
	'tabusers' => 'Users',
	'search' => 'Search',
	'tabsearch' => 'Search',
	'matchtype' => 'Search Criteria Options',
	'desc_matchtype' => 'Select the grouping method for the search criteria fields.',
	'smatchall' => 'Match All (AND)',
	'smatchany' => 'Match Any (OR)',
	'insertcriteria' => 'Insert Criteria',
	'resetpassword' => 'Reset Password',
	'changepassword' => 'Change Password',
	'userpassword' => 'Password',
	'userpasswordagain' => 'Password (repeat)',
	'generateandemail' => 'Generate & Email',
	'titlepwnomatch' => 'Invalid Password',
	'msgpwnomatch' => 'The password specified for the user does not match.',
	'titlepwupdated' => 'User Password Updated',
	'msgpwupdated' => SWIFT_PRODUCT . ' has successfully updated the password for "%s" user.',
	'titlepwgenerated' => 'Password Generated & Emailed',
	'msgpwgenerated' => SWIFT_PRODUCT . ' has generated a random password for "%s" user and dispatched it to all registered email addresses.',
	'loginasuser' => 'Login as User',

	/**
	 * ---------------------------------------------
	 * SEARCH CRITERIA
	 * ---------------------------------------------
	 */
	'usfullname' => 'Full Name',
	'usemail' => 'Email',
	'usdesignation' => 'Designation',
	'usphone' => 'Phone',
	'ussalutation' => 'Salutation',
	'ususergroup' => 'User Group',
	'ususerrole' => 'User Role',
	'usorganization' => 'Organization',
	'usdateregistered' => 'Date Registered',
	'usdateregisteredrange' => 'Date Registered <range>',
	'usdatelastupdate' => 'Date Last Update',
	'usdatelastupdaterange' => 'Date Last Update <range>',
	'usdatelastvisit' => 'Date Last Visit',
	'usdatelastvisitrange' => 'Date Last Visit <range>',
	'usisenabled' => 'Is Enabled?',
	'usslaplan' => 'SLA Plan',
	'ususerexpiry' => 'User Expiry',
	'usslaexpiry' => 'SLA Expiry',
	'notapplicable' => '-- NA --',
	'lookup' => 'Lookup',
	'usergroups' => 'User Groups',
	'titlevalidationpen' => 'Email address is unverified',
	'msgvalidatationpen' => 'This user has not verified his email address, click on "Mark as Verified" button to manually verify this user.',
	'markasverified' => 'Mark as Verified',
	'titlevalidationsuccess' => 'User Status Updated',
	'msgvalidationsuccess' => SWIFT_PRODUCT . ' has marked the "%s" user as verified. The user can now login to the client support center.',



	/*
	 * ###############################################
	 * END V4 LOCALES
	 * ###############################################
	 */

	// ======= MANAGE USERS =======
	'userlist' => 'User List',
	'usrfullnameandemail' => 'Full Name & Email Address',
	'desc_usrfullname' => 'Enter the full name of the user.',
	'desc_usremail' => 'Enter the email address of the user.',
	'usrgrouptitle' => 'User Group',
	'usrlastvisit' => 'Last Visit',
	'usrdate' => 'Date Added',
	'userdelconfirm' => 'User deleted successfully',
	'userdelconfirmmsg' => 'Are you sure you wish to delete the specified user? Deleting a user will result in the permanent deletion of records associated with the user. This action is irreversible!',
	'usruserid' => 'User ID',
	'loginshare' => 'LoginShare',
	'usergroups2' => 'User Groups',
	'userlanguage' => 'Default Language',
	'desc_userlanguage' => 'Please select the language to load when the user logs into the client support center.',
	'usertimezoneoffset' => 'Default Time Zone',
	'desc_usertimezoneoffset' => 'Select the Time Zone of the user. If set, this time zone will override the default setting specified under Admin CP > Settings > Date & Time Settings.',
	'userenabled' => 'User is enabled?',
	'desc_userenabled' => 'If set to no, the user will not be able to login to the client support center.',
	'wininsertuseremail' => 'Insert Email Address',
	'loadingwindow' => 'Loading Window..',
	'winedituseremail' => 'Edit Email Address',

	// ======= INSERT USER =======
	'insertuser' => 'Insert User',
	'userdetails' => 'User Details',
	'usrpassword' => 'Password',
	'desc_usrpassword' => 'Enter a password for the user.',
	'usrpasswordconfirm' => 'Password (confirm)',
	'desc_usrpasswordconfirm' => 'Re-enter the password.',
	'usrformgroup' => 'User Group',
	'desc_usrformgroup' => 'Select which group the user will belong to.',
	'passworddontmatch' => 'ERROR: Passwords do not match',
	'userinsertconfirm' => 'User "%s" inserted successfully',
	'invalidemail' => 'ERROR: Invalid email address specified',
	'uslaplan' => 'SLA Plan',
	'desc_uslaplan' => 'The SLA plan specified here will be automatically assigned to all tickets created by this user.',
	'uuser' => 'User',
	'umanager' => 'Manager',
	'usertype' => 'User Type',
	'desc_usertype' => 'Select the user\'s type. If you select <i>Manager</i>, this user will have access to all tickets created by users in the same user group(s).',

	// ======= EDIT USER =======
	'updateuser' => 'Update User',
	'edituser' => 'Edit User',
	'invaliduser' => 'Invalid User',
	'usrpasswordreset' => 'Reset Password',
	'useremaillist' => 'Email Address List',
	'uemaildelconfirmsg' => 'Are you sure you wish to delete this email address?',
	'insertnewuseremail' => 'Insert Email Address',
	'cantdelprimaryemail' => 'ERROR: Cannot delete the only email address associated with the user',
	'useremaildelconfirm' => 'User Email deleted successfully',
	'duplicateuseremail' => 'ERROR: Unable to add the email address; it is already associated with another user',
	'useremailinsertconfirm' => 'Email address "%s" inserted successfully',
	'userupdateconfirm' => 'User "%s" updated successfully',
	'invaliduseremail' => 'Invalid user email address',
	'useroptions' => 'User Options',
	'deleteuser' => 'Delete User',
	'createticket' => 'Create Ticket',
	'tusearchticket' => 'Search Tickets',
	'byuser' => 'By User',
	'byusergroup' => 'By User Group',
	'validated' => 'Validated',
	'validationpending' => 'Validation Pending',
	'markas' => 'Mark As',
	'valconfirm' => 'Successfully changed validation status for "%s"',
	'markasvalidated' => 'Mark as Validated',
	'markasvalidationpending' => 'Mark as Validation Pending',
	'resendverimail' => 'Resend Verification Email',
	'veriemailconfirm' => 'Verification email message sent to "%s"',
	'uregemailconfirm' => 'Registration email message sent to "%s"',
	'resendregemail' => 'Resend Registration Email',

	// ======= EDIT USER EMAIL =======
	'edituseremail' => 'Edit User Email Address',
	'useremailupdateconfirm' => 'User email address "%s" updated successfully',

	// ======= AJAX =======
	'tabnotes' => 'Notes',
	'tabbilling' => 'Billing',
	'tabticketreports' => 'Ticket Reports',
	'tabchatreports' => 'Chat Reports',
	'tabedit' => 'Edit',
	'loading' => 'Loading...',
);

?>