<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	// Scheduled tasks
	'scheduledtasks' => 'Scheduled Tasks',
	'desc_scheduledtasks' => 'Scheduled tasks form part of a psuedo-cron system. These tasks will execute at the intervals shown below. If your support desk is infrequently used, it is recommended that you set up a system cron that triggers the psuedo-cron. For more information on scheduled tasks, refer to the user manual.',
	'tasklist' => 'Task List',
	'nextrun' => 'Next Run',
	'lastrun' => 'Last Run',
	'runsevery' => 'Runs Every',
	'xminute' => '%s Minute(s)',
	'xhour' => '%s Hour(s)',
	'xday' => '%s Day(s)',
	'runnow' => 'Run',
	'scheduledexecute' => 'Task "%s" will be executed when the cron is next run',
	'taskdisabled' => 'Task "%s" is now disabled',
	'taskenabled' => 'Task "%s" is now enabled',
	'tasklog' => 'Task Log',
	'securl' => 'URL: ',
	'tasklogs' => 'Task Logs',
	'executiontime' => 'Execution Time',
	'cronlogdeleteconfirm' => 'Scheduled task log entry "%s" deleted successfully',
	'execute' => 'Execute',
	'titledisablecron' => 'Disabled "%d" Scheduled Tasks',
	'msgdisablecron' => 'Successfully disabled the auto execution of following Scheduled Tasks:',
	'titleenablecron' => 'Enabled "%d" Scheduled Tasks',
	'msgenablecron' => 'Successfully enabled the auto execution of following Scheduled Tasks:',
	'titleexecutecron' => '"%d" Scheduled Task(s) Executed',
	'msgexecutecron' => 'Successfully scheduled the execution of following Scheduled Tasks:',

	// ======= TASK ENTRIES =======
	'cronhourlycleanup' => 'Hourly System Cleanup',
	'crondailycleanup' => 'Daily System Cleanup',
	'cronsearchengine' => 'Search Engine Re-Indexing',
	'tickets' => 'Ticket App Actions (Escalations, Cleanup etc)',
	'parser' => 'POP3/IMAP Fetching',
	'parsercleanup' => 'Mail Parser Cleanup',
	'livechat' => 'Live Chat Cleanup',
	'newssync' => 'News Synchronization',
	'ticketautoclose' => 'Ticket Auto Close',
	'defaultcoreminute' => 'Core Minute Sync',
	'defaultcorehourly' => 'Core Hourly Sync',
	'defaultcoredaily' => 'Core Daily Sync',
	'defaultcoreweekly' => 'Core Weekly Sync',
	'defaultcoremonthly' => 'Core Monthly Sync',
	'reportemailing' => 'Report Emailing',
	// ======= BEGIN v3 IMPORT =======
	'ticketfollowup' => 'Ticket Follow-up',
	// ======= END v3 IMPORT =======
);

?>