<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array (
	'troubleshooter' => 'Troubleshooter',

	// Manage Categories
	'categories' => 'Categories',
	'managecategories' => 'Manage Categories',
	'desc_troubleshootercat' => '',
	'tscattitle' => 'Category Title',
	'desc_tscattitle' => '',
	'tscatviews' => 'Views',
	'desc_tscatviews' => 'The number of views the Category has had. These are incremented automatically whenever a user clicks on a Category. The number, can however, be altered according to your needs.',
	'tscatdisporder' => 'Display Order',
	'desc_tscatdisporder' => 'Enter the Category Display Order. The Categories are sorted according to the Display Order in Ascending mode.',
	'tscatlist' => 'Category List',
	'tscatdesc' => 'Description',
	'desc_tscatdesc' => 'The Category Description is visible right below the Category Title. It is recommended that you describe the Category here. Description text is limited to 255 characters.',
	'steps' => 'Steps',

	// Insert Category
	'insertcategory' => 'Insert Category',
	'tscatdetails' => 'Category Details',
	'templategroups' => 'Template Groups',
	'desc_templategroups' => 'Please select the Template Groups to which this Category will be assigned. The Category will only be visible under the assigned Template Groups.',
	'inserttscat' => 'Insert Category',
	'updatetscat' => 'Update Category',
	'selectonetgroup' => 'ERROR: You need to select at least one Template Group',
	'troubleshootercatinsertconfirm' => 'Troubleshooter Category "%s" Inserted Successfully',
	'tcatdeleteconfirm' => 'Troubleshooter Category deleted successfully',
	'tcatsdeleteconfirm' => 'Troubleshooter Categories deleted successfully',
	'tcatdelconfirm' => 'Are you sure you wish to delete this Category?\nDeleting a Category will result in deletion of all Troubleshooter Steps under it.',
	'invalidtroubleshootercategory' => 'Invalid Troubleshooter Category',

	// Edit Category
	'editcategory' => 'Edit Category',
	'troubleshootercatupdateconfirm' => 'Troubleshooter Category "%s" updated successfully',
	
	// Manage Steps
	'troubleshootersteps' => 'Troubleshooter Steps',
	'managesteps' => 'Manage Steps',
	'addstep' => 'Add Step',
	'addcategory' => 'Add Category',
	'troubleshooters' => 'Troubleshooters',
	'filter' => 'Filter',
	'stepdelconfirmmsg' => 'Are you sure you wish to delete this step? Deleting a step will result in deletion of ALL child steps under it.',
	'tsdelconfirm' => 'Troubleshooter Step deleted successfully',
	'stepdeleteconfirm' => 'Deleted "%s" Troubleshooter Steps',
	'filtertgroupid' => 'Template Group',
	'desc_filtertgroupid' => 'Select the Template Group to filter the data. Only the Categories under the Filtered Template Group will be visible.',
	'listview' => 'List View',
	'tssteplist' => 'Troubleshooter Step List',
	'treeview' => 'Tree View',

	// Insert Step
	'insertstep' => 'Insert Step',
	'stepdetails' => 'Troubleshooter Step Details',
	'tssubject' => 'Subject',
	'tsdisporder' => 'Display Order',
	'desc_tsdisporder' => 'Enter the Step Display Order. The Steps are sorted according to the Display Order in Ascending mode.',
	'updatestep' => 'Update Step',
	'tslinks' => 'Parent Steps',
	'desc_tslinks' => 'Select the Parent Steps for this Step. The Troubleshooter works in a tree-based navigational manner and revolves around parent-child relationships. You can select multiple Parent Steps by pressing the CTRL Key and clicking on the Step title.',
	'selectonelink' => 'ERROR: Please select at least one Parent Step',
	'tsaddconfirm' => 'Troubleshooter Step "%s" inserted successfully',
	'editstep' => 'Edit Step',

	// Edit Step
	'invalidtroubleshooter' => 'Invalid Troubleshooter',
	'tsupdateconfirm' => 'Troubleshooter Step "%s" updated successfully',
	'updatestep' => 'Update Step',
	'editstep' => 'Edit Step',

	// Import/Export
	'importexport' => 'Import/Export',
	'export' => 'Export',
	'exportxml' => 'Export XML',
	'exportcat' => 'Troubleshooter Categories',
	'desc_exportcat' => 'Select the Troubleshooter Categories to Export. Only the Steps under the Selected Categories will be exported.',
	'importtroubleshooter' => 'Import Troubleshooter',
	'troubleshooterfile' => 'Import File',
	'desc_troubleshooterfile' => 'Please select the XML file to import',
	'importxml' => 'Import XML',
	'importconfirm' => 'Imported data from XML file',

	// Comments
	'comments' => 'Comments',
	'legend' => 'Legend: ',

	// Reports
	'popularcategories' => 'Pouplar Categories',
	'popularsteps' => 'Popular Steps',
	'views' => 'Views',
	'steptitle' => 'Step Title',
);
?>