<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_KQL2LexerTest extends SWIFT_TestCase {  public function setUp() { return true; }  public function testNextToken() {  $_sqlQuery = "SELECT -3.14 FROM PI"; $_checkList = explode(' ', $_sqlQuery); $SWIFT_KQL2Lexer = new SWIFT_KQL2Lexer($_sqlQuery); for ($_i = 0; $_i < count($_checkList); $_i++) { if ($_i > 0) { $this->assertEquals(' ', $SWIFT_KQL2Lexer->NextToken()); } $this->assertEquals($_checkList[$_i], $SWIFT_KQL2Lexer->NextToken()); }  $_sqlQuery = "SELECT '\\\"Kayako\'s products\\\"' FROM Kayako"; $_checkList = array('SELECT', ' ', '"Kayako\'s products"', ' ', 'FROM', ' ', 'Kayako'); $SWIFT_KQL2Lexer = new SWIFT_KQL2Lexer($_sqlQuery); foreach ($_checkList as $_checkToken) { $this->assertEquals($_checkToken, $SWIFT_KQL2Lexer->NextToken()); if ($_checkToken == '"Kayako\'s products"') { $this->assertEquals("'\\\"Kayako\'s products\\\"'", $SWIFT_KQL2Lexer->GetTokenString()); } }  $_sqlQuery = "SELECT CONCAT('DIFFERENCE: ', MAX('Tickets.First Response Time') - MIN('Tickets.First Response Time'))"; $_checkList = array('SELECT', 'CONCAT', '(', 'DIFFERENCE: ', ',', 'MAX', '(', 'Tickets.First Response Time', ')', '-', 'MIN', '(', 'Tickets.First Response Time', ')', ')'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT'Tickets.Response Time'>-5AS Result FROM'Tickets'"; $_checkList = array('SELECT', 'Tickets.Response Time', '>', '-5', 'AS', 'Result', 'FROM', 'Tickets'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT 50-COUNT(*)"; $_checkList = array('SELECT', '50', '-', 'COUNT', '(', '*', ')'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT Tickets.Subject FROM Tickets"; $_checkList = array('SELECT', 'Tickets.Subject', 'FROM', 'Tickets'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT .NET"; $_checkList = array('SELECT', '.', 'NET'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT IF('Tickets.Creation Date':Day == 1, 'First', 'Others')"; $_checkList = array('SELECT', 'IF', '(', 'Tickets.Creation Date', ':', 'Day', '=', '=', '1', ',', 'First', ',', 'Others', ')'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  $_sqlQuery = "SELECT   OK"; $SWIFT_KQL2Lexer = new SWIFT_KQL2Lexer($_sqlQuery); $_spaces = 0; while (true) { $_token = $SWIFT_KQL2Lexer->NextToken(); if ($_token) { if ($_token == ' ') { $_spaces++; } } else { break; } } $this->assertEquals(1, $_spaces);  $_sqlQuery = "SELECT Tickets.* FROM Tickets"; $_checkList = array('SELECT', 'Tickets.*', 'FROM', 'Tickets'); $this->TestAgainstCheckList($_sqlQuery, $_checkList);  return true; }  private function TestAgainstCheckList($_sqlQuery, $_checkList) { $SWIFT_KQL2Lexer = new SWIFT_KQL2Lexer($_sqlQuery); $_checkIndex = 0; while (true) { $_token = $SWIFT_KQL2Lexer->NextToken(); if ($_token == null) { break; } if ($_token != ' ') { $this->assertEquals($_checkList[$_checkIndex++], $_token); } } return true; } } ?>